*** Settings ***
Library  RequestsLibrary
Variables    variables.yaml

*** Variables ***
${BASE_URL}  http://${HOST}:${PORT}
${TOKEN}    Token ${API_TOKEN}

*** Test Cases ***

TC02 Check installed plugins
    ${auth}=  Evaluate  ("${USER_API}", "${PASSWORD_API}")
    &{HEADERS}    Create Dictionary    Authorization=${TOKEN} Content-Type=${CONTENT_TYPE}
    Create Session    robot_test_session    ${BASE_URL}    headers=${HEADERS}     
    Log to console    ${\n}
    FOR    ${item}    IN    @{PLUGINS}
    ${response}=    GET On session    robot_test_session    /api/plugins/${item}/    auth=${auth}   headers=${HEADERS}    expected_status=200  
    Check plugins response status "${response.ok}" "${item}"
    END
    Log to console    ${\n}
    
TC02.1 Check Nonexistent Plugin
    ${auth}=  Evaluate  ("${USER_API}", "${PASSWORD_API}")
    &{HEADERS}    Create Dictionary    Authorization=${TOKEN} Content-Type=${CONTENT_TYPE}
    ${response}=    GET On session    robot_test_session    /api/plugins/nonexistent_plugin   headers=${HEADERS}    expected_status=404
    Check plugins response status "${response.ok}" "nonexistent"
    

*** Keywords ***

Check plugins response status "${response.ok}" "${item}"
    IF    "${response.ok}" == "True"
        Log to console    ${\n}Plugin ${item} Installed
        Log    ${\n}Plugin ${item} Installed
    ELSE
        Log to console    ${\n}Plugin ${item} Not Installed
        Log    ${\n}Plugin ${item} Not Installed
    END