--
-- PostgreSQL database dump
--

-- Dumped from database version 15.8
-- Dumped by pg_dump version 15.8

SET statement_timeout = 0;
SET lock_timeout = 0;
SET idle_in_transaction_session_timeout = 0;
SET client_encoding = 'UTF8';
SET standard_conforming_strings = on;
SELECT pg_catalog.set_config('search_path', '', false);
SET check_function_bodies = false;
SET xmloption = content;
SET client_min_messages = warning;
SET row_security = off;

SET default_tablespace = '';

SET default_table_access_method = heap;

--
-- Name: auth_group; Type: TABLE; Schema: public; Owner: netbox
--

CREATE TABLE public.auth_group (
    id integer NOT NULL,
    name character varying(150) NOT NULL
);


ALTER TABLE public.auth_group OWNER TO netbox;

--
-- Name: auth_group_id_seq; Type: SEQUENCE; Schema: public; Owner: netbox
--

ALTER TABLE public.auth_group ALTER COLUMN id ADD GENERATED BY DEFAULT AS IDENTITY (
    SEQUENCE NAME public.auth_group_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1
);


--
-- Name: auth_group_permissions; Type: TABLE; Schema: public; Owner: netbox
--

CREATE TABLE public.auth_group_permissions (
    id bigint NOT NULL,
    group_id integer NOT NULL,
    permission_id integer NOT NULL
);


ALTER TABLE public.auth_group_permissions OWNER TO netbox;

--
-- Name: auth_group_permissions_id_seq; Type: SEQUENCE; Schema: public; Owner: netbox
--

ALTER TABLE public.auth_group_permissions ALTER COLUMN id ADD GENERATED BY DEFAULT AS IDENTITY (
    SEQUENCE NAME public.auth_group_permissions_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1
);


--
-- Name: auth_permission; Type: TABLE; Schema: public; Owner: netbox
--

CREATE TABLE public.auth_permission (
    id integer NOT NULL,
    name character varying(255) NOT NULL,
    content_type_id integer NOT NULL,
    codename character varying(100) NOT NULL
);


ALTER TABLE public.auth_permission OWNER TO netbox;

--
-- Name: auth_permission_id_seq; Type: SEQUENCE; Schema: public; Owner: netbox
--

ALTER TABLE public.auth_permission ALTER COLUMN id ADD GENERATED BY DEFAULT AS IDENTITY (
    SEQUENCE NAME public.auth_permission_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1
);


--
-- Name: auth_user; Type: TABLE; Schema: public; Owner: netbox
--

CREATE TABLE public.auth_user (
    id integer NOT NULL,
    password character varying(128) NOT NULL,
    last_login timestamp with time zone,
    is_superuser boolean NOT NULL,
    username character varying(150) NOT NULL,
    first_name character varying(150) NOT NULL,
    last_name character varying(150) NOT NULL,
    email character varying(254) NOT NULL,
    is_staff boolean NOT NULL,
    is_active boolean NOT NULL,
    date_joined timestamp with time zone NOT NULL
);


ALTER TABLE public.auth_user OWNER TO netbox;

--
-- Name: auth_user_groups; Type: TABLE; Schema: public; Owner: netbox
--

CREATE TABLE public.auth_user_groups (
    id bigint NOT NULL,
    user_id integer NOT NULL,
    group_id integer NOT NULL
);


ALTER TABLE public.auth_user_groups OWNER TO netbox;

--
-- Name: auth_user_groups_id_seq; Type: SEQUENCE; Schema: public; Owner: netbox
--

ALTER TABLE public.auth_user_groups ALTER COLUMN id ADD GENERATED BY DEFAULT AS IDENTITY (
    SEQUENCE NAME public.auth_user_groups_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1
);


--
-- Name: auth_user_id_seq; Type: SEQUENCE; Schema: public; Owner: netbox
--

ALTER TABLE public.auth_user ALTER COLUMN id ADD GENERATED BY DEFAULT AS IDENTITY (
    SEQUENCE NAME public.auth_user_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1
);


--
-- Name: auth_user_user_permissions; Type: TABLE; Schema: public; Owner: netbox
--

CREATE TABLE public.auth_user_user_permissions (
    id bigint NOT NULL,
    user_id integer NOT NULL,
    permission_id integer NOT NULL
);


ALTER TABLE public.auth_user_user_permissions OWNER TO netbox;

--
-- Name: auth_user_user_permissions_id_seq; Type: SEQUENCE; Schema: public; Owner: netbox
--

ALTER TABLE public.auth_user_user_permissions ALTER COLUMN id ADD GENERATED BY DEFAULT AS IDENTITY (
    SEQUENCE NAME public.auth_user_user_permissions_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1
);


--
-- Name: circuits_circuit; Type: TABLE; Schema: public; Owner: netbox
--

CREATE TABLE public.circuits_circuit (
    created timestamp with time zone,
    last_updated timestamp with time zone,
    custom_field_data jsonb NOT NULL,
    id bigint NOT NULL,
    cid character varying(100) NOT NULL,
    status character varying(50) NOT NULL,
    install_date date,
    commit_rate integer,
    description character varying(200) NOT NULL,
    comments text NOT NULL,
    provider_id bigint NOT NULL,
    tenant_id bigint,
    termination_a_id bigint,
    termination_z_id bigint,
    type_id bigint NOT NULL,
    termination_date date,
    provider_account_id bigint,
    CONSTRAINT circuits_circuit_commit_rate_check CHECK ((commit_rate >= 0))
);


ALTER TABLE public.circuits_circuit OWNER TO netbox;

--
-- Name: circuits_circuit_id_seq; Type: SEQUENCE; Schema: public; Owner: netbox
--

ALTER TABLE public.circuits_circuit ALTER COLUMN id ADD GENERATED BY DEFAULT AS IDENTITY (
    SEQUENCE NAME public.circuits_circuit_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1
);


--
-- Name: circuits_circuittermination; Type: TABLE; Schema: public; Owner: netbox
--

CREATE TABLE public.circuits_circuittermination (
    created timestamp with time zone,
    last_updated timestamp with time zone,
    id bigint NOT NULL,
    mark_connected boolean NOT NULL,
    term_side character varying(1) NOT NULL,
    port_speed integer,
    upstream_speed integer,
    xconnect_id character varying(50) NOT NULL,
    pp_info character varying(100) NOT NULL,
    description character varying(200) NOT NULL,
    cable_id bigint,
    circuit_id bigint NOT NULL,
    provider_network_id bigint,
    site_id bigint,
    custom_field_data jsonb NOT NULL,
    cable_end character varying(1) NOT NULL,
    CONSTRAINT circuits_circuittermination_port_speed_check CHECK ((port_speed >= 0)),
    CONSTRAINT circuits_circuittermination_upstream_speed_check CHECK ((upstream_speed >= 0))
);


ALTER TABLE public.circuits_circuittermination OWNER TO netbox;

--
-- Name: circuits_circuittermination_id_seq; Type: SEQUENCE; Schema: public; Owner: netbox
--

ALTER TABLE public.circuits_circuittermination ALTER COLUMN id ADD GENERATED BY DEFAULT AS IDENTITY (
    SEQUENCE NAME public.circuits_circuittermination_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1
);


--
-- Name: circuits_circuittype; Type: TABLE; Schema: public; Owner: netbox
--

CREATE TABLE public.circuits_circuittype (
    created timestamp with time zone,
    last_updated timestamp with time zone,
    custom_field_data jsonb NOT NULL,
    id bigint NOT NULL,
    name character varying(100) NOT NULL,
    slug character varying(100) NOT NULL,
    description character varying(200) NOT NULL
);


ALTER TABLE public.circuits_circuittype OWNER TO netbox;

--
-- Name: circuits_circuittype_id_seq; Type: SEQUENCE; Schema: public; Owner: netbox
--

ALTER TABLE public.circuits_circuittype ALTER COLUMN id ADD GENERATED BY DEFAULT AS IDENTITY (
    SEQUENCE NAME public.circuits_circuittype_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1
);


--
-- Name: circuits_provider; Type: TABLE; Schema: public; Owner: netbox
--

CREATE TABLE public.circuits_provider (
    created timestamp with time zone,
    last_updated timestamp with time zone,
    custom_field_data jsonb NOT NULL,
    id bigint NOT NULL,
    name character varying(100) NOT NULL,
    slug character varying(100) NOT NULL,
    comments text NOT NULL,
    description character varying(200) NOT NULL
);


ALTER TABLE public.circuits_provider OWNER TO netbox;

--
-- Name: circuits_provider_asns; Type: TABLE; Schema: public; Owner: netbox
--

CREATE TABLE public.circuits_provider_asns (
    id bigint NOT NULL,
    provider_id bigint NOT NULL,
    asn_id bigint NOT NULL
);


ALTER TABLE public.circuits_provider_asns OWNER TO netbox;

--
-- Name: circuits_provider_asns_id_seq; Type: SEQUENCE; Schema: public; Owner: netbox
--

ALTER TABLE public.circuits_provider_asns ALTER COLUMN id ADD GENERATED BY DEFAULT AS IDENTITY (
    SEQUENCE NAME public.circuits_provider_asns_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1
);


--
-- Name: circuits_provider_id_seq; Type: SEQUENCE; Schema: public; Owner: netbox
--

ALTER TABLE public.circuits_provider ALTER COLUMN id ADD GENERATED BY DEFAULT AS IDENTITY (
    SEQUENCE NAME public.circuits_provider_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1
);


--
-- Name: circuits_provideraccount; Type: TABLE; Schema: public; Owner: netbox
--

CREATE TABLE public.circuits_provideraccount (
    id bigint NOT NULL,
    created timestamp with time zone,
    last_updated timestamp with time zone,
    custom_field_data jsonb NOT NULL,
    description character varying(200) NOT NULL,
    comments text NOT NULL,
    account character varying(100) NOT NULL,
    name character varying(100) NOT NULL,
    provider_id bigint NOT NULL
);


ALTER TABLE public.circuits_provideraccount OWNER TO netbox;

--
-- Name: circuits_provideraccount_id_seq; Type: SEQUENCE; Schema: public; Owner: netbox
--

ALTER TABLE public.circuits_provideraccount ALTER COLUMN id ADD GENERATED BY DEFAULT AS IDENTITY (
    SEQUENCE NAME public.circuits_provideraccount_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1
);


--
-- Name: circuits_providernetwork; Type: TABLE; Schema: public; Owner: netbox
--

CREATE TABLE public.circuits_providernetwork (
    created timestamp with time zone,
    last_updated timestamp with time zone,
    custom_field_data jsonb NOT NULL,
    id bigint NOT NULL,
    name character varying(100) NOT NULL,
    description character varying(200) NOT NULL,
    comments text NOT NULL,
    provider_id bigint NOT NULL,
    service_id character varying(100) NOT NULL
);


ALTER TABLE public.circuits_providernetwork OWNER TO netbox;

--
-- Name: circuits_providernetwork_id_seq; Type: SEQUENCE; Schema: public; Owner: netbox
--

ALTER TABLE public.circuits_providernetwork ALTER COLUMN id ADD GENERATED BY DEFAULT AS IDENTITY (
    SEQUENCE NAME public.circuits_providernetwork_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1
);


--
-- Name: core_autosyncrecord; Type: TABLE; Schema: public; Owner: netbox
--

CREATE TABLE public.core_autosyncrecord (
    id bigint NOT NULL,
    object_id bigint NOT NULL,
    datafile_id bigint NOT NULL,
    object_type_id integer NOT NULL,
    CONSTRAINT core_autosyncrecord_object_id_check CHECK ((object_id >= 0))
);


ALTER TABLE public.core_autosyncrecord OWNER TO netbox;

--
-- Name: core_autosyncrecord_id_seq; Type: SEQUENCE; Schema: public; Owner: netbox
--

ALTER TABLE public.core_autosyncrecord ALTER COLUMN id ADD GENERATED BY DEFAULT AS IDENTITY (
    SEQUENCE NAME public.core_autosyncrecord_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1
);


--
-- Name: core_datafile; Type: TABLE; Schema: public; Owner: netbox
--

CREATE TABLE public.core_datafile (
    id bigint NOT NULL,
    created timestamp with time zone NOT NULL,
    last_updated timestamp with time zone NOT NULL,
    path character varying(1000) NOT NULL,
    size integer NOT NULL,
    hash character varying(64) NOT NULL,
    data bytea NOT NULL,
    source_id bigint NOT NULL,
    CONSTRAINT core_datafile_size_check CHECK ((size >= 0))
);


ALTER TABLE public.core_datafile OWNER TO netbox;

--
-- Name: core_datafile_id_seq; Type: SEQUENCE; Schema: public; Owner: netbox
--

ALTER TABLE public.core_datafile ALTER COLUMN id ADD GENERATED BY DEFAULT AS IDENTITY (
    SEQUENCE NAME public.core_datafile_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1
);


--
-- Name: core_datasource; Type: TABLE; Schema: public; Owner: netbox
--

CREATE TABLE public.core_datasource (
    id bigint NOT NULL,
    created timestamp with time zone,
    last_updated timestamp with time zone,
    custom_field_data jsonb NOT NULL,
    description character varying(200) NOT NULL,
    comments text NOT NULL,
    name character varying(100) NOT NULL,
    type character varying(50) NOT NULL,
    source_url character varying(200) NOT NULL,
    status character varying(50) NOT NULL,
    enabled boolean NOT NULL,
    ignore_rules text NOT NULL,
    parameters jsonb,
    last_synced timestamp with time zone
);


ALTER TABLE public.core_datasource OWNER TO netbox;

--
-- Name: core_datasource_id_seq; Type: SEQUENCE; Schema: public; Owner: netbox
--

ALTER TABLE public.core_datasource ALTER COLUMN id ADD GENERATED BY DEFAULT AS IDENTITY (
    SEQUENCE NAME public.core_datasource_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1
);


--
-- Name: core_job; Type: TABLE; Schema: public; Owner: netbox
--

CREATE TABLE public.core_job (
    id bigint NOT NULL,
    object_id bigint,
    name character varying(200) NOT NULL,
    created timestamp with time zone NOT NULL,
    scheduled timestamp with time zone,
    "interval" integer,
    started timestamp with time zone,
    completed timestamp with time zone,
    status character varying(30) NOT NULL,
    data jsonb,
    job_id uuid NOT NULL,
    object_type_id integer NOT NULL,
    user_id integer,
    CONSTRAINT core_job_interval_check CHECK (("interval" >= 0)),
    CONSTRAINT core_job_object_id_check CHECK ((object_id >= 0))
);


ALTER TABLE public.core_job OWNER TO netbox;

--
-- Name: core_job_id_seq; Type: SEQUENCE; Schema: public; Owner: netbox
--

ALTER TABLE public.core_job ALTER COLUMN id ADD GENERATED BY DEFAULT AS IDENTITY (
    SEQUENCE NAME public.core_job_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1
);


--
-- Name: core_managedfile; Type: TABLE; Schema: public; Owner: netbox
--

CREATE TABLE public.core_managedfile (
    id bigint NOT NULL,
    data_path character varying(1000) NOT NULL,
    data_synced timestamp with time zone,
    created timestamp with time zone NOT NULL,
    last_updated timestamp with time zone,
    file_root character varying(1000) NOT NULL,
    file_path character varying(100) NOT NULL,
    data_file_id bigint,
    data_source_id bigint,
    auto_sync_enabled boolean NOT NULL
);


ALTER TABLE public.core_managedfile OWNER TO netbox;

--
-- Name: core_managedfile_id_seq; Type: SEQUENCE; Schema: public; Owner: netbox
--

ALTER TABLE public.core_managedfile ALTER COLUMN id ADD GENERATED BY DEFAULT AS IDENTITY (
    SEQUENCE NAME public.core_managedfile_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1
);


--
-- Name: dcim_cable; Type: TABLE; Schema: public; Owner: netbox
--

CREATE TABLE public.dcim_cable (
    created timestamp with time zone,
    last_updated timestamp with time zone,
    custom_field_data jsonb NOT NULL,
    id bigint NOT NULL,
    type character varying(50) NOT NULL,
    status character varying(50) NOT NULL,
    label character varying(100) NOT NULL,
    color character varying(6) NOT NULL,
    length numeric(8,2),
    length_unit character varying(50) NOT NULL,
    _abs_length numeric(10,4),
    tenant_id bigint,
    comments text NOT NULL,
    description character varying(200) NOT NULL
);


ALTER TABLE public.dcim_cable OWNER TO netbox;

--
-- Name: dcim_cable_id_seq; Type: SEQUENCE; Schema: public; Owner: netbox
--

ALTER TABLE public.dcim_cable ALTER COLUMN id ADD GENERATED BY DEFAULT AS IDENTITY (
    SEQUENCE NAME public.dcim_cable_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1
);


--
-- Name: dcim_cablepath; Type: TABLE; Schema: public; Owner: netbox
--

CREATE TABLE public.dcim_cablepath (
    id bigint NOT NULL,
    _nodes character varying(40)[] NOT NULL,
    is_active boolean NOT NULL,
    is_split boolean NOT NULL,
    path jsonb NOT NULL,
    is_complete boolean NOT NULL
);


ALTER TABLE public.dcim_cablepath OWNER TO netbox;

--
-- Name: dcim_cablepath_id_seq; Type: SEQUENCE; Schema: public; Owner: netbox
--

ALTER TABLE public.dcim_cablepath ALTER COLUMN id ADD GENERATED BY DEFAULT AS IDENTITY (
    SEQUENCE NAME public.dcim_cablepath_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1
);


--
-- Name: dcim_cabletermination; Type: TABLE; Schema: public; Owner: netbox
--

CREATE TABLE public.dcim_cabletermination (
    id bigint NOT NULL,
    cable_end character varying(1) NOT NULL,
    termination_id bigint NOT NULL,
    cable_id bigint NOT NULL,
    termination_type_id integer NOT NULL,
    _device_id bigint,
    _rack_id bigint,
    _location_id bigint,
    _site_id bigint,
    created timestamp with time zone,
    last_updated timestamp with time zone,
    CONSTRAINT dcim_cabletermination_termination_id_check CHECK ((termination_id >= 0))
);


ALTER TABLE public.dcim_cabletermination OWNER TO netbox;

--
-- Name: dcim_cabletermination_id_seq; Type: SEQUENCE; Schema: public; Owner: netbox
--

ALTER TABLE public.dcim_cabletermination ALTER COLUMN id ADD GENERATED BY DEFAULT AS IDENTITY (
    SEQUENCE NAME public.dcim_cabletermination_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1
);


--
-- Name: dcim_consoleport; Type: TABLE; Schema: public; Owner: netbox
--

CREATE TABLE public.dcim_consoleport (
    created timestamp with time zone,
    last_updated timestamp with time zone,
    custom_field_data jsonb NOT NULL,
    id bigint NOT NULL,
    name character varying(64) NOT NULL,
    _name character varying(100) NOT NULL,
    label character varying(64) NOT NULL,
    description character varying(200) NOT NULL,
    mark_connected boolean NOT NULL,
    type character varying(50) NOT NULL,
    speed integer,
    _path_id bigint,
    cable_id bigint,
    device_id bigint NOT NULL,
    module_id bigint,
    cable_end character varying(1) NOT NULL,
    CONSTRAINT dcim_consoleport_speed_check CHECK ((speed >= 0))
);


ALTER TABLE public.dcim_consoleport OWNER TO netbox;

--
-- Name: dcim_consoleport_id_seq; Type: SEQUENCE; Schema: public; Owner: netbox
--

ALTER TABLE public.dcim_consoleport ALTER COLUMN id ADD GENERATED BY DEFAULT AS IDENTITY (
    SEQUENCE NAME public.dcim_consoleport_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1
);


--
-- Name: dcim_consoleporttemplate; Type: TABLE; Schema: public; Owner: netbox
--

CREATE TABLE public.dcim_consoleporttemplate (
    created timestamp with time zone,
    last_updated timestamp with time zone,
    id bigint NOT NULL,
    name character varying(64) NOT NULL,
    _name character varying(100) NOT NULL,
    label character varying(64) NOT NULL,
    description character varying(200) NOT NULL,
    type character varying(50) NOT NULL,
    device_type_id bigint,
    module_type_id bigint
);


ALTER TABLE public.dcim_consoleporttemplate OWNER TO netbox;

--
-- Name: dcim_consoleporttemplate_id_seq; Type: SEQUENCE; Schema: public; Owner: netbox
--

ALTER TABLE public.dcim_consoleporttemplate ALTER COLUMN id ADD GENERATED BY DEFAULT AS IDENTITY (
    SEQUENCE NAME public.dcim_consoleporttemplate_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1
);


--
-- Name: dcim_consoleserverport; Type: TABLE; Schema: public; Owner: netbox
--

CREATE TABLE public.dcim_consoleserverport (
    created timestamp with time zone,
    last_updated timestamp with time zone,
    custom_field_data jsonb NOT NULL,
    id bigint NOT NULL,
    name character varying(64) NOT NULL,
    _name character varying(100) NOT NULL,
    label character varying(64) NOT NULL,
    description character varying(200) NOT NULL,
    mark_connected boolean NOT NULL,
    type character varying(50) NOT NULL,
    speed integer,
    _path_id bigint,
    cable_id bigint,
    device_id bigint NOT NULL,
    module_id bigint,
    cable_end character varying(1) NOT NULL,
    CONSTRAINT dcim_consoleserverport_speed_check CHECK ((speed >= 0))
);


ALTER TABLE public.dcim_consoleserverport OWNER TO netbox;

--
-- Name: dcim_consoleserverport_id_seq; Type: SEQUENCE; Schema: public; Owner: netbox
--

ALTER TABLE public.dcim_consoleserverport ALTER COLUMN id ADD GENERATED BY DEFAULT AS IDENTITY (
    SEQUENCE NAME public.dcim_consoleserverport_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1
);


--
-- Name: dcim_consoleserverporttemplate; Type: TABLE; Schema: public; Owner: netbox
--

CREATE TABLE public.dcim_consoleserverporttemplate (
    created timestamp with time zone,
    last_updated timestamp with time zone,
    id bigint NOT NULL,
    name character varying(64) NOT NULL,
    _name character varying(100) NOT NULL,
    label character varying(64) NOT NULL,
    description character varying(200) NOT NULL,
    type character varying(50) NOT NULL,
    device_type_id bigint,
    module_type_id bigint
);


ALTER TABLE public.dcim_consoleserverporttemplate OWNER TO netbox;

--
-- Name: dcim_consoleserverporttemplate_id_seq; Type: SEQUENCE; Schema: public; Owner: netbox
--

ALTER TABLE public.dcim_consoleserverporttemplate ALTER COLUMN id ADD GENERATED BY DEFAULT AS IDENTITY (
    SEQUENCE NAME public.dcim_consoleserverporttemplate_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1
);


--
-- Name: dcim_device; Type: TABLE; Schema: public; Owner: netbox
--

CREATE TABLE public.dcim_device (
    created timestamp with time zone,
    last_updated timestamp with time zone,
    custom_field_data jsonb NOT NULL,
    id bigint NOT NULL,
    local_context_data jsonb,
    name character varying(64),
    _name character varying(100),
    serial character varying(50) NOT NULL,
    asset_tag character varying(50),
    "position" numeric(4,1),
    face character varying(50) NOT NULL,
    status character varying(50) NOT NULL,
    vc_position smallint,
    vc_priority smallint,
    comments text NOT NULL,
    cluster_id bigint,
    role_id bigint NOT NULL,
    device_type_id bigint NOT NULL,
    location_id bigint,
    platform_id bigint,
    primary_ip4_id bigint,
    primary_ip6_id bigint,
    rack_id bigint,
    site_id bigint NOT NULL,
    tenant_id bigint,
    virtual_chassis_id bigint,
    airflow character varying(50) NOT NULL,
    description character varying(200) NOT NULL,
    config_template_id bigint,
    latitude numeric(8,6),
    longitude numeric(9,6),
    oob_ip_id bigint,
    console_port_count bigint NOT NULL,
    console_server_port_count bigint NOT NULL,
    power_port_count bigint NOT NULL,
    power_outlet_count bigint NOT NULL,
    interface_count bigint NOT NULL,
    front_port_count bigint NOT NULL,
    rear_port_count bigint NOT NULL,
    device_bay_count bigint NOT NULL,
    module_bay_count bigint NOT NULL,
    inventory_item_count bigint NOT NULL,
    CONSTRAINT dcim_device_vc_position_check CHECK ((vc_position >= 0)),
    CONSTRAINT dcim_device_vc_priority_check CHECK ((vc_priority >= 0))
);


ALTER TABLE public.dcim_device OWNER TO netbox;

--
-- Name: dcim_device_id_seq; Type: SEQUENCE; Schema: public; Owner: netbox
--

ALTER TABLE public.dcim_device ALTER COLUMN id ADD GENERATED BY DEFAULT AS IDENTITY (
    SEQUENCE NAME public.dcim_device_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1
);


--
-- Name: dcim_devicebay; Type: TABLE; Schema: public; Owner: netbox
--

CREATE TABLE public.dcim_devicebay (
    created timestamp with time zone,
    last_updated timestamp with time zone,
    custom_field_data jsonb NOT NULL,
    id bigint NOT NULL,
    name character varying(64) NOT NULL,
    _name character varying(100) NOT NULL,
    label character varying(64) NOT NULL,
    description character varying(200) NOT NULL,
    device_id bigint NOT NULL,
    installed_device_id bigint
);


ALTER TABLE public.dcim_devicebay OWNER TO netbox;

--
-- Name: dcim_devicebay_id_seq; Type: SEQUENCE; Schema: public; Owner: netbox
--

ALTER TABLE public.dcim_devicebay ALTER COLUMN id ADD GENERATED BY DEFAULT AS IDENTITY (
    SEQUENCE NAME public.dcim_devicebay_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1
);


--
-- Name: dcim_devicebaytemplate; Type: TABLE; Schema: public; Owner: netbox
--

CREATE TABLE public.dcim_devicebaytemplate (
    created timestamp with time zone,
    last_updated timestamp with time zone,
    id bigint NOT NULL,
    name character varying(64) NOT NULL,
    _name character varying(100) NOT NULL,
    label character varying(64) NOT NULL,
    description character varying(200) NOT NULL,
    device_type_id bigint NOT NULL
);


ALTER TABLE public.dcim_devicebaytemplate OWNER TO netbox;

--
-- Name: dcim_devicebaytemplate_id_seq; Type: SEQUENCE; Schema: public; Owner: netbox
--

ALTER TABLE public.dcim_devicebaytemplate ALTER COLUMN id ADD GENERATED BY DEFAULT AS IDENTITY (
    SEQUENCE NAME public.dcim_devicebaytemplate_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1
);


--
-- Name: dcim_devicerole; Type: TABLE; Schema: public; Owner: netbox
--

CREATE TABLE public.dcim_devicerole (
    created timestamp with time zone,
    last_updated timestamp with time zone,
    custom_field_data jsonb NOT NULL,
    id bigint NOT NULL,
    name character varying(100) NOT NULL,
    slug character varying(100) NOT NULL,
    color character varying(6) NOT NULL,
    vm_role boolean NOT NULL,
    description character varying(200) NOT NULL,
    config_template_id bigint
);


ALTER TABLE public.dcim_devicerole OWNER TO netbox;

--
-- Name: dcim_devicerole_id_seq; Type: SEQUENCE; Schema: public; Owner: netbox
--

ALTER TABLE public.dcim_devicerole ALTER COLUMN id ADD GENERATED BY DEFAULT AS IDENTITY (
    SEQUENCE NAME public.dcim_devicerole_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1
);


--
-- Name: dcim_devicetype; Type: TABLE; Schema: public; Owner: netbox
--

CREATE TABLE public.dcim_devicetype (
    created timestamp with time zone,
    last_updated timestamp with time zone,
    custom_field_data jsonb NOT NULL,
    id bigint NOT NULL,
    model character varying(100) NOT NULL,
    slug character varying(100) NOT NULL,
    part_number character varying(50) NOT NULL,
    u_height numeric(4,1) NOT NULL,
    is_full_depth boolean NOT NULL,
    subdevice_role character varying(50) NOT NULL,
    front_image character varying(100) NOT NULL,
    rear_image character varying(100) NOT NULL,
    comments text NOT NULL,
    manufacturer_id bigint NOT NULL,
    airflow character varying(50) NOT NULL,
    weight numeric(8,2),
    weight_unit character varying(50) NOT NULL,
    _abs_weight bigint,
    description character varying(200) NOT NULL,
    default_platform_id bigint,
    console_port_template_count bigint NOT NULL,
    console_server_port_template_count bigint NOT NULL,
    power_port_template_count bigint NOT NULL,
    power_outlet_template_count bigint NOT NULL,
    interface_template_count bigint NOT NULL,
    front_port_template_count bigint NOT NULL,
    rear_port_template_count bigint NOT NULL,
    device_bay_template_count bigint NOT NULL,
    module_bay_template_count bigint NOT NULL,
    inventory_item_template_count bigint NOT NULL,
    CONSTRAINT dcim_devicetype__abs_weight_check CHECK ((_abs_weight >= 0))
);


ALTER TABLE public.dcim_devicetype OWNER TO netbox;

--
-- Name: dcim_devicetype_id_seq; Type: SEQUENCE; Schema: public; Owner: netbox
--

ALTER TABLE public.dcim_devicetype ALTER COLUMN id ADD GENERATED BY DEFAULT AS IDENTITY (
    SEQUENCE NAME public.dcim_devicetype_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1
);


--
-- Name: dcim_frontport; Type: TABLE; Schema: public; Owner: netbox
--

CREATE TABLE public.dcim_frontport (
    created timestamp with time zone,
    last_updated timestamp with time zone,
    custom_field_data jsonb NOT NULL,
    id bigint NOT NULL,
    name character varying(64) NOT NULL,
    _name character varying(100) NOT NULL,
    label character varying(64) NOT NULL,
    description character varying(200) NOT NULL,
    mark_connected boolean NOT NULL,
    type character varying(50) NOT NULL,
    rear_port_position smallint NOT NULL,
    cable_id bigint,
    device_id bigint NOT NULL,
    rear_port_id bigint NOT NULL,
    color character varying(6) NOT NULL,
    module_id bigint,
    cable_end character varying(1) NOT NULL,
    CONSTRAINT dcim_frontport_rear_port_position_check CHECK ((rear_port_position >= 0))
);


ALTER TABLE public.dcim_frontport OWNER TO netbox;

--
-- Name: dcim_frontport_id_seq; Type: SEQUENCE; Schema: public; Owner: netbox
--

ALTER TABLE public.dcim_frontport ALTER COLUMN id ADD GENERATED BY DEFAULT AS IDENTITY (
    SEQUENCE NAME public.dcim_frontport_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1
);


--
-- Name: dcim_frontporttemplate; Type: TABLE; Schema: public; Owner: netbox
--

CREATE TABLE public.dcim_frontporttemplate (
    created timestamp with time zone,
    last_updated timestamp with time zone,
    id bigint NOT NULL,
    name character varying(64) NOT NULL,
    _name character varying(100) NOT NULL,
    label character varying(64) NOT NULL,
    description character varying(200) NOT NULL,
    type character varying(50) NOT NULL,
    rear_port_position smallint NOT NULL,
    device_type_id bigint,
    rear_port_id bigint NOT NULL,
    color character varying(6) NOT NULL,
    module_type_id bigint,
    CONSTRAINT dcim_frontporttemplate_rear_port_position_check CHECK ((rear_port_position >= 0))
);


ALTER TABLE public.dcim_frontporttemplate OWNER TO netbox;

--
-- Name: dcim_frontporttemplate_id_seq; Type: SEQUENCE; Schema: public; Owner: netbox
--

ALTER TABLE public.dcim_frontporttemplate ALTER COLUMN id ADD GENERATED BY DEFAULT AS IDENTITY (
    SEQUENCE NAME public.dcim_frontporttemplate_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1
);


--
-- Name: dcim_interface; Type: TABLE; Schema: public; Owner: netbox
--

CREATE TABLE public.dcim_interface (
    created timestamp with time zone,
    last_updated timestamp with time zone,
    custom_field_data jsonb NOT NULL,
    id bigint NOT NULL,
    name character varying(64) NOT NULL,
    label character varying(64) NOT NULL,
    description character varying(200) NOT NULL,
    mark_connected boolean NOT NULL,
    enabled boolean NOT NULL,
    mac_address macaddr,
    mtu integer,
    mode character varying(50) NOT NULL,
    _name character varying(100) NOT NULL,
    type character varying(50) NOT NULL,
    mgmt_only boolean NOT NULL,
    _path_id bigint,
    cable_id bigint,
    device_id bigint NOT NULL,
    lag_id bigint,
    parent_id bigint,
    untagged_vlan_id bigint,
    wwn macaddr8,
    bridge_id bigint,
    rf_role character varying(30) NOT NULL,
    rf_channel character varying(50) NOT NULL,
    rf_channel_frequency numeric(7,2),
    rf_channel_width numeric(7,3),
    tx_power smallint,
    wireless_link_id bigint,
    module_id bigint,
    vrf_id bigint,
    duplex character varying(50),
    speed integer,
    poe_mode character varying(50) NOT NULL,
    poe_type character varying(50) NOT NULL,
    cable_end character varying(1) NOT NULL,
    CONSTRAINT dcim_interface_mtu_check CHECK ((mtu >= 0)),
    CONSTRAINT dcim_interface_speed_check CHECK ((speed >= 0)),
    CONSTRAINT dcim_interface_tx_power_check CHECK ((tx_power >= 0))
);


ALTER TABLE public.dcim_interface OWNER TO netbox;

--
-- Name: dcim_interface_id_seq; Type: SEQUENCE; Schema: public; Owner: netbox
--

ALTER TABLE public.dcim_interface ALTER COLUMN id ADD GENERATED BY DEFAULT AS IDENTITY (
    SEQUENCE NAME public.dcim_interface_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1
);


--
-- Name: dcim_interface_tagged_vlans; Type: TABLE; Schema: public; Owner: netbox
--

CREATE TABLE public.dcim_interface_tagged_vlans (
    id bigint NOT NULL,
    interface_id bigint NOT NULL,
    vlan_id bigint NOT NULL
);


ALTER TABLE public.dcim_interface_tagged_vlans OWNER TO netbox;

--
-- Name: dcim_interface_tagged_vlans_id_seq; Type: SEQUENCE; Schema: public; Owner: netbox
--

ALTER TABLE public.dcim_interface_tagged_vlans ALTER COLUMN id ADD GENERATED BY DEFAULT AS IDENTITY (
    SEQUENCE NAME public.dcim_interface_tagged_vlans_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1
);


--
-- Name: dcim_interface_vdcs; Type: TABLE; Schema: public; Owner: netbox
--

CREATE TABLE public.dcim_interface_vdcs (
    id bigint NOT NULL,
    interface_id bigint NOT NULL,
    virtualdevicecontext_id bigint NOT NULL
);


ALTER TABLE public.dcim_interface_vdcs OWNER TO netbox;

--
-- Name: dcim_interface_vdcs_id_seq; Type: SEQUENCE; Schema: public; Owner: netbox
--

ALTER TABLE public.dcim_interface_vdcs ALTER COLUMN id ADD GENERATED BY DEFAULT AS IDENTITY (
    SEQUENCE NAME public.dcim_interface_vdcs_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1
);


--
-- Name: dcim_interface_wireless_lans; Type: TABLE; Schema: public; Owner: netbox
--

CREATE TABLE public.dcim_interface_wireless_lans (
    id bigint NOT NULL,
    interface_id bigint NOT NULL,
    wirelesslan_id bigint NOT NULL
);


ALTER TABLE public.dcim_interface_wireless_lans OWNER TO netbox;

--
-- Name: dcim_interface_wireless_lans_id_seq; Type: SEQUENCE; Schema: public; Owner: netbox
--

ALTER TABLE public.dcim_interface_wireless_lans ALTER COLUMN id ADD GENERATED BY DEFAULT AS IDENTITY (
    SEQUENCE NAME public.dcim_interface_wireless_lans_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1
);


--
-- Name: dcim_interfacetemplate; Type: TABLE; Schema: public; Owner: netbox
--

CREATE TABLE public.dcim_interfacetemplate (
    created timestamp with time zone,
    last_updated timestamp with time zone,
    id bigint NOT NULL,
    name character varying(64) NOT NULL,
    label character varying(64) NOT NULL,
    description character varying(200) NOT NULL,
    _name character varying(100) NOT NULL,
    type character varying(50) NOT NULL,
    mgmt_only boolean NOT NULL,
    device_type_id bigint,
    module_type_id bigint,
    poe_mode character varying(50) NOT NULL,
    poe_type character varying(50) NOT NULL,
    enabled boolean NOT NULL,
    bridge_id bigint,
    rf_role character varying(30) NOT NULL
);


ALTER TABLE public.dcim_interfacetemplate OWNER TO netbox;

--
-- Name: dcim_interfacetemplate_id_seq; Type: SEQUENCE; Schema: public; Owner: netbox
--

ALTER TABLE public.dcim_interfacetemplate ALTER COLUMN id ADD GENERATED BY DEFAULT AS IDENTITY (
    SEQUENCE NAME public.dcim_interfacetemplate_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1
);


--
-- Name: dcim_inventoryitem; Type: TABLE; Schema: public; Owner: netbox
--

CREATE TABLE public.dcim_inventoryitem (
    created timestamp with time zone,
    last_updated timestamp with time zone,
    custom_field_data jsonb NOT NULL,
    id bigint NOT NULL,
    name character varying(64) NOT NULL,
    _name character varying(100) NOT NULL,
    label character varying(64) NOT NULL,
    description character varying(200) NOT NULL,
    part_id character varying(50) NOT NULL,
    serial character varying(50) NOT NULL,
    asset_tag character varying(50),
    discovered boolean NOT NULL,
    lft integer NOT NULL,
    rght integer NOT NULL,
    tree_id integer NOT NULL,
    level integer NOT NULL,
    device_id bigint NOT NULL,
    manufacturer_id bigint,
    parent_id bigint,
    role_id bigint,
    component_id bigint,
    component_type_id integer,
    CONSTRAINT dcim_inventoryitem_component_id_check CHECK ((component_id >= 0)),
    CONSTRAINT dcim_inventoryitem_level_check CHECK ((level >= 0)),
    CONSTRAINT dcim_inventoryitem_lft_check CHECK ((lft >= 0)),
    CONSTRAINT dcim_inventoryitem_rght_check CHECK ((rght >= 0)),
    CONSTRAINT dcim_inventoryitem_tree_id_check CHECK ((tree_id >= 0))
);


ALTER TABLE public.dcim_inventoryitem OWNER TO netbox;

--
-- Name: dcim_inventoryitem_id_seq; Type: SEQUENCE; Schema: public; Owner: netbox
--

ALTER TABLE public.dcim_inventoryitem ALTER COLUMN id ADD GENERATED BY DEFAULT AS IDENTITY (
    SEQUENCE NAME public.dcim_inventoryitem_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1
);


--
-- Name: dcim_inventoryitemrole; Type: TABLE; Schema: public; Owner: netbox
--

CREATE TABLE public.dcim_inventoryitemrole (
    created timestamp with time zone,
    last_updated timestamp with time zone,
    custom_field_data jsonb NOT NULL,
    id bigint NOT NULL,
    name character varying(100) NOT NULL,
    slug character varying(100) NOT NULL,
    color character varying(6) NOT NULL,
    description character varying(200) NOT NULL
);


ALTER TABLE public.dcim_inventoryitemrole OWNER TO netbox;

--
-- Name: dcim_inventoryitemrole_id_seq; Type: SEQUENCE; Schema: public; Owner: netbox
--

ALTER TABLE public.dcim_inventoryitemrole ALTER COLUMN id ADD GENERATED BY DEFAULT AS IDENTITY (
    SEQUENCE NAME public.dcim_inventoryitemrole_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1
);


--
-- Name: dcim_inventoryitemtemplate; Type: TABLE; Schema: public; Owner: netbox
--

CREATE TABLE public.dcim_inventoryitemtemplate (
    created timestamp with time zone,
    last_updated timestamp with time zone,
    id bigint NOT NULL,
    name character varying(64) NOT NULL,
    _name character varying(100) NOT NULL,
    label character varying(64) NOT NULL,
    description character varying(200) NOT NULL,
    component_id bigint,
    part_id character varying(50) NOT NULL,
    lft integer NOT NULL,
    rght integer NOT NULL,
    tree_id integer NOT NULL,
    level integer NOT NULL,
    component_type_id integer,
    device_type_id bigint NOT NULL,
    manufacturer_id bigint,
    parent_id bigint,
    role_id bigint,
    CONSTRAINT dcim_inventoryitemtemplate_component_id_check CHECK ((component_id >= 0)),
    CONSTRAINT dcim_inventoryitemtemplate_level_check CHECK ((level >= 0)),
    CONSTRAINT dcim_inventoryitemtemplate_lft_check CHECK ((lft >= 0)),
    CONSTRAINT dcim_inventoryitemtemplate_rght_check CHECK ((rght >= 0)),
    CONSTRAINT dcim_inventoryitemtemplate_tree_id_check CHECK ((tree_id >= 0))
);


ALTER TABLE public.dcim_inventoryitemtemplate OWNER TO netbox;

--
-- Name: dcim_inventoryitemtemplate_id_seq; Type: SEQUENCE; Schema: public; Owner: netbox
--

ALTER TABLE public.dcim_inventoryitemtemplate ALTER COLUMN id ADD GENERATED BY DEFAULT AS IDENTITY (
    SEQUENCE NAME public.dcim_inventoryitemtemplate_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1
);


--
-- Name: dcim_location; Type: TABLE; Schema: public; Owner: netbox
--

CREATE TABLE public.dcim_location (
    created timestamp with time zone,
    last_updated timestamp with time zone,
    custom_field_data jsonb NOT NULL,
    id bigint NOT NULL,
    name character varying(100) NOT NULL,
    slug character varying(100) NOT NULL,
    description character varying(200) NOT NULL,
    lft integer NOT NULL,
    rght integer NOT NULL,
    tree_id integer NOT NULL,
    level integer NOT NULL,
    parent_id bigint,
    site_id bigint NOT NULL,
    tenant_id bigint,
    status character varying(50) NOT NULL,
    CONSTRAINT dcim_location_level_check CHECK ((level >= 0)),
    CONSTRAINT dcim_location_lft_check CHECK ((lft >= 0)),
    CONSTRAINT dcim_location_rght_check CHECK ((rght >= 0)),
    CONSTRAINT dcim_location_tree_id_check CHECK ((tree_id >= 0))
);


ALTER TABLE public.dcim_location OWNER TO netbox;

--
-- Name: dcim_location_id_seq; Type: SEQUENCE; Schema: public; Owner: netbox
--

ALTER TABLE public.dcim_location ALTER COLUMN id ADD GENERATED BY DEFAULT AS IDENTITY (
    SEQUENCE NAME public.dcim_location_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1
);


--
-- Name: dcim_manufacturer; Type: TABLE; Schema: public; Owner: netbox
--

CREATE TABLE public.dcim_manufacturer (
    created timestamp with time zone,
    last_updated timestamp with time zone,
    custom_field_data jsonb NOT NULL,
    id bigint NOT NULL,
    name character varying(100) NOT NULL,
    slug character varying(100) NOT NULL,
    description character varying(200) NOT NULL
);


ALTER TABLE public.dcim_manufacturer OWNER TO netbox;

--
-- Name: dcim_manufacturer_id_seq; Type: SEQUENCE; Schema: public; Owner: netbox
--

ALTER TABLE public.dcim_manufacturer ALTER COLUMN id ADD GENERATED BY DEFAULT AS IDENTITY (
    SEQUENCE NAME public.dcim_manufacturer_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1
);


--
-- Name: dcim_module; Type: TABLE; Schema: public; Owner: netbox
--

CREATE TABLE public.dcim_module (
    created timestamp with time zone,
    last_updated timestamp with time zone,
    custom_field_data jsonb NOT NULL,
    id bigint NOT NULL,
    local_context_data jsonb,
    serial character varying(50) NOT NULL,
    asset_tag character varying(50),
    comments text NOT NULL,
    device_id bigint NOT NULL,
    module_bay_id bigint NOT NULL,
    module_type_id bigint NOT NULL,
    description character varying(200) NOT NULL,
    status character varying(50) NOT NULL
);


ALTER TABLE public.dcim_module OWNER TO netbox;

--
-- Name: dcim_module_id_seq; Type: SEQUENCE; Schema: public; Owner: netbox
--

ALTER TABLE public.dcim_module ALTER COLUMN id ADD GENERATED BY DEFAULT AS IDENTITY (
    SEQUENCE NAME public.dcim_module_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1
);


--
-- Name: dcim_modulebay; Type: TABLE; Schema: public; Owner: netbox
--

CREATE TABLE public.dcim_modulebay (
    created timestamp with time zone,
    last_updated timestamp with time zone,
    custom_field_data jsonb NOT NULL,
    id bigint NOT NULL,
    name character varying(64) NOT NULL,
    _name character varying(100) NOT NULL,
    label character varying(64) NOT NULL,
    "position" character varying(30) NOT NULL,
    description character varying(200) NOT NULL,
    device_id bigint NOT NULL
);


ALTER TABLE public.dcim_modulebay OWNER TO netbox;

--
-- Name: dcim_modulebay_id_seq; Type: SEQUENCE; Schema: public; Owner: netbox
--

ALTER TABLE public.dcim_modulebay ALTER COLUMN id ADD GENERATED BY DEFAULT AS IDENTITY (
    SEQUENCE NAME public.dcim_modulebay_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1
);


--
-- Name: dcim_modulebaytemplate; Type: TABLE; Schema: public; Owner: netbox
--

CREATE TABLE public.dcim_modulebaytemplate (
    created timestamp with time zone,
    last_updated timestamp with time zone,
    id bigint NOT NULL,
    name character varying(64) NOT NULL,
    _name character varying(100) NOT NULL,
    label character varying(64) NOT NULL,
    "position" character varying(30) NOT NULL,
    description character varying(200) NOT NULL,
    device_type_id bigint NOT NULL
);


ALTER TABLE public.dcim_modulebaytemplate OWNER TO netbox;

--
-- Name: dcim_modulebaytemplate_id_seq; Type: SEQUENCE; Schema: public; Owner: netbox
--

ALTER TABLE public.dcim_modulebaytemplate ALTER COLUMN id ADD GENERATED BY DEFAULT AS IDENTITY (
    SEQUENCE NAME public.dcim_modulebaytemplate_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1
);


--
-- Name: dcim_moduletype; Type: TABLE; Schema: public; Owner: netbox
--

CREATE TABLE public.dcim_moduletype (
    created timestamp with time zone,
    last_updated timestamp with time zone,
    custom_field_data jsonb NOT NULL,
    id bigint NOT NULL,
    model character varying(100) NOT NULL,
    part_number character varying(50) NOT NULL,
    comments text NOT NULL,
    manufacturer_id bigint NOT NULL,
    weight numeric(8,2),
    weight_unit character varying(50) NOT NULL,
    _abs_weight bigint,
    description character varying(200) NOT NULL,
    CONSTRAINT dcim_moduletype__abs_weight_check CHECK ((_abs_weight >= 0))
);


ALTER TABLE public.dcim_moduletype OWNER TO netbox;

--
-- Name: dcim_moduletype_id_seq; Type: SEQUENCE; Schema: public; Owner: netbox
--

ALTER TABLE public.dcim_moduletype ALTER COLUMN id ADD GENERATED BY DEFAULT AS IDENTITY (
    SEQUENCE NAME public.dcim_moduletype_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1
);


--
-- Name: dcim_platform; Type: TABLE; Schema: public; Owner: netbox
--

CREATE TABLE public.dcim_platform (
    created timestamp with time zone,
    last_updated timestamp with time zone,
    custom_field_data jsonb NOT NULL,
    id bigint NOT NULL,
    name character varying(100) NOT NULL,
    slug character varying(100) NOT NULL,
    description character varying(200) NOT NULL,
    manufacturer_id bigint,
    config_template_id bigint
);


ALTER TABLE public.dcim_platform OWNER TO netbox;

--
-- Name: dcim_platform_id_seq; Type: SEQUENCE; Schema: public; Owner: netbox
--

ALTER TABLE public.dcim_platform ALTER COLUMN id ADD GENERATED BY DEFAULT AS IDENTITY (
    SEQUENCE NAME public.dcim_platform_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1
);


--
-- Name: dcim_powerfeed; Type: TABLE; Schema: public; Owner: netbox
--

CREATE TABLE public.dcim_powerfeed (
    created timestamp with time zone,
    last_updated timestamp with time zone,
    custom_field_data jsonb NOT NULL,
    id bigint NOT NULL,
    mark_connected boolean NOT NULL,
    name character varying(100) NOT NULL,
    status character varying(50) NOT NULL,
    type character varying(50) NOT NULL,
    supply character varying(50) NOT NULL,
    phase character varying(50) NOT NULL,
    voltage smallint NOT NULL,
    amperage smallint NOT NULL,
    max_utilization smallint NOT NULL,
    available_power integer NOT NULL,
    comments text NOT NULL,
    _path_id bigint,
    cable_id bigint,
    power_panel_id bigint NOT NULL,
    rack_id bigint,
    cable_end character varying(1) NOT NULL,
    description character varying(200) NOT NULL,
    tenant_id bigint,
    CONSTRAINT dcim_powerfeed_amperage_check CHECK ((amperage >= 0)),
    CONSTRAINT dcim_powerfeed_available_power_check CHECK ((available_power >= 0)),
    CONSTRAINT dcim_powerfeed_max_utilization_check CHECK ((max_utilization >= 0))
);


ALTER TABLE public.dcim_powerfeed OWNER TO netbox;

--
-- Name: dcim_powerfeed_id_seq; Type: SEQUENCE; Schema: public; Owner: netbox
--

ALTER TABLE public.dcim_powerfeed ALTER COLUMN id ADD GENERATED BY DEFAULT AS IDENTITY (
    SEQUENCE NAME public.dcim_powerfeed_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1
);


--
-- Name: dcim_poweroutlet; Type: TABLE; Schema: public; Owner: netbox
--

CREATE TABLE public.dcim_poweroutlet (
    created timestamp with time zone,
    last_updated timestamp with time zone,
    custom_field_data jsonb NOT NULL,
    id bigint NOT NULL,
    name character varying(64) NOT NULL,
    _name character varying(100) NOT NULL,
    label character varying(64) NOT NULL,
    description character varying(200) NOT NULL,
    mark_connected boolean NOT NULL,
    type character varying(50) NOT NULL,
    feed_leg character varying(50) NOT NULL,
    _path_id bigint,
    cable_id bigint,
    device_id bigint NOT NULL,
    power_port_id bigint,
    module_id bigint,
    cable_end character varying(1) NOT NULL
);


ALTER TABLE public.dcim_poweroutlet OWNER TO netbox;

--
-- Name: dcim_poweroutlet_id_seq; Type: SEQUENCE; Schema: public; Owner: netbox
--

ALTER TABLE public.dcim_poweroutlet ALTER COLUMN id ADD GENERATED BY DEFAULT AS IDENTITY (
    SEQUENCE NAME public.dcim_poweroutlet_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1
);


--
-- Name: dcim_poweroutlettemplate; Type: TABLE; Schema: public; Owner: netbox
--

CREATE TABLE public.dcim_poweroutlettemplate (
    created timestamp with time zone,
    last_updated timestamp with time zone,
    id bigint NOT NULL,
    name character varying(64) NOT NULL,
    _name character varying(100) NOT NULL,
    label character varying(64) NOT NULL,
    description character varying(200) NOT NULL,
    type character varying(50) NOT NULL,
    feed_leg character varying(50) NOT NULL,
    device_type_id bigint,
    power_port_id bigint,
    module_type_id bigint
);


ALTER TABLE public.dcim_poweroutlettemplate OWNER TO netbox;

--
-- Name: dcim_poweroutlettemplate_id_seq; Type: SEQUENCE; Schema: public; Owner: netbox
--

ALTER TABLE public.dcim_poweroutlettemplate ALTER COLUMN id ADD GENERATED BY DEFAULT AS IDENTITY (
    SEQUENCE NAME public.dcim_poweroutlettemplate_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1
);


--
-- Name: dcim_powerpanel; Type: TABLE; Schema: public; Owner: netbox
--

CREATE TABLE public.dcim_powerpanel (
    created timestamp with time zone,
    last_updated timestamp with time zone,
    custom_field_data jsonb NOT NULL,
    id bigint NOT NULL,
    name character varying(100) NOT NULL,
    location_id bigint,
    site_id bigint NOT NULL,
    comments text NOT NULL,
    description character varying(200) NOT NULL
);


ALTER TABLE public.dcim_powerpanel OWNER TO netbox;

--
-- Name: dcim_powerpanel_id_seq; Type: SEQUENCE; Schema: public; Owner: netbox
--

ALTER TABLE public.dcim_powerpanel ALTER COLUMN id ADD GENERATED BY DEFAULT AS IDENTITY (
    SEQUENCE NAME public.dcim_powerpanel_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1
);


--
-- Name: dcim_powerport; Type: TABLE; Schema: public; Owner: netbox
--

CREATE TABLE public.dcim_powerport (
    created timestamp with time zone,
    last_updated timestamp with time zone,
    custom_field_data jsonb NOT NULL,
    id bigint NOT NULL,
    name character varying(64) NOT NULL,
    _name character varying(100) NOT NULL,
    label character varying(64) NOT NULL,
    description character varying(200) NOT NULL,
    mark_connected boolean NOT NULL,
    type character varying(50) NOT NULL,
    maximum_draw integer,
    allocated_draw integer,
    _path_id bigint,
    cable_id bigint,
    device_id bigint NOT NULL,
    module_id bigint,
    cable_end character varying(1) NOT NULL,
    CONSTRAINT dcim_powerport_allocated_draw_check CHECK ((allocated_draw >= 0)),
    CONSTRAINT dcim_powerport_maximum_draw_check CHECK ((maximum_draw >= 0))
);


ALTER TABLE public.dcim_powerport OWNER TO netbox;

--
-- Name: dcim_powerport_id_seq; Type: SEQUENCE; Schema: public; Owner: netbox
--

ALTER TABLE public.dcim_powerport ALTER COLUMN id ADD GENERATED BY DEFAULT AS IDENTITY (
    SEQUENCE NAME public.dcim_powerport_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1
);


--
-- Name: dcim_powerporttemplate; Type: TABLE; Schema: public; Owner: netbox
--

CREATE TABLE public.dcim_powerporttemplate (
    created timestamp with time zone,
    last_updated timestamp with time zone,
    id bigint NOT NULL,
    name character varying(64) NOT NULL,
    _name character varying(100) NOT NULL,
    label character varying(64) NOT NULL,
    description character varying(200) NOT NULL,
    type character varying(50) NOT NULL,
    maximum_draw integer,
    allocated_draw integer,
    device_type_id bigint,
    module_type_id bigint,
    CONSTRAINT dcim_powerporttemplate_allocated_draw_check CHECK ((allocated_draw >= 0)),
    CONSTRAINT dcim_powerporttemplate_maximum_draw_check CHECK ((maximum_draw >= 0))
);


ALTER TABLE public.dcim_powerporttemplate OWNER TO netbox;

--
-- Name: dcim_powerporttemplate_id_seq; Type: SEQUENCE; Schema: public; Owner: netbox
--

ALTER TABLE public.dcim_powerporttemplate ALTER COLUMN id ADD GENERATED BY DEFAULT AS IDENTITY (
    SEQUENCE NAME public.dcim_powerporttemplate_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1
);


--
-- Name: dcim_rack; Type: TABLE; Schema: public; Owner: netbox
--

CREATE TABLE public.dcim_rack (
    created timestamp with time zone,
    last_updated timestamp with time zone,
    custom_field_data jsonb NOT NULL,
    id bigint NOT NULL,
    name character varying(100) NOT NULL,
    _name character varying(100) NOT NULL,
    facility_id character varying(50),
    status character varying(50) NOT NULL,
    serial character varying(50) NOT NULL,
    asset_tag character varying(50),
    type character varying(50) NOT NULL,
    width smallint NOT NULL,
    u_height smallint NOT NULL,
    desc_units boolean NOT NULL,
    outer_width smallint,
    outer_depth smallint,
    outer_unit character varying(50) NOT NULL,
    comments text NOT NULL,
    location_id bigint,
    role_id bigint,
    site_id bigint NOT NULL,
    tenant_id bigint,
    weight numeric(8,2),
    max_weight integer,
    weight_unit character varying(50) NOT NULL,
    _abs_weight bigint,
    _abs_max_weight bigint,
    mounting_depth smallint,
    description character varying(200) NOT NULL,
    starting_unit smallint NOT NULL,
    CONSTRAINT dcim_rack__abs_max_weight_check CHECK ((_abs_max_weight >= 0)),
    CONSTRAINT dcim_rack__abs_weight_check CHECK ((_abs_weight >= 0)),
    CONSTRAINT dcim_rack_max_weight_check CHECK ((max_weight >= 0)),
    CONSTRAINT dcim_rack_mounting_depth_check CHECK ((mounting_depth >= 0)),
    CONSTRAINT dcim_rack_outer_depth_check CHECK ((outer_depth >= 0)),
    CONSTRAINT dcim_rack_outer_width_check CHECK ((outer_width >= 0)),
    CONSTRAINT dcim_rack_starting_unit_check CHECK ((starting_unit >= 0)),
    CONSTRAINT dcim_rack_u_height_check CHECK ((u_height >= 0)),
    CONSTRAINT dcim_rack_width_check CHECK ((width >= 0))
);


ALTER TABLE public.dcim_rack OWNER TO netbox;

--
-- Name: dcim_rack_id_seq; Type: SEQUENCE; Schema: public; Owner: netbox
--

ALTER TABLE public.dcim_rack ALTER COLUMN id ADD GENERATED BY DEFAULT AS IDENTITY (
    SEQUENCE NAME public.dcim_rack_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1
);


--
-- Name: dcim_rackreservation; Type: TABLE; Schema: public; Owner: netbox
--

CREATE TABLE public.dcim_rackreservation (
    created timestamp with time zone,
    last_updated timestamp with time zone,
    custom_field_data jsonb NOT NULL,
    id bigint NOT NULL,
    units smallint[] NOT NULL,
    description character varying(200) NOT NULL,
    rack_id bigint NOT NULL,
    tenant_id bigint,
    user_id integer NOT NULL,
    comments text NOT NULL
);


ALTER TABLE public.dcim_rackreservation OWNER TO netbox;

--
-- Name: dcim_rackreservation_id_seq; Type: SEQUENCE; Schema: public; Owner: netbox
--

ALTER TABLE public.dcim_rackreservation ALTER COLUMN id ADD GENERATED BY DEFAULT AS IDENTITY (
    SEQUENCE NAME public.dcim_rackreservation_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1
);


--
-- Name: dcim_rackrole; Type: TABLE; Schema: public; Owner: netbox
--

CREATE TABLE public.dcim_rackrole (
    created timestamp with time zone,
    last_updated timestamp with time zone,
    custom_field_data jsonb NOT NULL,
    id bigint NOT NULL,
    name character varying(100) NOT NULL,
    slug character varying(100) NOT NULL,
    color character varying(6) NOT NULL,
    description character varying(200) NOT NULL
);


ALTER TABLE public.dcim_rackrole OWNER TO netbox;

--
-- Name: dcim_rackrole_id_seq; Type: SEQUENCE; Schema: public; Owner: netbox
--

ALTER TABLE public.dcim_rackrole ALTER COLUMN id ADD GENERATED BY DEFAULT AS IDENTITY (
    SEQUENCE NAME public.dcim_rackrole_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1
);


--
-- Name: dcim_rearport; Type: TABLE; Schema: public; Owner: netbox
--

CREATE TABLE public.dcim_rearport (
    created timestamp with time zone,
    last_updated timestamp with time zone,
    custom_field_data jsonb NOT NULL,
    id bigint NOT NULL,
    name character varying(64) NOT NULL,
    _name character varying(100) NOT NULL,
    label character varying(64) NOT NULL,
    description character varying(200) NOT NULL,
    mark_connected boolean NOT NULL,
    type character varying(50) NOT NULL,
    positions smallint NOT NULL,
    cable_id bigint,
    device_id bigint NOT NULL,
    color character varying(6) NOT NULL,
    module_id bigint,
    cable_end character varying(1) NOT NULL,
    CONSTRAINT dcim_rearport_positions_check CHECK ((positions >= 0))
);


ALTER TABLE public.dcim_rearport OWNER TO netbox;

--
-- Name: dcim_rearport_id_seq; Type: SEQUENCE; Schema: public; Owner: netbox
--

ALTER TABLE public.dcim_rearport ALTER COLUMN id ADD GENERATED BY DEFAULT AS IDENTITY (
    SEQUENCE NAME public.dcim_rearport_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1
);


--
-- Name: dcim_rearporttemplate; Type: TABLE; Schema: public; Owner: netbox
--

CREATE TABLE public.dcim_rearporttemplate (
    created timestamp with time zone,
    last_updated timestamp with time zone,
    id bigint NOT NULL,
    name character varying(64) NOT NULL,
    _name character varying(100) NOT NULL,
    label character varying(64) NOT NULL,
    description character varying(200) NOT NULL,
    type character varying(50) NOT NULL,
    positions smallint NOT NULL,
    device_type_id bigint,
    color character varying(6) NOT NULL,
    module_type_id bigint,
    CONSTRAINT dcim_rearporttemplate_positions_check CHECK ((positions >= 0))
);


ALTER TABLE public.dcim_rearporttemplate OWNER TO netbox;

--
-- Name: dcim_rearporttemplate_id_seq; Type: SEQUENCE; Schema: public; Owner: netbox
--

ALTER TABLE public.dcim_rearporttemplate ALTER COLUMN id ADD GENERATED BY DEFAULT AS IDENTITY (
    SEQUENCE NAME public.dcim_rearporttemplate_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1
);


--
-- Name: dcim_region; Type: TABLE; Schema: public; Owner: netbox
--

CREATE TABLE public.dcim_region (
    created timestamp with time zone,
    last_updated timestamp with time zone,
    custom_field_data jsonb NOT NULL,
    id bigint NOT NULL,
    name character varying(100) NOT NULL,
    slug character varying(100) NOT NULL,
    description character varying(200) NOT NULL,
    lft integer NOT NULL,
    rght integer NOT NULL,
    tree_id integer NOT NULL,
    level integer NOT NULL,
    parent_id bigint,
    CONSTRAINT dcim_region_level_check CHECK ((level >= 0)),
    CONSTRAINT dcim_region_lft_check CHECK ((lft >= 0)),
    CONSTRAINT dcim_region_rght_check CHECK ((rght >= 0)),
    CONSTRAINT dcim_region_tree_id_check CHECK ((tree_id >= 0))
);


ALTER TABLE public.dcim_region OWNER TO netbox;

--
-- Name: dcim_region_id_seq; Type: SEQUENCE; Schema: public; Owner: netbox
--

ALTER TABLE public.dcim_region ALTER COLUMN id ADD GENERATED BY DEFAULT AS IDENTITY (
    SEQUENCE NAME public.dcim_region_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1
);


--
-- Name: dcim_site; Type: TABLE; Schema: public; Owner: netbox
--

CREATE TABLE public.dcim_site (
    created timestamp with time zone,
    last_updated timestamp with time zone,
    custom_field_data jsonb NOT NULL,
    id bigint NOT NULL,
    name character varying(100) NOT NULL,
    _name character varying(100) NOT NULL,
    slug character varying(100) NOT NULL,
    status character varying(50) NOT NULL,
    facility character varying(50) NOT NULL,
    time_zone character varying(63) NOT NULL,
    description character varying(200) NOT NULL,
    physical_address character varying(200) NOT NULL,
    shipping_address character varying(200) NOT NULL,
    latitude numeric(8,6),
    longitude numeric(9,6),
    comments text NOT NULL,
    group_id bigint,
    region_id bigint,
    tenant_id bigint
);


ALTER TABLE public.dcim_site OWNER TO netbox;

--
-- Name: dcim_site_asns; Type: TABLE; Schema: public; Owner: netbox
--

CREATE TABLE public.dcim_site_asns (
    id bigint NOT NULL,
    site_id bigint NOT NULL,
    asn_id bigint NOT NULL
);


ALTER TABLE public.dcim_site_asns OWNER TO netbox;

--
-- Name: dcim_site_asns_id_seq; Type: SEQUENCE; Schema: public; Owner: netbox
--

ALTER TABLE public.dcim_site_asns ALTER COLUMN id ADD GENERATED BY DEFAULT AS IDENTITY (
    SEQUENCE NAME public.dcim_site_asns_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1
);


--
-- Name: dcim_site_id_seq; Type: SEQUENCE; Schema: public; Owner: netbox
--

ALTER TABLE public.dcim_site ALTER COLUMN id ADD GENERATED BY DEFAULT AS IDENTITY (
    SEQUENCE NAME public.dcim_site_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1
);


--
-- Name: dcim_sitegroup; Type: TABLE; Schema: public; Owner: netbox
--

CREATE TABLE public.dcim_sitegroup (
    created timestamp with time zone,
    last_updated timestamp with time zone,
    custom_field_data jsonb NOT NULL,
    id bigint NOT NULL,
    name character varying(100) NOT NULL,
    slug character varying(100) NOT NULL,
    description character varying(200) NOT NULL,
    lft integer NOT NULL,
    rght integer NOT NULL,
    tree_id integer NOT NULL,
    level integer NOT NULL,
    parent_id bigint,
    CONSTRAINT dcim_sitegroup_level_check CHECK ((level >= 0)),
    CONSTRAINT dcim_sitegroup_lft_check CHECK ((lft >= 0)),
    CONSTRAINT dcim_sitegroup_rght_check CHECK ((rght >= 0)),
    CONSTRAINT dcim_sitegroup_tree_id_check CHECK ((tree_id >= 0))
);


ALTER TABLE public.dcim_sitegroup OWNER TO netbox;

--
-- Name: dcim_sitegroup_id_seq; Type: SEQUENCE; Schema: public; Owner: netbox
--

ALTER TABLE public.dcim_sitegroup ALTER COLUMN id ADD GENERATED BY DEFAULT AS IDENTITY (
    SEQUENCE NAME public.dcim_sitegroup_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1
);


--
-- Name: dcim_virtualchassis; Type: TABLE; Schema: public; Owner: netbox
--

CREATE TABLE public.dcim_virtualchassis (
    created timestamp with time zone,
    last_updated timestamp with time zone,
    custom_field_data jsonb NOT NULL,
    id bigint NOT NULL,
    name character varying(64) NOT NULL,
    domain character varying(30) NOT NULL,
    master_id bigint,
    comments text NOT NULL,
    description character varying(200) NOT NULL,
    member_count bigint NOT NULL
);


ALTER TABLE public.dcim_virtualchassis OWNER TO netbox;

--
-- Name: dcim_virtualchassis_id_seq; Type: SEQUENCE; Schema: public; Owner: netbox
--

ALTER TABLE public.dcim_virtualchassis ALTER COLUMN id ADD GENERATED BY DEFAULT AS IDENTITY (
    SEQUENCE NAME public.dcim_virtualchassis_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1
);


--
-- Name: dcim_virtualdevicecontext; Type: TABLE; Schema: public; Owner: netbox
--

CREATE TABLE public.dcim_virtualdevicecontext (
    id bigint NOT NULL,
    created timestamp with time zone,
    last_updated timestamp with time zone,
    custom_field_data jsonb NOT NULL,
    description character varying(200) NOT NULL,
    name character varying(64) NOT NULL,
    status character varying(50) NOT NULL,
    identifier smallint,
    comments text NOT NULL,
    device_id bigint,
    primary_ip4_id bigint,
    primary_ip6_id bigint,
    tenant_id bigint,
    CONSTRAINT dcim_virtualdevicecontext_identifier_check CHECK ((identifier >= 0))
);


ALTER TABLE public.dcim_virtualdevicecontext OWNER TO netbox;

--
-- Name: dcim_virtualdevicecontext_id_seq; Type: SEQUENCE; Schema: public; Owner: netbox
--

ALTER TABLE public.dcim_virtualdevicecontext ALTER COLUMN id ADD GENERATED BY DEFAULT AS IDENTITY (
    SEQUENCE NAME public.dcim_virtualdevicecontext_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1
);


--
-- Name: django_admin_log; Type: TABLE; Schema: public; Owner: netbox
--

CREATE TABLE public.django_admin_log (
    id integer NOT NULL,
    action_time timestamp with time zone NOT NULL,
    object_id text,
    object_repr character varying(200) NOT NULL,
    action_flag smallint NOT NULL,
    change_message text NOT NULL,
    content_type_id integer,
    user_id integer NOT NULL,
    CONSTRAINT django_admin_log_action_flag_check CHECK ((action_flag >= 0))
);


ALTER TABLE public.django_admin_log OWNER TO netbox;

--
-- Name: django_admin_log_id_seq; Type: SEQUENCE; Schema: public; Owner: netbox
--

ALTER TABLE public.django_admin_log ALTER COLUMN id ADD GENERATED BY DEFAULT AS IDENTITY (
    SEQUENCE NAME public.django_admin_log_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1
);


--
-- Name: django_content_type; Type: TABLE; Schema: public; Owner: netbox
--

CREATE TABLE public.django_content_type (
    id integer NOT NULL,
    app_label character varying(100) NOT NULL,
    model character varying(100) NOT NULL
);


ALTER TABLE public.django_content_type OWNER TO netbox;

--
-- Name: django_content_type_id_seq; Type: SEQUENCE; Schema: public; Owner: netbox
--

ALTER TABLE public.django_content_type ALTER COLUMN id ADD GENERATED BY DEFAULT AS IDENTITY (
    SEQUENCE NAME public.django_content_type_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1
);


--
-- Name: django_migrations; Type: TABLE; Schema: public; Owner: netbox
--

CREATE TABLE public.django_migrations (
    id bigint NOT NULL,
    app character varying(255) NOT NULL,
    name character varying(255) NOT NULL,
    applied timestamp with time zone NOT NULL
);


ALTER TABLE public.django_migrations OWNER TO netbox;

--
-- Name: django_migrations_id_seq; Type: SEQUENCE; Schema: public; Owner: netbox
--

ALTER TABLE public.django_migrations ALTER COLUMN id ADD GENERATED BY DEFAULT AS IDENTITY (
    SEQUENCE NAME public.django_migrations_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1
);


--
-- Name: django_session; Type: TABLE; Schema: public; Owner: netbox
--

CREATE TABLE public.django_session (
    session_key character varying(40) NOT NULL,
    session_data text NOT NULL,
    expire_date timestamp with time zone NOT NULL
);


ALTER TABLE public.django_session OWNER TO netbox;

--
-- Name: extras_bookmark; Type: TABLE; Schema: public; Owner: netbox
--

CREATE TABLE public.extras_bookmark (
    id bigint NOT NULL,
    created timestamp with time zone NOT NULL,
    object_id bigint NOT NULL,
    object_type_id integer NOT NULL,
    user_id integer NOT NULL,
    CONSTRAINT extras_bookmark_object_id_check CHECK ((object_id >= 0))
);


ALTER TABLE public.extras_bookmark OWNER TO netbox;

--
-- Name: extras_bookmark_id_seq; Type: SEQUENCE; Schema: public; Owner: netbox
--

ALTER TABLE public.extras_bookmark ALTER COLUMN id ADD GENERATED BY DEFAULT AS IDENTITY (
    SEQUENCE NAME public.extras_bookmark_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1
);


--
-- Name: extras_branch; Type: TABLE; Schema: public; Owner: netbox
--

CREATE TABLE public.extras_branch (
    id bigint NOT NULL,
    created timestamp with time zone,
    last_updated timestamp with time zone,
    name character varying(100) NOT NULL,
    description character varying(200) NOT NULL,
    user_id integer
);


ALTER TABLE public.extras_branch OWNER TO netbox;

--
-- Name: extras_branch_id_seq; Type: SEQUENCE; Schema: public; Owner: netbox
--

ALTER TABLE public.extras_branch ALTER COLUMN id ADD GENERATED BY DEFAULT AS IDENTITY (
    SEQUENCE NAME public.extras_branch_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1
);


--
-- Name: extras_cachedvalue; Type: TABLE; Schema: public; Owner: netbox
--

CREATE TABLE public.extras_cachedvalue (
    id uuid NOT NULL,
    "timestamp" timestamp with time zone NOT NULL,
    object_id bigint NOT NULL,
    field character varying(200) NOT NULL,
    type character varying(30) NOT NULL,
    value text NOT NULL,
    weight smallint NOT NULL,
    object_type_id integer NOT NULL,
    CONSTRAINT extras_cachedvalue_object_id_check CHECK ((object_id >= 0)),
    CONSTRAINT extras_cachedvalue_weight_check CHECK ((weight >= 0))
);


ALTER TABLE public.extras_cachedvalue OWNER TO netbox;

--
-- Name: extras_configcontext; Type: TABLE; Schema: public; Owner: netbox
--

CREATE TABLE public.extras_configcontext (
    created timestamp with time zone,
    last_updated timestamp with time zone,
    id bigint NOT NULL,
    name character varying(100) NOT NULL,
    weight smallint NOT NULL,
    description character varying(200) NOT NULL,
    is_active boolean NOT NULL,
    data jsonb NOT NULL,
    data_file_id bigint,
    data_path character varying(1000) NOT NULL,
    data_source_id bigint,
    auto_sync_enabled boolean NOT NULL,
    data_synced timestamp with time zone,
    CONSTRAINT extras_configcontext_weight_check CHECK ((weight >= 0))
);


ALTER TABLE public.extras_configcontext OWNER TO netbox;

--
-- Name: extras_configcontext_cluster_groups; Type: TABLE; Schema: public; Owner: netbox
--

CREATE TABLE public.extras_configcontext_cluster_groups (
    id bigint NOT NULL,
    configcontext_id bigint NOT NULL,
    clustergroup_id bigint NOT NULL
);


ALTER TABLE public.extras_configcontext_cluster_groups OWNER TO netbox;

--
-- Name: extras_configcontext_cluster_groups_id_seq; Type: SEQUENCE; Schema: public; Owner: netbox
--

ALTER TABLE public.extras_configcontext_cluster_groups ALTER COLUMN id ADD GENERATED BY DEFAULT AS IDENTITY (
    SEQUENCE NAME public.extras_configcontext_cluster_groups_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1
);


--
-- Name: extras_configcontext_cluster_types; Type: TABLE; Schema: public; Owner: netbox
--

CREATE TABLE public.extras_configcontext_cluster_types (
    id bigint NOT NULL,
    configcontext_id bigint NOT NULL,
    clustertype_id bigint NOT NULL
);


ALTER TABLE public.extras_configcontext_cluster_types OWNER TO netbox;

--
-- Name: extras_configcontext_cluster_types_id_seq; Type: SEQUENCE; Schema: public; Owner: netbox
--

ALTER TABLE public.extras_configcontext_cluster_types ALTER COLUMN id ADD GENERATED BY DEFAULT AS IDENTITY (
    SEQUENCE NAME public.extras_configcontext_cluster_types_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1
);


--
-- Name: extras_configcontext_clusters; Type: TABLE; Schema: public; Owner: netbox
--

CREATE TABLE public.extras_configcontext_clusters (
    id bigint NOT NULL,
    configcontext_id bigint NOT NULL,
    cluster_id bigint NOT NULL
);


ALTER TABLE public.extras_configcontext_clusters OWNER TO netbox;

--
-- Name: extras_configcontext_clusters_id_seq; Type: SEQUENCE; Schema: public; Owner: netbox
--

ALTER TABLE public.extras_configcontext_clusters ALTER COLUMN id ADD GENERATED BY DEFAULT AS IDENTITY (
    SEQUENCE NAME public.extras_configcontext_clusters_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1
);


--
-- Name: extras_configcontext_device_types; Type: TABLE; Schema: public; Owner: netbox
--

CREATE TABLE public.extras_configcontext_device_types (
    id bigint NOT NULL,
    configcontext_id bigint NOT NULL,
    devicetype_id bigint NOT NULL
);


ALTER TABLE public.extras_configcontext_device_types OWNER TO netbox;

--
-- Name: extras_configcontext_device_types_id_seq; Type: SEQUENCE; Schema: public; Owner: netbox
--

ALTER TABLE public.extras_configcontext_device_types ALTER COLUMN id ADD GENERATED BY DEFAULT AS IDENTITY (
    SEQUENCE NAME public.extras_configcontext_device_types_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1
);


--
-- Name: extras_configcontext_id_seq; Type: SEQUENCE; Schema: public; Owner: netbox
--

ALTER TABLE public.extras_configcontext ALTER COLUMN id ADD GENERATED BY DEFAULT AS IDENTITY (
    SEQUENCE NAME public.extras_configcontext_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1
);


--
-- Name: extras_configcontext_locations; Type: TABLE; Schema: public; Owner: netbox
--

CREATE TABLE public.extras_configcontext_locations (
    id bigint NOT NULL,
    configcontext_id bigint NOT NULL,
    location_id bigint NOT NULL
);


ALTER TABLE public.extras_configcontext_locations OWNER TO netbox;

--
-- Name: extras_configcontext_locations_id_seq; Type: SEQUENCE; Schema: public; Owner: netbox
--

ALTER TABLE public.extras_configcontext_locations ALTER COLUMN id ADD GENERATED BY DEFAULT AS IDENTITY (
    SEQUENCE NAME public.extras_configcontext_locations_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1
);


--
-- Name: extras_configcontext_platforms; Type: TABLE; Schema: public; Owner: netbox
--

CREATE TABLE public.extras_configcontext_platforms (
    id bigint NOT NULL,
    configcontext_id bigint NOT NULL,
    platform_id bigint NOT NULL
);


ALTER TABLE public.extras_configcontext_platforms OWNER TO netbox;

--
-- Name: extras_configcontext_platforms_id_seq; Type: SEQUENCE; Schema: public; Owner: netbox
--

ALTER TABLE public.extras_configcontext_platforms ALTER COLUMN id ADD GENERATED BY DEFAULT AS IDENTITY (
    SEQUENCE NAME public.extras_configcontext_platforms_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1
);


--
-- Name: extras_configcontext_regions; Type: TABLE; Schema: public; Owner: netbox
--

CREATE TABLE public.extras_configcontext_regions (
    id bigint NOT NULL,
    configcontext_id bigint NOT NULL,
    region_id bigint NOT NULL
);


ALTER TABLE public.extras_configcontext_regions OWNER TO netbox;

--
-- Name: extras_configcontext_regions_id_seq; Type: SEQUENCE; Schema: public; Owner: netbox
--

ALTER TABLE public.extras_configcontext_regions ALTER COLUMN id ADD GENERATED BY DEFAULT AS IDENTITY (
    SEQUENCE NAME public.extras_configcontext_regions_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1
);


--
-- Name: extras_configcontext_roles; Type: TABLE; Schema: public; Owner: netbox
--

CREATE TABLE public.extras_configcontext_roles (
    id bigint NOT NULL,
    configcontext_id bigint NOT NULL,
    devicerole_id bigint NOT NULL
);


ALTER TABLE public.extras_configcontext_roles OWNER TO netbox;

--
-- Name: extras_configcontext_roles_id_seq; Type: SEQUENCE; Schema: public; Owner: netbox
--

ALTER TABLE public.extras_configcontext_roles ALTER COLUMN id ADD GENERATED BY DEFAULT AS IDENTITY (
    SEQUENCE NAME public.extras_configcontext_roles_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1
);


--
-- Name: extras_configcontext_site_groups; Type: TABLE; Schema: public; Owner: netbox
--

CREATE TABLE public.extras_configcontext_site_groups (
    id bigint NOT NULL,
    configcontext_id bigint NOT NULL,
    sitegroup_id bigint NOT NULL
);


ALTER TABLE public.extras_configcontext_site_groups OWNER TO netbox;

--
-- Name: extras_configcontext_site_groups_id_seq; Type: SEQUENCE; Schema: public; Owner: netbox
--

ALTER TABLE public.extras_configcontext_site_groups ALTER COLUMN id ADD GENERATED BY DEFAULT AS IDENTITY (
    SEQUENCE NAME public.extras_configcontext_site_groups_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1
);


--
-- Name: extras_configcontext_sites; Type: TABLE; Schema: public; Owner: netbox
--

CREATE TABLE public.extras_configcontext_sites (
    id bigint NOT NULL,
    configcontext_id bigint NOT NULL,
    site_id bigint NOT NULL
);


ALTER TABLE public.extras_configcontext_sites OWNER TO netbox;

--
-- Name: extras_configcontext_sites_id_seq; Type: SEQUENCE; Schema: public; Owner: netbox
--

ALTER TABLE public.extras_configcontext_sites ALTER COLUMN id ADD GENERATED BY DEFAULT AS IDENTITY (
    SEQUENCE NAME public.extras_configcontext_sites_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1
);


--
-- Name: extras_configcontext_tags; Type: TABLE; Schema: public; Owner: netbox
--

CREATE TABLE public.extras_configcontext_tags (
    id bigint NOT NULL,
    configcontext_id bigint NOT NULL,
    tag_id bigint NOT NULL
);


ALTER TABLE public.extras_configcontext_tags OWNER TO netbox;

--
-- Name: extras_configcontext_tags_id_seq; Type: SEQUENCE; Schema: public; Owner: netbox
--

ALTER TABLE public.extras_configcontext_tags ALTER COLUMN id ADD GENERATED BY DEFAULT AS IDENTITY (
    SEQUENCE NAME public.extras_configcontext_tags_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1
);


--
-- Name: extras_configcontext_tenant_groups; Type: TABLE; Schema: public; Owner: netbox
--

CREATE TABLE public.extras_configcontext_tenant_groups (
    id bigint NOT NULL,
    configcontext_id bigint NOT NULL,
    tenantgroup_id bigint NOT NULL
);


ALTER TABLE public.extras_configcontext_tenant_groups OWNER TO netbox;

--
-- Name: extras_configcontext_tenant_groups_id_seq; Type: SEQUENCE; Schema: public; Owner: netbox
--

ALTER TABLE public.extras_configcontext_tenant_groups ALTER COLUMN id ADD GENERATED BY DEFAULT AS IDENTITY (
    SEQUENCE NAME public.extras_configcontext_tenant_groups_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1
);


--
-- Name: extras_configcontext_tenants; Type: TABLE; Schema: public; Owner: netbox
--

CREATE TABLE public.extras_configcontext_tenants (
    id bigint NOT NULL,
    configcontext_id bigint NOT NULL,
    tenant_id bigint NOT NULL
);


ALTER TABLE public.extras_configcontext_tenants OWNER TO netbox;

--
-- Name: extras_configcontext_tenants_id_seq; Type: SEQUENCE; Schema: public; Owner: netbox
--

ALTER TABLE public.extras_configcontext_tenants ALTER COLUMN id ADD GENERATED BY DEFAULT AS IDENTITY (
    SEQUENCE NAME public.extras_configcontext_tenants_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1
);


--
-- Name: extras_configrevision; Type: TABLE; Schema: public; Owner: netbox
--

CREATE TABLE public.extras_configrevision (
    id bigint NOT NULL,
    created timestamp with time zone NOT NULL,
    comment character varying(200) NOT NULL,
    data jsonb
);


ALTER TABLE public.extras_configrevision OWNER TO netbox;

--
-- Name: extras_configrevision_id_seq; Type: SEQUENCE; Schema: public; Owner: netbox
--

ALTER TABLE public.extras_configrevision ALTER COLUMN id ADD GENERATED BY DEFAULT AS IDENTITY (
    SEQUENCE NAME public.extras_configrevision_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1
);


--
-- Name: extras_configtemplate; Type: TABLE; Schema: public; Owner: netbox
--

CREATE TABLE public.extras_configtemplate (
    id bigint NOT NULL,
    created timestamp with time zone,
    last_updated timestamp with time zone,
    data_path character varying(1000) NOT NULL,
    data_synced timestamp with time zone,
    name character varying(100) NOT NULL,
    description character varying(200) NOT NULL,
    template_code text NOT NULL,
    environment_params jsonb,
    data_file_id bigint,
    data_source_id bigint,
    auto_sync_enabled boolean NOT NULL
);


ALTER TABLE public.extras_configtemplate OWNER TO netbox;

--
-- Name: extras_configtemplate_id_seq; Type: SEQUENCE; Schema: public; Owner: netbox
--

ALTER TABLE public.extras_configtemplate ALTER COLUMN id ADD GENERATED BY DEFAULT AS IDENTITY (
    SEQUENCE NAME public.extras_configtemplate_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1
);


--
-- Name: extras_customfield; Type: TABLE; Schema: public; Owner: netbox
--

CREATE TABLE public.extras_customfield (
    id bigint NOT NULL,
    type character varying(50) NOT NULL,
    name character varying(50) NOT NULL,
    label character varying(50) NOT NULL,
    description character varying(200) NOT NULL,
    required boolean NOT NULL,
    filter_logic character varying(50) NOT NULL,
    "default" jsonb,
    weight smallint NOT NULL,
    validation_minimum integer,
    validation_maximum integer,
    validation_regex character varying(500) NOT NULL,
    created timestamp with time zone,
    last_updated timestamp with time zone,
    object_type_id integer,
    group_name character varying(50) NOT NULL,
    ui_visibility character varying(50) NOT NULL,
    search_weight smallint NOT NULL,
    is_cloneable boolean NOT NULL,
    choice_set_id bigint,
    CONSTRAINT extras_customfield_search_weight_check CHECK ((search_weight >= 0)),
    CONSTRAINT extras_customfield_weight_check CHECK ((weight >= 0))
);


ALTER TABLE public.extras_customfield OWNER TO netbox;

--
-- Name: extras_customfield_content_types; Type: TABLE; Schema: public; Owner: netbox
--

CREATE TABLE public.extras_customfield_content_types (
    id bigint NOT NULL,
    customfield_id bigint NOT NULL,
    contenttype_id integer NOT NULL
);


ALTER TABLE public.extras_customfield_content_types OWNER TO netbox;

--
-- Name: extras_customfield_content_types_id_seq; Type: SEQUENCE; Schema: public; Owner: netbox
--

ALTER TABLE public.extras_customfield_content_types ALTER COLUMN id ADD GENERATED BY DEFAULT AS IDENTITY (
    SEQUENCE NAME public.extras_customfield_content_types_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1
);


--
-- Name: extras_customfield_id_seq; Type: SEQUENCE; Schema: public; Owner: netbox
--

ALTER TABLE public.extras_customfield ALTER COLUMN id ADD GENERATED BY DEFAULT AS IDENTITY (
    SEQUENCE NAME public.extras_customfield_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1
);


--
-- Name: extras_customfieldchoiceset; Type: TABLE; Schema: public; Owner: netbox
--

CREATE TABLE public.extras_customfieldchoiceset (
    id bigint NOT NULL,
    created timestamp with time zone,
    last_updated timestamp with time zone,
    name character varying(100) NOT NULL,
    description character varying(200) NOT NULL,
    base_choices character varying(50) NOT NULL,
    extra_choices character varying(100)[],
    order_alphabetically boolean NOT NULL
);


ALTER TABLE public.extras_customfieldchoiceset OWNER TO netbox;

--
-- Name: extras_customfieldchoiceset_id_seq; Type: SEQUENCE; Schema: public; Owner: netbox
--

ALTER TABLE public.extras_customfieldchoiceset ALTER COLUMN id ADD GENERATED BY DEFAULT AS IDENTITY (
    SEQUENCE NAME public.extras_customfieldchoiceset_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1
);


--
-- Name: extras_customlink; Type: TABLE; Schema: public; Owner: netbox
--

CREATE TABLE public.extras_customlink (
    id bigint NOT NULL,
    name character varying(100) NOT NULL,
    link_text text NOT NULL,
    link_url text NOT NULL,
    weight smallint NOT NULL,
    group_name character varying(50) NOT NULL,
    button_class character varying(30) NOT NULL,
    new_window boolean NOT NULL,
    created timestamp with time zone,
    last_updated timestamp with time zone,
    enabled boolean NOT NULL,
    CONSTRAINT extras_customlink_weight_check CHECK ((weight >= 0))
);


ALTER TABLE public.extras_customlink OWNER TO netbox;

--
-- Name: extras_customlink_content_types; Type: TABLE; Schema: public; Owner: netbox
--

CREATE TABLE public.extras_customlink_content_types (
    id bigint NOT NULL,
    customlink_id bigint NOT NULL,
    contenttype_id integer NOT NULL
);


ALTER TABLE public.extras_customlink_content_types OWNER TO netbox;

--
-- Name: extras_customlink_content_types_id_seq; Type: SEQUENCE; Schema: public; Owner: netbox
--

ALTER TABLE public.extras_customlink_content_types ALTER COLUMN id ADD GENERATED BY DEFAULT AS IDENTITY (
    SEQUENCE NAME public.extras_customlink_content_types_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1
);


--
-- Name: extras_customlink_id_seq; Type: SEQUENCE; Schema: public; Owner: netbox
--

ALTER TABLE public.extras_customlink ALTER COLUMN id ADD GENERATED BY DEFAULT AS IDENTITY (
    SEQUENCE NAME public.extras_customlink_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1
);


--
-- Name: extras_dashboard; Type: TABLE; Schema: public; Owner: netbox
--

CREATE TABLE public.extras_dashboard (
    id bigint NOT NULL,
    layout jsonb NOT NULL,
    config jsonb NOT NULL,
    user_id integer NOT NULL
);


ALTER TABLE public.extras_dashboard OWNER TO netbox;

--
-- Name: extras_dashboard_id_seq; Type: SEQUENCE; Schema: public; Owner: netbox
--

ALTER TABLE public.extras_dashboard ALTER COLUMN id ADD GENERATED BY DEFAULT AS IDENTITY (
    SEQUENCE NAME public.extras_dashboard_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1
);


--
-- Name: extras_exporttemplate; Type: TABLE; Schema: public; Owner: netbox
--

CREATE TABLE public.extras_exporttemplate (
    id bigint NOT NULL,
    name character varying(100) NOT NULL,
    description character varying(200) NOT NULL,
    template_code text NOT NULL,
    mime_type character varying(50) NOT NULL,
    file_extension character varying(15) NOT NULL,
    as_attachment boolean NOT NULL,
    created timestamp with time zone,
    last_updated timestamp with time zone,
    data_file_id bigint,
    data_path character varying(1000) NOT NULL,
    data_source_id bigint,
    auto_sync_enabled boolean NOT NULL,
    data_synced timestamp with time zone
);


ALTER TABLE public.extras_exporttemplate OWNER TO netbox;

--
-- Name: extras_exporttemplate_content_types; Type: TABLE; Schema: public; Owner: netbox
--

CREATE TABLE public.extras_exporttemplate_content_types (
    id bigint NOT NULL,
    exporttemplate_id bigint NOT NULL,
    contenttype_id integer NOT NULL
);


ALTER TABLE public.extras_exporttemplate_content_types OWNER TO netbox;

--
-- Name: extras_exporttemplate_content_types_id_seq; Type: SEQUENCE; Schema: public; Owner: netbox
--

ALTER TABLE public.extras_exporttemplate_content_types ALTER COLUMN id ADD GENERATED BY DEFAULT AS IDENTITY (
    SEQUENCE NAME public.extras_exporttemplate_content_types_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1
);


--
-- Name: extras_exporttemplate_id_seq; Type: SEQUENCE; Schema: public; Owner: netbox
--

ALTER TABLE public.extras_exporttemplate ALTER COLUMN id ADD GENERATED BY DEFAULT AS IDENTITY (
    SEQUENCE NAME public.extras_exporttemplate_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1
);


--
-- Name: extras_imageattachment; Type: TABLE; Schema: public; Owner: netbox
--

CREATE TABLE public.extras_imageattachment (
    id bigint NOT NULL,
    object_id bigint NOT NULL,
    image character varying(100) NOT NULL,
    image_height smallint NOT NULL,
    image_width smallint NOT NULL,
    name character varying(50) NOT NULL,
    created timestamp with time zone,
    content_type_id integer NOT NULL,
    last_updated timestamp with time zone,
    CONSTRAINT extras_imageattachment_image_height_check CHECK ((image_height >= 0)),
    CONSTRAINT extras_imageattachment_image_width_check CHECK ((image_width >= 0)),
    CONSTRAINT extras_imageattachment_object_id_check CHECK ((object_id >= 0))
);


ALTER TABLE public.extras_imageattachment OWNER TO netbox;

--
-- Name: extras_imageattachment_id_seq; Type: SEQUENCE; Schema: public; Owner: netbox
--

ALTER TABLE public.extras_imageattachment ALTER COLUMN id ADD GENERATED BY DEFAULT AS IDENTITY (
    SEQUENCE NAME public.extras_imageattachment_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1
);


--
-- Name: extras_journalentry; Type: TABLE; Schema: public; Owner: netbox
--

CREATE TABLE public.extras_journalentry (
    last_updated timestamp with time zone,
    id bigint NOT NULL,
    assigned_object_id bigint NOT NULL,
    created timestamp with time zone,
    kind character varying(30) NOT NULL,
    comments text NOT NULL,
    assigned_object_type_id integer NOT NULL,
    created_by_id integer,
    custom_field_data jsonb NOT NULL,
    CONSTRAINT extras_journalentry_assigned_object_id_check CHECK ((assigned_object_id >= 0))
);


ALTER TABLE public.extras_journalentry OWNER TO netbox;

--
-- Name: extras_journalentry_id_seq; Type: SEQUENCE; Schema: public; Owner: netbox
--

ALTER TABLE public.extras_journalentry ALTER COLUMN id ADD GENERATED BY DEFAULT AS IDENTITY (
    SEQUENCE NAME public.extras_journalentry_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1
);


--
-- Name: extras_objectchange; Type: TABLE; Schema: public; Owner: netbox
--

CREATE TABLE public.extras_objectchange (
    id bigint NOT NULL,
    "time" timestamp with time zone NOT NULL,
    user_name character varying(150) NOT NULL,
    request_id uuid NOT NULL,
    action character varying(50) NOT NULL,
    changed_object_id bigint NOT NULL,
    related_object_id bigint,
    object_repr character varying(200) NOT NULL,
    prechange_data jsonb,
    postchange_data jsonb,
    changed_object_type_id integer NOT NULL,
    related_object_type_id integer,
    user_id integer,
    CONSTRAINT extras_objectchange_changed_object_id_check CHECK ((changed_object_id >= 0)),
    CONSTRAINT extras_objectchange_related_object_id_check CHECK ((related_object_id >= 0))
);


ALTER TABLE public.extras_objectchange OWNER TO netbox;

--
-- Name: extras_objectchange_id_seq; Type: SEQUENCE; Schema: public; Owner: netbox
--

ALTER TABLE public.extras_objectchange ALTER COLUMN id ADD GENERATED BY DEFAULT AS IDENTITY (
    SEQUENCE NAME public.extras_objectchange_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1
);


--
-- Name: extras_savedfilter; Type: TABLE; Schema: public; Owner: netbox
--

CREATE TABLE public.extras_savedfilter (
    id bigint NOT NULL,
    created timestamp with time zone,
    last_updated timestamp with time zone,
    name character varying(100) NOT NULL,
    slug character varying(100) NOT NULL,
    description character varying(200) NOT NULL,
    weight smallint NOT NULL,
    enabled boolean NOT NULL,
    shared boolean NOT NULL,
    parameters jsonb NOT NULL,
    user_id integer,
    CONSTRAINT extras_savedfilter_weight_check CHECK ((weight >= 0))
);


ALTER TABLE public.extras_savedfilter OWNER TO netbox;

--
-- Name: extras_savedfilter_content_types; Type: TABLE; Schema: public; Owner: netbox
--

CREATE TABLE public.extras_savedfilter_content_types (
    id bigint NOT NULL,
    savedfilter_id bigint NOT NULL,
    contenttype_id integer NOT NULL
);


ALTER TABLE public.extras_savedfilter_content_types OWNER TO netbox;

--
-- Name: extras_savedfilter_content_types_id_seq; Type: SEQUENCE; Schema: public; Owner: netbox
--

ALTER TABLE public.extras_savedfilter_content_types ALTER COLUMN id ADD GENERATED BY DEFAULT AS IDENTITY (
    SEQUENCE NAME public.extras_savedfilter_content_types_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1
);


--
-- Name: extras_savedfilter_id_seq; Type: SEQUENCE; Schema: public; Owner: netbox
--

ALTER TABLE public.extras_savedfilter ALTER COLUMN id ADD GENERATED BY DEFAULT AS IDENTITY (
    SEQUENCE NAME public.extras_savedfilter_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1
);


--
-- Name: extras_stagedchange; Type: TABLE; Schema: public; Owner: netbox
--

CREATE TABLE public.extras_stagedchange (
    id bigint NOT NULL,
    created timestamp with time zone,
    last_updated timestamp with time zone,
    action character varying(20) NOT NULL,
    object_id bigint,
    data jsonb,
    branch_id bigint NOT NULL,
    object_type_id integer NOT NULL,
    CONSTRAINT extras_stagedchange_object_id_check CHECK ((object_id >= 0))
);


ALTER TABLE public.extras_stagedchange OWNER TO netbox;

--
-- Name: extras_stagedchange_id_seq; Type: SEQUENCE; Schema: public; Owner: netbox
--

ALTER TABLE public.extras_stagedchange ALTER COLUMN id ADD GENERATED BY DEFAULT AS IDENTITY (
    SEQUENCE NAME public.extras_stagedchange_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1
);


--
-- Name: extras_tag; Type: TABLE; Schema: public; Owner: netbox
--

CREATE TABLE public.extras_tag (
    name character varying(100) NOT NULL,
    slug character varying(100) NOT NULL,
    created timestamp with time zone,
    last_updated timestamp with time zone,
    id bigint NOT NULL,
    color character varying(6) NOT NULL,
    description character varying(200) NOT NULL
);


ALTER TABLE public.extras_tag OWNER TO netbox;

--
-- Name: extras_tag_id_seq; Type: SEQUENCE; Schema: public; Owner: netbox
--

ALTER TABLE public.extras_tag ALTER COLUMN id ADD GENERATED BY DEFAULT AS IDENTITY (
    SEQUENCE NAME public.extras_tag_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1
);


--
-- Name: extras_tag_object_types; Type: TABLE; Schema: public; Owner: netbox
--

CREATE TABLE public.extras_tag_object_types (
    id bigint NOT NULL,
    tag_id bigint NOT NULL,
    contenttype_id integer NOT NULL
);


ALTER TABLE public.extras_tag_object_types OWNER TO netbox;

--
-- Name: extras_tag_object_types_id_seq; Type: SEQUENCE; Schema: public; Owner: netbox
--

ALTER TABLE public.extras_tag_object_types ALTER COLUMN id ADD GENERATED BY DEFAULT AS IDENTITY (
    SEQUENCE NAME public.extras_tag_object_types_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1
);


--
-- Name: extras_taggeditem; Type: TABLE; Schema: public; Owner: netbox
--

CREATE TABLE public.extras_taggeditem (
    object_id integer NOT NULL,
    id bigint NOT NULL,
    content_type_id integer NOT NULL,
    tag_id bigint NOT NULL
);


ALTER TABLE public.extras_taggeditem OWNER TO netbox;

--
-- Name: extras_taggeditem_id_seq; Type: SEQUENCE; Schema: public; Owner: netbox
--

ALTER TABLE public.extras_taggeditem ALTER COLUMN id ADD GENERATED BY DEFAULT AS IDENTITY (
    SEQUENCE NAME public.extras_taggeditem_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1
);


--
-- Name: extras_webhook; Type: TABLE; Schema: public; Owner: netbox
--

CREATE TABLE public.extras_webhook (
    id bigint NOT NULL,
    name character varying(150) NOT NULL,
    type_create boolean NOT NULL,
    type_update boolean NOT NULL,
    type_delete boolean NOT NULL,
    payload_url character varying(500) NOT NULL,
    enabled boolean NOT NULL,
    http_method character varying(30) NOT NULL,
    http_content_type character varying(100) NOT NULL,
    additional_headers text NOT NULL,
    body_template text NOT NULL,
    secret character varying(255) NOT NULL,
    ssl_verification boolean NOT NULL,
    ca_file_path character varying(4096),
    created timestamp with time zone,
    last_updated timestamp with time zone,
    conditions jsonb,
    type_job_end boolean NOT NULL,
    type_job_start boolean NOT NULL,
    custom_field_data jsonb NOT NULL
);


ALTER TABLE public.extras_webhook OWNER TO netbox;

--
-- Name: extras_webhook_content_types; Type: TABLE; Schema: public; Owner: netbox
--

CREATE TABLE public.extras_webhook_content_types (
    id bigint NOT NULL,
    webhook_id bigint NOT NULL,
    contenttype_id integer NOT NULL
);


ALTER TABLE public.extras_webhook_content_types OWNER TO netbox;

--
-- Name: extras_webhook_content_types_id_seq; Type: SEQUENCE; Schema: public; Owner: netbox
--

ALTER TABLE public.extras_webhook_content_types ALTER COLUMN id ADD GENERATED BY DEFAULT AS IDENTITY (
    SEQUENCE NAME public.extras_webhook_content_types_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1
);


--
-- Name: extras_webhook_id_seq; Type: SEQUENCE; Schema: public; Owner: netbox
--

ALTER TABLE public.extras_webhook ALTER COLUMN id ADD GENERATED BY DEFAULT AS IDENTITY (
    SEQUENCE NAME public.extras_webhook_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1
);


--
-- Name: ipam_aggregate; Type: TABLE; Schema: public; Owner: netbox
--

CREATE TABLE public.ipam_aggregate (
    created timestamp with time zone,
    last_updated timestamp with time zone,
    custom_field_data jsonb NOT NULL,
    id bigint NOT NULL,
    prefix cidr NOT NULL,
    date_added date,
    description character varying(200) NOT NULL,
    rir_id bigint NOT NULL,
    tenant_id bigint,
    comments text NOT NULL
);


ALTER TABLE public.ipam_aggregate OWNER TO netbox;

--
-- Name: ipam_aggregate_id_seq; Type: SEQUENCE; Schema: public; Owner: netbox
--

ALTER TABLE public.ipam_aggregate ALTER COLUMN id ADD GENERATED BY DEFAULT AS IDENTITY (
    SEQUENCE NAME public.ipam_aggregate_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1
);


--
-- Name: ipam_asn; Type: TABLE; Schema: public; Owner: netbox
--

CREATE TABLE public.ipam_asn (
    created timestamp with time zone,
    last_updated timestamp with time zone,
    custom_field_data jsonb NOT NULL,
    id bigint NOT NULL,
    asn bigint NOT NULL,
    description character varying(200) NOT NULL,
    rir_id bigint NOT NULL,
    tenant_id bigint,
    comments text NOT NULL
);


ALTER TABLE public.ipam_asn OWNER TO netbox;

--
-- Name: ipam_asn_id_seq; Type: SEQUENCE; Schema: public; Owner: netbox
--

ALTER TABLE public.ipam_asn ALTER COLUMN id ADD GENERATED BY DEFAULT AS IDENTITY (
    SEQUENCE NAME public.ipam_asn_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1
);


--
-- Name: ipam_asnrange; Type: TABLE; Schema: public; Owner: netbox
--

CREATE TABLE public.ipam_asnrange (
    id bigint NOT NULL,
    created timestamp with time zone,
    last_updated timestamp with time zone,
    custom_field_data jsonb NOT NULL,
    description character varying(200) NOT NULL,
    name character varying(100) NOT NULL,
    slug character varying(100) NOT NULL,
    start bigint NOT NULL,
    "end" bigint NOT NULL,
    rir_id bigint NOT NULL,
    tenant_id bigint
);


ALTER TABLE public.ipam_asnrange OWNER TO netbox;

--
-- Name: ipam_asnrange_id_seq; Type: SEQUENCE; Schema: public; Owner: netbox
--

ALTER TABLE public.ipam_asnrange ALTER COLUMN id ADD GENERATED BY DEFAULT AS IDENTITY (
    SEQUENCE NAME public.ipam_asnrange_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1
);


--
-- Name: ipam_fhrpgroup; Type: TABLE; Schema: public; Owner: netbox
--

CREATE TABLE public.ipam_fhrpgroup (
    created timestamp with time zone,
    last_updated timestamp with time zone,
    custom_field_data jsonb NOT NULL,
    id bigint NOT NULL,
    group_id smallint NOT NULL,
    protocol character varying(50) NOT NULL,
    auth_type character varying(50) NOT NULL,
    auth_key character varying(255) NOT NULL,
    description character varying(200) NOT NULL,
    name character varying(100) NOT NULL,
    comments text NOT NULL,
    CONSTRAINT ipam_fhrpgroup_group_id_check CHECK ((group_id >= 0))
);


ALTER TABLE public.ipam_fhrpgroup OWNER TO netbox;

--
-- Name: ipam_fhrpgroup_id_seq; Type: SEQUENCE; Schema: public; Owner: netbox
--

ALTER TABLE public.ipam_fhrpgroup ALTER COLUMN id ADD GENERATED BY DEFAULT AS IDENTITY (
    SEQUENCE NAME public.ipam_fhrpgroup_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1
);


--
-- Name: ipam_fhrpgroupassignment; Type: TABLE; Schema: public; Owner: netbox
--

CREATE TABLE public.ipam_fhrpgroupassignment (
    created timestamp with time zone,
    last_updated timestamp with time zone,
    id bigint NOT NULL,
    interface_id bigint NOT NULL,
    priority smallint NOT NULL,
    group_id bigint NOT NULL,
    interface_type_id integer NOT NULL,
    CONSTRAINT ipam_fhrpgroupassignment_interface_id_check CHECK ((interface_id >= 0)),
    CONSTRAINT ipam_fhrpgroupassignment_priority_check CHECK ((priority >= 0))
);


ALTER TABLE public.ipam_fhrpgroupassignment OWNER TO netbox;

--
-- Name: ipam_fhrpgroupassignment_id_seq; Type: SEQUENCE; Schema: public; Owner: netbox
--

ALTER TABLE public.ipam_fhrpgroupassignment ALTER COLUMN id ADD GENERATED BY DEFAULT AS IDENTITY (
    SEQUENCE NAME public.ipam_fhrpgroupassignment_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1
);


--
-- Name: ipam_ipaddress; Type: TABLE; Schema: public; Owner: netbox
--

CREATE TABLE public.ipam_ipaddress (
    created timestamp with time zone,
    last_updated timestamp with time zone,
    custom_field_data jsonb NOT NULL,
    id bigint NOT NULL,
    address inet NOT NULL,
    status character varying(50) NOT NULL,
    role character varying(50) NOT NULL,
    assigned_object_id bigint,
    dns_name character varying(255) NOT NULL,
    description character varying(200) NOT NULL,
    assigned_object_type_id integer,
    nat_inside_id bigint,
    tenant_id bigint,
    vrf_id bigint,
    comments text NOT NULL,
    CONSTRAINT ipam_ipaddress_assigned_object_id_check CHECK ((assigned_object_id >= 0))
);


ALTER TABLE public.ipam_ipaddress OWNER TO netbox;

--
-- Name: ipam_ipaddress_id_seq; Type: SEQUENCE; Schema: public; Owner: netbox
--

ALTER TABLE public.ipam_ipaddress ALTER COLUMN id ADD GENERATED BY DEFAULT AS IDENTITY (
    SEQUENCE NAME public.ipam_ipaddress_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1
);


--
-- Name: ipam_iprange; Type: TABLE; Schema: public; Owner: netbox
--

CREATE TABLE public.ipam_iprange (
    created timestamp with time zone,
    last_updated timestamp with time zone,
    custom_field_data jsonb NOT NULL,
    id bigint NOT NULL,
    start_address inet NOT NULL,
    end_address inet NOT NULL,
    size integer NOT NULL,
    status character varying(50) NOT NULL,
    description character varying(200) NOT NULL,
    role_id bigint,
    tenant_id bigint,
    vrf_id bigint,
    comments text NOT NULL,
    mark_utilized boolean NOT NULL,
    CONSTRAINT ipam_iprange_size_check CHECK ((size >= 0))
);


ALTER TABLE public.ipam_iprange OWNER TO netbox;

--
-- Name: ipam_iprange_id_seq; Type: SEQUENCE; Schema: public; Owner: netbox
--

ALTER TABLE public.ipam_iprange ALTER COLUMN id ADD GENERATED BY DEFAULT AS IDENTITY (
    SEQUENCE NAME public.ipam_iprange_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1
);


--
-- Name: ipam_l2vpn; Type: TABLE; Schema: public; Owner: netbox
--

CREATE TABLE public.ipam_l2vpn (
    id bigint NOT NULL,
    created timestamp with time zone,
    last_updated timestamp with time zone,
    custom_field_data jsonb NOT NULL,
    name character varying(100) NOT NULL,
    slug character varying(100) NOT NULL,
    type character varying(50) NOT NULL,
    identifier bigint,
    description character varying(200) NOT NULL,
    tenant_id bigint,
    comments text NOT NULL
);


ALTER TABLE public.ipam_l2vpn OWNER TO netbox;

--
-- Name: ipam_l2vpn_export_targets; Type: TABLE; Schema: public; Owner: netbox
--

CREATE TABLE public.ipam_l2vpn_export_targets (
    id bigint NOT NULL,
    l2vpn_id bigint NOT NULL,
    routetarget_id bigint NOT NULL
);


ALTER TABLE public.ipam_l2vpn_export_targets OWNER TO netbox;

--
-- Name: ipam_l2vpn_export_targets_id_seq; Type: SEQUENCE; Schema: public; Owner: netbox
--

ALTER TABLE public.ipam_l2vpn_export_targets ALTER COLUMN id ADD GENERATED BY DEFAULT AS IDENTITY (
    SEQUENCE NAME public.ipam_l2vpn_export_targets_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1
);


--
-- Name: ipam_l2vpn_id_seq; Type: SEQUENCE; Schema: public; Owner: netbox
--

ALTER TABLE public.ipam_l2vpn ALTER COLUMN id ADD GENERATED BY DEFAULT AS IDENTITY (
    SEQUENCE NAME public.ipam_l2vpn_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1
);


--
-- Name: ipam_l2vpn_import_targets; Type: TABLE; Schema: public; Owner: netbox
--

CREATE TABLE public.ipam_l2vpn_import_targets (
    id bigint NOT NULL,
    l2vpn_id bigint NOT NULL,
    routetarget_id bigint NOT NULL
);


ALTER TABLE public.ipam_l2vpn_import_targets OWNER TO netbox;

--
-- Name: ipam_l2vpn_import_targets_id_seq; Type: SEQUENCE; Schema: public; Owner: netbox
--

ALTER TABLE public.ipam_l2vpn_import_targets ALTER COLUMN id ADD GENERATED BY DEFAULT AS IDENTITY (
    SEQUENCE NAME public.ipam_l2vpn_import_targets_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1
);


--
-- Name: ipam_l2vpntermination; Type: TABLE; Schema: public; Owner: netbox
--

CREATE TABLE public.ipam_l2vpntermination (
    id bigint NOT NULL,
    created timestamp with time zone,
    last_updated timestamp with time zone,
    custom_field_data jsonb NOT NULL,
    assigned_object_id bigint NOT NULL,
    assigned_object_type_id integer NOT NULL,
    l2vpn_id bigint NOT NULL,
    CONSTRAINT ipam_l2vpntermination_assigned_object_id_check CHECK ((assigned_object_id >= 0))
);


ALTER TABLE public.ipam_l2vpntermination OWNER TO netbox;

--
-- Name: ipam_l2vpntermination_id_seq; Type: SEQUENCE; Schema: public; Owner: netbox
--

ALTER TABLE public.ipam_l2vpntermination ALTER COLUMN id ADD GENERATED BY DEFAULT AS IDENTITY (
    SEQUENCE NAME public.ipam_l2vpntermination_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1
);


--
-- Name: ipam_prefix; Type: TABLE; Schema: public; Owner: netbox
--

CREATE TABLE public.ipam_prefix (
    created timestamp with time zone,
    last_updated timestamp with time zone,
    custom_field_data jsonb NOT NULL,
    id bigint NOT NULL,
    prefix cidr NOT NULL,
    status character varying(50) NOT NULL,
    is_pool boolean NOT NULL,
    description character varying(200) NOT NULL,
    role_id bigint,
    site_id bigint,
    tenant_id bigint,
    vlan_id bigint,
    vrf_id bigint,
    _children bigint NOT NULL,
    _depth smallint NOT NULL,
    mark_utilized boolean NOT NULL,
    comments text NOT NULL,
    CONSTRAINT ipam_prefix__children_check CHECK ((_children >= 0)),
    CONSTRAINT ipam_prefix__depth_check CHECK ((_depth >= 0))
);


ALTER TABLE public.ipam_prefix OWNER TO netbox;

--
-- Name: ipam_prefix_id_seq; Type: SEQUENCE; Schema: public; Owner: netbox
--

ALTER TABLE public.ipam_prefix ALTER COLUMN id ADD GENERATED BY DEFAULT AS IDENTITY (
    SEQUENCE NAME public.ipam_prefix_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1
);


--
-- Name: ipam_rir; Type: TABLE; Schema: public; Owner: netbox
--

CREATE TABLE public.ipam_rir (
    created timestamp with time zone,
    last_updated timestamp with time zone,
    custom_field_data jsonb NOT NULL,
    id bigint NOT NULL,
    name character varying(100) NOT NULL,
    slug character varying(100) NOT NULL,
    is_private boolean NOT NULL,
    description character varying(200) NOT NULL
);


ALTER TABLE public.ipam_rir OWNER TO netbox;

--
-- Name: ipam_rir_id_seq; Type: SEQUENCE; Schema: public; Owner: netbox
--

ALTER TABLE public.ipam_rir ALTER COLUMN id ADD GENERATED BY DEFAULT AS IDENTITY (
    SEQUENCE NAME public.ipam_rir_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1
);


--
-- Name: ipam_role; Type: TABLE; Schema: public; Owner: netbox
--

CREATE TABLE public.ipam_role (
    created timestamp with time zone,
    last_updated timestamp with time zone,
    custom_field_data jsonb NOT NULL,
    id bigint NOT NULL,
    name character varying(100) NOT NULL,
    slug character varying(100) NOT NULL,
    weight smallint NOT NULL,
    description character varying(200) NOT NULL,
    CONSTRAINT ipam_role_weight_check CHECK ((weight >= 0))
);


ALTER TABLE public.ipam_role OWNER TO netbox;

--
-- Name: ipam_role_id_seq; Type: SEQUENCE; Schema: public; Owner: netbox
--

ALTER TABLE public.ipam_role ALTER COLUMN id ADD GENERATED BY DEFAULT AS IDENTITY (
    SEQUENCE NAME public.ipam_role_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1
);


--
-- Name: ipam_routetarget; Type: TABLE; Schema: public; Owner: netbox
--

CREATE TABLE public.ipam_routetarget (
    created timestamp with time zone,
    last_updated timestamp with time zone,
    custom_field_data jsonb NOT NULL,
    id bigint NOT NULL,
    name character varying(21) NOT NULL,
    description character varying(200) NOT NULL,
    tenant_id bigint,
    comments text NOT NULL
);


ALTER TABLE public.ipam_routetarget OWNER TO netbox;

--
-- Name: ipam_routetarget_id_seq; Type: SEQUENCE; Schema: public; Owner: netbox
--

ALTER TABLE public.ipam_routetarget ALTER COLUMN id ADD GENERATED BY DEFAULT AS IDENTITY (
    SEQUENCE NAME public.ipam_routetarget_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1
);


--
-- Name: ipam_service; Type: TABLE; Schema: public; Owner: netbox
--

CREATE TABLE public.ipam_service (
    created timestamp with time zone,
    last_updated timestamp with time zone,
    custom_field_data jsonb NOT NULL,
    id bigint NOT NULL,
    name character varying(100) NOT NULL,
    protocol character varying(50) NOT NULL,
    ports integer[] NOT NULL,
    description character varying(200) NOT NULL,
    device_id bigint,
    virtual_machine_id bigint,
    comments text NOT NULL
);


ALTER TABLE public.ipam_service OWNER TO netbox;

--
-- Name: ipam_service_id_seq; Type: SEQUENCE; Schema: public; Owner: netbox
--

ALTER TABLE public.ipam_service ALTER COLUMN id ADD GENERATED BY DEFAULT AS IDENTITY (
    SEQUENCE NAME public.ipam_service_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1
);


--
-- Name: ipam_service_ipaddresses; Type: TABLE; Schema: public; Owner: netbox
--

CREATE TABLE public.ipam_service_ipaddresses (
    id bigint NOT NULL,
    service_id bigint NOT NULL,
    ipaddress_id bigint NOT NULL
);


ALTER TABLE public.ipam_service_ipaddresses OWNER TO netbox;

--
-- Name: ipam_service_ipaddresses_id_seq; Type: SEQUENCE; Schema: public; Owner: netbox
--

ALTER TABLE public.ipam_service_ipaddresses ALTER COLUMN id ADD GENERATED BY DEFAULT AS IDENTITY (
    SEQUENCE NAME public.ipam_service_ipaddresses_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1
);


--
-- Name: ipam_servicetemplate; Type: TABLE; Schema: public; Owner: netbox
--

CREATE TABLE public.ipam_servicetemplate (
    created timestamp with time zone,
    last_updated timestamp with time zone,
    custom_field_data jsonb NOT NULL,
    id bigint NOT NULL,
    protocol character varying(50) NOT NULL,
    ports integer[] NOT NULL,
    description character varying(200) NOT NULL,
    name character varying(100) NOT NULL,
    comments text NOT NULL
);


ALTER TABLE public.ipam_servicetemplate OWNER TO netbox;

--
-- Name: ipam_servicetemplate_id_seq; Type: SEQUENCE; Schema: public; Owner: netbox
--

ALTER TABLE public.ipam_servicetemplate ALTER COLUMN id ADD GENERATED BY DEFAULT AS IDENTITY (
    SEQUENCE NAME public.ipam_servicetemplate_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1
);


--
-- Name: ipam_vlan; Type: TABLE; Schema: public; Owner: netbox
--

CREATE TABLE public.ipam_vlan (
    created timestamp with time zone,
    last_updated timestamp with time zone,
    custom_field_data jsonb NOT NULL,
    id bigint NOT NULL,
    vid smallint NOT NULL,
    name character varying(64) NOT NULL,
    status character varying(50) NOT NULL,
    description character varying(200) NOT NULL,
    group_id bigint,
    role_id bigint,
    site_id bigint,
    tenant_id bigint,
    comments text NOT NULL,
    CONSTRAINT ipam_vlan_vid_check CHECK ((vid >= 0))
);


ALTER TABLE public.ipam_vlan OWNER TO netbox;

--
-- Name: ipam_vlan_id_seq; Type: SEQUENCE; Schema: public; Owner: netbox
--

ALTER TABLE public.ipam_vlan ALTER COLUMN id ADD GENERATED BY DEFAULT AS IDENTITY (
    SEQUENCE NAME public.ipam_vlan_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1
);


--
-- Name: ipam_vlangroup; Type: TABLE; Schema: public; Owner: netbox
--

CREATE TABLE public.ipam_vlangroup (
    created timestamp with time zone,
    last_updated timestamp with time zone,
    custom_field_data jsonb NOT NULL,
    id bigint NOT NULL,
    name character varying(100) NOT NULL,
    slug character varying(100) NOT NULL,
    scope_id bigint,
    description character varying(200) NOT NULL,
    scope_type_id integer,
    max_vid smallint NOT NULL,
    min_vid smallint NOT NULL,
    CONSTRAINT ipam_vlangroup_max_vid_check CHECK ((max_vid >= 0)),
    CONSTRAINT ipam_vlangroup_min_vid_check CHECK ((min_vid >= 0)),
    CONSTRAINT ipam_vlangroup_scope_id_check CHECK ((scope_id >= 0))
);


ALTER TABLE public.ipam_vlangroup OWNER TO netbox;

--
-- Name: ipam_vlangroup_id_seq; Type: SEQUENCE; Schema: public; Owner: netbox
--

ALTER TABLE public.ipam_vlangroup ALTER COLUMN id ADD GENERATED BY DEFAULT AS IDENTITY (
    SEQUENCE NAME public.ipam_vlangroup_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1
);


--
-- Name: ipam_vrf; Type: TABLE; Schema: public; Owner: netbox
--

CREATE TABLE public.ipam_vrf (
    created timestamp with time zone,
    last_updated timestamp with time zone,
    custom_field_data jsonb NOT NULL,
    id bigint NOT NULL,
    name character varying(100) NOT NULL,
    rd character varying(21),
    enforce_unique boolean NOT NULL,
    description character varying(200) NOT NULL,
    tenant_id bigint,
    comments text NOT NULL
);


ALTER TABLE public.ipam_vrf OWNER TO netbox;

--
-- Name: ipam_vrf_export_targets; Type: TABLE; Schema: public; Owner: netbox
--

CREATE TABLE public.ipam_vrf_export_targets (
    id bigint NOT NULL,
    vrf_id bigint NOT NULL,
    routetarget_id bigint NOT NULL
);


ALTER TABLE public.ipam_vrf_export_targets OWNER TO netbox;

--
-- Name: ipam_vrf_export_targets_id_seq; Type: SEQUENCE; Schema: public; Owner: netbox
--

ALTER TABLE public.ipam_vrf_export_targets ALTER COLUMN id ADD GENERATED BY DEFAULT AS IDENTITY (
    SEQUENCE NAME public.ipam_vrf_export_targets_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1
);


--
-- Name: ipam_vrf_id_seq; Type: SEQUENCE; Schema: public; Owner: netbox
--

ALTER TABLE public.ipam_vrf ALTER COLUMN id ADD GENERATED BY DEFAULT AS IDENTITY (
    SEQUENCE NAME public.ipam_vrf_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1
);


--
-- Name: ipam_vrf_import_targets; Type: TABLE; Schema: public; Owner: netbox
--

CREATE TABLE public.ipam_vrf_import_targets (
    id bigint NOT NULL,
    vrf_id bigint NOT NULL,
    routetarget_id bigint NOT NULL
);


ALTER TABLE public.ipam_vrf_import_targets OWNER TO netbox;

--
-- Name: ipam_vrf_import_targets_id_seq; Type: SEQUENCE; Schema: public; Owner: netbox
--

ALTER TABLE public.ipam_vrf_import_targets ALTER COLUMN id ADD GENERATED BY DEFAULT AS IDENTITY (
    SEQUENCE NAME public.ipam_vrf_import_targets_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1
);


--
-- Name: netbox_cert_plugin_certificate; Type: TABLE; Schema: public; Owner: netbox
--

CREATE TABLE public.netbox_cert_plugin_certificate (
    id bigint NOT NULL,
    created timestamp with time zone,
    last_updated timestamp with time zone,
    custom_field_data jsonb NOT NULL,
    cn character varying(256) NOT NULL,
    ca character varying(32) NOT NULL,
    expiration_time character varying(2) NOT NULL,
    cert_created_at date,
    cert_expired_at date,
    alt_name character varying(256)[],
    state character varying(32) NOT NULL,
    content text,
    vault_url character varying(256)
);


ALTER TABLE public.netbox_cert_plugin_certificate OWNER TO netbox;

--
-- Name: netbox_cert_plugin_certificate_id_seq; Type: SEQUENCE; Schema: public; Owner: netbox
--

ALTER TABLE public.netbox_cert_plugin_certificate ALTER COLUMN id ADD GENERATED BY DEFAULT AS IDENTITY (
    SEQUENCE NAME public.netbox_cert_plugin_certificate_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1
);


--
-- Name: netbox_dns_nameserver; Type: TABLE; Schema: public; Owner: netbox
--

CREATE TABLE public.netbox_dns_nameserver (
    id bigint NOT NULL,
    created timestamp with time zone,
    last_updated timestamp with time zone,
    custom_field_data jsonb NOT NULL,
    name character varying(255) NOT NULL,
    description character varying(200) NOT NULL,
    tenant_id bigint
);


ALTER TABLE public.netbox_dns_nameserver OWNER TO netbox;

--
-- Name: netbox_dns_nameserver_id_seq; Type: SEQUENCE; Schema: public; Owner: netbox
--

ALTER TABLE public.netbox_dns_nameserver ALTER COLUMN id ADD GENERATED BY DEFAULT AS IDENTITY (
    SEQUENCE NAME public.netbox_dns_nameserver_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1
);


--
-- Name: netbox_dns_record; Type: TABLE; Schema: public; Owner: netbox
--

CREATE TABLE public.netbox_dns_record (
    id bigint NOT NULL,
    created timestamp with time zone,
    last_updated timestamp with time zone,
    custom_field_data jsonb NOT NULL,
    type character varying(10) NOT NULL,
    name character varying(255) NOT NULL,
    value character varying(65535) NOT NULL,
    ttl integer,
    zone_id bigint NOT NULL,
    status character varying(50) NOT NULL,
    description character varying(200) NOT NULL,
    managed boolean NOT NULL,
    disable_ptr boolean NOT NULL,
    ptr_record_id bigint,
    ip_address inet,
    tenant_id bigint,
    CONSTRAINT netbox_dns_record_ttl_check CHECK ((ttl >= 0))
);


ALTER TABLE public.netbox_dns_record OWNER TO netbox;

--
-- Name: netbox_dns_record_id_seq; Type: SEQUENCE; Schema: public; Owner: netbox
--

ALTER TABLE public.netbox_dns_record ALTER COLUMN id ADD GENERATED BY DEFAULT AS IDENTITY (
    SEQUENCE NAME public.netbox_dns_record_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1
);


--
-- Name: netbox_dns_view; Type: TABLE; Schema: public; Owner: netbox
--

CREATE TABLE public.netbox_dns_view (
    id bigint NOT NULL,
    created timestamp with time zone,
    last_updated timestamp with time zone,
    custom_field_data jsonb NOT NULL,
    name character varying(255) NOT NULL,
    description character varying(200) NOT NULL,
    tenant_id bigint
);


ALTER TABLE public.netbox_dns_view OWNER TO netbox;

--
-- Name: netbox_dns_view_id_seq; Type: SEQUENCE; Schema: public; Owner: netbox
--

ALTER TABLE public.netbox_dns_view ALTER COLUMN id ADD GENERATED BY DEFAULT AS IDENTITY (
    SEQUENCE NAME public.netbox_dns_view_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1
);


--
-- Name: netbox_dns_zone; Type: TABLE; Schema: public; Owner: netbox
--

CREATE TABLE public.netbox_dns_zone (
    id bigint NOT NULL,
    created timestamp with time zone,
    last_updated timestamp with time zone,
    custom_field_data jsonb NOT NULL,
    name character varying(255) NOT NULL,
    status character varying(50) NOT NULL,
    description character varying(200) NOT NULL,
    view_id bigint,
    default_ttl integer NOT NULL,
    soa_expire integer NOT NULL,
    soa_minimum integer NOT NULL,
    soa_mname_id bigint NOT NULL,
    soa_refresh integer NOT NULL,
    soa_retry integer NOT NULL,
    soa_rname character varying(255) NOT NULL,
    soa_serial bigint,
    soa_ttl integer NOT NULL,
    soa_serial_auto boolean NOT NULL,
    arpa_network cidr,
    tenant_id bigint,
    CONSTRAINT netbox_dns_zone_default_ttl_check CHECK ((default_ttl >= 0)),
    CONSTRAINT netbox_dns_zone_soa_expire_check CHECK ((soa_expire >= 0)),
    CONSTRAINT netbox_dns_zone_soa_minimum_check CHECK ((soa_minimum >= 0)),
    CONSTRAINT netbox_dns_zone_soa_refresh_check CHECK ((soa_refresh >= 0)),
    CONSTRAINT netbox_dns_zone_soa_retry_check CHECK ((soa_retry >= 0)),
    CONSTRAINT netbox_dns_zone_soa_ttl_check CHECK ((soa_ttl >= 0))
);


ALTER TABLE public.netbox_dns_zone OWNER TO netbox;

--
-- Name: netbox_dns_zone_id_seq; Type: SEQUENCE; Schema: public; Owner: netbox
--

ALTER TABLE public.netbox_dns_zone ALTER COLUMN id ADD GENERATED BY DEFAULT AS IDENTITY (
    SEQUENCE NAME public.netbox_dns_zone_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1
);


--
-- Name: netbox_dns_zone_nameservers; Type: TABLE; Schema: public; Owner: netbox
--

CREATE TABLE public.netbox_dns_zone_nameservers (
    id bigint NOT NULL,
    zone_id bigint NOT NULL,
    nameserver_id bigint NOT NULL
);


ALTER TABLE public.netbox_dns_zone_nameservers OWNER TO netbox;

--
-- Name: netbox_dns_zone_nameservers_id_seq; Type: SEQUENCE; Schema: public; Owner: netbox
--

ALTER TABLE public.netbox_dns_zone_nameservers ALTER COLUMN id ADD GENERATED BY DEFAULT AS IDENTITY (
    SEQUENCE NAME public.netbox_dns_zone_nameservers_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1
);


--
-- Name: netbox_docker_plugin_bind; Type: TABLE; Schema: public; Owner: netbox
--

CREATE TABLE public.netbox_docker_plugin_bind (
    id bigint NOT NULL,
    host_path character varying(1024) NOT NULL,
    container_path character varying(1024) NOT NULL,
    container_id bigint NOT NULL,
    read_only boolean NOT NULL
);


ALTER TABLE public.netbox_docker_plugin_bind OWNER TO netbox;

--
-- Name: netbox_docker_plugin_bind_id_seq; Type: SEQUENCE; Schema: public; Owner: netbox
--

ALTER TABLE public.netbox_docker_plugin_bind ALTER COLUMN id ADD GENERATED BY DEFAULT AS IDENTITY (
    SEQUENCE NAME public.netbox_docker_plugin_bind_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1
);


--
-- Name: netbox_docker_plugin_container; Type: TABLE; Schema: public; Owner: netbox
--

CREATE TABLE public.netbox_docker_plugin_container (
    id bigint NOT NULL,
    name character varying(255) NOT NULL,
    state character varying(32) NOT NULL,
    status character varying(1024),
    host_id bigint NOT NULL,
    image_id bigint NOT NULL,
    created timestamp with time zone,
    last_updated timestamp with time zone,
    custom_field_data jsonb NOT NULL,
    "ContainerID" character varying(128),
    operation character varying(32) NOT NULL,
    hostname character varying(256),
    restart_policy character varying(32) NOT NULL,
    cap_add character varying(32)[]
);


ALTER TABLE public.netbox_docker_plugin_container OWNER TO netbox;

--
-- Name: netbox_docker_plugin_container_id_seq; Type: SEQUENCE; Schema: public; Owner: netbox
--

ALTER TABLE public.netbox_docker_plugin_container ALTER COLUMN id ADD GENERATED BY DEFAULT AS IDENTITY (
    SEQUENCE NAME public.netbox_docker_plugin_container_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1
);


--
-- Name: netbox_docker_plugin_device; Type: TABLE; Schema: public; Owner: netbox
--

CREATE TABLE public.netbox_docker_plugin_device (
    id bigint NOT NULL,
    host_path character varying(1024) NOT NULL,
    container_path character varying(1024) NOT NULL,
    container_id bigint NOT NULL
);


ALTER TABLE public.netbox_docker_plugin_device OWNER TO netbox;

--
-- Name: netbox_docker_plugin_device_id_seq; Type: SEQUENCE; Schema: public; Owner: netbox
--

ALTER TABLE public.netbox_docker_plugin_device ALTER COLUMN id ADD GENERATED BY DEFAULT AS IDENTITY (
    SEQUENCE NAME public.netbox_docker_plugin_device_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1
);


--
-- Name: netbox_docker_plugin_env; Type: TABLE; Schema: public; Owner: netbox
--

CREATE TABLE public.netbox_docker_plugin_env (
    id bigint NOT NULL,
    var_name character varying(255) NOT NULL,
    value character varying(4096) NOT NULL,
    container_id bigint NOT NULL
);


ALTER TABLE public.netbox_docker_plugin_env OWNER TO netbox;

--
-- Name: netbox_docker_plugin_env_id_seq; Type: SEQUENCE; Schema: public; Owner: netbox
--

ALTER TABLE public.netbox_docker_plugin_env ALTER COLUMN id ADD GENERATED BY DEFAULT AS IDENTITY (
    SEQUENCE NAME public.netbox_docker_plugin_env_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1
);


--
-- Name: netbox_docker_plugin_host; Type: TABLE; Schema: public; Owner: netbox
--

CREATE TABLE public.netbox_docker_plugin_host (
    id bigint NOT NULL,
    endpoint character varying(1024) NOT NULL,
    name character varying(255) NOT NULL,
    created timestamp with time zone,
    last_updated timestamp with time zone,
    custom_field_data jsonb NOT NULL,
    token_id bigint,
    state character varying(32) NOT NULL,
    netbox_base_url character varying(1024),
    agent_version character varying(32),
    docker_api_version character varying(32)
);


ALTER TABLE public.netbox_docker_plugin_host OWNER TO netbox;

--
-- Name: netbox_docker_plugin_host_id_seq; Type: SEQUENCE; Schema: public; Owner: netbox
--

ALTER TABLE public.netbox_docker_plugin_host ALTER COLUMN id ADD GENERATED BY DEFAULT AS IDENTITY (
    SEQUENCE NAME public.netbox_docker_plugin_host_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1
);


--
-- Name: netbox_docker_plugin_image; Type: TABLE; Schema: public; Owner: netbox
--

CREATE TABLE public.netbox_docker_plugin_image (
    id bigint NOT NULL,
    name character varying(255) NOT NULL,
    version character varying(256) NOT NULL,
    host_id bigint NOT NULL,
    created timestamp with time zone,
    last_updated timestamp with time zone,
    custom_field_data jsonb NOT NULL,
    size integer NOT NULL,
    "ImageID" character varying(128),
    registry_id bigint NOT NULL,
    "Digest" character varying(512)
);


ALTER TABLE public.netbox_docker_plugin_image OWNER TO netbox;

--
-- Name: netbox_docker_plugin_image_id_seq; Type: SEQUENCE; Schema: public; Owner: netbox
--

ALTER TABLE public.netbox_docker_plugin_image ALTER COLUMN id ADD GENERATED BY DEFAULT AS IDENTITY (
    SEQUENCE NAME public.netbox_docker_plugin_image_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1
);


--
-- Name: netbox_docker_plugin_label; Type: TABLE; Schema: public; Owner: netbox
--

CREATE TABLE public.netbox_docker_plugin_label (
    id bigint NOT NULL,
    key character varying(255) NOT NULL,
    value character varying(4095) NOT NULL,
    container_id bigint NOT NULL
);


ALTER TABLE public.netbox_docker_plugin_label OWNER TO netbox;

--
-- Name: netbox_docker_plugin_label_id_seq; Type: SEQUENCE; Schema: public; Owner: netbox
--

ALTER TABLE public.netbox_docker_plugin_label ALTER COLUMN id ADD GENERATED BY DEFAULT AS IDENTITY (
    SEQUENCE NAME public.netbox_docker_plugin_label_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1
);


--
-- Name: netbox_docker_plugin_mount; Type: TABLE; Schema: public; Owner: netbox
--

CREATE TABLE public.netbox_docker_plugin_mount (
    id bigint NOT NULL,
    source character varying(1024) NOT NULL,
    container_id bigint NOT NULL,
    volume_id bigint NOT NULL,
    read_only boolean NOT NULL
);


ALTER TABLE public.netbox_docker_plugin_mount OWNER TO netbox;

--
-- Name: netbox_docker_plugin_mount_id_seq; Type: SEQUENCE; Schema: public; Owner: netbox
--

ALTER TABLE public.netbox_docker_plugin_mount ALTER COLUMN id ADD GENERATED BY DEFAULT AS IDENTITY (
    SEQUENCE NAME public.netbox_docker_plugin_mount_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1
);


--
-- Name: netbox_docker_plugin_network; Type: TABLE; Schema: public; Owner: netbox
--

CREATE TABLE public.netbox_docker_plugin_network (
    id bigint NOT NULL,
    name character varying(255) NOT NULL,
    driver character varying(32),
    host_id bigint NOT NULL,
    created timestamp with time zone,
    last_updated timestamp with time zone,
    custom_field_data jsonb NOT NULL,
    "NetworkID" character varying(128),
    state character varying(32) NOT NULL
);


ALTER TABLE public.netbox_docker_plugin_network OWNER TO netbox;

--
-- Name: netbox_docker_plugin_network_id_seq; Type: SEQUENCE; Schema: public; Owner: netbox
--

ALTER TABLE public.netbox_docker_plugin_network ALTER COLUMN id ADD GENERATED BY DEFAULT AS IDENTITY (
    SEQUENCE NAME public.netbox_docker_plugin_network_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1
);


--
-- Name: netbox_docker_plugin_networksetting; Type: TABLE; Schema: public; Owner: netbox
--

CREATE TABLE public.netbox_docker_plugin_networksetting (
    id bigint NOT NULL,
    container_id bigint NOT NULL,
    network_id bigint NOT NULL
);


ALTER TABLE public.netbox_docker_plugin_networksetting OWNER TO netbox;

--
-- Name: netbox_docker_plugin_networksetting_id_seq; Type: SEQUENCE; Schema: public; Owner: netbox
--

ALTER TABLE public.netbox_docker_plugin_networksetting ALTER COLUMN id ADD GENERATED BY DEFAULT AS IDENTITY (
    SEQUENCE NAME public.netbox_docker_plugin_networksetting_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1
);


--
-- Name: netbox_docker_plugin_port; Type: TABLE; Schema: public; Owner: netbox
--

CREATE TABLE public.netbox_docker_plugin_port (
    id bigint NOT NULL,
    private_port integer NOT NULL,
    public_port integer NOT NULL,
    type character varying(3) NOT NULL,
    container_id bigint NOT NULL
);


ALTER TABLE public.netbox_docker_plugin_port OWNER TO netbox;

--
-- Name: netbox_docker_plugin_port_id_seq; Type: SEQUENCE; Schema: public; Owner: netbox
--

ALTER TABLE public.netbox_docker_plugin_port ALTER COLUMN id ADD GENERATED BY DEFAULT AS IDENTITY (
    SEQUENCE NAME public.netbox_docker_plugin_port_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1
);


--
-- Name: netbox_docker_plugin_registry; Type: TABLE; Schema: public; Owner: netbox
--

CREATE TABLE public.netbox_docker_plugin_registry (
    id bigint NOT NULL,
    created timestamp with time zone,
    last_updated timestamp with time zone,
    custom_field_data jsonb NOT NULL,
    name character varying(255) NOT NULL,
    serveraddress character varying(200) NOT NULL,
    username character varying(512),
    password character varying(512),
    email character varying(512),
    host_id bigint NOT NULL
);


ALTER TABLE public.netbox_docker_plugin_registry OWNER TO netbox;

--
-- Name: netbox_docker_plugin_registry_id_seq; Type: SEQUENCE; Schema: public; Owner: netbox
--

ALTER TABLE public.netbox_docker_plugin_registry ALTER COLUMN id ADD GENERATED BY DEFAULT AS IDENTITY (
    SEQUENCE NAME public.netbox_docker_plugin_registry_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1
);


--
-- Name: netbox_docker_plugin_volume; Type: TABLE; Schema: public; Owner: netbox
--

CREATE TABLE public.netbox_docker_plugin_volume (
    id bigint NOT NULL,
    name character varying(255) NOT NULL,
    driver character varying(32) NOT NULL,
    host_id bigint NOT NULL,
    created timestamp with time zone,
    last_updated timestamp with time zone,
    custom_field_data jsonb NOT NULL
);


ALTER TABLE public.netbox_docker_plugin_volume OWNER TO netbox;

--
-- Name: netbox_docker_plugin_volume_id_seq; Type: SEQUENCE; Schema: public; Owner: netbox
--

ALTER TABLE public.netbox_docker_plugin_volume ALTER COLUMN id ADD GENERATED BY DEFAULT AS IDENTITY (
    SEQUENCE NAME public.netbox_docker_plugin_volume_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1
);


--
-- Name: netbox_rps_plugin_acldeniedsource; Type: TABLE; Schema: public; Owner: netbox
--

CREATE TABLE public.netbox_rps_plugin_acldeniedsource (
    custom_field_data jsonb NOT NULL,
    id integer NOT NULL,
    acl_source inet NOT NULL,
    last_updated timestamp with time zone NOT NULL,
    created timestamp with time zone NOT NULL,
    mapping_id bigint NOT NULL
);


ALTER TABLE public.netbox_rps_plugin_acldeniedsource OWNER TO netbox;

--
-- Name: netbox_rps_plugin_acldeniedsource_id_seq; Type: SEQUENCE; Schema: public; Owner: netbox
--

ALTER TABLE public.netbox_rps_plugin_acldeniedsource ALTER COLUMN id ADD GENERATED BY DEFAULT AS IDENTITY (
    SEQUENCE NAME public.netbox_rps_plugin_acldeniedsource_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1
);


--
-- Name: netbox_rps_plugin_cacheconfig; Type: TABLE; Schema: public; Owner: netbox
--

CREATE TABLE public.netbox_rps_plugin_cacheconfig (
    custom_field_data jsonb NOT NULL,
    id integer NOT NULL,
    list_extensions character varying[] NOT NULL,
    ttl integer NOT NULL,
    max_size_limit integer NOT NULL,
    last_updated timestamp with time zone NOT NULL,
    created timestamp with time zone NOT NULL,
    mapping_id bigint NOT NULL
);


ALTER TABLE public.netbox_rps_plugin_cacheconfig OWNER TO netbox;

--
-- Name: netbox_rps_plugin_cacheconfig_id_seq; Type: SEQUENCE; Schema: public; Owner: netbox
--

ALTER TABLE public.netbox_rps_plugin_cacheconfig ALTER COLUMN id ADD GENERATED BY DEFAULT AS IDENTITY (
    SEQUENCE NAME public.netbox_rps_plugin_cacheconfig_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1
);


--
-- Name: netbox_rps_plugin_hstsprotocol; Type: TABLE; Schema: public; Owner: netbox
--

CREATE TABLE public.netbox_rps_plugin_hstsprotocol (
    created timestamp with time zone,
    custom_field_data jsonb NOT NULL,
    id integer NOT NULL,
    subdomains boolean NOT NULL,
    preload_flag boolean NOT NULL,
    max_age integer NOT NULL,
    last_updated timestamp with time zone NOT NULL,
    mapping_id bigint NOT NULL
);


ALTER TABLE public.netbox_rps_plugin_hstsprotocol OWNER TO netbox;

--
-- Name: netbox_rps_plugin_hstsprotocol_id_seq; Type: SEQUENCE; Schema: public; Owner: netbox
--

ALTER TABLE public.netbox_rps_plugin_hstsprotocol ALTER COLUMN id ADD GENERATED BY DEFAULT AS IDENTITY (
    SEQUENCE NAME public.netbox_rps_plugin_hstsprotocol_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1
);


--
-- Name: netbox_rps_plugin_httpheader; Type: TABLE; Schema: public; Owner: netbox
--

CREATE TABLE public.netbox_rps_plugin_httpheader (
    id bigint NOT NULL,
    created timestamp with time zone,
    last_updated timestamp with time zone,
    custom_field_data jsonb NOT NULL,
    name character varying(120) NOT NULL,
    value character varying(256),
    apply_to character varying(30) NOT NULL,
    mapping_id bigint NOT NULL
);


ALTER TABLE public.netbox_rps_plugin_httpheader OWNER TO netbox;

--
-- Name: netbox_rps_plugin_httpheader_id_seq; Type: SEQUENCE; Schema: public; Owner: netbox
--

ALTER TABLE public.netbox_rps_plugin_httpheader ALTER COLUMN id ADD GENERATED BY DEFAULT AS IDENTITY (
    SEQUENCE NAME public.netbox_rps_plugin_httpheader_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1
);


--
-- Name: netbox_rps_plugin_mapping; Type: TABLE; Schema: public; Owner: netbox
--

CREATE TABLE public.netbox_rps_plugin_mapping (
    id bigint NOT NULL,
    created timestamp with time zone,
    last_updated timestamp with time zone,
    custom_field_data jsonb NOT NULL,
    source character varying(2000) NOT NULL,
    target character varying(2000) NOT NULL,
    authentication character varying(30) NOT NULL,
    testingpage character varying(2000),
    webdav boolean NOT NULL,
    "Comment" character varying(500) NOT NULL,
    gzip_proxied boolean NOT NULL,
    keepalive_requests integer NOT NULL,
    keepalive_timeout integer NOT NULL,
    proxy_cache boolean NOT NULL,
    proxy_read_timeout integer NOT NULL,
    client_max_body_size integer NOT NULL,
    sorry_page character varying(2000) NOT NULL,
    extra_protocols character varying(32)[] NOT NULL,
    proxy_buffer integer,
    proxy_buffer_size integer,
    proxy_busy_buffer integer,
    CONSTRAINT netbox_rps_plugin_mapping_check_target_source_url CHECK ((NOT ((source)::text = (target)::text)))
);


ALTER TABLE public.netbox_rps_plugin_mapping OWNER TO netbox;

--
-- Name: netbox_rps_plugin_mapping_id_seq; Type: SEQUENCE; Schema: public; Owner: netbox
--

ALTER TABLE public.netbox_rps_plugin_mapping ALTER COLUMN id ADD GENERATED BY DEFAULT AS IDENTITY (
    SEQUENCE NAME public.netbox_rps_plugin_mapping_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1
);


--
-- Name: netbox_rps_plugin_samlconfig; Type: TABLE; Schema: public; Owner: netbox
--

CREATE TABLE public.netbox_rps_plugin_samlconfig (
    id bigint NOT NULL,
    created timestamp with time zone,
    last_updated timestamp with time zone,
    custom_field_data jsonb NOT NULL,
    acs_url character varying(2000) NOT NULL,
    logout_url character varying(2000) NOT NULL,
    force_nauth boolean NOT NULL,
    mapping_id bigint NOT NULL
);


ALTER TABLE public.netbox_rps_plugin_samlconfig OWNER TO netbox;

--
-- Name: netbox_rps_plugin_samlconfig_id_seq; Type: SEQUENCE; Schema: public; Owner: netbox
--

ALTER TABLE public.netbox_rps_plugin_samlconfig ALTER COLUMN id ADD GENERATED BY DEFAULT AS IDENTITY (
    SEQUENCE NAME public.netbox_rps_plugin_samlconfig_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1
);


--
-- Name: social_auth_association; Type: TABLE; Schema: public; Owner: netbox
--

CREATE TABLE public.social_auth_association (
    id bigint NOT NULL,
    server_url character varying(255) NOT NULL,
    handle character varying(255) NOT NULL,
    secret character varying(255) NOT NULL,
    issued integer NOT NULL,
    lifetime integer NOT NULL,
    assoc_type character varying(64) NOT NULL
);


ALTER TABLE public.social_auth_association OWNER TO netbox;

--
-- Name: social_auth_association_id_seq; Type: SEQUENCE; Schema: public; Owner: netbox
--

ALTER TABLE public.social_auth_association ALTER COLUMN id ADD GENERATED BY DEFAULT AS IDENTITY (
    SEQUENCE NAME public.social_auth_association_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1
);


--
-- Name: social_auth_code; Type: TABLE; Schema: public; Owner: netbox
--

CREATE TABLE public.social_auth_code (
    id bigint NOT NULL,
    email character varying(254) NOT NULL,
    code character varying(32) NOT NULL,
    verified boolean NOT NULL,
    "timestamp" timestamp with time zone NOT NULL
);


ALTER TABLE public.social_auth_code OWNER TO netbox;

--
-- Name: social_auth_code_id_seq; Type: SEQUENCE; Schema: public; Owner: netbox
--

ALTER TABLE public.social_auth_code ALTER COLUMN id ADD GENERATED BY DEFAULT AS IDENTITY (
    SEQUENCE NAME public.social_auth_code_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1
);


--
-- Name: social_auth_nonce; Type: TABLE; Schema: public; Owner: netbox
--

CREATE TABLE public.social_auth_nonce (
    id bigint NOT NULL,
    server_url character varying(255) NOT NULL,
    "timestamp" integer NOT NULL,
    salt character varying(65) NOT NULL
);


ALTER TABLE public.social_auth_nonce OWNER TO netbox;

--
-- Name: social_auth_nonce_id_seq; Type: SEQUENCE; Schema: public; Owner: netbox
--

ALTER TABLE public.social_auth_nonce ALTER COLUMN id ADD GENERATED BY DEFAULT AS IDENTITY (
    SEQUENCE NAME public.social_auth_nonce_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1
);


--
-- Name: social_auth_partial; Type: TABLE; Schema: public; Owner: netbox
--

CREATE TABLE public.social_auth_partial (
    id bigint NOT NULL,
    token character varying(32) NOT NULL,
    next_step smallint NOT NULL,
    backend character varying(32) NOT NULL,
    "timestamp" timestamp with time zone NOT NULL,
    data jsonb NOT NULL,
    CONSTRAINT social_auth_partial_next_step_check CHECK ((next_step >= 0))
);


ALTER TABLE public.social_auth_partial OWNER TO netbox;

--
-- Name: social_auth_partial_id_seq; Type: SEQUENCE; Schema: public; Owner: netbox
--

ALTER TABLE public.social_auth_partial ALTER COLUMN id ADD GENERATED BY DEFAULT AS IDENTITY (
    SEQUENCE NAME public.social_auth_partial_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1
);


--
-- Name: social_auth_usersocialauth; Type: TABLE; Schema: public; Owner: netbox
--

CREATE TABLE public.social_auth_usersocialauth (
    id bigint NOT NULL,
    provider character varying(32) NOT NULL,
    uid character varying(255) NOT NULL,
    user_id integer NOT NULL,
    created timestamp with time zone NOT NULL,
    modified timestamp with time zone NOT NULL,
    extra_data jsonb NOT NULL
);


ALTER TABLE public.social_auth_usersocialauth OWNER TO netbox;

--
-- Name: social_auth_usersocialauth_id_seq; Type: SEQUENCE; Schema: public; Owner: netbox
--

ALTER TABLE public.social_auth_usersocialauth ALTER COLUMN id ADD GENERATED BY DEFAULT AS IDENTITY (
    SEQUENCE NAME public.social_auth_usersocialauth_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1
);


--
-- Name: taggit_tag; Type: TABLE; Schema: public; Owner: netbox
--

CREATE TABLE public.taggit_tag (
    id integer NOT NULL,
    name character varying(100) NOT NULL,
    slug character varying(100) NOT NULL
);


ALTER TABLE public.taggit_tag OWNER TO netbox;

--
-- Name: taggit_tag_id_seq; Type: SEQUENCE; Schema: public; Owner: netbox
--

ALTER TABLE public.taggit_tag ALTER COLUMN id ADD GENERATED BY DEFAULT AS IDENTITY (
    SEQUENCE NAME public.taggit_tag_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1
);


--
-- Name: taggit_taggeditem; Type: TABLE; Schema: public; Owner: netbox
--

CREATE TABLE public.taggit_taggeditem (
    id integer NOT NULL,
    object_id integer NOT NULL,
    content_type_id integer NOT NULL,
    tag_id integer NOT NULL
);


ALTER TABLE public.taggit_taggeditem OWNER TO netbox;

--
-- Name: taggit_taggeditem_id_seq; Type: SEQUENCE; Schema: public; Owner: netbox
--

ALTER TABLE public.taggit_taggeditem ALTER COLUMN id ADD GENERATED BY DEFAULT AS IDENTITY (
    SEQUENCE NAME public.taggit_taggeditem_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1
);


--
-- Name: tenancy_contact; Type: TABLE; Schema: public; Owner: netbox
--

CREATE TABLE public.tenancy_contact (
    created timestamp with time zone,
    last_updated timestamp with time zone,
    custom_field_data jsonb NOT NULL,
    id bigint NOT NULL,
    name character varying(100) NOT NULL,
    title character varying(100) NOT NULL,
    phone character varying(50) NOT NULL,
    email character varying(254) NOT NULL,
    address character varying(200) NOT NULL,
    comments text NOT NULL,
    group_id bigint,
    link character varying(200) NOT NULL,
    description character varying(200) NOT NULL
);


ALTER TABLE public.tenancy_contact OWNER TO netbox;

--
-- Name: tenancy_contact_id_seq; Type: SEQUENCE; Schema: public; Owner: netbox
--

ALTER TABLE public.tenancy_contact ALTER COLUMN id ADD GENERATED BY DEFAULT AS IDENTITY (
    SEQUENCE NAME public.tenancy_contact_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1
);


--
-- Name: tenancy_contactassignment; Type: TABLE; Schema: public; Owner: netbox
--

CREATE TABLE public.tenancy_contactassignment (
    created timestamp with time zone,
    last_updated timestamp with time zone,
    id bigint NOT NULL,
    object_id bigint NOT NULL,
    priority character varying(50) NOT NULL,
    contact_id bigint NOT NULL,
    content_type_id integer NOT NULL,
    role_id bigint NOT NULL,
    CONSTRAINT tenancy_contactassignment_object_id_check CHECK ((object_id >= 0))
);


ALTER TABLE public.tenancy_contactassignment OWNER TO netbox;

--
-- Name: tenancy_contactassignment_id_seq; Type: SEQUENCE; Schema: public; Owner: netbox
--

ALTER TABLE public.tenancy_contactassignment ALTER COLUMN id ADD GENERATED BY DEFAULT AS IDENTITY (
    SEQUENCE NAME public.tenancy_contactassignment_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1
);


--
-- Name: tenancy_contactgroup; Type: TABLE; Schema: public; Owner: netbox
--

CREATE TABLE public.tenancy_contactgroup (
    created timestamp with time zone,
    last_updated timestamp with time zone,
    custom_field_data jsonb NOT NULL,
    id bigint NOT NULL,
    name character varying(100) NOT NULL,
    slug character varying(100) NOT NULL,
    description character varying(200) NOT NULL,
    lft integer NOT NULL,
    rght integer NOT NULL,
    tree_id integer NOT NULL,
    level integer NOT NULL,
    parent_id bigint,
    CONSTRAINT tenancy_contactgroup_level_check CHECK ((level >= 0)),
    CONSTRAINT tenancy_contactgroup_lft_check CHECK ((lft >= 0)),
    CONSTRAINT tenancy_contactgroup_rght_check CHECK ((rght >= 0)),
    CONSTRAINT tenancy_contactgroup_tree_id_check CHECK ((tree_id >= 0))
);


ALTER TABLE public.tenancy_contactgroup OWNER TO netbox;

--
-- Name: tenancy_contactgroup_id_seq; Type: SEQUENCE; Schema: public; Owner: netbox
--

ALTER TABLE public.tenancy_contactgroup ALTER COLUMN id ADD GENERATED BY DEFAULT AS IDENTITY (
    SEQUENCE NAME public.tenancy_contactgroup_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1
);


--
-- Name: tenancy_contactrole; Type: TABLE; Schema: public; Owner: netbox
--

CREATE TABLE public.tenancy_contactrole (
    created timestamp with time zone,
    last_updated timestamp with time zone,
    custom_field_data jsonb NOT NULL,
    id bigint NOT NULL,
    name character varying(100) NOT NULL,
    slug character varying(100) NOT NULL,
    description character varying(200) NOT NULL
);


ALTER TABLE public.tenancy_contactrole OWNER TO netbox;

--
-- Name: tenancy_contactrole_id_seq; Type: SEQUENCE; Schema: public; Owner: netbox
--

ALTER TABLE public.tenancy_contactrole ALTER COLUMN id ADD GENERATED BY DEFAULT AS IDENTITY (
    SEQUENCE NAME public.tenancy_contactrole_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1
);


--
-- Name: tenancy_tenant; Type: TABLE; Schema: public; Owner: netbox
--

CREATE TABLE public.tenancy_tenant (
    created timestamp with time zone,
    last_updated timestamp with time zone,
    custom_field_data jsonb NOT NULL,
    id bigint NOT NULL,
    name character varying(100) NOT NULL,
    slug character varying(100) NOT NULL,
    description character varying(200) NOT NULL,
    comments text NOT NULL,
    group_id bigint
);


ALTER TABLE public.tenancy_tenant OWNER TO netbox;

--
-- Name: tenancy_tenant_id_seq; Type: SEQUENCE; Schema: public; Owner: netbox
--

ALTER TABLE public.tenancy_tenant ALTER COLUMN id ADD GENERATED BY DEFAULT AS IDENTITY (
    SEQUENCE NAME public.tenancy_tenant_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1
);


--
-- Name: tenancy_tenantgroup; Type: TABLE; Schema: public; Owner: netbox
--

CREATE TABLE public.tenancy_tenantgroup (
    created timestamp with time zone,
    last_updated timestamp with time zone,
    custom_field_data jsonb NOT NULL,
    id bigint NOT NULL,
    name character varying(100) NOT NULL,
    slug character varying(100) NOT NULL,
    description character varying(200) NOT NULL,
    lft integer NOT NULL,
    rght integer NOT NULL,
    tree_id integer NOT NULL,
    level integer NOT NULL,
    parent_id bigint,
    CONSTRAINT tenancy_tenantgroup_level_check CHECK ((level >= 0)),
    CONSTRAINT tenancy_tenantgroup_lft_check CHECK ((lft >= 0)),
    CONSTRAINT tenancy_tenantgroup_rght_check CHECK ((rght >= 0)),
    CONSTRAINT tenancy_tenantgroup_tree_id_check CHECK ((tree_id >= 0))
);


ALTER TABLE public.tenancy_tenantgroup OWNER TO netbox;

--
-- Name: tenancy_tenantgroup_id_seq; Type: SEQUENCE; Schema: public; Owner: netbox
--

ALTER TABLE public.tenancy_tenantgroup ALTER COLUMN id ADD GENERATED BY DEFAULT AS IDENTITY (
    SEQUENCE NAME public.tenancy_tenantgroup_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1
);


--
-- Name: users_objectpermission; Type: TABLE; Schema: public; Owner: netbox
--

CREATE TABLE public.users_objectpermission (
    id bigint NOT NULL,
    name character varying(100) NOT NULL,
    description character varying(200) NOT NULL,
    enabled boolean NOT NULL,
    actions character varying(30)[] NOT NULL,
    constraints jsonb
);


ALTER TABLE public.users_objectpermission OWNER TO netbox;

--
-- Name: users_objectpermission_groups; Type: TABLE; Schema: public; Owner: netbox
--

CREATE TABLE public.users_objectpermission_groups (
    id bigint NOT NULL,
    objectpermission_id bigint NOT NULL,
    group_id integer NOT NULL
);


ALTER TABLE public.users_objectpermission_groups OWNER TO netbox;

--
-- Name: users_objectpermission_groups_id_seq; Type: SEQUENCE; Schema: public; Owner: netbox
--

ALTER TABLE public.users_objectpermission_groups ALTER COLUMN id ADD GENERATED BY DEFAULT AS IDENTITY (
    SEQUENCE NAME public.users_objectpermission_groups_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1
);


--
-- Name: users_objectpermission_id_seq; Type: SEQUENCE; Schema: public; Owner: netbox
--

ALTER TABLE public.users_objectpermission ALTER COLUMN id ADD GENERATED BY DEFAULT AS IDENTITY (
    SEQUENCE NAME public.users_objectpermission_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1
);


--
-- Name: users_objectpermission_object_types; Type: TABLE; Schema: public; Owner: netbox
--

CREATE TABLE public.users_objectpermission_object_types (
    id bigint NOT NULL,
    objectpermission_id bigint NOT NULL,
    contenttype_id integer NOT NULL
);


ALTER TABLE public.users_objectpermission_object_types OWNER TO netbox;

--
-- Name: users_objectpermission_object_types_id_seq; Type: SEQUENCE; Schema: public; Owner: netbox
--

ALTER TABLE public.users_objectpermission_object_types ALTER COLUMN id ADD GENERATED BY DEFAULT AS IDENTITY (
    SEQUENCE NAME public.users_objectpermission_object_types_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1
);


--
-- Name: users_objectpermission_users; Type: TABLE; Schema: public; Owner: netbox
--

CREATE TABLE public.users_objectpermission_users (
    id bigint NOT NULL,
    objectpermission_id bigint NOT NULL,
    user_id integer NOT NULL
);


ALTER TABLE public.users_objectpermission_users OWNER TO netbox;

--
-- Name: users_objectpermission_users_id_seq; Type: SEQUENCE; Schema: public; Owner: netbox
--

ALTER TABLE public.users_objectpermission_users ALTER COLUMN id ADD GENERATED BY DEFAULT AS IDENTITY (
    SEQUENCE NAME public.users_objectpermission_users_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1
);


--
-- Name: users_token; Type: TABLE; Schema: public; Owner: netbox
--

CREATE TABLE public.users_token (
    id bigint NOT NULL,
    created timestamp with time zone NOT NULL,
    expires timestamp with time zone,
    key character varying(40) NOT NULL,
    write_enabled boolean NOT NULL,
    description character varying(200) NOT NULL,
    user_id integer NOT NULL,
    allowed_ips cidr[],
    last_used timestamp with time zone
);


ALTER TABLE public.users_token OWNER TO netbox;

--
-- Name: users_token_id_seq; Type: SEQUENCE; Schema: public; Owner: netbox
--

ALTER TABLE public.users_token ALTER COLUMN id ADD GENERATED BY DEFAULT AS IDENTITY (
    SEQUENCE NAME public.users_token_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1
);


--
-- Name: users_userconfig; Type: TABLE; Schema: public; Owner: netbox
--

CREATE TABLE public.users_userconfig (
    id bigint NOT NULL,
    data jsonb NOT NULL,
    user_id integer NOT NULL
);


ALTER TABLE public.users_userconfig OWNER TO netbox;

--
-- Name: users_userconfig_id_seq; Type: SEQUENCE; Schema: public; Owner: netbox
--

ALTER TABLE public.users_userconfig ALTER COLUMN id ADD GENERATED BY DEFAULT AS IDENTITY (
    SEQUENCE NAME public.users_userconfig_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1
);


--
-- Name: virtualization_cluster; Type: TABLE; Schema: public; Owner: netbox
--

CREATE TABLE public.virtualization_cluster (
    created timestamp with time zone,
    last_updated timestamp with time zone,
    custom_field_data jsonb NOT NULL,
    id bigint NOT NULL,
    name character varying(100) NOT NULL,
    comments text NOT NULL,
    group_id bigint,
    site_id bigint,
    tenant_id bigint,
    type_id bigint NOT NULL,
    status character varying(50) NOT NULL,
    description character varying(200) NOT NULL
);


ALTER TABLE public.virtualization_cluster OWNER TO netbox;

--
-- Name: virtualization_cluster_id_seq; Type: SEQUENCE; Schema: public; Owner: netbox
--

ALTER TABLE public.virtualization_cluster ALTER COLUMN id ADD GENERATED BY DEFAULT AS IDENTITY (
    SEQUENCE NAME public.virtualization_cluster_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1
);


--
-- Name: virtualization_clustergroup; Type: TABLE; Schema: public; Owner: netbox
--

CREATE TABLE public.virtualization_clustergroup (
    created timestamp with time zone,
    last_updated timestamp with time zone,
    custom_field_data jsonb NOT NULL,
    id bigint NOT NULL,
    name character varying(100) NOT NULL,
    slug character varying(100) NOT NULL,
    description character varying(200) NOT NULL
);


ALTER TABLE public.virtualization_clustergroup OWNER TO netbox;

--
-- Name: virtualization_clustergroup_id_seq; Type: SEQUENCE; Schema: public; Owner: netbox
--

ALTER TABLE public.virtualization_clustergroup ALTER COLUMN id ADD GENERATED BY DEFAULT AS IDENTITY (
    SEQUENCE NAME public.virtualization_clustergroup_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1
);


--
-- Name: virtualization_clustertype; Type: TABLE; Schema: public; Owner: netbox
--

CREATE TABLE public.virtualization_clustertype (
    created timestamp with time zone,
    last_updated timestamp with time zone,
    custom_field_data jsonb NOT NULL,
    id bigint NOT NULL,
    name character varying(100) NOT NULL,
    slug character varying(100) NOT NULL,
    description character varying(200) NOT NULL
);


ALTER TABLE public.virtualization_clustertype OWNER TO netbox;

--
-- Name: virtualization_clustertype_id_seq; Type: SEQUENCE; Schema: public; Owner: netbox
--

ALTER TABLE public.virtualization_clustertype ALTER COLUMN id ADD GENERATED BY DEFAULT AS IDENTITY (
    SEQUENCE NAME public.virtualization_clustertype_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1
);


--
-- Name: virtualization_virtualmachine; Type: TABLE; Schema: public; Owner: netbox
--

CREATE TABLE public.virtualization_virtualmachine (
    created timestamp with time zone,
    last_updated timestamp with time zone,
    custom_field_data jsonb NOT NULL,
    id bigint NOT NULL,
    local_context_data jsonb,
    name character varying(64) NOT NULL,
    status character varying(50) NOT NULL,
    vcpus numeric(6,2),
    memory integer,
    disk integer,
    comments text NOT NULL,
    cluster_id bigint,
    platform_id bigint,
    primary_ip4_id bigint,
    primary_ip6_id bigint,
    role_id bigint,
    tenant_id bigint,
    _name character varying(100) NOT NULL,
    site_id bigint,
    device_id bigint,
    description character varying(200) NOT NULL,
    interface_count bigint NOT NULL,
    config_template_id bigint,
    CONSTRAINT virtualization_virtualmachine_disk_check CHECK ((disk >= 0)),
    CONSTRAINT virtualization_virtualmachine_memory_check CHECK ((memory >= 0))
);


ALTER TABLE public.virtualization_virtualmachine OWNER TO netbox;

--
-- Name: virtualization_virtualmachine_id_seq; Type: SEQUENCE; Schema: public; Owner: netbox
--

ALTER TABLE public.virtualization_virtualmachine ALTER COLUMN id ADD GENERATED BY DEFAULT AS IDENTITY (
    SEQUENCE NAME public.virtualization_virtualmachine_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1
);


--
-- Name: virtualization_vminterface; Type: TABLE; Schema: public; Owner: netbox
--

CREATE TABLE public.virtualization_vminterface (
    created timestamp with time zone,
    last_updated timestamp with time zone,
    custom_field_data jsonb NOT NULL,
    id bigint NOT NULL,
    enabled boolean NOT NULL,
    mac_address macaddr,
    mtu integer,
    mode character varying(50) NOT NULL,
    name character varying(64) NOT NULL,
    _name character varying(100) NOT NULL,
    description character varying(200) NOT NULL,
    parent_id bigint,
    untagged_vlan_id bigint,
    virtual_machine_id bigint NOT NULL,
    bridge_id bigint,
    vrf_id bigint,
    CONSTRAINT virtualization_vminterface_mtu_check CHECK ((mtu >= 0))
);


ALTER TABLE public.virtualization_vminterface OWNER TO netbox;

--
-- Name: virtualization_vminterface_id_seq; Type: SEQUENCE; Schema: public; Owner: netbox
--

ALTER TABLE public.virtualization_vminterface ALTER COLUMN id ADD GENERATED BY DEFAULT AS IDENTITY (
    SEQUENCE NAME public.virtualization_vminterface_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1
);


--
-- Name: virtualization_vminterface_tagged_vlans; Type: TABLE; Schema: public; Owner: netbox
--

CREATE TABLE public.virtualization_vminterface_tagged_vlans (
    id bigint NOT NULL,
    vminterface_id bigint NOT NULL,
    vlan_id bigint NOT NULL
);


ALTER TABLE public.virtualization_vminterface_tagged_vlans OWNER TO netbox;

--
-- Name: virtualization_vminterface_tagged_vlans_id_seq; Type: SEQUENCE; Schema: public; Owner: netbox
--

ALTER TABLE public.virtualization_vminterface_tagged_vlans ALTER COLUMN id ADD GENERATED BY DEFAULT AS IDENTITY (
    SEQUENCE NAME public.virtualization_vminterface_tagged_vlans_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1
);


--
-- Name: wireless_wirelesslan; Type: TABLE; Schema: public; Owner: netbox
--

CREATE TABLE public.wireless_wirelesslan (
    created timestamp with time zone,
    last_updated timestamp with time zone,
    custom_field_data jsonb NOT NULL,
    id bigint NOT NULL,
    ssid character varying(32) NOT NULL,
    group_id bigint,
    description character varying(200) NOT NULL,
    auth_cipher character varying(50) NOT NULL,
    auth_psk character varying(64) NOT NULL,
    auth_type character varying(50) NOT NULL,
    vlan_id bigint,
    tenant_id bigint,
    comments text NOT NULL,
    status character varying(50) NOT NULL
);


ALTER TABLE public.wireless_wirelesslan OWNER TO netbox;

--
-- Name: wireless_wirelesslan_id_seq; Type: SEQUENCE; Schema: public; Owner: netbox
--

ALTER TABLE public.wireless_wirelesslan ALTER COLUMN id ADD GENERATED BY DEFAULT AS IDENTITY (
    SEQUENCE NAME public.wireless_wirelesslan_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1
);


--
-- Name: wireless_wirelesslangroup; Type: TABLE; Schema: public; Owner: netbox
--

CREATE TABLE public.wireless_wirelesslangroup (
    created timestamp with time zone,
    last_updated timestamp with time zone,
    custom_field_data jsonb NOT NULL,
    id bigint NOT NULL,
    name character varying(100) NOT NULL,
    slug character varying(100) NOT NULL,
    description character varying(200) NOT NULL,
    lft integer NOT NULL,
    rght integer NOT NULL,
    tree_id integer NOT NULL,
    level integer NOT NULL,
    parent_id bigint,
    CONSTRAINT wireless_wirelesslangroup_level_check CHECK ((level >= 0)),
    CONSTRAINT wireless_wirelesslangroup_lft_check CHECK ((lft >= 0)),
    CONSTRAINT wireless_wirelesslangroup_rght_check CHECK ((rght >= 0)),
    CONSTRAINT wireless_wirelesslangroup_tree_id_check CHECK ((tree_id >= 0))
);


ALTER TABLE public.wireless_wirelesslangroup OWNER TO netbox;

--
-- Name: wireless_wirelesslangroup_id_seq; Type: SEQUENCE; Schema: public; Owner: netbox
--

ALTER TABLE public.wireless_wirelesslangroup ALTER COLUMN id ADD GENERATED BY DEFAULT AS IDENTITY (
    SEQUENCE NAME public.wireless_wirelesslangroup_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1
);


--
-- Name: wireless_wirelesslink; Type: TABLE; Schema: public; Owner: netbox
--

CREATE TABLE public.wireless_wirelesslink (
    created timestamp with time zone,
    last_updated timestamp with time zone,
    custom_field_data jsonb NOT NULL,
    id bigint NOT NULL,
    ssid character varying(32) NOT NULL,
    status character varying(50) NOT NULL,
    description character varying(200) NOT NULL,
    auth_cipher character varying(50) NOT NULL,
    auth_psk character varying(64) NOT NULL,
    auth_type character varying(50) NOT NULL,
    _interface_a_device_id bigint,
    _interface_b_device_id bigint,
    interface_a_id bigint NOT NULL,
    interface_b_id bigint NOT NULL,
    tenant_id bigint,
    comments text NOT NULL
);


ALTER TABLE public.wireless_wirelesslink OWNER TO netbox;

--
-- Name: wireless_wirelesslink_id_seq; Type: SEQUENCE; Schema: public; Owner: netbox
--

ALTER TABLE public.wireless_wirelesslink ALTER COLUMN id ADD GENERATED BY DEFAULT AS IDENTITY (
    SEQUENCE NAME public.wireless_wirelesslink_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1
);


--
-- Data for Name: auth_group; Type: TABLE DATA; Schema: public; Owner: netbox
--

COPY public.auth_group (id, name) FROM stdin;
\.


--
-- Data for Name: auth_group_permissions; Type: TABLE DATA; Schema: public; Owner: netbox
--

COPY public.auth_group_permissions (id, group_id, permission_id) FROM stdin;
\.


--
-- Data for Name: auth_permission; Type: TABLE DATA; Schema: public; Owner: netbox
--

COPY public.auth_permission (id, name, content_type_id, codename) FROM stdin;
1	Can add log entry	1	add_logentry
2	Can change log entry	1	change_logentry
3	Can delete log entry	1	delete_logentry
4	Can view log entry	1	view_logentry
5	Can add permission	2	add_permission
6	Can change permission	2	change_permission
7	Can delete permission	2	delete_permission
8	Can view permission	2	view_permission
9	Can add group	3	add_group
10	Can change group	3	change_group
11	Can delete group	3	delete_group
12	Can view group	3	view_group
13	Can add user	4	add_user
14	Can change user	4	change_user
15	Can delete user	4	delete_user
16	Can view user	4	view_user
17	Can add content type	5	add_contenttype
18	Can change content type	5	change_contenttype
19	Can delete content type	5	delete_contenttype
20	Can view content type	5	view_contenttype
21	Can add session	6	add_session
22	Can change session	6	change_session
23	Can delete session	6	delete_session
24	Can view session	6	view_session
25	Can add association	7	add_association
26	Can change association	7	change_association
27	Can delete association	7	delete_association
28	Can view association	7	view_association
29	Can add code	8	add_code
30	Can change code	8	change_code
31	Can delete code	8	delete_code
32	Can view code	8	view_code
33	Can add nonce	9	add_nonce
34	Can change nonce	9	change_nonce
35	Can delete nonce	9	delete_nonce
36	Can view nonce	9	view_nonce
37	Can add user social auth	10	add_usersocialauth
38	Can change user social auth	10	change_usersocialauth
39	Can delete user social auth	10	delete_usersocialauth
40	Can view user social auth	10	view_usersocialauth
41	Can add partial	11	add_partial
42	Can change partial	11	change_partial
43	Can delete partial	11	delete_partial
44	Can view partial	11	view_partial
45	Can add tag	12	add_tag
46	Can change tag	12	change_tag
47	Can delete tag	12	delete_tag
48	Can view tag	12	view_tag
49	Can add tagged item	13	add_taggeditem
50	Can change tagged item	13	change_taggeditem
51	Can delete tagged item	13	delete_taggeditem
52	Can view tagged item	13	view_taggeditem
53	Can add data source	14	add_datasource
54	Can change data source	14	change_datasource
55	Can delete data source	14	delete_datasource
56	Can view data source	14	view_datasource
57	Can add data file	15	add_datafile
58	Can change data file	15	change_datafile
59	Can delete data file	15	delete_datafile
60	Can view data file	15	view_datafile
61	Can add auto sync record	16	add_autosyncrecord
62	Can change auto sync record	16	change_autosyncrecord
63	Can delete auto sync record	16	delete_autosyncrecord
64	Can view auto sync record	16	view_autosyncrecord
65	Can add managed file	17	add_managedfile
66	Can change managed file	17	change_managedfile
67	Can delete managed file	17	delete_managedfile
68	Can view managed file	17	view_managedfile
69	Can add job	18	add_job
70	Can change job	18	change_job
71	Can delete job	18	delete_job
72	Can view job	18	view_job
73	Can add token	19	add_usertoken
74	Can change token	19	change_usertoken
75	Can delete token	19	delete_usertoken
76	Can view token	19	view_usertoken
77	Can add circuit	20	add_circuit
78	Can change circuit	20	change_circuit
79	Can delete circuit	20	delete_circuit
80	Can view circuit	20	view_circuit
81	Can add circuit termination	21	add_circuittermination
82	Can change circuit termination	21	change_circuittermination
83	Can delete circuit termination	21	delete_circuittermination
84	Can view circuit termination	21	view_circuittermination
85	Can add circuit type	22	add_circuittype
86	Can change circuit type	22	change_circuittype
87	Can delete circuit type	22	delete_circuittype
88	Can view circuit type	22	view_circuittype
89	Can add provider	23	add_provider
90	Can change provider	23	change_provider
91	Can delete provider	23	delete_provider
92	Can view provider	23	view_provider
93	Can add provider network	24	add_providernetwork
94	Can change provider network	24	change_providernetwork
95	Can delete provider network	24	delete_providernetwork
96	Can view provider network	24	view_providernetwork
97	Can add provider account	25	add_provideraccount
98	Can change provider account	25	change_provideraccount
99	Can delete provider account	25	delete_provideraccount
100	Can view provider account	25	view_provideraccount
101	Can add cable	26	add_cable
102	Can change cable	26	change_cable
103	Can delete cable	26	delete_cable
104	Can view cable	26	view_cable
105	Can add cable path	27	add_cablepath
106	Can change cable path	27	change_cablepath
107	Can delete cable path	27	delete_cablepath
108	Can view cable path	27	view_cablepath
109	Can add console port	28	add_consoleport
110	Can change console port	28	change_consoleport
111	Can delete console port	28	delete_consoleport
112	Can view console port	28	view_consoleport
113	Can add console port template	29	add_consoleporttemplate
114	Can change console port template	29	change_consoleporttemplate
115	Can delete console port template	29	delete_consoleporttemplate
116	Can view console port template	29	view_consoleporttemplate
117	Can add console server port	30	add_consoleserverport
118	Can change console server port	30	change_consoleserverport
119	Can delete console server port	30	delete_consoleserverport
120	Can view console server port	30	view_consoleserverport
121	Can add console server port template	31	add_consoleserverporttemplate
122	Can change console server port template	31	change_consoleserverporttemplate
123	Can delete console server port template	31	delete_consoleserverporttemplate
124	Can view console server port template	31	view_consoleserverporttemplate
125	Can add device	32	add_device
126	Can change device	32	change_device
127	Can delete device	32	delete_device
128	Can view device	32	view_device
129	Can add device bay	33	add_devicebay
130	Can change device bay	33	change_devicebay
131	Can delete device bay	33	delete_devicebay
132	Can view device bay	33	view_devicebay
133	Can add device bay template	34	add_devicebaytemplate
134	Can change device bay template	34	change_devicebaytemplate
135	Can delete device bay template	34	delete_devicebaytemplate
136	Can view device bay template	34	view_devicebaytemplate
137	Can add device role	35	add_devicerole
138	Can change device role	35	change_devicerole
139	Can delete device role	35	delete_devicerole
140	Can view device role	35	view_devicerole
141	Can add device type	36	add_devicetype
142	Can change device type	36	change_devicetype
143	Can delete device type	36	delete_devicetype
144	Can view device type	36	view_devicetype
145	Can add front port	37	add_frontport
146	Can change front port	37	change_frontport
147	Can delete front port	37	delete_frontport
148	Can view front port	37	view_frontport
149	Can add front port template	38	add_frontporttemplate
150	Can change front port template	38	change_frontporttemplate
151	Can delete front port template	38	delete_frontporttemplate
152	Can view front port template	38	view_frontporttemplate
153	Can add interface	39	add_interface
154	Can change interface	39	change_interface
155	Can delete interface	39	delete_interface
156	Can view interface	39	view_interface
157	Can add interface template	40	add_interfacetemplate
158	Can change interface template	40	change_interfacetemplate
159	Can delete interface template	40	delete_interfacetemplate
160	Can view interface template	40	view_interfacetemplate
161	Can add inventory item	41	add_inventoryitem
162	Can change inventory item	41	change_inventoryitem
163	Can delete inventory item	41	delete_inventoryitem
164	Can view inventory item	41	view_inventoryitem
165	Can add location	42	add_location
166	Can change location	42	change_location
167	Can delete location	42	delete_location
168	Can view location	42	view_location
169	Can add manufacturer	43	add_manufacturer
170	Can change manufacturer	43	change_manufacturer
171	Can delete manufacturer	43	delete_manufacturer
172	Can view manufacturer	43	view_manufacturer
173	Can add platform	44	add_platform
174	Can change platform	44	change_platform
175	Can delete platform	44	delete_platform
176	Can view platform	44	view_platform
177	Can add power feed	45	add_powerfeed
178	Can change power feed	45	change_powerfeed
179	Can delete power feed	45	delete_powerfeed
180	Can view power feed	45	view_powerfeed
181	Can add power outlet	46	add_poweroutlet
182	Can change power outlet	46	change_poweroutlet
183	Can delete power outlet	46	delete_poweroutlet
184	Can view power outlet	46	view_poweroutlet
185	Can add power outlet template	47	add_poweroutlettemplate
186	Can change power outlet template	47	change_poweroutlettemplate
187	Can delete power outlet template	47	delete_poweroutlettemplate
188	Can view power outlet template	47	view_poweroutlettemplate
189	Can add power panel	48	add_powerpanel
190	Can change power panel	48	change_powerpanel
191	Can delete power panel	48	delete_powerpanel
192	Can view power panel	48	view_powerpanel
193	Can add power port	49	add_powerport
194	Can change power port	49	change_powerport
195	Can delete power port	49	delete_powerport
196	Can view power port	49	view_powerport
197	Can add power port template	50	add_powerporttemplate
198	Can change power port template	50	change_powerporttemplate
401	Can add branch	101	add_branch
199	Can delete power port template	50	delete_powerporttemplate
200	Can view power port template	50	view_powerporttemplate
201	Can add rack	51	add_rack
202	Can change rack	51	change_rack
203	Can delete rack	51	delete_rack
204	Can view rack	51	view_rack
205	Can add rack reservation	52	add_rackreservation
206	Can change rack reservation	52	change_rackreservation
207	Can delete rack reservation	52	delete_rackreservation
208	Can view rack reservation	52	view_rackreservation
209	Can add rack role	53	add_rackrole
210	Can change rack role	53	change_rackrole
211	Can delete rack role	53	delete_rackrole
212	Can view rack role	53	view_rackrole
213	Can add rear port	54	add_rearport
214	Can change rear port	54	change_rearport
215	Can delete rear port	54	delete_rearport
216	Can view rear port	54	view_rearport
217	Can add rear port template	55	add_rearporttemplate
218	Can change rear port template	55	change_rearporttemplate
219	Can delete rear port template	55	delete_rearporttemplate
220	Can view rear port template	55	view_rearporttemplate
221	Can add region	56	add_region
222	Can change region	56	change_region
223	Can delete region	56	delete_region
224	Can view region	56	view_region
225	Can add site	57	add_site
226	Can change site	57	change_site
227	Can delete site	57	delete_site
228	Can view site	57	view_site
229	Can add site group	58	add_sitegroup
230	Can change site group	58	change_sitegroup
231	Can delete site group	58	delete_sitegroup
232	Can view site group	58	view_sitegroup
233	Can add virtual chassis	59	add_virtualchassis
234	Can change virtual chassis	59	change_virtualchassis
235	Can delete virtual chassis	59	delete_virtualchassis
236	Can view virtual chassis	59	view_virtualchassis
237	Can add module type	60	add_moduletype
238	Can change module type	60	change_moduletype
239	Can delete module type	60	delete_moduletype
240	Can view module type	60	view_moduletype
241	Can add module bay	61	add_modulebay
242	Can change module bay	61	change_modulebay
243	Can delete module bay	61	delete_modulebay
244	Can view module bay	61	view_modulebay
245	Can add module	62	add_module
246	Can change module	62	change_module
247	Can delete module	62	delete_module
248	Can view module	62	view_module
249	Can add module bay template	63	add_modulebaytemplate
250	Can change module bay template	63	change_modulebaytemplate
251	Can delete module bay template	63	delete_modulebaytemplate
252	Can view module bay template	63	view_modulebaytemplate
253	Can add inventory item role	64	add_inventoryitemrole
254	Can change inventory item role	64	change_inventoryitemrole
255	Can delete inventory item role	64	delete_inventoryitemrole
256	Can view inventory item role	64	view_inventoryitemrole
257	Can add inventory item template	65	add_inventoryitemtemplate
258	Can change inventory item template	65	change_inventoryitemtemplate
259	Can delete inventory item template	65	delete_inventoryitemtemplate
260	Can view inventory item template	65	view_inventoryitemtemplate
261	Can add cable termination	66	add_cabletermination
262	Can change cable termination	66	change_cabletermination
263	Can delete cable termination	66	delete_cabletermination
264	Can view cable termination	66	view_cabletermination
265	Can add virtual device context	67	add_virtualdevicecontext
266	Can change virtual device context	67	change_virtualdevicecontext
267	Can delete virtual device context	67	delete_virtualdevicecontext
268	Can view virtual device context	67	view_virtualdevicecontext
269	Can add aggregate	68	add_aggregate
270	Can change aggregate	68	change_aggregate
271	Can delete aggregate	68	delete_aggregate
272	Can view aggregate	68	view_aggregate
273	Can add IP address	69	add_ipaddress
274	Can change IP address	69	change_ipaddress
275	Can delete IP address	69	delete_ipaddress
276	Can view IP address	69	view_ipaddress
277	Can add prefix	70	add_prefix
278	Can change prefix	70	change_prefix
279	Can delete prefix	70	delete_prefix
280	Can view prefix	70	view_prefix
281	Can add RIR	71	add_rir
282	Can change RIR	71	change_rir
283	Can delete RIR	71	delete_rir
284	Can view RIR	71	view_rir
285	Can add role	72	add_role
286	Can change role	72	change_role
287	Can delete role	72	delete_role
288	Can view role	72	view_role
289	Can add route target	73	add_routetarget
290	Can change route target	73	change_routetarget
291	Can delete route target	73	delete_routetarget
292	Can view route target	73	view_routetarget
293	Can add VRF	74	add_vrf
294	Can change VRF	74	change_vrf
295	Can delete VRF	74	delete_vrf
296	Can view VRF	74	view_vrf
297	Can add VLAN group	75	add_vlangroup
298	Can change VLAN group	75	change_vlangroup
299	Can delete VLAN group	75	delete_vlangroup
300	Can view VLAN group	75	view_vlangroup
301	Can add VLAN	76	add_vlan
302	Can change VLAN	76	change_vlan
303	Can delete VLAN	76	delete_vlan
304	Can view VLAN	76	view_vlan
305	Can add service	77	add_service
306	Can change service	77	change_service
307	Can delete service	77	delete_service
308	Can view service	77	view_service
309	Can add IP range	78	add_iprange
310	Can change IP range	78	change_iprange
311	Can delete IP range	78	delete_iprange
312	Can view IP range	78	view_iprange
313	Can add FHRP group	79	add_fhrpgroup
314	Can change FHRP group	79	change_fhrpgroup
315	Can delete FHRP group	79	delete_fhrpgroup
316	Can view FHRP group	79	view_fhrpgroup
317	Can add FHRP group assignment	80	add_fhrpgroupassignment
318	Can change FHRP group assignment	80	change_fhrpgroupassignment
319	Can delete FHRP group assignment	80	delete_fhrpgroupassignment
320	Can view FHRP group assignment	80	view_fhrpgroupassignment
321	Can add ASN	81	add_asn
322	Can change ASN	81	change_asn
323	Can delete ASN	81	delete_asn
324	Can view ASN	81	view_asn
325	Can add service template	82	add_servicetemplate
326	Can change service template	82	change_servicetemplate
327	Can delete service template	82	delete_servicetemplate
328	Can view service template	82	view_servicetemplate
329	Can add L2VPN	83	add_l2vpn
330	Can change L2VPN	83	change_l2vpn
331	Can delete L2VPN	83	delete_l2vpn
332	Can view L2VPN	83	view_l2vpn
333	Can add L2VPN termination	84	add_l2vpntermination
334	Can change L2VPN termination	84	change_l2vpntermination
335	Can delete L2VPN termination	84	delete_l2vpntermination
336	Can view L2VPN termination	84	view_l2vpntermination
337	Can add ASN range	85	add_asnrange
338	Can change ASN range	85	change_asnrange
339	Can delete ASN range	85	delete_asnrange
340	Can view ASN range	85	view_asnrange
341	Can add report	86	add_report
342	Can change report	86	change_report
343	Can delete report	86	delete_report
344	Can view report	86	view_report
345	Can add script	87	add_script
346	Can change script	87	change_script
347	Can delete script	87	delete_script
348	Can view script	87	view_script
349	Can add config context	88	add_configcontext
350	Can change config context	88	change_configcontext
351	Can delete config context	88	delete_configcontext
352	Can view config context	88	view_configcontext
353	Can add tag	89	add_tag
354	Can change tag	89	change_tag
355	Can delete tag	89	delete_tag
356	Can view tag	89	view_tag
357	Can add webhook	90	add_webhook
358	Can change webhook	90	change_webhook
359	Can delete webhook	90	delete_webhook
360	Can view webhook	90	view_webhook
361	Can add tagged item	91	add_taggeditem
362	Can change tagged item	91	change_taggeditem
363	Can delete tagged item	91	delete_taggeditem
364	Can view tagged item	91	view_taggeditem
365	Can add object change	92	add_objectchange
366	Can change object change	92	change_objectchange
367	Can delete object change	92	delete_objectchange
368	Can view object change	92	view_objectchange
369	Can add journal entry	93	add_journalentry
370	Can change journal entry	93	change_journalentry
371	Can delete journal entry	93	delete_journalentry
372	Can view journal entry	93	view_journalentry
373	Can add image attachment	94	add_imageattachment
374	Can change image attachment	94	change_imageattachment
375	Can delete image attachment	94	delete_imageattachment
376	Can view image attachment	94	view_imageattachment
377	Can add export template	95	add_exporttemplate
378	Can change export template	95	change_exporttemplate
379	Can delete export template	95	delete_exporttemplate
380	Can view export template	95	view_exporttemplate
381	Can add custom link	96	add_customlink
382	Can change custom link	96	change_customlink
383	Can delete custom link	96	delete_customlink
384	Can view custom link	96	view_customlink
385	Can add custom field	97	add_customfield
386	Can change custom field	97	change_customfield
387	Can delete custom field	97	delete_customfield
388	Can view custom field	97	view_customfield
389	Can add config revision	98	add_configrevision
390	Can change config revision	98	change_configrevision
391	Can delete config revision	98	delete_configrevision
392	Can view config revision	98	view_configrevision
393	Can add saved filter	99	add_savedfilter
394	Can change saved filter	99	change_savedfilter
395	Can delete saved filter	99	delete_savedfilter
396	Can view saved filter	99	view_savedfilter
397	Can add cached value	100	add_cachedvalue
398	Can change cached value	100	change_cachedvalue
399	Can delete cached value	100	delete_cachedvalue
400	Can view cached value	100	view_cachedvalue
402	Can change branch	101	change_branch
403	Can delete branch	101	delete_branch
404	Can view branch	101	view_branch
405	Can add staged change	102	add_stagedchange
406	Can change staged change	102	change_stagedchange
407	Can delete staged change	102	delete_stagedchange
408	Can view staged change	102	view_stagedchange
409	Can add config template	103	add_configtemplate
410	Can change config template	103	change_configtemplate
411	Can delete config template	103	delete_configtemplate
412	Can view config template	103	view_configtemplate
413	Can add dashboard	104	add_dashboard
414	Can change dashboard	104	change_dashboard
415	Can delete dashboard	104	delete_dashboard
416	Can view dashboard	104	view_dashboard
417	Can add report module	105	add_reportmodule
418	Can change report module	105	change_reportmodule
419	Can delete report module	105	delete_reportmodule
420	Can view report module	105	view_reportmodule
421	Can add script module	106	add_scriptmodule
422	Can change script module	106	change_scriptmodule
423	Can delete script module	106	delete_scriptmodule
424	Can view script module	106	view_scriptmodule
425	Can add bookmark	107	add_bookmark
426	Can change bookmark	107	change_bookmark
427	Can delete bookmark	107	delete_bookmark
428	Can view bookmark	107	view_bookmark
429	Can add custom field choice set	108	add_customfieldchoiceset
430	Can change custom field choice set	108	change_customfieldchoiceset
431	Can delete custom field choice set	108	delete_customfieldchoiceset
432	Can view custom field choice set	108	view_customfieldchoiceset
433	Can add tenant group	109	add_tenantgroup
434	Can change tenant group	109	change_tenantgroup
435	Can delete tenant group	109	delete_tenantgroup
436	Can view tenant group	109	view_tenantgroup
437	Can add tenant	110	add_tenant
438	Can change tenant	110	change_tenant
439	Can delete tenant	110	delete_tenant
440	Can view tenant	110	view_tenant
441	Can add contact role	111	add_contactrole
442	Can change contact role	111	change_contactrole
443	Can delete contact role	111	delete_contactrole
444	Can view contact role	111	view_contactrole
445	Can add contact group	112	add_contactgroup
446	Can change contact group	112	change_contactgroup
447	Can delete contact group	112	delete_contactgroup
448	Can view contact group	112	view_contactgroup
449	Can add contact	113	add_contact
450	Can change contact	113	change_contact
451	Can delete contact	113	delete_contact
452	Can view contact	113	view_contact
453	Can add contact assignment	114	add_contactassignment
454	Can change contact assignment	114	change_contactassignment
455	Can delete contact assignment	114	delete_contactassignment
456	Can view contact assignment	114	view_contactassignment
457	Can add User Preferences	115	add_userconfig
458	Can change User Preferences	115	change_userconfig
459	Can delete User Preferences	115	delete_userconfig
460	Can view User Preferences	115	view_userconfig
461	Can add token	116	add_token
462	Can change token	116	change_token
463	Can delete token	116	delete_token
464	Can view token	116	view_token
465	Can add permission	117	add_objectpermission
466	Can change permission	117	change_objectpermission
467	Can delete permission	117	delete_objectpermission
468	Can view permission	117	view_objectpermission
469	Can add Group	118	add_netboxgroup
470	Can change Group	118	change_netboxgroup
471	Can delete Group	118	delete_netboxgroup
472	Can view Group	118	view_netboxgroup
473	Can add User	119	add_netboxuser
474	Can change User	119	change_netboxuser
475	Can delete User	119	delete_netboxuser
476	Can view User	119	view_netboxuser
477	Can add cluster	120	add_cluster
478	Can change cluster	120	change_cluster
479	Can delete cluster	120	delete_cluster
480	Can view cluster	120	view_cluster
481	Can add cluster group	121	add_clustergroup
482	Can change cluster group	121	change_clustergroup
483	Can delete cluster group	121	delete_clustergroup
484	Can view cluster group	121	view_clustergroup
485	Can add cluster type	122	add_clustertype
486	Can change cluster type	122	change_clustertype
487	Can delete cluster type	122	delete_clustertype
488	Can view cluster type	122	view_clustertype
489	Can add virtual machine	123	add_virtualmachine
490	Can change virtual machine	123	change_virtualmachine
491	Can delete virtual machine	123	delete_virtualmachine
492	Can view virtual machine	123	view_virtualmachine
493	Can add interface	124	add_vminterface
494	Can change interface	124	change_vminterface
495	Can delete interface	124	delete_vminterface
496	Can view interface	124	view_vminterface
497	Can add Wireless LAN Group	125	add_wirelesslangroup
498	Can change Wireless LAN Group	125	change_wirelesslangroup
499	Can delete Wireless LAN Group	125	delete_wirelesslangroup
500	Can view Wireless LAN Group	125	view_wirelesslangroup
501	Can add Wireless LAN	126	add_wirelesslan
502	Can change Wireless LAN	126	change_wirelesslan
503	Can delete Wireless LAN	126	delete_wirelesslan
504	Can view Wireless LAN	126	view_wirelesslan
505	Can add wireless link	127	add_wirelesslink
506	Can change wireless link	127	change_wirelesslink
507	Can delete wireless link	127	delete_wirelesslink
508	Can view wireless link	127	view_wirelesslink
509	Access admin page	128	view
510	Can add mapping	129	add_mapping
511	Can change mapping	129	change_mapping
512	Can delete mapping	129	delete_mapping
513	Can view mapping	129	view_mapping
514	Can add http header	130	add_httpheader
515	Can change http header	130	change_httpheader
516	Can delete http header	130	delete_httpheader
517	Can view http header	130	view_httpheader
518	Can add saml config	131	add_samlconfig
519	Can change saml config	131	change_samlconfig
520	Can delete saml config	131	delete_samlconfig
521	Can view saml config	131	view_samlconfig
522	Can add acl denied source	132	add_acldeniedsource
523	Can change acl denied source	132	change_acldeniedsource
524	Can delete acl denied source	132	delete_acldeniedsource
525	Can view acl denied source	132	view_acldeniedsource
526	Can add cache config	133	add_cacheconfig
527	Can change cache config	133	change_cacheconfig
528	Can delete cache config	133	delete_cacheconfig
529	Can view cache config	133	view_cacheconfig
530	Can add hsts protocol	134	add_hstsprotocol
531	Can change hsts protocol	134	change_hstsprotocol
532	Can delete hsts protocol	134	delete_hstsprotocol
533	Can view hsts protocol	134	view_hstsprotocol
534	Can add certificate	135	add_certificate
535	Can change certificate	135	change_certificate
536	Can delete certificate	135	delete_certificate
537	Can view certificate	135	view_certificate
538	Can add name server	136	add_nameserver
539	Can change name server	136	change_nameserver
540	Can delete name server	136	delete_nameserver
541	Can view name server	136	view_nameserver
542	Can add view	137	add_view
543	Can change view	137	change_view
544	Can delete view	137	delete_view
545	Can view view	137	view_view
546	Can add zone	138	add_zone
547	Can change zone	138	change_zone
548	Can delete zone	138	delete_zone
549	Can view zone	138	view_zone
550	Can add record	139	add_record
551	Can change record	139	change_record
552	Can delete record	139	delete_record
553	Can view record	139	view_record
554	Can add host	140	add_host
555	Can change host	140	change_host
556	Can delete host	140	delete_host
557	Can view host	140	view_host
558	Can add image	141	add_image
559	Can change image	141	change_image
560	Can delete image	141	delete_image
561	Can view image	141	view_image
562	Can add volume	142	add_volume
563	Can change volume	142	change_volume
564	Can delete volume	142	delete_volume
565	Can view volume	142	view_volume
566	Can add network	143	add_network
567	Can change network	143	change_network
568	Can delete network	143	delete_network
569	Can view network	143	view_network
570	Can add container	144	add_container
571	Can change container	144	change_container
572	Can delete container	144	delete_container
573	Can view container	144	view_container
574	Can add port	145	add_port
575	Can change port	145	change_port
576	Can delete port	145	delete_port
577	Can view port	145	view_port
578	Can add mount	146	add_mount
579	Can change mount	146	change_mount
580	Can delete mount	146	delete_mount
581	Can view mount	146	view_mount
582	Can add label	147	add_label
583	Can change label	147	change_label
584	Can delete label	147	delete_label
585	Can view label	147	view_label
586	Can add env	148	add_env
587	Can change env	148	change_env
588	Can delete env	148	delete_env
589	Can view env	148	view_env
590	Can add network setting	149	add_networksetting
591	Can change network setting	149	change_networksetting
592	Can delete network setting	149	delete_networksetting
593	Can view network setting	149	view_networksetting
594	Can add registry	150	add_registry
595	Can change registry	150	change_registry
596	Can delete registry	150	delete_registry
597	Can view registry	150	view_registry
598	Can add bind	151	add_bind
599	Can change bind	151	change_bind
600	Can delete bind	151	delete_bind
601	Can view bind	151	view_bind
602	Can add device	152	add_device
603	Can change device	152	change_device
604	Can delete device	152	delete_device
605	Can view device	152	view_device
\.


--
-- Data for Name: auth_user; Type: TABLE DATA; Schema: public; Owner: netbox
--

COPY public.auth_user (id, password, last_login, is_superuser, username, first_name, last_name, email, is_staff, is_active, date_joined) FROM stdin;
1	pbkdf2_sha256$600000$dIgmQsKgg7CMlQzBYXaKGR$+YlJ3zkrHqG+QnQK4Wz2kgSX1UYjlz+NfwvqrDlRJds=	\N	t	admin			admin@example.com	t	t	2024-08-29 16:44:40.483742+00
\.


--
-- Data for Name: auth_user_groups; Type: TABLE DATA; Schema: public; Owner: netbox
--

COPY public.auth_user_groups (id, user_id, group_id) FROM stdin;
\.


--
-- Data for Name: auth_user_user_permissions; Type: TABLE DATA; Schema: public; Owner: netbox
--

COPY public.auth_user_user_permissions (id, user_id, permission_id) FROM stdin;
\.


--
-- Data for Name: circuits_circuit; Type: TABLE DATA; Schema: public; Owner: netbox
--

COPY public.circuits_circuit (created, last_updated, custom_field_data, id, cid, status, install_date, commit_rate, description, comments, provider_id, tenant_id, termination_a_id, termination_z_id, type_id, termination_date, provider_account_id) FROM stdin;
\.


--
-- Data for Name: circuits_circuittermination; Type: TABLE DATA; Schema: public; Owner: netbox
--

COPY public.circuits_circuittermination (created, last_updated, id, mark_connected, term_side, port_speed, upstream_speed, xconnect_id, pp_info, description, cable_id, circuit_id, provider_network_id, site_id, custom_field_data, cable_end) FROM stdin;
\.


--
-- Data for Name: circuits_circuittype; Type: TABLE DATA; Schema: public; Owner: netbox
--

COPY public.circuits_circuittype (created, last_updated, custom_field_data, id, name, slug, description) FROM stdin;
\.


--
-- Data for Name: circuits_provider; Type: TABLE DATA; Schema: public; Owner: netbox
--

COPY public.circuits_provider (created, last_updated, custom_field_data, id, name, slug, comments, description) FROM stdin;
\.


--
-- Data for Name: circuits_provider_asns; Type: TABLE DATA; Schema: public; Owner: netbox
--

COPY public.circuits_provider_asns (id, provider_id, asn_id) FROM stdin;
\.


--
-- Data for Name: circuits_provideraccount; Type: TABLE DATA; Schema: public; Owner: netbox
--

COPY public.circuits_provideraccount (id, created, last_updated, custom_field_data, description, comments, account, name, provider_id) FROM stdin;
\.


--
-- Data for Name: circuits_providernetwork; Type: TABLE DATA; Schema: public; Owner: netbox
--

COPY public.circuits_providernetwork (created, last_updated, custom_field_data, id, name, description, comments, provider_id, service_id) FROM stdin;
\.


--
-- Data for Name: core_autosyncrecord; Type: TABLE DATA; Schema: public; Owner: netbox
--

COPY public.core_autosyncrecord (id, object_id, datafile_id, object_type_id) FROM stdin;
\.


--
-- Data for Name: core_datafile; Type: TABLE DATA; Schema: public; Owner: netbox
--

COPY public.core_datafile (id, created, last_updated, path, size, hash, data, source_id) FROM stdin;
\.


--
-- Data for Name: core_datasource; Type: TABLE DATA; Schema: public; Owner: netbox
--

COPY public.core_datasource (id, created, last_updated, custom_field_data, description, comments, name, type, source_url, status, enabled, ignore_rules, parameters, last_synced) FROM stdin;
\.


--
-- Data for Name: core_job; Type: TABLE DATA; Schema: public; Owner: netbox
--

COPY public.core_job (id, object_id, name, created, scheduled, "interval", started, completed, status, data, job_id, object_type_id, user_id) FROM stdin;
\.


--
-- Data for Name: core_managedfile; Type: TABLE DATA; Schema: public; Owner: netbox
--

COPY public.core_managedfile (id, data_path, data_synced, created, last_updated, file_root, file_path, data_file_id, data_source_id, auto_sync_enabled) FROM stdin;
\.


--
-- Data for Name: dcim_cable; Type: TABLE DATA; Schema: public; Owner: netbox
--

COPY public.dcim_cable (created, last_updated, custom_field_data, id, type, status, label, color, length, length_unit, _abs_length, tenant_id, comments, description) FROM stdin;
\.


--
-- Data for Name: dcim_cablepath; Type: TABLE DATA; Schema: public; Owner: netbox
--

COPY public.dcim_cablepath (id, _nodes, is_active, is_split, path, is_complete) FROM stdin;
\.


--
-- Data for Name: dcim_cabletermination; Type: TABLE DATA; Schema: public; Owner: netbox
--

COPY public.dcim_cabletermination (id, cable_end, termination_id, cable_id, termination_type_id, _device_id, _rack_id, _location_id, _site_id, created, last_updated) FROM stdin;
\.


--
-- Data for Name: dcim_consoleport; Type: TABLE DATA; Schema: public; Owner: netbox
--

COPY public.dcim_consoleport (created, last_updated, custom_field_data, id, name, _name, label, description, mark_connected, type, speed, _path_id, cable_id, device_id, module_id, cable_end) FROM stdin;
\.


--
-- Data for Name: dcim_consoleporttemplate; Type: TABLE DATA; Schema: public; Owner: netbox
--

COPY public.dcim_consoleporttemplate (created, last_updated, id, name, _name, label, description, type, device_type_id, module_type_id) FROM stdin;
\.


--
-- Data for Name: dcim_consoleserverport; Type: TABLE DATA; Schema: public; Owner: netbox
--

COPY public.dcim_consoleserverport (created, last_updated, custom_field_data, id, name, _name, label, description, mark_connected, type, speed, _path_id, cable_id, device_id, module_id, cable_end) FROM stdin;
\.


--
-- Data for Name: dcim_consoleserverporttemplate; Type: TABLE DATA; Schema: public; Owner: netbox
--

COPY public.dcim_consoleserverporttemplate (created, last_updated, id, name, _name, label, description, type, device_type_id, module_type_id) FROM stdin;
\.


--
-- Data for Name: dcim_device; Type: TABLE DATA; Schema: public; Owner: netbox
--

COPY public.dcim_device (created, last_updated, custom_field_data, id, local_context_data, name, _name, serial, asset_tag, "position", face, status, vc_position, vc_priority, comments, cluster_id, role_id, device_type_id, location_id, platform_id, primary_ip4_id, primary_ip6_id, rack_id, site_id, tenant_id, virtual_chassis_id, airflow, description, config_template_id, latitude, longitude, oob_ip_id, console_port_count, console_server_port_count, power_port_count, power_outlet_count, interface_count, front_port_count, rear_port_count, device_bay_count, module_bay_count, inventory_item_count) FROM stdin;
\.


--
-- Data for Name: dcim_devicebay; Type: TABLE DATA; Schema: public; Owner: netbox
--

COPY public.dcim_devicebay (created, last_updated, custom_field_data, id, name, _name, label, description, device_id, installed_device_id) FROM stdin;
\.


--
-- Data for Name: dcim_devicebaytemplate; Type: TABLE DATA; Schema: public; Owner: netbox
--

COPY public.dcim_devicebaytemplate (created, last_updated, id, name, _name, label, description, device_type_id) FROM stdin;
\.


--
-- Data for Name: dcim_devicerole; Type: TABLE DATA; Schema: public; Owner: netbox
--

COPY public.dcim_devicerole (created, last_updated, custom_field_data, id, name, slug, color, vm_role, description, config_template_id) FROM stdin;
\.


--
-- Data for Name: dcim_devicetype; Type: TABLE DATA; Schema: public; Owner: netbox
--

COPY public.dcim_devicetype (created, last_updated, custom_field_data, id, model, slug, part_number, u_height, is_full_depth, subdevice_role, front_image, rear_image, comments, manufacturer_id, airflow, weight, weight_unit, _abs_weight, description, default_platform_id, console_port_template_count, console_server_port_template_count, power_port_template_count, power_outlet_template_count, interface_template_count, front_port_template_count, rear_port_template_count, device_bay_template_count, module_bay_template_count, inventory_item_template_count) FROM stdin;
\.


--
-- Data for Name: dcim_frontport; Type: TABLE DATA; Schema: public; Owner: netbox
--

COPY public.dcim_frontport (created, last_updated, custom_field_data, id, name, _name, label, description, mark_connected, type, rear_port_position, cable_id, device_id, rear_port_id, color, module_id, cable_end) FROM stdin;
\.


--
-- Data for Name: dcim_frontporttemplate; Type: TABLE DATA; Schema: public; Owner: netbox
--

COPY public.dcim_frontporttemplate (created, last_updated, id, name, _name, label, description, type, rear_port_position, device_type_id, rear_port_id, color, module_type_id) FROM stdin;
\.


--
-- Data for Name: dcim_interface; Type: TABLE DATA; Schema: public; Owner: netbox
--

COPY public.dcim_interface (created, last_updated, custom_field_data, id, name, label, description, mark_connected, enabled, mac_address, mtu, mode, _name, type, mgmt_only, _path_id, cable_id, device_id, lag_id, parent_id, untagged_vlan_id, wwn, bridge_id, rf_role, rf_channel, rf_channel_frequency, rf_channel_width, tx_power, wireless_link_id, module_id, vrf_id, duplex, speed, poe_mode, poe_type, cable_end) FROM stdin;
\.


--
-- Data for Name: dcim_interface_tagged_vlans; Type: TABLE DATA; Schema: public; Owner: netbox
--

COPY public.dcim_interface_tagged_vlans (id, interface_id, vlan_id) FROM stdin;
\.


--
-- Data for Name: dcim_interface_vdcs; Type: TABLE DATA; Schema: public; Owner: netbox
--

COPY public.dcim_interface_vdcs (id, interface_id, virtualdevicecontext_id) FROM stdin;
\.


--
-- Data for Name: dcim_interface_wireless_lans; Type: TABLE DATA; Schema: public; Owner: netbox
--

COPY public.dcim_interface_wireless_lans (id, interface_id, wirelesslan_id) FROM stdin;
\.


--
-- Data for Name: dcim_interfacetemplate; Type: TABLE DATA; Schema: public; Owner: netbox
--

COPY public.dcim_interfacetemplate (created, last_updated, id, name, label, description, _name, type, mgmt_only, device_type_id, module_type_id, poe_mode, poe_type, enabled, bridge_id, rf_role) FROM stdin;
\.


--
-- Data for Name: dcim_inventoryitem; Type: TABLE DATA; Schema: public; Owner: netbox
--

COPY public.dcim_inventoryitem (created, last_updated, custom_field_data, id, name, _name, label, description, part_id, serial, asset_tag, discovered, lft, rght, tree_id, level, device_id, manufacturer_id, parent_id, role_id, component_id, component_type_id) FROM stdin;
\.


--
-- Data for Name: dcim_inventoryitemrole; Type: TABLE DATA; Schema: public; Owner: netbox
--

COPY public.dcim_inventoryitemrole (created, last_updated, custom_field_data, id, name, slug, color, description) FROM stdin;
\.


--
-- Data for Name: dcim_inventoryitemtemplate; Type: TABLE DATA; Schema: public; Owner: netbox
--

COPY public.dcim_inventoryitemtemplate (created, last_updated, id, name, _name, label, description, component_id, part_id, lft, rght, tree_id, level, component_type_id, device_type_id, manufacturer_id, parent_id, role_id) FROM stdin;
\.


--
-- Data for Name: dcim_location; Type: TABLE DATA; Schema: public; Owner: netbox
--

COPY public.dcim_location (created, last_updated, custom_field_data, id, name, slug, description, lft, rght, tree_id, level, parent_id, site_id, tenant_id, status) FROM stdin;
\.


--
-- Data for Name: dcim_manufacturer; Type: TABLE DATA; Schema: public; Owner: netbox
--

COPY public.dcim_manufacturer (created, last_updated, custom_field_data, id, name, slug, description) FROM stdin;
\.


--
-- Data for Name: dcim_module; Type: TABLE DATA; Schema: public; Owner: netbox
--

COPY public.dcim_module (created, last_updated, custom_field_data, id, local_context_data, serial, asset_tag, comments, device_id, module_bay_id, module_type_id, description, status) FROM stdin;
\.


--
-- Data for Name: dcim_modulebay; Type: TABLE DATA; Schema: public; Owner: netbox
--

COPY public.dcim_modulebay (created, last_updated, custom_field_data, id, name, _name, label, "position", description, device_id) FROM stdin;
\.


--
-- Data for Name: dcim_modulebaytemplate; Type: TABLE DATA; Schema: public; Owner: netbox
--

COPY public.dcim_modulebaytemplate (created, last_updated, id, name, _name, label, "position", description, device_type_id) FROM stdin;
\.


--
-- Data for Name: dcim_moduletype; Type: TABLE DATA; Schema: public; Owner: netbox
--

COPY public.dcim_moduletype (created, last_updated, custom_field_data, id, model, part_number, comments, manufacturer_id, weight, weight_unit, _abs_weight, description) FROM stdin;
\.


--
-- Data for Name: dcim_platform; Type: TABLE DATA; Schema: public; Owner: netbox
--

COPY public.dcim_platform (created, last_updated, custom_field_data, id, name, slug, description, manufacturer_id, config_template_id) FROM stdin;
\.


--
-- Data for Name: dcim_powerfeed; Type: TABLE DATA; Schema: public; Owner: netbox
--

COPY public.dcim_powerfeed (created, last_updated, custom_field_data, id, mark_connected, name, status, type, supply, phase, voltage, amperage, max_utilization, available_power, comments, _path_id, cable_id, power_panel_id, rack_id, cable_end, description, tenant_id) FROM stdin;
\.


--
-- Data for Name: dcim_poweroutlet; Type: TABLE DATA; Schema: public; Owner: netbox
--

COPY public.dcim_poweroutlet (created, last_updated, custom_field_data, id, name, _name, label, description, mark_connected, type, feed_leg, _path_id, cable_id, device_id, power_port_id, module_id, cable_end) FROM stdin;
\.


--
-- Data for Name: dcim_poweroutlettemplate; Type: TABLE DATA; Schema: public; Owner: netbox
--

COPY public.dcim_poweroutlettemplate (created, last_updated, id, name, _name, label, description, type, feed_leg, device_type_id, power_port_id, module_type_id) FROM stdin;
\.


--
-- Data for Name: dcim_powerpanel; Type: TABLE DATA; Schema: public; Owner: netbox
--

COPY public.dcim_powerpanel (created, last_updated, custom_field_data, id, name, location_id, site_id, comments, description) FROM stdin;
\.


--
-- Data for Name: dcim_powerport; Type: TABLE DATA; Schema: public; Owner: netbox
--

COPY public.dcim_powerport (created, last_updated, custom_field_data, id, name, _name, label, description, mark_connected, type, maximum_draw, allocated_draw, _path_id, cable_id, device_id, module_id, cable_end) FROM stdin;
\.


--
-- Data for Name: dcim_powerporttemplate; Type: TABLE DATA; Schema: public; Owner: netbox
--

COPY public.dcim_powerporttemplate (created, last_updated, id, name, _name, label, description, type, maximum_draw, allocated_draw, device_type_id, module_type_id) FROM stdin;
\.


--
-- Data for Name: dcim_rack; Type: TABLE DATA; Schema: public; Owner: netbox
--

COPY public.dcim_rack (created, last_updated, custom_field_data, id, name, _name, facility_id, status, serial, asset_tag, type, width, u_height, desc_units, outer_width, outer_depth, outer_unit, comments, location_id, role_id, site_id, tenant_id, weight, max_weight, weight_unit, _abs_weight, _abs_max_weight, mounting_depth, description, starting_unit) FROM stdin;
\.


--
-- Data for Name: dcim_rackreservation; Type: TABLE DATA; Schema: public; Owner: netbox
--

COPY public.dcim_rackreservation (created, last_updated, custom_field_data, id, units, description, rack_id, tenant_id, user_id, comments) FROM stdin;
\.


--
-- Data for Name: dcim_rackrole; Type: TABLE DATA; Schema: public; Owner: netbox
--

COPY public.dcim_rackrole (created, last_updated, custom_field_data, id, name, slug, color, description) FROM stdin;
\.


--
-- Data for Name: dcim_rearport; Type: TABLE DATA; Schema: public; Owner: netbox
--

COPY public.dcim_rearport (created, last_updated, custom_field_data, id, name, _name, label, description, mark_connected, type, positions, cable_id, device_id, color, module_id, cable_end) FROM stdin;
\.


--
-- Data for Name: dcim_rearporttemplate; Type: TABLE DATA; Schema: public; Owner: netbox
--

COPY public.dcim_rearporttemplate (created, last_updated, id, name, _name, label, description, type, positions, device_type_id, color, module_type_id) FROM stdin;
\.


--
-- Data for Name: dcim_region; Type: TABLE DATA; Schema: public; Owner: netbox
--

COPY public.dcim_region (created, last_updated, custom_field_data, id, name, slug, description, lft, rght, tree_id, level, parent_id) FROM stdin;
\.


--
-- Data for Name: dcim_site; Type: TABLE DATA; Schema: public; Owner: netbox
--

COPY public.dcim_site (created, last_updated, custom_field_data, id, name, _name, slug, status, facility, time_zone, description, physical_address, shipping_address, latitude, longitude, comments, group_id, region_id, tenant_id) FROM stdin;
\.


--
-- Data for Name: dcim_site_asns; Type: TABLE DATA; Schema: public; Owner: netbox
--

COPY public.dcim_site_asns (id, site_id, asn_id) FROM stdin;
\.


--
-- Data for Name: dcim_sitegroup; Type: TABLE DATA; Schema: public; Owner: netbox
--

COPY public.dcim_sitegroup (created, last_updated, custom_field_data, id, name, slug, description, lft, rght, tree_id, level, parent_id) FROM stdin;
\.


--
-- Data for Name: dcim_virtualchassis; Type: TABLE DATA; Schema: public; Owner: netbox
--

COPY public.dcim_virtualchassis (created, last_updated, custom_field_data, id, name, domain, master_id, comments, description, member_count) FROM stdin;
\.


--
-- Data for Name: dcim_virtualdevicecontext; Type: TABLE DATA; Schema: public; Owner: netbox
--

COPY public.dcim_virtualdevicecontext (id, created, last_updated, custom_field_data, description, name, status, identifier, comments, device_id, primary_ip4_id, primary_ip6_id, tenant_id) FROM stdin;
\.


--
-- Data for Name: django_admin_log; Type: TABLE DATA; Schema: public; Owner: netbox
--

COPY public.django_admin_log (id, action_time, object_id, object_repr, action_flag, change_message, content_type_id, user_id) FROM stdin;
\.


--
-- Data for Name: django_content_type; Type: TABLE DATA; Schema: public; Owner: netbox
--

COPY public.django_content_type (id, app_label, model) FROM stdin;
1	admin	logentry
2	auth	permission
3	auth	group
4	auth	user
5	contenttypes	contenttype
6	sessions	session
7	social_django	association
8	social_django	code
9	social_django	nonce
10	social_django	usersocialauth
11	social_django	partial
12	taggit	tag
13	taggit	taggeditem
14	core	datasource
15	core	datafile
16	core	autosyncrecord
17	core	managedfile
18	core	job
19	account	usertoken
20	circuits	circuit
21	circuits	circuittermination
22	circuits	circuittype
23	circuits	provider
24	circuits	providernetwork
25	circuits	provideraccount
26	dcim	cable
27	dcim	cablepath
28	dcim	consoleport
29	dcim	consoleporttemplate
30	dcim	consoleserverport
31	dcim	consoleserverporttemplate
32	dcim	device
33	dcim	devicebay
34	dcim	devicebaytemplate
35	dcim	devicerole
36	dcim	devicetype
37	dcim	frontport
38	dcim	frontporttemplate
39	dcim	interface
40	dcim	interfacetemplate
41	dcim	inventoryitem
42	dcim	location
43	dcim	manufacturer
44	dcim	platform
45	dcim	powerfeed
46	dcim	poweroutlet
47	dcim	poweroutlettemplate
48	dcim	powerpanel
49	dcim	powerport
50	dcim	powerporttemplate
51	dcim	rack
52	dcim	rackreservation
53	dcim	rackrole
54	dcim	rearport
55	dcim	rearporttemplate
56	dcim	region
57	dcim	site
58	dcim	sitegroup
59	dcim	virtualchassis
60	dcim	moduletype
61	dcim	modulebay
62	dcim	module
63	dcim	modulebaytemplate
64	dcim	inventoryitemrole
65	dcim	inventoryitemtemplate
66	dcim	cabletermination
67	dcim	virtualdevicecontext
68	ipam	aggregate
69	ipam	ipaddress
70	ipam	prefix
71	ipam	rir
72	ipam	role
73	ipam	routetarget
74	ipam	vrf
75	ipam	vlangroup
76	ipam	vlan
77	ipam	service
78	ipam	iprange
79	ipam	fhrpgroup
80	ipam	fhrpgroupassignment
81	ipam	asn
82	ipam	servicetemplate
83	ipam	l2vpn
84	ipam	l2vpntermination
85	ipam	asnrange
86	extras	report
87	extras	script
88	extras	configcontext
89	extras	tag
90	extras	webhook
91	extras	taggeditem
92	extras	objectchange
93	extras	journalentry
94	extras	imageattachment
95	extras	exporttemplate
96	extras	customlink
97	extras	customfield
98	extras	configrevision
99	extras	savedfilter
100	extras	cachedvalue
101	extras	branch
102	extras	stagedchange
103	extras	configtemplate
104	extras	dashboard
105	extras	reportmodule
106	extras	scriptmodule
107	extras	bookmark
108	extras	customfieldchoiceset
109	tenancy	tenantgroup
110	tenancy	tenant
111	tenancy	contactrole
112	tenancy	contactgroup
113	tenancy	contact
114	tenancy	contactassignment
115	users	userconfig
116	users	token
117	users	objectpermission
118	users	netboxgroup
119	users	netboxuser
120	virtualization	cluster
121	virtualization	clustergroup
122	virtualization	clustertype
123	virtualization	virtualmachine
124	virtualization	vminterface
125	wireless	wirelesslangroup
126	wireless	wirelesslan
127	wireless	wirelesslink
128	django_rq	queue
129	netbox_rps_plugin	mapping
130	netbox_rps_plugin	httpheader
131	netbox_rps_plugin	samlconfig
132	netbox_rps_plugin	acldeniedsource
133	netbox_rps_plugin	cacheconfig
134	netbox_rps_plugin	hstsprotocol
135	netbox_cert_plugin	certificate
136	netbox_dns	nameserver
137	netbox_dns	view
138	netbox_dns	zone
139	netbox_dns	record
140	netbox_docker_plugin	host
141	netbox_docker_plugin	image
142	netbox_docker_plugin	volume
143	netbox_docker_plugin	network
144	netbox_docker_plugin	container
145	netbox_docker_plugin	port
146	netbox_docker_plugin	mount
147	netbox_docker_plugin	label
148	netbox_docker_plugin	env
149	netbox_docker_plugin	networksetting
150	netbox_docker_plugin	registry
151	netbox_docker_plugin	bind
152	netbox_docker_plugin	device
\.


--
-- Data for Name: django_migrations; Type: TABLE DATA; Schema: public; Owner: netbox
--

COPY public.django_migrations (id, app, name, applied) FROM stdin;
1	contenttypes	0001_initial	2024-08-29 16:43:50.719534+00
2	contenttypes	0002_remove_content_type_name	2024-08-29 16:43:50.723487+00
3	auth	0001_initial	2024-08-29 16:43:50.763342+00
4	auth	0002_alter_permission_name_max_length	2024-08-29 16:43:50.766815+00
5	auth	0003_alter_user_email_max_length	2024-08-29 16:43:50.769622+00
6	auth	0004_alter_user_username_opts	2024-08-29 16:43:50.771936+00
7	auth	0005_alter_user_last_login_null	2024-08-29 16:43:50.774599+00
8	auth	0006_require_contenttypes_0002	2024-08-29 16:43:50.775736+00
9	auth	0007_alter_validators_add_error_messages	2024-08-29 16:43:50.778553+00
10	auth	0008_alter_user_username_max_length	2024-08-29 16:43:50.782236+00
11	auth	0009_alter_user_last_name_max_length	2024-08-29 16:43:50.785156+00
12	auth	0010_alter_group_name_max_length	2024-08-29 16:43:50.788037+00
13	auth	0011_update_proxy_permissions	2024-08-29 16:43:50.790288+00
14	auth	0012_alter_user_first_name_max_length	2024-08-29 16:43:50.792707+00
15	users	0001_api_tokens	2024-08-29 16:43:50.821298+00
16	users	0002_unicode_literals	2024-08-29 16:43:50.822283+00
17	users	0003_token_permissions	2024-08-29 16:43:50.82323+00
18	users	0004_standardize_description	2024-08-29 16:43:50.824227+00
19	users	0005_userconfig	2024-08-29 16:43:50.825173+00
20	users	0006_create_userconfigs	2024-08-29 16:43:50.826032+00
21	users	0007_proxy_group_user	2024-08-29 16:43:50.826851+00
22	users	0008_objectpermission	2024-08-29 16:43:50.827662+00
23	users	0009_replicate_permissions	2024-08-29 16:43:50.828485+00
24	users	0010_update_jsonfield	2024-08-29 16:43:50.829358+00
25	users	0011_standardize_models	2024-08-29 16:43:50.830352+00
26	extras	0001_initial	2024-08-29 16:43:50.917395+00
27	tenancy	0001_initial	2024-08-29 16:43:50.942376+00
28	tenancy	0002_tenant_group_optional	2024-08-29 16:43:50.943613+00
29	tenancy	0003_unicode_literals	2024-08-29 16:43:50.944741+00
30	tenancy	0004_tags	2024-08-29 16:43:50.945849+00
31	tenancy	0005_change_logging	2024-08-29 16:43:50.947089+00
32	tenancy	0006_custom_tag_models	2024-08-29 16:43:50.948277+00
33	tenancy	0007_nested_tenantgroups	2024-08-29 16:43:50.949455+00
34	tenancy	0008_nested_tenantgroups_rebuild	2024-08-29 16:43:50.95049+00
35	tenancy	0009_standardize_description	2024-08-29 16:43:50.951558+00
36	tenancy	0010_custom_field_data	2024-08-29 16:43:50.952729+00
37	tenancy	0011_standardize_name_length	2024-08-29 16:43:50.953897+00
38	tenancy	0012_standardize_models	2024-08-29 16:43:50.955058+00
39	tenancy	0002_tenant_ordering	2024-08-29 16:43:50.957704+00
40	dcim	0001_initial	2024-08-29 16:43:51.091632+00
41	dcim	0002_auto_20160622_1821	2024-08-29 16:43:51.746703+00
42	ipam	0001_initial	2024-08-29 16:43:51.850073+00
43	virtualization	0001_virtualization	2024-08-29 16:43:52.073156+00
44	virtualization	0002_virtualmachine_add_status	2024-08-29 16:43:52.074864+00
45	virtualization	0003_cluster_add_site	2024-08-29 16:43:52.076522+00
46	virtualization	0004_virtualmachine_add_role	2024-08-29 16:43:52.078071+00
47	virtualization	0005_django2	2024-08-29 16:43:52.079594+00
48	virtualization	0006_tags	2024-08-29 16:43:52.081128+00
49	virtualization	0007_change_logging	2024-08-29 16:43:52.082704+00
50	virtualization	0008_virtualmachine_local_context_data	2024-08-29 16:43:52.084323+00
51	virtualization	0009_custom_tag_models	2024-08-29 16:43:52.085832+00
52	virtualization	0010_cluster_add_tenant	2024-08-29 16:43:52.087246+00
53	virtualization	0011_3569_virtualmachine_fields	2024-08-29 16:43:52.088722+00
54	virtualization	0012_vm_name_nonunique	2024-08-29 16:43:52.090329+00
55	virtualization	0013_deterministic_ordering	2024-08-29 16:43:52.091937+00
56	virtualization	0014_standardize_description	2024-08-29 16:43:52.093482+00
57	virtualization	0015_vminterface	2024-08-29 16:43:52.094967+00
58	virtualization	0016_replicate_interfaces	2024-08-29 16:43:52.096399+00
59	virtualization	0017_update_jsonfield	2024-08-29 16:43:52.097899+00
60	virtualization	0018_custom_field_data	2024-08-29 16:43:52.099424+00
61	virtualization	0019_standardize_name_length	2024-08-29 16:43:52.100959+00
62	virtualization	0020_standardize_models	2024-08-29 16:43:52.102431+00
63	virtualization	0021_virtualmachine_vcpus_decimal	2024-08-29 16:43:52.10386+00
64	virtualization	0022_vminterface_parent	2024-08-29 16:43:52.105267+00
65	extras	0002_custom_fields	2024-08-29 16:43:52.454479+00
66	extras	0003_exporttemplate_add_description	2024-08-29 16:43:52.456652+00
67	extras	0004_topologymap_change_comma_to_semicolon	2024-08-29 16:43:52.458454+00
68	extras	0005_useraction_add_bulk_create	2024-08-29 16:43:52.460136+00
69	extras	0006_add_imageattachments	2024-08-29 16:43:52.46175+00
70	extras	0007_unicode_literals	2024-08-29 16:43:52.46338+00
71	extras	0008_reports	2024-08-29 16:43:52.465048+00
72	extras	0009_topologymap_type	2024-08-29 16:43:52.466592+00
73	extras	0010_customfield_filter_logic	2024-08-29 16:43:52.468127+00
74	extras	0011_django2	2024-08-29 16:43:52.469609+00
75	extras	0012_webhooks	2024-08-29 16:43:52.4711+00
76	extras	0013_objectchange	2024-08-29 16:43:52.472841+00
77	extras	0014_configcontexts	2024-08-29 16:43:52.474495+00
78	extras	0015_remove_useraction	2024-08-29 16:43:52.475987+00
79	extras	0016_exporttemplate_add_cable	2024-08-29 16:43:52.477453+00
80	extras	0017_exporttemplate_mime_type_length	2024-08-29 16:43:52.479098+00
81	extras	0018_exporttemplate_add_jinja2	2024-08-29 16:43:52.480664+00
82	extras	0019_tag_taggeditem	2024-08-29 16:43:52.482229+00
83	extras	0020_tag_data	2024-08-29 16:43:52.483789+00
84	extras	0021_add_color_comments_changelog_to_tag	2024-08-29 16:43:52.485325+00
85	extras	0022_custom_links	2024-08-29 16:43:52.486854+00
86	extras	0023_fix_tag_sequences	2024-08-29 16:43:52.488317+00
87	extras	0024_scripts	2024-08-29 16:43:52.489774+00
88	extras	0025_objectchange_time_index	2024-08-29 16:43:52.491212+00
89	extras	0026_webhook_ca_file_path	2024-08-29 16:43:52.492627+00
90	extras	0027_webhook_additional_headers	2024-08-29 16:43:52.494012+00
91	extras	0028_remove_topology_maps	2024-08-29 16:43:52.495511+00
92	extras	0029_3569_customfield_fields	2024-08-29 16:43:52.497111+00
93	extras	0030_3569_objectchange_fields	2024-08-29 16:43:52.498587+00
94	extras	0031_3569_exporttemplate_fields	2024-08-29 16:43:52.500165+00
95	extras	0032_3569_webhook_fields	2024-08-29 16:43:52.501644+00
96	extras	0033_graph_type_template_language	2024-08-29 16:43:52.503147+00
97	extras	0034_configcontext_tags	2024-08-29 16:43:52.504694+00
98	extras	0035_deterministic_ordering	2024-08-29 16:43:52.506306+00
99	extras	0036_contenttype_filters_to_q_objects	2024-08-29 16:43:52.507757+00
100	extras	0037_configcontexts_clusters	2024-08-29 16:43:52.509354+00
101	extras	0038_webhook_template_support	2024-08-29 16:43:52.510879+00
102	extras	0039_update_features_content_types	2024-08-29 16:43:52.512568+00
103	extras	0040_standardize_description	2024-08-29 16:43:52.514159+00
104	extras	0041_tag_description	2024-08-29 16:43:52.515715+00
105	extras	0042_customfield_manager	2024-08-29 16:43:52.517363+00
106	extras	0043_report	2024-08-29 16:43:52.518856+00
107	extras	0044_jobresult	2024-08-29 16:43:52.520471+00
108	extras	0045_configcontext_changelog	2024-08-29 16:43:52.522086+00
109	extras	0046_update_jsonfield	2024-08-29 16:43:52.52381+00
110	extras	0047_tag_ordering	2024-08-29 16:43:52.525421+00
111	extras	0048_exporttemplate_remove_template_language	2024-08-29 16:43:52.526927+00
112	extras	0049_remove_graph	2024-08-29 16:43:52.528502+00
113	extras	0050_customfield_changes	2024-08-29 16:43:52.530023+00
114	extras	0051_migrate_customfields	2024-08-29 16:43:52.53156+00
115	extras	0052_customfield_cleanup	2024-08-29 16:43:52.533184+00
116	extras	0053_rename_webhook_obj_type	2024-08-29 16:43:52.534832+00
117	extras	0054_standardize_models	2024-08-29 16:43:52.53636+00
118	extras	0055_objectchange_data	2024-08-29 16:43:52.537936+00
119	extras	0056_extend_configcontext	2024-08-29 16:43:52.539573+00
120	extras	0057_customlink_rename_fields	2024-08-29 16:43:52.541061+00
121	extras	0058_journalentry	2024-08-29 16:43:52.542586+00
122	extras	0059_exporttemplate_as_attachment	2024-08-29 16:43:52.544181+00
123	extras	0060_customlink_button_class	2024-08-29 16:43:52.55255+00
124	extras	0061_extras_change_logging	2024-08-29 16:43:52.599777+00
125	extras	0062_clear_secrets_changelog	2024-08-29 16:43:52.621348+00
126	tenancy	0003_contacts	2024-08-29 16:43:52.686259+00
127	tenancy	0004_extend_tag_support	2024-08-29 16:43:52.740543+00
128	dcim	0003_auto_20160628_1721	2024-08-29 16:43:54.621753+00
129	dcim	0004_auto_20160701_2049	2024-08-29 16:43:54.623786+00
130	dcim	0005_auto_20160706_1722	2024-08-29 16:43:54.625845+00
131	dcim	0006_add_device_primary_ip4_ip6	2024-08-29 16:43:54.627645+00
132	dcim	0007_device_copy_primary_ip	2024-08-29 16:43:54.629502+00
133	dcim	0008_device_remove_primary_ip	2024-08-29 16:43:54.631401+00
134	dcim	0009_site_32bit_asn_support	2024-08-29 16:43:54.633323+00
135	dcim	0010_devicebay_installed_device_set_null	2024-08-29 16:43:54.635014+00
136	dcim	0011_devicetype_part_number	2024-08-29 16:43:54.636577+00
137	dcim	0012_site_rack_device_add_tenant	2024-08-29 16:43:54.638377+00
138	dcim	0013_add_interface_form_factors	2024-08-29 16:43:54.640334+00
139	dcim	0014_rack_add_type_width	2024-08-29 16:43:54.64207+00
140	dcim	0015_rack_add_u_height_validator	2024-08-29 16:43:54.643669+00
141	dcim	0016_module_add_manufacturer	2024-08-29 16:43:54.645229+00
142	dcim	0017_rack_add_role	2024-08-29 16:43:54.646792+00
143	dcim	0018_device_add_asset_tag	2024-08-29 16:43:54.648686+00
144	dcim	0019_new_iface_form_factors	2024-08-29 16:43:54.650431+00
145	dcim	0020_rack_desc_units	2024-08-29 16:43:54.651954+00
146	dcim	0021_add_ff_flexstack	2024-08-29 16:43:54.653437+00
147	dcim	0022_color_names_to_rgb	2024-08-29 16:43:54.655093+00
148	dcim	0023_devicetype_comments	2024-08-29 16:43:54.656903+00
149	dcim	0024_site_add_contact_fields	2024-08-29 16:43:54.658758+00
150	dcim	0025_devicetype_add_interface_ordering	2024-08-29 16:43:54.66048+00
151	dcim	0026_add_rack_reservations	2024-08-29 16:43:54.662156+00
152	dcim	0027_device_add_site	2024-08-29 16:43:54.664211+00
153	dcim	0028_device_copy_rack_to_site	2024-08-29 16:43:54.666028+00
154	dcim	0029_allow_rackless_devices	2024-08-29 16:43:54.667689+00
155	dcim	0030_interface_add_lag	2024-08-29 16:43:54.669251+00
156	dcim	0031_regions	2024-08-29 16:43:54.670852+00
157	dcim	0032_device_increase_name_length	2024-08-29 16:43:54.672466+00
158	dcim	0033_rackreservation_rack_editable	2024-08-29 16:43:54.674219+00
159	dcim	0034_rename_module_to_inventoryitem	2024-08-29 16:43:54.67588+00
160	dcim	0035_device_expand_status_choices	2024-08-29 16:43:54.677597+00
161	dcim	0036_add_ff_juniper_vcp	2024-08-29 16:43:54.679262+00
162	dcim	0037_unicode_literals	2024-08-29 16:43:54.680976+00
163	dcim	0038_wireless_interfaces	2024-08-29 16:43:54.682862+00
164	dcim	0039_interface_add_enabled_mtu	2024-08-29 16:43:54.684525+00
165	dcim	0040_inventoryitem_add_asset_tag_description	2024-08-29 16:43:54.686135+00
166	dcim	0041_napalm_integration	2024-08-29 16:43:54.687728+00
167	dcim	0042_interface_ff_10ge_cx4	2024-08-29 16:43:54.689457+00
168	dcim	0043_device_component_name_lengths	2024-08-29 16:43:54.691231+00
169	dcim	0044_virtualization	2024-08-29 16:43:54.692877+00
170	dcim	0045_devicerole_vm_role	2024-08-29 16:43:54.694465+00
171	dcim	0046_rack_lengthen_facility_id	2024-08-29 16:43:54.696084+00
172	dcim	0047_more_100ge_form_factors	2024-08-29 16:43:54.697802+00
173	dcim	0048_rack_serial	2024-08-29 16:43:54.699578+00
174	dcim	0049_rackreservation_change_user	2024-08-29 16:43:54.701295+00
175	dcim	0050_interface_vlan_tagging	2024-08-29 16:43:54.702942+00
176	dcim	0051_rackreservation_tenant	2024-08-29 16:43:54.704452+00
177	dcim	0052_virtual_chassis	2024-08-29 16:43:54.705979+00
178	dcim	0053_platform_manufacturer	2024-08-29 16:43:54.707605+00
179	dcim	0054_site_status_timezone_description	2024-08-29 16:43:54.709192+00
180	dcim	0055_virtualchassis_ordering	2024-08-29 16:43:54.710835+00
181	dcim	0056_django2	2024-08-29 16:43:54.712401+00
182	dcim	0057_tags	2024-08-29 16:43:54.713991+00
183	dcim	0058_relax_rack_naming_constraints	2024-08-29 16:43:54.715755+00
184	dcim	0059_site_latitude_longitude	2024-08-29 16:43:54.717957+00
185	dcim	0060_change_logging	2024-08-29 16:43:54.719615+00
186	dcim	0061_platform_napalm_args	2024-08-29 16:43:54.721242+00
187	dcim	0062_interface_mtu	2024-08-29 16:43:54.722835+00
188	dcim	0063_device_local_context_data	2024-08-29 16:43:54.724715+00
189	dcim	0064_remove_platform_rpc_client	2024-08-29 16:43:54.726302+00
190	dcim	0065_front_rear_ports	2024-08-29 16:43:54.727864+00
191	dcim	0066_cables	2024-08-29 16:43:54.729437+00
192	dcim	0067_device_type_remove_qualifiers	2024-08-29 16:43:54.731586+00
193	dcim	0068_rack_new_fields	2024-08-29 16:43:54.733444+00
194	dcim	0069_deprecate_nullablecharfield	2024-08-29 16:43:54.73499+00
195	dcim	0070_custom_tag_models	2024-08-29 16:43:54.73661+00
196	dcim	0071_device_components_add_description	2024-08-29 16:43:54.738335+00
197	dcim	0072_powerfeeds	2024-08-29 16:43:54.740218+00
198	dcim	0073_interface_form_factor_to_type	2024-08-29 16:43:54.742148+00
199	dcim	0074_increase_field_length_platform_name_slug	2024-08-29 16:43:54.743873+00
200	dcim	0075_cable_devices	2024-08-29 16:43:54.745428+00
201	dcim	0076_console_port_types	2024-08-29 16:43:54.747065+00
202	dcim	0077_power_types	2024-08-29 16:43:54.748903+00
203	dcim	0078_3569_site_fields	2024-08-29 16:43:54.750826+00
204	dcim	0079_3569_rack_fields	2024-08-29 16:43:54.752436+00
205	dcim	0080_3569_devicetype_fields	2024-08-29 16:43:54.754005+00
206	dcim	0081_3569_device_fields	2024-08-29 16:43:54.755828+00
207	dcim	0082_3569_interface_fields	2024-08-29 16:43:54.757814+00
208	dcim	0082_3569_port_fields	2024-08-29 16:43:54.759653+00
209	dcim	0083_3569_cable_fields	2024-08-29 16:43:54.761329+00
210	dcim	0084_3569_powerfeed_fields	2024-08-29 16:43:54.762948+00
211	dcim	0085_3569_poweroutlet_fields	2024-08-29 16:43:54.764907+00
212	dcim	0086_device_name_nonunique	2024-08-29 16:43:54.766959+00
213	dcim	0087_role_descriptions	2024-08-29 16:43:54.768589+00
214	dcim	0088_powerfeed_available_power	2024-08-29 16:43:54.770196+00
215	dcim	0089_deterministic_ordering	2024-08-29 16:43:54.771848+00
216	dcim	0090_cable_termination_models	2024-08-29 16:43:54.773681+00
217	dcim	0091_interface_type_other	2024-08-29 16:43:54.778022+00
218	dcim	0092_fix_rack_outer_unit	2024-08-29 16:43:54.779672+00
219	dcim	0093_device_component_ordering	2024-08-29 16:43:54.781237+00
220	dcim	0094_device_component_template_ordering	2024-08-29 16:43:54.782804+00
221	dcim	0095_primary_model_ordering	2024-08-29 16:43:54.784382+00
222	dcim	0096_interface_ordering	2024-08-29 16:43:54.785911+00
223	dcim	0097_interfacetemplate_type_other	2024-08-29 16:43:54.787415+00
224	dcim	0098_devicetype_images	2024-08-29 16:43:54.789025+00
225	dcim	0099_powerfeed_negative_voltage	2024-08-29 16:43:54.79059+00
226	dcim	0100_mptt_remove_indexes	2024-08-29 16:43:54.792203+00
227	dcim	0101_nested_rackgroups	2024-08-29 16:43:54.793815+00
228	dcim	0102_nested_rackgroups_rebuild	2024-08-29 16:43:54.795349+00
229	dcim	0103_standardize_description	2024-08-29 16:43:54.796872+00
230	dcim	0104_correct_infiniband_types	2024-08-29 16:43:54.798425+00
231	dcim	0105_interface_name_collation	2024-08-29 16:43:54.800021+00
232	dcim	0106_role_default_color	2024-08-29 16:43:54.801563+00
233	dcim	0107_component_labels	2024-08-29 16:43:54.803134+00
234	dcim	0108_add_tags	2024-08-29 16:43:54.804842+00
235	dcim	0109_interface_remove_vm	2024-08-29 16:43:54.806431+00
236	dcim	0110_virtualchassis_name	2024-08-29 16:43:54.808111+00
237	dcim	0111_component_template_description	2024-08-29 16:43:54.809773+00
238	dcim	0112_standardize_components	2024-08-29 16:43:54.811257+00
239	dcim	0113_nullbooleanfield_to_booleanfield	2024-08-29 16:43:54.812767+00
240	dcim	0114_update_jsonfield	2024-08-29 16:43:54.814305+00
241	dcim	0115_rackreservation_order	2024-08-29 16:43:54.816031+00
242	dcim	0116_rearport_max_positions	2024-08-29 16:43:54.817712+00
243	dcim	0117_custom_field_data	2024-08-29 16:43:54.819259+00
244	dcim	0118_inventoryitem_mptt	2024-08-29 16:43:54.820824+00
245	dcim	0119_inventoryitem_mptt_rebuild	2024-08-29 16:43:54.822366+00
246	dcim	0120_cache_cable_peer	2024-08-29 16:43:54.823982+00
247	dcim	0121_cablepath	2024-08-29 16:43:54.825571+00
248	dcim	0122_standardize_name_length	2024-08-29 16:43:54.827125+00
249	dcim	0123_standardize_models	2024-08-29 16:43:54.828672+00
250	dcim	0124_mark_connected	2024-08-29 16:43:54.830159+00
251	dcim	0125_console_port_speed	2024-08-29 16:43:54.831802+00
252	dcim	0126_rename_rackgroup_location	2024-08-29 16:43:54.833424+00
253	dcim	0127_device_location	2024-08-29 16:43:54.83496+00
254	dcim	0128_device_location_populate	2024-08-29 16:43:54.836572+00
255	dcim	0129_interface_parent	2024-08-29 16:43:54.838076+00
256	dcim	0130_sitegroup	2024-08-29 16:43:54.839625+00
257	ipam	0002_vrf_add_enforce_unique	2024-08-29 16:43:55.344054+00
258	ipam	0003_ipam_add_vlangroups	2024-08-29 16:43:55.346327+00
259	ipam	0004_ipam_vlangroup_uniqueness	2024-08-29 16:43:55.348485+00
260	ipam	0005_auto_20160725_1842	2024-08-29 16:43:55.350581+00
261	ipam	0006_vrf_vlan_add_tenant	2024-08-29 16:43:55.352831+00
262	ipam	0007_prefix_ipaddress_add_tenant	2024-08-29 16:43:55.35504+00
263	ipam	0008_prefix_change_order	2024-08-29 16:43:55.357338+00
264	ipam	0009_ipaddress_add_status	2024-08-29 16:43:55.359503+00
265	ipam	0010_ipaddress_help_texts	2024-08-29 16:43:55.361368+00
266	ipam	0011_rir_add_is_private	2024-08-29 16:43:55.363443+00
267	ipam	0012_services	2024-08-29 16:43:55.365533+00
268	ipam	0013_prefix_add_is_pool	2024-08-29 16:43:55.367871+00
269	ipam	0014_ipaddress_status_add_deprecated	2024-08-29 16:43:55.369979+00
270	ipam	0015_global_vlans	2024-08-29 16:43:55.371991+00
271	ipam	0016_unicode_literals	2024-08-29 16:43:55.374124+00
272	ipam	0017_ipaddress_roles	2024-08-29 16:43:55.376303+00
273	ipam	0018_remove_service_uniqueness_constraint	2024-08-29 16:43:55.37835+00
274	ipam	0019_virtualization	2024-08-29 16:43:55.380475+00
275	ipam	0020_ipaddress_add_role_carp	2024-08-29 16:43:55.382534+00
276	ipam	0021_vrf_ordering	2024-08-29 16:43:55.384652+00
277	ipam	0022_tags	2024-08-29 16:43:55.386648+00
278	ipam	0023_change_logging	2024-08-29 16:43:55.38871+00
279	ipam	0024_vrf_allow_null_rd	2024-08-29 16:43:55.39068+00
280	ipam	0025_custom_tag_models	2024-08-29 16:43:55.392741+00
281	ipam	0026_prefix_ordering_vrf_nulls_first	2024-08-29 16:43:55.394607+00
282	ipam	0027_ipaddress_add_dns_name	2024-08-29 16:43:55.396583+00
283	ipam	0028_3569_prefix_fields	2024-08-29 16:43:55.398646+00
284	ipam	0029_3569_ipaddress_fields	2024-08-29 16:43:55.400681+00
285	ipam	0030_3569_vlan_fields	2024-08-29 16:43:55.402835+00
286	ipam	0031_3569_service_fields	2024-08-29 16:43:55.404862+00
287	ipam	0032_role_description	2024-08-29 16:43:55.406926+00
288	ipam	0033_deterministic_ordering	2024-08-29 16:43:55.409114+00
289	ipam	0034_fix_ipaddress_status_dhcp	2024-08-29 16:43:55.411179+00
290	ipam	0035_drop_ip_family	2024-08-29 16:43:55.413235+00
291	ipam	0036_standardize_description	2024-08-29 16:43:55.415342+00
292	ipam	0037_ipaddress_assignment	2024-08-29 16:43:55.417387+00
293	ipam	0038_custom_field_data	2024-08-29 16:43:55.419466+00
294	ipam	0039_service_ports_array	2024-08-29 16:43:55.421448+00
295	ipam	0040_service_drop_port	2024-08-29 16:43:55.423518+00
296	ipam	0041_routetarget	2024-08-29 16:43:55.425501+00
297	ipam	0042_standardize_name_length	2024-08-29 16:43:55.427473+00
298	ipam	0043_add_tenancy_to_aggregates	2024-08-29 16:43:55.429645+00
299	ipam	0044_standardize_models	2024-08-29 16:43:55.431719+00
300	ipam	0045_vlangroup_scope	2024-08-29 16:43:55.434054+00
301	ipam	0046_set_vlangroup_scope_types	2024-08-29 16:43:55.436313+00
302	ipam	0047_prefix_depth_children	2024-08-29 16:43:55.467479+00
303	ipam	0048_prefix_populate_depth_children	2024-08-29 16:43:55.493042+00
304	ipam	0049_prefix_mark_utilized	2024-08-29 16:43:55.510614+00
305	ipam	0050_iprange	2024-08-29 16:43:55.546487+00
306	ipam	0051_extend_tag_support	2024-08-29 16:43:55.702118+00
307	extras	0063_webhook_conditions	2024-08-29 16:43:55.713257+00
308	extras	0064_configrevision	2024-08-29 16:43:55.720858+00
309	ipam	0052_fhrpgroup	2024-08-29 16:43:55.807572+00
310	ipam	0053_asn_model	2024-08-29 16:43:55.843767+00
311	dcim	0131_consoleport_speed	2024-08-29 16:43:55.906717+00
312	dcim	0132_cable_length	2024-08-29 16:43:55.94275+00
313	dcim	0133_port_colors	2024-08-29 16:43:56.079483+00
314	dcim	0134_interface_wwn_bridge	2024-08-29 16:43:56.126125+00
315	dcim	0135_tenancy_extensions	2024-08-29 16:43:56.178929+00
316	dcim	0136_device_airflow	2024-08-29 16:43:56.217378+00
317	dcim	0137_relax_uniqueness_constraints	2024-08-29 16:43:56.495961+00
318	dcim	0138_extend_tag_support	2024-08-29 16:43:56.739435+00
319	dcim	0139_rename_cable_peer	2024-08-29 16:43:57.148878+00
320	wireless	0001_wireless	2024-08-29 16:43:57.260004+00
321	dcim	0140_wireless	2024-08-29 16:43:57.514102+00
322	dcim	0141_asn_model	2024-08-29 16:43:57.550151+00
323	dcim	0142_rename_128gfc_qsfp28	2024-08-29 16:43:57.57596+00
324	dcim	0143_remove_primary_for_related_name	2024-08-29 16:43:57.629402+00
325	dcim	0144_fix_cable_abs_length	2024-08-29 16:43:57.656438+00
326	dcim	0145_site_remove_deprecated_fields	2024-08-29 16:43:57.839997+00
327	users	0002_standardize_id_fields	2024-08-29 16:43:57.872336+00
328	users	0003_token_allowed_ips_last_used	2024-08-29 16:43:57.884828+00
329	users	0004_netboxgroup_netboxuser	2024-08-29 16:43:57.894004+00
330	account	0001_initial	2024-08-29 16:43:57.897981+00
331	admin	0001_initial	2024-08-29 16:43:57.93383+00
332	admin	0002_logentry_remove_auto_add	2024-08-29 16:43:57.946876+00
333	admin	0003_logentry_add_action_flag_choices	2024-08-29 16:43:57.958426+00
334	wireless	0002_standardize_id_fields	2024-08-29 16:43:58.123208+00
335	wireless	0003_created_datetimefield	2024-08-29 16:43:58.223506+00
336	tenancy	0005_standardize_id_fields	2024-08-29 16:43:58.38765+00
337	tenancy	0006_created_datetimefield	2024-08-29 16:43:58.64604+00
338	tenancy	0007_contact_link	2024-08-29 16:43:58.668104+00
339	wireless	0004_wireless_tenancy	2024-08-29 16:43:58.725962+00
340	ipam	0054_vlangroup_min_max_vids	2024-08-29 16:43:58.771896+00
341	virtualization	0023_virtualmachine_natural_ordering	2024-08-29 16:43:58.932235+00
342	virtualization	0024_cluster_relax_uniqueness	2024-08-29 16:43:58.984983+00
343	virtualization	0025_extend_tag_support	2024-08-29 16:43:59.034173+00
344	virtualization	0026_vminterface_bridge	2024-08-29 16:43:59.066439+00
345	extras	0065_imageattachment_change_logging	2024-08-29 16:43:59.078468+00
346	extras	0066_customfield_name_validation	2024-08-29 16:43:59.090492+00
347	extras	0067_customfield_min_max_values	2024-08-29 16:43:59.117467+00
348	extras	0068_configcontext_cluster_types	2024-08-29 16:43:59.158757+00
349	dcim	0146_modules	2024-08-29 16:44:00.297196+00
350	dcim	0147_inventoryitemrole	2024-08-29 16:44:00.460887+00
351	dcim	0148_inventoryitem_component	2024-08-29 16:44:00.5127+00
352	dcim	0149_inventoryitem_templates	2024-08-29 16:44:00.562391+00
353	dcim	0150_interface_vrf	2024-08-29 16:44:00.595984+00
354	dcim	0151_interface_speed_duplex	2024-08-29 16:44:00.644803+00
355	dcim	0152_standardize_id_fields	2024-08-29 16:44:02.348944+00
356	dcim	0153_created_datetimefield	2024-08-29 16:44:03.744124+00
357	dcim	0154_half_height_rack_units	2024-08-29 16:44:03.824716+00
358	dcim	0155_interface_poe_mode_type	2024-08-29 16:44:03.995794+00
359	dcim	0156_location_status	2024-08-29 16:44:04.017878+00
360	dcim	0157_new_cabling_models	2024-08-29 16:44:04.435387+00
361	dcim	0158_populate_cable_terminations	2024-08-29 16:44:04.468789+00
362	dcim	0159_populate_cable_paths	2024-08-29 16:44:04.500654+00
363	extras	0069_custom_object_field	2024-08-29 16:44:04.5374+00
364	extras	0070_customlink_enabled	2024-08-29 16:44:04.55153+00
365	ipam	0055_servicetemplate	2024-08-29 16:44:04.588756+00
366	ipam	0056_standardize_id_fields	2024-08-29 16:44:05.189304+00
367	ipam	0057_created_datetimefield	2024-08-29 16:44:05.755414+00
368	circuits	0001_initial	2024-08-29 16:44:05.781676+00
369	circuits	0002_auto_20160622_1821	2024-08-29 16:44:06.407064+00
370	circuits	0003_provider_32bit_asn_support	2024-08-29 16:44:06.409642+00
371	circuits	0004_circuit_add_tenant	2024-08-29 16:44:06.412006+00
372	circuits	0005_circuit_add_upstream_speed	2024-08-29 16:44:06.414289+00
373	circuits	0006_terminations	2024-08-29 16:44:06.416688+00
374	circuits	0007_circuit_add_description	2024-08-29 16:44:06.419093+00
375	circuits	0008_circuittermination_interface_protect_on_delete	2024-08-29 16:44:06.421378+00
376	circuits	0009_unicode_literals	2024-08-29 16:44:06.423609+00
377	circuits	0010_circuit_status	2024-08-29 16:44:06.425819+00
378	circuits	0011_tags	2024-08-29 16:44:06.428007+00
379	circuits	0012_change_logging	2024-08-29 16:44:06.430161+00
380	circuits	0013_cables	2024-08-29 16:44:06.432312+00
381	circuits	0014_circuittermination_description	2024-08-29 16:44:06.434585+00
382	circuits	0015_custom_tag_models	2024-08-29 16:44:06.436925+00
383	circuits	0016_3569_circuit_fields	2024-08-29 16:44:06.439141+00
384	circuits	0017_circuittype_description	2024-08-29 16:44:06.441377+00
385	circuits	0018_standardize_description	2024-08-29 16:44:06.443598+00
386	circuits	0019_nullbooleanfield_to_booleanfield	2024-08-29 16:44:06.445962+00
387	circuits	0020_custom_field_data	2024-08-29 16:44:06.448251+00
388	circuits	0021_cache_cable_peer	2024-08-29 16:44:06.45065+00
389	circuits	0022_cablepath	2024-08-29 16:44:06.4529+00
390	circuits	0023_circuittermination_port_speed_optional	2024-08-29 16:44:06.455107+00
391	circuits	0024_standardize_name_length	2024-08-29 16:44:06.457256+00
392	circuits	0025_standardize_models	2024-08-29 16:44:06.459477+00
393	circuits	0026_mark_connected	2024-08-29 16:44:06.461776+00
394	circuits	0027_providernetwork	2024-08-29 16:44:06.464088+00
395	circuits	0028_cache_circuit_terminations	2024-08-29 16:44:06.466382+00
396	circuits	0029_circuit_tracing	2024-08-29 16:44:06.468731+00
397	circuits	0003_extend_tag_support	2024-08-29 16:44:06.499617+00
398	circuits	0004_rename_cable_peer	2024-08-29 16:44:06.54085+00
399	circuits	0032_provider_service_id	2024-08-29 16:44:06.65552+00
400	circuits	0033_standardize_id_fields	2024-08-29 16:44:06.828366+00
401	circuits	0034_created_datetimefield	2024-08-29 16:44:07.078255+00
402	circuits	0035_provider_asns	2024-08-29 16:44:07.121148+00
403	circuits	0036_circuit_termination_date_tags_custom_fields	2024-08-29 16:44:07.193247+00
404	circuits	0037_new_cabling_models	2024-08-29 16:44:07.221178+00
405	dcim	0160_populate_cable_ends	2024-08-29 16:44:07.259299+00
406	dcim	0161_cabling_cleanup	2024-08-29 16:44:08.29492+00
407	wireless	0005_wirelesslink_interface_types	2024-08-29 16:44:08.458758+00
408	wireless	0006_unique_constraints	2024-08-29 16:44:08.559751+00
409	wireless	0007_standardize_description_comments	2024-08-29 16:44:08.604641+00
410	wireless	0008_wirelesslan_status	2024-08-29 16:44:08.628798+00
411	virtualization	0027_standardize_id_fields	2024-08-29 16:44:08.859169+00
412	virtualization	0028_vminterface_vrf	2024-08-29 16:44:08.897977+00
413	virtualization	0029_created_datetimefield	2024-08-29 16:44:09.183381+00
414	virtualization	0030_cluster_status	2024-08-29 16:44:09.207946+00
415	virtualization	0031_virtualmachine_site_device	2024-08-29 16:44:09.310014+00
416	virtualization	0032_virtualmachine_update_sites	2024-08-29 16:44:09.341512+00
417	virtualization	0033_unique_constraints	2024-08-29 16:44:09.613796+00
418	virtualization	0034_standardize_description_comments	2024-08-29 16:44:09.658385+00
419	tenancy	0008_unique_constraints	2024-08-29 16:44:09.76453+00
420	tenancy	0009_standardize_description_comments	2024-08-29 16:44:09.885558+00
421	ipam	0058_ipaddress_nat_inside_nonunique	2024-08-29 16:44:09.924574+00
422	extras	0071_standardize_id_fields	2024-08-29 16:44:10.10777+00
423	extras	0072_created_datetimefield	2024-08-29 16:44:10.366211+00
424	extras	0073_journalentry_tags_custom_fields	2024-08-29 16:44:10.405194+00
425	extras	0074_customfield_extensions	2024-08-29 16:44:10.429255+00
426	extras	0075_configcontext_locations	2024-08-29 16:44:10.475016+00
427	ipam	0059_l2vpn	2024-08-29 16:44:10.603763+00
428	ipam	0060_alter_l2vpn_slug	2024-08-29 16:44:10.633547+00
429	ipam	0061_fhrpgroup_name	2024-08-29 16:44:10.658864+00
430	ipam	0062_unique_constraints	2024-08-29 16:44:10.921319+00
431	ipam	0063_standardize_description_comments	2024-08-29 16:44:11.273178+00
432	extras	0076_tag_slug_unicode	2024-08-29 16:44:11.306527+00
433	extras	0077_customlink_extend_text_and_url	2024-08-29 16:44:11.325869+00
434	extras	0078_unique_constraints	2024-08-29 16:44:11.367135+00
435	extras	0079_scheduled_jobs	2024-08-29 16:44:11.496376+00
436	extras	0080_customlink_content_types	2024-08-29 16:44:11.598767+00
437	extras	0081_exporttemplate_content_types	2024-08-29 16:44:11.709549+00
438	extras	0082_savedfilter	2024-08-29 16:44:11.855646+00
439	dcim	0162_unique_constraints	2024-08-29 16:44:13.803981+00
440	dcim	0163_weight_fields	2024-08-29 16:44:14.22789+00
441	dcim	0164_rack_mounting_depth	2024-08-29 16:44:14.254769+00
442	dcim	0165_standardize_description_comments	2024-08-29 16:44:14.550622+00
443	dcim	0166_virtualdevicecontext	2024-08-29 16:44:14.931155+00
444	circuits	0038_cabling_cleanup	2024-08-29 16:44:14.994858+00
445	circuits	0039_unique_constraints	2024-08-29 16:44:15.158896+00
446	circuits	0040_provider_remove_deprecated_fields	2024-08-29 16:44:15.277925+00
447	circuits	0041_standardize_description_comments	2024-08-29 16:44:15.304828+00
448	extras	0083_search	2024-08-29 16:44:15.768261+00
449	extras	0084_staging	2024-08-29 16:44:15.847095+00
450	circuits	0042_provideraccount	2024-08-29 16:44:16.167689+00
451	core	0001_initial	2024-08-29 16:44:16.312257+00
452	core	0002_managedfile	2024-08-29 16:44:16.367546+00
453	core	0003_job	2024-08-29 16:44:16.413034+00
454	core	0004_replicate_jobresults	2024-08-29 16:44:16.537202+00
455	core	0005_job_created_auto_now	2024-08-29 16:44:16.551581+00
456	tenancy	0010_tenant_relax_uniqueness	2024-08-29 16:44:16.717128+00
457	ipam	0064_clear_search_cache	2024-08-29 16:44:16.751865+00
458	extras	0085_synced_data	2024-08-29 16:44:17.097249+00
459	extras	0086_configtemplate	2024-08-29 16:44:17.233534+00
460	extras	0087_dashboard	2024-08-29 16:44:17.276765+00
461	ipam	0065_asnrange	2024-08-29 16:44:17.330813+00
462	ipam	0066_iprange_mark_utilized	2024-08-29 16:44:17.356417+00
463	dcim	0167_module_status	2024-08-29 16:44:17.384609+00
464	dcim	0168_interface_template_enabled	2024-08-29 16:44:17.433441+00
465	dcim	0169_devicetype_default_platform	2024-08-29 16:44:17.474325+00
466	dcim	0170_configtemplate	2024-08-29 16:44:17.68446+00
467	dcim	0171_cabletermination_change_logging	2024-08-29 16:44:17.730241+00
468	dcim	0172_larger_power_draw_values	2024-08-29 16:44:17.83269+00
469	dcim	0173_remove_napalm_fields	2024-08-29 16:44:17.881316+00
470	dcim	0174_device_latitude_device_longitude	2024-08-29 16:44:18.02538+00
471	dcim	0174_rack_starting_unit	2024-08-29 16:44:18.053179+00
472	dcim	0175_device_oob_ip	2024-08-29 16:44:18.098133+00
473	dcim	0176_device_component_counters	2024-08-29 16:44:18.542126+00
474	dcim	0177_devicetype_component_counters	2024-08-29 16:44:18.937958+00
475	dcim	0178_virtual_chassis_member_counter	2024-08-29 16:44:19.097921+00
476	dcim	0179_interfacetemplate_rf_role	2024-08-29 16:44:19.113718+00
477	dcim	0180_powerfeed_tenant	2024-08-29 16:44:19.157398+00
478	dcim	0181_rename_device_role_device_role	2024-08-29 16:44:19.226108+00
479	dcim	0182_zero_length_cable_fix	2024-08-29 16:44:19.264493+00
480	django_rq	0001_initial	2024-08-29 16:44:19.269568+00
481	extras	0088_jobresult_webhooks	2024-08-29 16:44:19.292076+00
482	extras	0089_customfield_is_cloneable	2024-08-29 16:44:19.305689+00
483	extras	0090_objectchange_index_request_id	2024-08-29 16:44:19.322151+00
484	extras	0091_create_managedfiles	2024-08-29 16:44:19.503871+00
485	extras	0092_delete_jobresult	2024-08-29 16:44:19.510658+00
486	extras	0093_configrevision_ordering	2024-08-29 16:44:19.517425+00
487	extras	0094_tag_object_types	2024-08-29 16:44:19.622185+00
488	extras	0095_bookmarks	2024-08-29 16:44:19.678306+00
489	extras	0096_customfieldchoiceset	2024-08-29 16:44:19.757693+00
490	extras	0097_customfield_remove_choices	2024-08-29 16:44:19.771856+00
491	extras	0098_webhook_custom_field_data_webhook_tags	2024-08-29 16:44:19.920495+00
492	ipam	0067_ipaddress_index_host	2024-08-29 16:44:19.956087+00
493	netbox_cert_plugin	0001_initial	2024-08-29 16:44:20.003624+00
494	netbox_cert_plugin	0002_new_alt_name_array	2024-08-29 16:44:20.07882+00
495	netbox_cert_plugin	0003_alter_certificate_options_certificate_state_and_more	2024-08-29 16:44:20.266954+00
496	netbox_cert_plugin	0004_alter_certificate_state	2024-08-29 16:44:20.297361+00
497	netbox_cert_plugin	0005_certificate_content_certificate_vault_url	2024-08-29 16:44:20.348842+00
498	netbox_cert_plugin	0006_alter_certificate_content	2024-08-29 16:44:20.376416+00
499	netbox_cert_plugin	0007_alter_certificate_content	2024-08-29 16:44:20.404223+00
500	netbox_cert_plugin	0008_certificatecreaterule	2024-08-29 16:44:20.45744+00
501	netbox_cert_plugin	0009_delete_certificatecreaterule	2024-08-29 16:44:20.462279+00
502	netbox_cert_plugin	0010_alter_certificate_state	2024-08-29 16:44:20.585689+00
503	netbox_cert_plugin	0011_alter_certificate_state	2024-08-29 16:44:20.614132+00
504	netbox_dns	0001_initial	2024-08-29 16:44:20.794101+00
505	netbox_dns	0015_add_record_status	2024-08-29 16:44:20.796573+00
506	netbox_dns	0013_add_nameserver_zone_record_description	2024-08-29 16:44:20.798971+00
507	netbox_dns	0011_add_view_model	2024-08-29 16:44:20.801205+00
508	netbox_dns	0002_zone_default_ttl	2024-08-29 16:44:20.803487+00
509	netbox_dns	0003_soa_managed_records	2024-08-29 16:44:20.805729+00
510	netbox_dns	0004_create_ptr_for_a_aaaa_records	2024-08-29 16:44:20.807836+00
511	netbox_dns	0006_zone_soa_serial_auto	2024-08-29 16:44:20.809985+00
512	netbox_dns	0007_alter_zone_soa_serial_auto	2024-08-29 16:44:20.812194+00
513	netbox_dns	0005_update_ns_records	2024-08-29 16:44:20.814289+00
514	netbox_dns	0008_zone_status_names	2024-08-29 16:44:20.816676+00
515	netbox_dns	0009_netbox32	2024-08-29 16:44:20.818836+00
516	netbox_dns	0010_update_soa_records	2024-08-29 16:44:20.821018+00
517	netbox_dns	0012_adjust_zone_and_record	2024-08-29 16:44:20.823083+00
518	netbox_dns	0014_add_view_description	2024-08-29 16:44:20.82539+00
519	netbox_dns	0016_cleanup_ptr_records	2024-08-29 16:44:20.827486+00
520	netbox_dns	0017_alter_record_ttl	2024-08-29 16:44:20.829771+00
521	netbox_dns	0018_zone_arpa_network	2024-08-29 16:44:20.832+00
522	netbox_dns	0019_update_ns_ttl	2024-08-29 16:44:20.834123+00
523	netbox_dns	0020_netbox_3_4	2024-08-29 16:44:21.036946+00
524	netbox_dns	0021_record_ip_address	2024-08-29 16:44:21.405993+00
525	netbox_dns	0022_search	2024-08-29 16:44:21.410993+00
526	netbox_dns	0023_alter_record_value	2024-08-29 16:44:21.44069+00
527	netbox_dns	0024_tenancy	2024-08-29 16:44:21.686395+00
528	netbox_docker_plugin	0001_initial	2024-08-29 16:44:21.733907+00
529	netbox_docker_plugin	0002_image	2024-08-29 16:44:21.783608+00
530	netbox_docker_plugin	0003_image_size	2024-08-29 16:44:21.812165+00
531	netbox_docker_plugin	0004_volume	2024-08-29 16:44:21.862858+00
532	netbox_docker_plugin	0005_network	2024-08-29 16:44:22.007849+00
533	netbox_docker_plugin	0006_container_port_mount_label_env_and_more	2024-08-29 16:44:22.365592+00
534	netbox_docker_plugin	0007_remove_container_netbox_docker_plugin_container_unique_name_host__and_more	2024-08-29 16:44:22.533474+00
535	netbox_docker_plugin	0008_alter_network_unique_together_network_networkid_and_more	2024-08-29 16:44:22.743948+00
536	netbox_docker_plugin	0009_remove_container_network_networksettings_and_more	2024-08-29 16:44:22.840128+00
537	netbox_docker_plugin	0010_container_containerid_and_more	2024-08-29 16:44:22.898332+00
538	netbox_docker_plugin	0011_host_token	2024-08-29 16:44:22.943962+00
539	netbox_docker_plugin	0012_host_state	2024-08-29 16:44:23.076488+00
540	netbox_docker_plugin	0013_host_netbox_url	2024-08-29 16:44:23.108001+00
541	netbox_docker_plugin	0014_container_operation	2024-08-29 16:44:23.139655+00
542	netbox_docker_plugin	0015_remove_mount_netbox_docker_plugin_mount_unique_volume_and_more	2024-08-29 16:44:23.152239+00
543	netbox_docker_plugin	0016_alter_env_value	2024-08-29 16:44:23.161448+00
544	netbox_docker_plugin	0017_network_state	2024-08-29 16:44:23.195407+00
545	netbox_docker_plugin	0018_alter_mount_volume_alter_networksetting_network	2024-08-29 16:44:23.288607+00
546	netbox_docker_plugin	0019_host_agent_version_host_docker_api_version	2024-08-29 16:44:23.359195+00
547	netbox_docker_plugin	0020_container_hostname	2024-08-29 16:44:23.487268+00
548	netbox_docker_plugin	0021_registry_and_more	2024-08-29 16:44:23.666969+00
549	netbox_docker_plugin	0022_bind_bind_netbox_docker_plugin_bind_unique_bind	2024-08-29 16:44:23.720029+00
550	netbox_docker_plugin	0023_delete_hosts	2024-08-29 16:44:23.864566+00
551	netbox_docker_plugin	0024_registry_host_alter_registry_name_and_more	2024-08-29 16:44:23.967304+00
552	netbox_docker_plugin	0025_alter_image_version	2024-08-29 16:44:23.997874+00
553	netbox_docker_plugin	0026_image_digest	2024-08-29 16:44:24.0291+00
554	netbox_docker_plugin	0027_container_restart_policy	2024-08-29 16:44:24.06108+00
555	netbox_docker_plugin	0028_mount_and_bind_read_only	2024-08-29 16:44:24.073104+00
556	netbox_docker_plugin	0029_alter_container_state	2024-08-29 16:44:24.105747+00
557	netbox_docker_plugin	0030_container_cap_add	2024-08-29 16:44:24.137319+00
558	netbox_docker_plugin	0031_device_and_more	2024-08-29 16:44:24.313213+00
559	netbox_rps_plugin	0001_initial	2024-08-29 16:44:24.360117+00
560	netbox_rps_plugin	0002_http_header	2024-08-29 16:44:24.411401+00
561	netbox_rps_plugin	0003_http_header_unique_constraint	2024-08-29 16:44:24.474008+00
562	netbox_rps_plugin	0004_testingpage_nullable	2024-08-29 16:44:24.5054+00
563	netbox_rps_plugin	0005_source_mapping_unique_constraint	2024-08-29 16:44:24.545002+00
564	netbox_rps_plugin	0006_url_max_length	2024-08-29 16:44:24.741093+00
565	netbox_rps_plugin	0007_saml_config	2024-08-29 16:44:24.792009+00
566	netbox_rps_plugin	0008_new_mapping_attributes	2024-08-29 16:44:24.956571+00
567	netbox_rps_plugin	0009_sorry_page	2024-08-29 16:44:25.099144+00
568	netbox_rps_plugin	0010_alter_httpheader_options_alter_mapping_options_and_more	2024-08-29 16:44:25.813622+00
569	netbox_rps_plugin	0011_alter_mapping_extra_protocols_and_more	2024-08-29 16:44:25.873213+00
570	netbox_rps_plugin	0012_alter_mapping_sorry_page_alter_mapping_source_and_more	2024-08-29 16:44:25.984356+00
571	netbox_rps_plugin	0013_alter_mapping_client_max_body_size	2024-08-29 16:44:26.016657+00
572	netbox_rps_plugin	0014_mapping_proxy_buffer_mapping_proxy_buffer_size_and_more	2024-08-29 16:44:26.205691+00
573	netbox_rps_plugin	0015_acldeniedsource	2024-08-29 16:44:26.257418+00
574	netbox_rps_plugin	0016_cacheconfig	2024-08-29 16:44:26.307405+00
575	netbox_rps_plugin	0017_alter_cacheconfig_list_extensions	2024-08-29 16:44:26.340218+00
576	netbox_rps_plugin	0018_hstsprotocol	2024-08-29 16:44:26.39308+00
577	netbox_rps_plugin	0019_remove_hstsprotocol_tags_count	2024-08-29 16:44:26.424499+00
578	netbox_rps_plugin	0020_alter_mapping_proxy_buffer_and_more	2024-08-29 16:44:26.622096+00
579	netbox_rps_plugin	0021_alter_acldeniedsource_acl_source_and_more	2024-08-29 16:44:26.707605+00
580	netbox_rps_plugin	0022_remove_hstsprotocol_logout_url	2024-08-29 16:44:26.712442+00
581	sessions	0001_initial	2024-08-29 16:44:26.724972+00
582	default	0001_initial	2024-08-29 16:44:26.804471+00
583	social_auth	0001_initial	2024-08-29 16:44:26.80748+00
584	default	0002_add_related_name	2024-08-29 16:44:26.849378+00
585	social_auth	0002_add_related_name	2024-08-29 16:44:26.850906+00
586	default	0003_alter_email_max_length	2024-08-29 16:44:26.860239+00
587	social_auth	0003_alter_email_max_length	2024-08-29 16:44:26.861977+00
588	default	0004_auto_20160423_0400	2024-08-29 16:44:26.87192+00
589	social_auth	0004_auto_20160423_0400	2024-08-29 16:44:26.873544+00
590	social_auth	0005_auto_20160727_2333	2024-08-29 16:44:26.881982+00
591	social_django	0006_partial	2024-08-29 16:44:26.896008+00
592	social_django	0007_code_timestamp	2024-08-29 16:44:26.905323+00
593	social_django	0008_partial_timestamp	2024-08-29 16:44:26.913796+00
594	social_django	0009_auto_20191118_0520	2024-08-29 16:44:26.929558+00
595	social_django	0010_uid_db_index	2024-08-29 16:44:26.94291+00
596	social_django	0011_alter_id_fields	2024-08-29 16:44:26.990892+00
597	social_django	0012_usersocialauth_extra_data_new	2024-08-29 16:44:27.002391+00
598	social_django	0013_migrate_extra_data	2024-08-29 16:44:27.152859+00
599	social_django	0014_remove_usersocialauth_extra_data	2024-08-29 16:44:27.16533+00
600	social_django	0015_rename_extra_data_new_usersocialauth_extra_data	2024-08-29 16:44:27.177648+00
601	taggit	0001_initial	2024-08-29 16:44:27.239942+00
602	taggit	0002_auto_20150616_2121	2024-08-29 16:44:27.2549+00
603	taggit	0003_taggeditem_add_unique_index	2024-08-29 16:44:27.270273+00
604	taggit	0004_alter_taggeditem_content_type_alter_taggeditem_tag	2024-08-29 16:44:27.351749+00
605	taggit	0005_auto_20220424_2025	2024-08-29 16:44:27.358797+00
606	tenancy	0011_contactassignment_tags	2024-08-29 16:44:27.402109+00
607	virtualization	0035_virtualmachine_interface_count	2024-08-29 16:44:27.580565+00
608	virtualization	0036_virtualmachine_config_template	2024-08-29 16:44:27.633033+00
609	social_django	0003_alter_email_max_length	2024-08-29 16:44:27.641217+00
610	social_django	0004_auto_20160423_0400	2024-08-29 16:44:27.644853+00
611	social_django	0002_add_related_name	2024-08-29 16:44:27.648331+00
612	social_django	0005_auto_20160727_2333	2024-08-29 16:44:27.651446+00
613	social_django	0001_initial	2024-08-29 16:44:27.654707+00
614	circuits	0001_squashed	2024-08-29 16:44:27.657639+00
615	circuits	0002_squashed_0029	2024-08-29 16:44:27.66094+00
616	dcim	0002_squashed	2024-08-29 16:44:27.664165+00
617	dcim	0001_squashed	2024-08-29 16:44:27.667373+00
618	dcim	0003_squashed_0130	2024-08-29 16:44:27.670642+00
619	ipam	0001_squashed	2024-08-29 16:44:27.673805+00
620	ipam	0002_squashed_0046	2024-08-29 16:44:27.676997+00
621	extras	0002_squashed_0059	2024-08-29 16:44:27.680131+00
622	extras	0001_squashed	2024-08-29 16:44:27.683208+00
623	tenancy	0001_squashed_0012	2024-08-29 16:44:27.686332+00
624	users	0001_squashed_0011	2024-08-29 16:44:27.689589+00
625	virtualization	0001_squashed_0022	2024-08-29 16:44:27.692858+00
626	netbox_dns	0001_squashed_netbox_dns_0_15	2024-08-29 16:44:27.696215+00
\.


--
-- Data for Name: django_session; Type: TABLE DATA; Schema: public; Owner: netbox
--

COPY public.django_session (session_key, session_data, expire_date) FROM stdin;
\.


--
-- Data for Name: extras_bookmark; Type: TABLE DATA; Schema: public; Owner: netbox
--

COPY public.extras_bookmark (id, created, object_id, object_type_id, user_id) FROM stdin;
\.


--
-- Data for Name: extras_branch; Type: TABLE DATA; Schema: public; Owner: netbox
--

COPY public.extras_branch (id, created, last_updated, name, description, user_id) FROM stdin;
\.


--
-- Data for Name: extras_cachedvalue; Type: TABLE DATA; Schema: public; Owner: netbox
--

COPY public.extras_cachedvalue (id, "timestamp", object_id, field, type, value, weight, object_type_id) FROM stdin;
\.


--
-- Data for Name: extras_configcontext; Type: TABLE DATA; Schema: public; Owner: netbox
--

COPY public.extras_configcontext (created, last_updated, id, name, weight, description, is_active, data, data_file_id, data_path, data_source_id, auto_sync_enabled, data_synced) FROM stdin;
\.


--
-- Data for Name: extras_configcontext_cluster_groups; Type: TABLE DATA; Schema: public; Owner: netbox
--

COPY public.extras_configcontext_cluster_groups (id, configcontext_id, clustergroup_id) FROM stdin;
\.


--
-- Data for Name: extras_configcontext_cluster_types; Type: TABLE DATA; Schema: public; Owner: netbox
--

COPY public.extras_configcontext_cluster_types (id, configcontext_id, clustertype_id) FROM stdin;
\.


--
-- Data for Name: extras_configcontext_clusters; Type: TABLE DATA; Schema: public; Owner: netbox
--

COPY public.extras_configcontext_clusters (id, configcontext_id, cluster_id) FROM stdin;
\.


--
-- Data for Name: extras_configcontext_device_types; Type: TABLE DATA; Schema: public; Owner: netbox
--

COPY public.extras_configcontext_device_types (id, configcontext_id, devicetype_id) FROM stdin;
\.


--
-- Data for Name: extras_configcontext_locations; Type: TABLE DATA; Schema: public; Owner: netbox
--

COPY public.extras_configcontext_locations (id, configcontext_id, location_id) FROM stdin;
\.


--
-- Data for Name: extras_configcontext_platforms; Type: TABLE DATA; Schema: public; Owner: netbox
--

COPY public.extras_configcontext_platforms (id, configcontext_id, platform_id) FROM stdin;
\.


--
-- Data for Name: extras_configcontext_regions; Type: TABLE DATA; Schema: public; Owner: netbox
--

COPY public.extras_configcontext_regions (id, configcontext_id, region_id) FROM stdin;
\.


--
-- Data for Name: extras_configcontext_roles; Type: TABLE DATA; Schema: public; Owner: netbox
--

COPY public.extras_configcontext_roles (id, configcontext_id, devicerole_id) FROM stdin;
\.


--
-- Data for Name: extras_configcontext_site_groups; Type: TABLE DATA; Schema: public; Owner: netbox
--

COPY public.extras_configcontext_site_groups (id, configcontext_id, sitegroup_id) FROM stdin;
\.


--
-- Data for Name: extras_configcontext_sites; Type: TABLE DATA; Schema: public; Owner: netbox
--

COPY public.extras_configcontext_sites (id, configcontext_id, site_id) FROM stdin;
\.


--
-- Data for Name: extras_configcontext_tags; Type: TABLE DATA; Schema: public; Owner: netbox
--

COPY public.extras_configcontext_tags (id, configcontext_id, tag_id) FROM stdin;
\.


--
-- Data for Name: extras_configcontext_tenant_groups; Type: TABLE DATA; Schema: public; Owner: netbox
--

COPY public.extras_configcontext_tenant_groups (id, configcontext_id, tenantgroup_id) FROM stdin;
\.


--
-- Data for Name: extras_configcontext_tenants; Type: TABLE DATA; Schema: public; Owner: netbox
--

COPY public.extras_configcontext_tenants (id, configcontext_id, tenant_id) FROM stdin;
\.


--
-- Data for Name: extras_configrevision; Type: TABLE DATA; Schema: public; Owner: netbox
--

COPY public.extras_configrevision (id, created, comment, data) FROM stdin;
\.


--
-- Data for Name: extras_configtemplate; Type: TABLE DATA; Schema: public; Owner: netbox
--

COPY public.extras_configtemplate (id, created, last_updated, data_path, data_synced, name, description, template_code, environment_params, data_file_id, data_source_id, auto_sync_enabled) FROM stdin;
\.


--
-- Data for Name: extras_customfield; Type: TABLE DATA; Schema: public; Owner: netbox
--

COPY public.extras_customfield (id, type, name, label, description, required, filter_logic, "default", weight, validation_minimum, validation_maximum, validation_regex, created, last_updated, object_type_id, group_name, ui_visibility, search_weight, is_cloneable, choice_set_id) FROM stdin;
\.


--
-- Data for Name: extras_customfield_content_types; Type: TABLE DATA; Schema: public; Owner: netbox
--

COPY public.extras_customfield_content_types (id, customfield_id, contenttype_id) FROM stdin;
\.


--
-- Data for Name: extras_customfieldchoiceset; Type: TABLE DATA; Schema: public; Owner: netbox
--

COPY public.extras_customfieldchoiceset (id, created, last_updated, name, description, base_choices, extra_choices, order_alphabetically) FROM stdin;
\.


--
-- Data for Name: extras_customlink; Type: TABLE DATA; Schema: public; Owner: netbox
--

COPY public.extras_customlink (id, name, link_text, link_url, weight, group_name, button_class, new_window, created, last_updated, enabled) FROM stdin;
\.


--
-- Data for Name: extras_customlink_content_types; Type: TABLE DATA; Schema: public; Owner: netbox
--

COPY public.extras_customlink_content_types (id, customlink_id, contenttype_id) FROM stdin;
\.


--
-- Data for Name: extras_dashboard; Type: TABLE DATA; Schema: public; Owner: netbox
--

COPY public.extras_dashboard (id, layout, config, user_id) FROM stdin;
\.


--
-- Data for Name: extras_exporttemplate; Type: TABLE DATA; Schema: public; Owner: netbox
--

COPY public.extras_exporttemplate (id, name, description, template_code, mime_type, file_extension, as_attachment, created, last_updated, data_file_id, data_path, data_source_id, auto_sync_enabled, data_synced) FROM stdin;
\.


--
-- Data for Name: extras_exporttemplate_content_types; Type: TABLE DATA; Schema: public; Owner: netbox
--

COPY public.extras_exporttemplate_content_types (id, exporttemplate_id, contenttype_id) FROM stdin;
\.


--
-- Data for Name: extras_imageattachment; Type: TABLE DATA; Schema: public; Owner: netbox
--

COPY public.extras_imageattachment (id, object_id, image, image_height, image_width, name, created, content_type_id, last_updated) FROM stdin;
\.


--
-- Data for Name: extras_journalentry; Type: TABLE DATA; Schema: public; Owner: netbox
--

COPY public.extras_journalentry (last_updated, id, assigned_object_id, created, kind, comments, assigned_object_type_id, created_by_id, custom_field_data) FROM stdin;
\.


--
-- Data for Name: extras_objectchange; Type: TABLE DATA; Schema: public; Owner: netbox
--

COPY public.extras_objectchange (id, "time", user_name, request_id, action, changed_object_id, related_object_id, object_repr, prechange_data, postchange_data, changed_object_type_id, related_object_type_id, user_id) FROM stdin;
\.


--
-- Data for Name: extras_savedfilter; Type: TABLE DATA; Schema: public; Owner: netbox
--

COPY public.extras_savedfilter (id, created, last_updated, name, slug, description, weight, enabled, shared, parameters, user_id) FROM stdin;
\.


--
-- Data for Name: extras_savedfilter_content_types; Type: TABLE DATA; Schema: public; Owner: netbox
--

COPY public.extras_savedfilter_content_types (id, savedfilter_id, contenttype_id) FROM stdin;
\.


--
-- Data for Name: extras_stagedchange; Type: TABLE DATA; Schema: public; Owner: netbox
--

COPY public.extras_stagedchange (id, created, last_updated, action, object_id, data, branch_id, object_type_id) FROM stdin;
\.


--
-- Data for Name: extras_tag; Type: TABLE DATA; Schema: public; Owner: netbox
--

COPY public.extras_tag (name, slug, created, last_updated, id, color, description) FROM stdin;
\.


--
-- Data for Name: extras_tag_object_types; Type: TABLE DATA; Schema: public; Owner: netbox
--

COPY public.extras_tag_object_types (id, tag_id, contenttype_id) FROM stdin;
\.


--
-- Data for Name: extras_taggeditem; Type: TABLE DATA; Schema: public; Owner: netbox
--

COPY public.extras_taggeditem (object_id, id, content_type_id, tag_id) FROM stdin;
\.


--
-- Data for Name: extras_webhook; Type: TABLE DATA; Schema: public; Owner: netbox
--

COPY public.extras_webhook (id, name, type_create, type_update, type_delete, payload_url, enabled, http_method, http_content_type, additional_headers, body_template, secret, ssl_verification, ca_file_path, created, last_updated, conditions, type_job_end, type_job_start, custom_field_data) FROM stdin;
1	[Docker] Add container	t	f	f	{{ data.host.endpoint }}/api/engine/containers	t	POST	application/json				f	\N	2024-08-29 16:44:27.862672+00	2024-08-29 16:44:27.866848+00	\N	f	f	{}
2	[Docker] Add host	t	f	f	{{ data.endpoint }}/api/engine/endpoint?id={{ data.id }}&token={{ data.token.key }}&endpoint={{ data.endpoint }}&url={{ data.netbox_base_url }}	t	GET	application/json				f	\N	2024-08-29 16:44:27.86881+00	2024-08-29 16:44:27.872274+00	\N	f	f	{}
3	[Docker] Add image	t	f	f	{{ data.host.endpoint }}/api/engine/images	t	POST	application/json				f	\N	2024-08-29 16:44:27.873974+00	2024-08-29 16:44:27.876864+00	\N	f	f	{}
4	[Docker] Add network	t	f	f	{{ data.host.endpoint }}/api/engine/networks	t	POST	application/json				f	\N	2024-08-29 16:44:27.878298+00	2024-08-29 16:44:27.881106+00	\N	f	f	{}
5	[Docker] Add volume	t	f	f	{{ data.host.endpoint }}/api/engine/volumes	t	POST	application/json				f	\N	2024-08-29 16:44:27.882615+00	2024-08-29 16:44:27.885223+00	\N	f	f	{}
6	[Docker] Delete container	f	f	t	{{ data.host.endpoint }}/api/engine/containers	t	DELETE	application/json				f	\N	2024-08-29 16:44:27.886479+00	2024-08-29 16:44:27.888461+00	\N	f	f	{}
7	[Docker] Delete host	f	f	t	{{ data.endpoint }}/api/engine/endpoint	t	DELETE	application/json				f	\N	2024-08-29 16:44:27.889531+00	2024-08-29 16:44:27.891484+00	\N	f	f	{}
8	[Docker] Delete image	f	f	t	{{ data.host.endpoint }}/api/engine/images	t	DELETE	application/json				f	\N	2024-08-29 16:44:27.892527+00	2024-08-29 16:44:27.894287+00	\N	f	f	{}
9	[Docker] Delete network	f	f	t	{{ data.host.endpoint }}/api/engine/networks	t	DELETE	application/json				f	\N	2024-08-29 16:44:27.895274+00	2024-08-29 16:44:27.897086+00	\N	f	f	{}
10	[Docker] Delete volume	f	f	t	{{ data.host.endpoint }}/api/engine/volumes	t	DELETE	application/json				f	\N	2024-08-29 16:44:27.89824+00	2024-08-29 16:44:27.900099+00	\N	f	f	{}
11	[Docker] Modify image	f	t	f	{{ data.host.endpoint }}/api/engine/images	t	POST	application/json				f	\N	2024-08-29 16:44:27.901076+00	2024-08-29 16:44:27.902877+00	\N	f	f	{}
12	[Docker] Modify container	f	t	f	{{ data.host.endpoint }}/api/engine/containers	t	PUT	application/json				f	\N	2024-08-29 16:44:27.903889+00	2024-08-29 16:44:27.905695+00	\N	f	f	{}
\.


--
-- Data for Name: extras_webhook_content_types; Type: TABLE DATA; Schema: public; Owner: netbox
--

COPY public.extras_webhook_content_types (id, webhook_id, contenttype_id) FROM stdin;
1	1	144
2	2	140
3	3	141
4	4	143
5	5	142
6	6	144
7	7	140
8	8	141
9	9	143
10	10	142
11	11	141
12	12	144
\.


--
-- Data for Name: ipam_aggregate; Type: TABLE DATA; Schema: public; Owner: netbox
--

COPY public.ipam_aggregate (created, last_updated, custom_field_data, id, prefix, date_added, description, rir_id, tenant_id, comments) FROM stdin;
\.


--
-- Data for Name: ipam_asn; Type: TABLE DATA; Schema: public; Owner: netbox
--

COPY public.ipam_asn (created, last_updated, custom_field_data, id, asn, description, rir_id, tenant_id, comments) FROM stdin;
\.


--
-- Data for Name: ipam_asnrange; Type: TABLE DATA; Schema: public; Owner: netbox
--

COPY public.ipam_asnrange (id, created, last_updated, custom_field_data, description, name, slug, start, "end", rir_id, tenant_id) FROM stdin;
\.


--
-- Data for Name: ipam_fhrpgroup; Type: TABLE DATA; Schema: public; Owner: netbox
--

COPY public.ipam_fhrpgroup (created, last_updated, custom_field_data, id, group_id, protocol, auth_type, auth_key, description, name, comments) FROM stdin;
\.


--
-- Data for Name: ipam_fhrpgroupassignment; Type: TABLE DATA; Schema: public; Owner: netbox
--

COPY public.ipam_fhrpgroupassignment (created, last_updated, id, interface_id, priority, group_id, interface_type_id) FROM stdin;
\.


--
-- Data for Name: ipam_ipaddress; Type: TABLE DATA; Schema: public; Owner: netbox
--

COPY public.ipam_ipaddress (created, last_updated, custom_field_data, id, address, status, role, assigned_object_id, dns_name, description, assigned_object_type_id, nat_inside_id, tenant_id, vrf_id, comments) FROM stdin;
\.


--
-- Data for Name: ipam_iprange; Type: TABLE DATA; Schema: public; Owner: netbox
--

COPY public.ipam_iprange (created, last_updated, custom_field_data, id, start_address, end_address, size, status, description, role_id, tenant_id, vrf_id, comments, mark_utilized) FROM stdin;
\.


--
-- Data for Name: ipam_l2vpn; Type: TABLE DATA; Schema: public; Owner: netbox
--

COPY public.ipam_l2vpn (id, created, last_updated, custom_field_data, name, slug, type, identifier, description, tenant_id, comments) FROM stdin;
\.


--
-- Data for Name: ipam_l2vpn_export_targets; Type: TABLE DATA; Schema: public; Owner: netbox
--

COPY public.ipam_l2vpn_export_targets (id, l2vpn_id, routetarget_id) FROM stdin;
\.


--
-- Data for Name: ipam_l2vpn_import_targets; Type: TABLE DATA; Schema: public; Owner: netbox
--

COPY public.ipam_l2vpn_import_targets (id, l2vpn_id, routetarget_id) FROM stdin;
\.


--
-- Data for Name: ipam_l2vpntermination; Type: TABLE DATA; Schema: public; Owner: netbox
--

COPY public.ipam_l2vpntermination (id, created, last_updated, custom_field_data, assigned_object_id, assigned_object_type_id, l2vpn_id) FROM stdin;
\.


--
-- Data for Name: ipam_prefix; Type: TABLE DATA; Schema: public; Owner: netbox
--

COPY public.ipam_prefix (created, last_updated, custom_field_data, id, prefix, status, is_pool, description, role_id, site_id, tenant_id, vlan_id, vrf_id, _children, _depth, mark_utilized, comments) FROM stdin;
\.


--
-- Data for Name: ipam_rir; Type: TABLE DATA; Schema: public; Owner: netbox
--

COPY public.ipam_rir (created, last_updated, custom_field_data, id, name, slug, is_private, description) FROM stdin;
\.


--
-- Data for Name: ipam_role; Type: TABLE DATA; Schema: public; Owner: netbox
--

COPY public.ipam_role (created, last_updated, custom_field_data, id, name, slug, weight, description) FROM stdin;
\.


--
-- Data for Name: ipam_routetarget; Type: TABLE DATA; Schema: public; Owner: netbox
--

COPY public.ipam_routetarget (created, last_updated, custom_field_data, id, name, description, tenant_id, comments) FROM stdin;
\.


--
-- Data for Name: ipam_service; Type: TABLE DATA; Schema: public; Owner: netbox
--

COPY public.ipam_service (created, last_updated, custom_field_data, id, name, protocol, ports, description, device_id, virtual_machine_id, comments) FROM stdin;
\.


--
-- Data for Name: ipam_service_ipaddresses; Type: TABLE DATA; Schema: public; Owner: netbox
--

COPY public.ipam_service_ipaddresses (id, service_id, ipaddress_id) FROM stdin;
\.


--
-- Data for Name: ipam_servicetemplate; Type: TABLE DATA; Schema: public; Owner: netbox
--

COPY public.ipam_servicetemplate (created, last_updated, custom_field_data, id, protocol, ports, description, name, comments) FROM stdin;
\.


--
-- Data for Name: ipam_vlan; Type: TABLE DATA; Schema: public; Owner: netbox
--

COPY public.ipam_vlan (created, last_updated, custom_field_data, id, vid, name, status, description, group_id, role_id, site_id, tenant_id, comments) FROM stdin;
\.


--
-- Data for Name: ipam_vlangroup; Type: TABLE DATA; Schema: public; Owner: netbox
--

COPY public.ipam_vlangroup (created, last_updated, custom_field_data, id, name, slug, scope_id, description, scope_type_id, max_vid, min_vid) FROM stdin;
\.


--
-- Data for Name: ipam_vrf; Type: TABLE DATA; Schema: public; Owner: netbox
--

COPY public.ipam_vrf (created, last_updated, custom_field_data, id, name, rd, enforce_unique, description, tenant_id, comments) FROM stdin;
\.


--
-- Data for Name: ipam_vrf_export_targets; Type: TABLE DATA; Schema: public; Owner: netbox
--

COPY public.ipam_vrf_export_targets (id, vrf_id, routetarget_id) FROM stdin;
\.


--
-- Data for Name: ipam_vrf_import_targets; Type: TABLE DATA; Schema: public; Owner: netbox
--

COPY public.ipam_vrf_import_targets (id, vrf_id, routetarget_id) FROM stdin;
\.


--
-- Data for Name: netbox_cert_plugin_certificate; Type: TABLE DATA; Schema: public; Owner: netbox
--

COPY public.netbox_cert_plugin_certificate (id, created, last_updated, custom_field_data, cn, ca, expiration_time, cert_created_at, cert_expired_at, alt_name, state, content, vault_url) FROM stdin;
\.


--
-- Data for Name: netbox_dns_nameserver; Type: TABLE DATA; Schema: public; Owner: netbox
--

COPY public.netbox_dns_nameserver (id, created, last_updated, custom_field_data, name, description, tenant_id) FROM stdin;
\.


--
-- Data for Name: netbox_dns_record; Type: TABLE DATA; Schema: public; Owner: netbox
--

COPY public.netbox_dns_record (id, created, last_updated, custom_field_data, type, name, value, ttl, zone_id, status, description, managed, disable_ptr, ptr_record_id, ip_address, tenant_id) FROM stdin;
\.


--
-- Data for Name: netbox_dns_view; Type: TABLE DATA; Schema: public; Owner: netbox
--

COPY public.netbox_dns_view (id, created, last_updated, custom_field_data, name, description, tenant_id) FROM stdin;
\.


--
-- Data for Name: netbox_dns_zone; Type: TABLE DATA; Schema: public; Owner: netbox
--

COPY public.netbox_dns_zone (id, created, last_updated, custom_field_data, name, status, description, view_id, default_ttl, soa_expire, soa_minimum, soa_mname_id, soa_refresh, soa_retry, soa_rname, soa_serial, soa_ttl, soa_serial_auto, arpa_network, tenant_id) FROM stdin;
\.


--
-- Data for Name: netbox_dns_zone_nameservers; Type: TABLE DATA; Schema: public; Owner: netbox
--

COPY public.netbox_dns_zone_nameservers (id, zone_id, nameserver_id) FROM stdin;
\.


--
-- Data for Name: netbox_docker_plugin_bind; Type: TABLE DATA; Schema: public; Owner: netbox
--

COPY public.netbox_docker_plugin_bind (id, host_path, container_path, container_id, read_only) FROM stdin;
\.


--
-- Data for Name: netbox_docker_plugin_container; Type: TABLE DATA; Schema: public; Owner: netbox
--

COPY public.netbox_docker_plugin_container (id, name, state, status, host_id, image_id, created, last_updated, custom_field_data, "ContainerID", operation, hostname, restart_policy, cap_add) FROM stdin;
\.


--
-- Data for Name: netbox_docker_plugin_device; Type: TABLE DATA; Schema: public; Owner: netbox
--

COPY public.netbox_docker_plugin_device (id, host_path, container_path, container_id) FROM stdin;
\.


--
-- Data for Name: netbox_docker_plugin_env; Type: TABLE DATA; Schema: public; Owner: netbox
--

COPY public.netbox_docker_plugin_env (id, var_name, value, container_id) FROM stdin;
\.


--
-- Data for Name: netbox_docker_plugin_host; Type: TABLE DATA; Schema: public; Owner: netbox
--

COPY public.netbox_docker_plugin_host (id, endpoint, name, created, last_updated, custom_field_data, token_id, state, netbox_base_url, agent_version, docker_api_version) FROM stdin;
\.


--
-- Data for Name: netbox_docker_plugin_image; Type: TABLE DATA; Schema: public; Owner: netbox
--

COPY public.netbox_docker_plugin_image (id, name, version, host_id, created, last_updated, custom_field_data, size, "ImageID", registry_id, "Digest") FROM stdin;
\.


--
-- Data for Name: netbox_docker_plugin_label; Type: TABLE DATA; Schema: public; Owner: netbox
--

COPY public.netbox_docker_plugin_label (id, key, value, container_id) FROM stdin;
\.


--
-- Data for Name: netbox_docker_plugin_mount; Type: TABLE DATA; Schema: public; Owner: netbox
--

COPY public.netbox_docker_plugin_mount (id, source, container_id, volume_id, read_only) FROM stdin;
\.


--
-- Data for Name: netbox_docker_plugin_network; Type: TABLE DATA; Schema: public; Owner: netbox
--

COPY public.netbox_docker_plugin_network (id, name, driver, host_id, created, last_updated, custom_field_data, "NetworkID", state) FROM stdin;
\.


--
-- Data for Name: netbox_docker_plugin_networksetting; Type: TABLE DATA; Schema: public; Owner: netbox
--

COPY public.netbox_docker_plugin_networksetting (id, container_id, network_id) FROM stdin;
\.


--
-- Data for Name: netbox_docker_plugin_port; Type: TABLE DATA; Schema: public; Owner: netbox
--

COPY public.netbox_docker_plugin_port (id, private_port, public_port, type, container_id) FROM stdin;
\.


--
-- Data for Name: netbox_docker_plugin_registry; Type: TABLE DATA; Schema: public; Owner: netbox
--

COPY public.netbox_docker_plugin_registry (id, created, last_updated, custom_field_data, name, serveraddress, username, password, email, host_id) FROM stdin;
\.


--
-- Data for Name: netbox_docker_plugin_volume; Type: TABLE DATA; Schema: public; Owner: netbox
--

COPY public.netbox_docker_plugin_volume (id, name, driver, host_id, created, last_updated, custom_field_data) FROM stdin;
\.


--
-- Data for Name: netbox_rps_plugin_acldeniedsource; Type: TABLE DATA; Schema: public; Owner: netbox
--

COPY public.netbox_rps_plugin_acldeniedsource (custom_field_data, id, acl_source, last_updated, created, mapping_id) FROM stdin;
\.


--
-- Data for Name: netbox_rps_plugin_cacheconfig; Type: TABLE DATA; Schema: public; Owner: netbox
--

COPY public.netbox_rps_plugin_cacheconfig (custom_field_data, id, list_extensions, ttl, max_size_limit, last_updated, created, mapping_id) FROM stdin;
\.


--
-- Data for Name: netbox_rps_plugin_hstsprotocol; Type: TABLE DATA; Schema: public; Owner: netbox
--

COPY public.netbox_rps_plugin_hstsprotocol (created, custom_field_data, id, subdomains, preload_flag, max_age, last_updated, mapping_id) FROM stdin;
\.


--
-- Data for Name: netbox_rps_plugin_httpheader; Type: TABLE DATA; Schema: public; Owner: netbox
--

COPY public.netbox_rps_plugin_httpheader (id, created, last_updated, custom_field_data, name, value, apply_to, mapping_id) FROM stdin;
\.


--
-- Data for Name: netbox_rps_plugin_mapping; Type: TABLE DATA; Schema: public; Owner: netbox
--

COPY public.netbox_rps_plugin_mapping (id, created, last_updated, custom_field_data, source, target, authentication, testingpage, webdav, "Comment", gzip_proxied, keepalive_requests, keepalive_timeout, proxy_cache, proxy_read_timeout, client_max_body_size, sorry_page, extra_protocols, proxy_buffer, proxy_buffer_size, proxy_busy_buffer) FROM stdin;
\.


--
-- Data for Name: netbox_rps_plugin_samlconfig; Type: TABLE DATA; Schema: public; Owner: netbox
--

COPY public.netbox_rps_plugin_samlconfig (id, created, last_updated, custom_field_data, acs_url, logout_url, force_nauth, mapping_id) FROM stdin;
\.


--
-- Data for Name: social_auth_association; Type: TABLE DATA; Schema: public; Owner: netbox
--

COPY public.social_auth_association (id, server_url, handle, secret, issued, lifetime, assoc_type) FROM stdin;
\.


--
-- Data for Name: social_auth_code; Type: TABLE DATA; Schema: public; Owner: netbox
--

COPY public.social_auth_code (id, email, code, verified, "timestamp") FROM stdin;
\.


--
-- Data for Name: social_auth_nonce; Type: TABLE DATA; Schema: public; Owner: netbox
--

COPY public.social_auth_nonce (id, server_url, "timestamp", salt) FROM stdin;
\.


--
-- Data for Name: social_auth_partial; Type: TABLE DATA; Schema: public; Owner: netbox
--

COPY public.social_auth_partial (id, token, next_step, backend, "timestamp", data) FROM stdin;
\.


--
-- Data for Name: social_auth_usersocialauth; Type: TABLE DATA; Schema: public; Owner: netbox
--

COPY public.social_auth_usersocialauth (id, provider, uid, user_id, created, modified, extra_data) FROM stdin;
\.


--
-- Data for Name: taggit_tag; Type: TABLE DATA; Schema: public; Owner: netbox
--

COPY public.taggit_tag (id, name, slug) FROM stdin;
\.


--
-- Data for Name: taggit_taggeditem; Type: TABLE DATA; Schema: public; Owner: netbox
--

COPY public.taggit_taggeditem (id, object_id, content_type_id, tag_id) FROM stdin;
\.


--
-- Data for Name: tenancy_contact; Type: TABLE DATA; Schema: public; Owner: netbox
--

COPY public.tenancy_contact (created, last_updated, custom_field_data, id, name, title, phone, email, address, comments, group_id, link, description) FROM stdin;
\.


--
-- Data for Name: tenancy_contactassignment; Type: TABLE DATA; Schema: public; Owner: netbox
--

COPY public.tenancy_contactassignment (created, last_updated, id, object_id, priority, contact_id, content_type_id, role_id) FROM stdin;
\.


--
-- Data for Name: tenancy_contactgroup; Type: TABLE DATA; Schema: public; Owner: netbox
--

COPY public.tenancy_contactgroup (created, last_updated, custom_field_data, id, name, slug, description, lft, rght, tree_id, level, parent_id) FROM stdin;
\.


--
-- Data for Name: tenancy_contactrole; Type: TABLE DATA; Schema: public; Owner: netbox
--

COPY public.tenancy_contactrole (created, last_updated, custom_field_data, id, name, slug, description) FROM stdin;
\.


--
-- Data for Name: tenancy_tenant; Type: TABLE DATA; Schema: public; Owner: netbox
--

COPY public.tenancy_tenant (created, last_updated, custom_field_data, id, name, slug, description, comments, group_id) FROM stdin;
\.


--
-- Data for Name: tenancy_tenantgroup; Type: TABLE DATA; Schema: public; Owner: netbox
--

COPY public.tenancy_tenantgroup (created, last_updated, custom_field_data, id, name, slug, description, lft, rght, tree_id, level, parent_id) FROM stdin;
\.


--
-- Data for Name: users_objectpermission; Type: TABLE DATA; Schema: public; Owner: netbox
--

COPY public.users_objectpermission (id, name, description, enabled, actions, constraints) FROM stdin;
\.


--
-- Data for Name: users_objectpermission_groups; Type: TABLE DATA; Schema: public; Owner: netbox
--

COPY public.users_objectpermission_groups (id, objectpermission_id, group_id) FROM stdin;
\.


--
-- Data for Name: users_objectpermission_object_types; Type: TABLE DATA; Schema: public; Owner: netbox
--

COPY public.users_objectpermission_object_types (id, objectpermission_id, contenttype_id) FROM stdin;
\.


--
-- Data for Name: users_objectpermission_users; Type: TABLE DATA; Schema: public; Owner: netbox
--

COPY public.users_objectpermission_users (id, objectpermission_id, user_id) FROM stdin;
\.


--
-- Data for Name: users_token; Type: TABLE DATA; Schema: public; Owner: netbox
--

COPY public.users_token (id, created, expires, key, write_enabled, description, user_id, allowed_ips, last_used) FROM stdin;
1	2024-08-29 16:44:40.594794+00	\N	only4testingpurpose	t		1	\N	\N
\.


--
-- Data for Name: users_userconfig; Type: TABLE DATA; Schema: public; Owner: netbox
--

COPY public.users_userconfig (id, data, user_id) FROM stdin;
1	{}	1
\.


--
-- Data for Name: virtualization_cluster; Type: TABLE DATA; Schema: public; Owner: netbox
--

COPY public.virtualization_cluster (created, last_updated, custom_field_data, id, name, comments, group_id, site_id, tenant_id, type_id, status, description) FROM stdin;
\.


--
-- Data for Name: virtualization_clustergroup; Type: TABLE DATA; Schema: public; Owner: netbox
--

COPY public.virtualization_clustergroup (created, last_updated, custom_field_data, id, name, slug, description) FROM stdin;
\.


--
-- Data for Name: virtualization_clustertype; Type: TABLE DATA; Schema: public; Owner: netbox
--

COPY public.virtualization_clustertype (created, last_updated, custom_field_data, id, name, slug, description) FROM stdin;
\.


--
-- Data for Name: virtualization_virtualmachine; Type: TABLE DATA; Schema: public; Owner: netbox
--

COPY public.virtualization_virtualmachine (created, last_updated, custom_field_data, id, local_context_data, name, status, vcpus, memory, disk, comments, cluster_id, platform_id, primary_ip4_id, primary_ip6_id, role_id, tenant_id, _name, site_id, device_id, description, interface_count, config_template_id) FROM stdin;
\.


--
-- Data for Name: virtualization_vminterface; Type: TABLE DATA; Schema: public; Owner: netbox
--

COPY public.virtualization_vminterface (created, last_updated, custom_field_data, id, enabled, mac_address, mtu, mode, name, _name, description, parent_id, untagged_vlan_id, virtual_machine_id, bridge_id, vrf_id) FROM stdin;
\.


--
-- Data for Name: virtualization_vminterface_tagged_vlans; Type: TABLE DATA; Schema: public; Owner: netbox
--

COPY public.virtualization_vminterface_tagged_vlans (id, vminterface_id, vlan_id) FROM stdin;
\.


--
-- Data for Name: wireless_wirelesslan; Type: TABLE DATA; Schema: public; Owner: netbox
--

COPY public.wireless_wirelesslan (created, last_updated, custom_field_data, id, ssid, group_id, description, auth_cipher, auth_psk, auth_type, vlan_id, tenant_id, comments, status) FROM stdin;
\.


--
-- Data for Name: wireless_wirelesslangroup; Type: TABLE DATA; Schema: public; Owner: netbox
--

COPY public.wireless_wirelesslangroup (created, last_updated, custom_field_data, id, name, slug, description, lft, rght, tree_id, level, parent_id) FROM stdin;
\.


--
-- Data for Name: wireless_wirelesslink; Type: TABLE DATA; Schema: public; Owner: netbox
--

COPY public.wireless_wirelesslink (created, last_updated, custom_field_data, id, ssid, status, description, auth_cipher, auth_psk, auth_type, _interface_a_device_id, _interface_b_device_id, interface_a_id, interface_b_id, tenant_id, comments) FROM stdin;
\.


--
-- Name: auth_group_id_seq; Type: SEQUENCE SET; Schema: public; Owner: netbox
--

SELECT pg_catalog.setval('public.auth_group_id_seq', 1, false);


--
-- Name: auth_group_permissions_id_seq; Type: SEQUENCE SET; Schema: public; Owner: netbox
--

SELECT pg_catalog.setval('public.auth_group_permissions_id_seq', 1, false);


--
-- Name: auth_permission_id_seq; Type: SEQUENCE SET; Schema: public; Owner: netbox
--

SELECT pg_catalog.setval('public.auth_permission_id_seq', 605, true);


--
-- Name: auth_user_groups_id_seq; Type: SEQUENCE SET; Schema: public; Owner: netbox
--

SELECT pg_catalog.setval('public.auth_user_groups_id_seq', 1, false);


--
-- Name: auth_user_id_seq; Type: SEQUENCE SET; Schema: public; Owner: netbox
--

SELECT pg_catalog.setval('public.auth_user_id_seq', 1, true);


--
-- Name: auth_user_user_permissions_id_seq; Type: SEQUENCE SET; Schema: public; Owner: netbox
--

SELECT pg_catalog.setval('public.auth_user_user_permissions_id_seq', 1, false);


--
-- Name: circuits_circuit_id_seq; Type: SEQUENCE SET; Schema: public; Owner: netbox
--

SELECT pg_catalog.setval('public.circuits_circuit_id_seq', 1, false);


--
-- Name: circuits_circuittermination_id_seq; Type: SEQUENCE SET; Schema: public; Owner: netbox
--

SELECT pg_catalog.setval('public.circuits_circuittermination_id_seq', 1, false);


--
-- Name: circuits_circuittype_id_seq; Type: SEQUENCE SET; Schema: public; Owner: netbox
--

SELECT pg_catalog.setval('public.circuits_circuittype_id_seq', 1, false);


--
-- Name: circuits_provider_asns_id_seq; Type: SEQUENCE SET; Schema: public; Owner: netbox
--

SELECT pg_catalog.setval('public.circuits_provider_asns_id_seq', 1, false);


--
-- Name: circuits_provider_id_seq; Type: SEQUENCE SET; Schema: public; Owner: netbox
--

SELECT pg_catalog.setval('public.circuits_provider_id_seq', 1, false);


--
-- Name: circuits_provideraccount_id_seq; Type: SEQUENCE SET; Schema: public; Owner: netbox
--

SELECT pg_catalog.setval('public.circuits_provideraccount_id_seq', 1, false);


--
-- Name: circuits_providernetwork_id_seq; Type: SEQUENCE SET; Schema: public; Owner: netbox
--

SELECT pg_catalog.setval('public.circuits_providernetwork_id_seq', 1, false);


--
-- Name: core_autosyncrecord_id_seq; Type: SEQUENCE SET; Schema: public; Owner: netbox
--

SELECT pg_catalog.setval('public.core_autosyncrecord_id_seq', 1, false);


--
-- Name: core_datafile_id_seq; Type: SEQUENCE SET; Schema: public; Owner: netbox
--

SELECT pg_catalog.setval('public.core_datafile_id_seq', 1, false);


--
-- Name: core_datasource_id_seq; Type: SEQUENCE SET; Schema: public; Owner: netbox
--

SELECT pg_catalog.setval('public.core_datasource_id_seq', 1, false);


--
-- Name: core_job_id_seq; Type: SEQUENCE SET; Schema: public; Owner: netbox
--

SELECT pg_catalog.setval('public.core_job_id_seq', 1, false);


--
-- Name: core_managedfile_id_seq; Type: SEQUENCE SET; Schema: public; Owner: netbox
--

SELECT pg_catalog.setval('public.core_managedfile_id_seq', 1, false);


--
-- Name: dcim_cable_id_seq; Type: SEQUENCE SET; Schema: public; Owner: netbox
--

SELECT pg_catalog.setval('public.dcim_cable_id_seq', 1, false);


--
-- Name: dcim_cablepath_id_seq; Type: SEQUENCE SET; Schema: public; Owner: netbox
--

SELECT pg_catalog.setval('public.dcim_cablepath_id_seq', 1, false);


--
-- Name: dcim_cabletermination_id_seq; Type: SEQUENCE SET; Schema: public; Owner: netbox
--

SELECT pg_catalog.setval('public.dcim_cabletermination_id_seq', 1, false);


--
-- Name: dcim_consoleport_id_seq; Type: SEQUENCE SET; Schema: public; Owner: netbox
--

SELECT pg_catalog.setval('public.dcim_consoleport_id_seq', 1, false);


--
-- Name: dcim_consoleporttemplate_id_seq; Type: SEQUENCE SET; Schema: public; Owner: netbox
--

SELECT pg_catalog.setval('public.dcim_consoleporttemplate_id_seq', 1, false);


--
-- Name: dcim_consoleserverport_id_seq; Type: SEQUENCE SET; Schema: public; Owner: netbox
--

SELECT pg_catalog.setval('public.dcim_consoleserverport_id_seq', 1, false);


--
-- Name: dcim_consoleserverporttemplate_id_seq; Type: SEQUENCE SET; Schema: public; Owner: netbox
--

SELECT pg_catalog.setval('public.dcim_consoleserverporttemplate_id_seq', 1, false);


--
-- Name: dcim_device_id_seq; Type: SEQUENCE SET; Schema: public; Owner: netbox
--

SELECT pg_catalog.setval('public.dcim_device_id_seq', 1, false);


--
-- Name: dcim_devicebay_id_seq; Type: SEQUENCE SET; Schema: public; Owner: netbox
--

SELECT pg_catalog.setval('public.dcim_devicebay_id_seq', 1, false);


--
-- Name: dcim_devicebaytemplate_id_seq; Type: SEQUENCE SET; Schema: public; Owner: netbox
--

SELECT pg_catalog.setval('public.dcim_devicebaytemplate_id_seq', 1, false);


--
-- Name: dcim_devicerole_id_seq; Type: SEQUENCE SET; Schema: public; Owner: netbox
--

SELECT pg_catalog.setval('public.dcim_devicerole_id_seq', 1, false);


--
-- Name: dcim_devicetype_id_seq; Type: SEQUENCE SET; Schema: public; Owner: netbox
--

SELECT pg_catalog.setval('public.dcim_devicetype_id_seq', 1, false);


--
-- Name: dcim_frontport_id_seq; Type: SEQUENCE SET; Schema: public; Owner: netbox
--

SELECT pg_catalog.setval('public.dcim_frontport_id_seq', 1, false);


--
-- Name: dcim_frontporttemplate_id_seq; Type: SEQUENCE SET; Schema: public; Owner: netbox
--

SELECT pg_catalog.setval('public.dcim_frontporttemplate_id_seq', 1, false);


--
-- Name: dcim_interface_id_seq; Type: SEQUENCE SET; Schema: public; Owner: netbox
--

SELECT pg_catalog.setval('public.dcim_interface_id_seq', 1, false);


--
-- Name: dcim_interface_tagged_vlans_id_seq; Type: SEQUENCE SET; Schema: public; Owner: netbox
--

SELECT pg_catalog.setval('public.dcim_interface_tagged_vlans_id_seq', 1, false);


--
-- Name: dcim_interface_vdcs_id_seq; Type: SEQUENCE SET; Schema: public; Owner: netbox
--

SELECT pg_catalog.setval('public.dcim_interface_vdcs_id_seq', 1, false);


--
-- Name: dcim_interface_wireless_lans_id_seq; Type: SEQUENCE SET; Schema: public; Owner: netbox
--

SELECT pg_catalog.setval('public.dcim_interface_wireless_lans_id_seq', 1, false);


--
-- Name: dcim_interfacetemplate_id_seq; Type: SEQUENCE SET; Schema: public; Owner: netbox
--

SELECT pg_catalog.setval('public.dcim_interfacetemplate_id_seq', 1, false);


--
-- Name: dcim_inventoryitem_id_seq; Type: SEQUENCE SET; Schema: public; Owner: netbox
--

SELECT pg_catalog.setval('public.dcim_inventoryitem_id_seq', 1, false);


--
-- Name: dcim_inventoryitemrole_id_seq; Type: SEQUENCE SET; Schema: public; Owner: netbox
--

SELECT pg_catalog.setval('public.dcim_inventoryitemrole_id_seq', 1, false);


--
-- Name: dcim_inventoryitemtemplate_id_seq; Type: SEQUENCE SET; Schema: public; Owner: netbox
--

SELECT pg_catalog.setval('public.dcim_inventoryitemtemplate_id_seq', 1, false);


--
-- Name: dcim_location_id_seq; Type: SEQUENCE SET; Schema: public; Owner: netbox
--

SELECT pg_catalog.setval('public.dcim_location_id_seq', 1, false);


--
-- Name: dcim_manufacturer_id_seq; Type: SEQUENCE SET; Schema: public; Owner: netbox
--

SELECT pg_catalog.setval('public.dcim_manufacturer_id_seq', 1, false);


--
-- Name: dcim_module_id_seq; Type: SEQUENCE SET; Schema: public; Owner: netbox
--

SELECT pg_catalog.setval('public.dcim_module_id_seq', 1, false);


--
-- Name: dcim_modulebay_id_seq; Type: SEQUENCE SET; Schema: public; Owner: netbox
--

SELECT pg_catalog.setval('public.dcim_modulebay_id_seq', 1, false);


--
-- Name: dcim_modulebaytemplate_id_seq; Type: SEQUENCE SET; Schema: public; Owner: netbox
--

SELECT pg_catalog.setval('public.dcim_modulebaytemplate_id_seq', 1, false);


--
-- Name: dcim_moduletype_id_seq; Type: SEQUENCE SET; Schema: public; Owner: netbox
--

SELECT pg_catalog.setval('public.dcim_moduletype_id_seq', 1, false);


--
-- Name: dcim_platform_id_seq; Type: SEQUENCE SET; Schema: public; Owner: netbox
--

SELECT pg_catalog.setval('public.dcim_platform_id_seq', 1, false);


--
-- Name: dcim_powerfeed_id_seq; Type: SEQUENCE SET; Schema: public; Owner: netbox
--

SELECT pg_catalog.setval('public.dcim_powerfeed_id_seq', 1, false);


--
-- Name: dcim_poweroutlet_id_seq; Type: SEQUENCE SET; Schema: public; Owner: netbox
--

SELECT pg_catalog.setval('public.dcim_poweroutlet_id_seq', 1, false);


--
-- Name: dcim_poweroutlettemplate_id_seq; Type: SEQUENCE SET; Schema: public; Owner: netbox
--

SELECT pg_catalog.setval('public.dcim_poweroutlettemplate_id_seq', 1, false);


--
-- Name: dcim_powerpanel_id_seq; Type: SEQUENCE SET; Schema: public; Owner: netbox
--

SELECT pg_catalog.setval('public.dcim_powerpanel_id_seq', 1, false);


--
-- Name: dcim_powerport_id_seq; Type: SEQUENCE SET; Schema: public; Owner: netbox
--

SELECT pg_catalog.setval('public.dcim_powerport_id_seq', 1, false);


--
-- Name: dcim_powerporttemplate_id_seq; Type: SEQUENCE SET; Schema: public; Owner: netbox
--

SELECT pg_catalog.setval('public.dcim_powerporttemplate_id_seq', 1, false);


--
-- Name: dcim_rack_id_seq; Type: SEQUENCE SET; Schema: public; Owner: netbox
--

SELECT pg_catalog.setval('public.dcim_rack_id_seq', 1, false);


--
-- Name: dcim_rackreservation_id_seq; Type: SEQUENCE SET; Schema: public; Owner: netbox
--

SELECT pg_catalog.setval('public.dcim_rackreservation_id_seq', 1, false);


--
-- Name: dcim_rackrole_id_seq; Type: SEQUENCE SET; Schema: public; Owner: netbox
--

SELECT pg_catalog.setval('public.dcim_rackrole_id_seq', 1, false);


--
-- Name: dcim_rearport_id_seq; Type: SEQUENCE SET; Schema: public; Owner: netbox
--

SELECT pg_catalog.setval('public.dcim_rearport_id_seq', 1, false);


--
-- Name: dcim_rearporttemplate_id_seq; Type: SEQUENCE SET; Schema: public; Owner: netbox
--

SELECT pg_catalog.setval('public.dcim_rearporttemplate_id_seq', 1, false);


--
-- Name: dcim_region_id_seq; Type: SEQUENCE SET; Schema: public; Owner: netbox
--

SELECT pg_catalog.setval('public.dcim_region_id_seq', 1, false);


--
-- Name: dcim_site_asns_id_seq; Type: SEQUENCE SET; Schema: public; Owner: netbox
--

SELECT pg_catalog.setval('public.dcim_site_asns_id_seq', 1, false);


--
-- Name: dcim_site_id_seq; Type: SEQUENCE SET; Schema: public; Owner: netbox
--

SELECT pg_catalog.setval('public.dcim_site_id_seq', 1, false);


--
-- Name: dcim_sitegroup_id_seq; Type: SEQUENCE SET; Schema: public; Owner: netbox
--

SELECT pg_catalog.setval('public.dcim_sitegroup_id_seq', 1, false);


--
-- Name: dcim_virtualchassis_id_seq; Type: SEQUENCE SET; Schema: public; Owner: netbox
--

SELECT pg_catalog.setval('public.dcim_virtualchassis_id_seq', 1, false);


--
-- Name: dcim_virtualdevicecontext_id_seq; Type: SEQUENCE SET; Schema: public; Owner: netbox
--

SELECT pg_catalog.setval('public.dcim_virtualdevicecontext_id_seq', 1, false);


--
-- Name: django_admin_log_id_seq; Type: SEQUENCE SET; Schema: public; Owner: netbox
--

SELECT pg_catalog.setval('public.django_admin_log_id_seq', 1, false);


--
-- Name: django_content_type_id_seq; Type: SEQUENCE SET; Schema: public; Owner: netbox
--

SELECT pg_catalog.setval('public.django_content_type_id_seq', 152, true);


--
-- Name: django_migrations_id_seq; Type: SEQUENCE SET; Schema: public; Owner: netbox
--

SELECT pg_catalog.setval('public.django_migrations_id_seq', 626, true);


--
-- Name: extras_bookmark_id_seq; Type: SEQUENCE SET; Schema: public; Owner: netbox
--

SELECT pg_catalog.setval('public.extras_bookmark_id_seq', 1, false);


--
-- Name: extras_branch_id_seq; Type: SEQUENCE SET; Schema: public; Owner: netbox
--

SELECT pg_catalog.setval('public.extras_branch_id_seq', 1, false);


--
-- Name: extras_configcontext_cluster_groups_id_seq; Type: SEQUENCE SET; Schema: public; Owner: netbox
--

SELECT pg_catalog.setval('public.extras_configcontext_cluster_groups_id_seq', 1, false);


--
-- Name: extras_configcontext_cluster_types_id_seq; Type: SEQUENCE SET; Schema: public; Owner: netbox
--

SELECT pg_catalog.setval('public.extras_configcontext_cluster_types_id_seq', 1, false);


--
-- Name: extras_configcontext_clusters_id_seq; Type: SEQUENCE SET; Schema: public; Owner: netbox
--

SELECT pg_catalog.setval('public.extras_configcontext_clusters_id_seq', 1, false);


--
-- Name: extras_configcontext_device_types_id_seq; Type: SEQUENCE SET; Schema: public; Owner: netbox
--

SELECT pg_catalog.setval('public.extras_configcontext_device_types_id_seq', 1, false);


--
-- Name: extras_configcontext_id_seq; Type: SEQUENCE SET; Schema: public; Owner: netbox
--

SELECT pg_catalog.setval('public.extras_configcontext_id_seq', 1, false);


--
-- Name: extras_configcontext_locations_id_seq; Type: SEQUENCE SET; Schema: public; Owner: netbox
--

SELECT pg_catalog.setval('public.extras_configcontext_locations_id_seq', 1, false);


--
-- Name: extras_configcontext_platforms_id_seq; Type: SEQUENCE SET; Schema: public; Owner: netbox
--

SELECT pg_catalog.setval('public.extras_configcontext_platforms_id_seq', 1, false);


--
-- Name: extras_configcontext_regions_id_seq; Type: SEQUENCE SET; Schema: public; Owner: netbox
--

SELECT pg_catalog.setval('public.extras_configcontext_regions_id_seq', 1, false);


--
-- Name: extras_configcontext_roles_id_seq; Type: SEQUENCE SET; Schema: public; Owner: netbox
--

SELECT pg_catalog.setval('public.extras_configcontext_roles_id_seq', 1, false);


--
-- Name: extras_configcontext_site_groups_id_seq; Type: SEQUENCE SET; Schema: public; Owner: netbox
--

SELECT pg_catalog.setval('public.extras_configcontext_site_groups_id_seq', 1, false);


--
-- Name: extras_configcontext_sites_id_seq; Type: SEQUENCE SET; Schema: public; Owner: netbox
--

SELECT pg_catalog.setval('public.extras_configcontext_sites_id_seq', 1, false);


--
-- Name: extras_configcontext_tags_id_seq; Type: SEQUENCE SET; Schema: public; Owner: netbox
--

SELECT pg_catalog.setval('public.extras_configcontext_tags_id_seq', 1, false);


--
-- Name: extras_configcontext_tenant_groups_id_seq; Type: SEQUENCE SET; Schema: public; Owner: netbox
--

SELECT pg_catalog.setval('public.extras_configcontext_tenant_groups_id_seq', 1, false);


--
-- Name: extras_configcontext_tenants_id_seq; Type: SEQUENCE SET; Schema: public; Owner: netbox
--

SELECT pg_catalog.setval('public.extras_configcontext_tenants_id_seq', 1, false);


--
-- Name: extras_configrevision_id_seq; Type: SEQUENCE SET; Schema: public; Owner: netbox
--

SELECT pg_catalog.setval('public.extras_configrevision_id_seq', 1, false);


--
-- Name: extras_configtemplate_id_seq; Type: SEQUENCE SET; Schema: public; Owner: netbox
--

SELECT pg_catalog.setval('public.extras_configtemplate_id_seq', 1, false);


--
-- Name: extras_customfield_content_types_id_seq; Type: SEQUENCE SET; Schema: public; Owner: netbox
--

SELECT pg_catalog.setval('public.extras_customfield_content_types_id_seq', 1, false);


--
-- Name: extras_customfield_id_seq; Type: SEQUENCE SET; Schema: public; Owner: netbox
--

SELECT pg_catalog.setval('public.extras_customfield_id_seq', 1, false);


--
-- Name: extras_customfieldchoiceset_id_seq; Type: SEQUENCE SET; Schema: public; Owner: netbox
--

SELECT pg_catalog.setval('public.extras_customfieldchoiceset_id_seq', 1, false);


--
-- Name: extras_customlink_content_types_id_seq; Type: SEQUENCE SET; Schema: public; Owner: netbox
--

SELECT pg_catalog.setval('public.extras_customlink_content_types_id_seq', 1, false);


--
-- Name: extras_customlink_id_seq; Type: SEQUENCE SET; Schema: public; Owner: netbox
--

SELECT pg_catalog.setval('public.extras_customlink_id_seq', 1, false);


--
-- Name: extras_dashboard_id_seq; Type: SEQUENCE SET; Schema: public; Owner: netbox
--

SELECT pg_catalog.setval('public.extras_dashboard_id_seq', 1, false);


--
-- Name: extras_exporttemplate_content_types_id_seq; Type: SEQUENCE SET; Schema: public; Owner: netbox
--

SELECT pg_catalog.setval('public.extras_exporttemplate_content_types_id_seq', 1, false);


--
-- Name: extras_exporttemplate_id_seq; Type: SEQUENCE SET; Schema: public; Owner: netbox
--

SELECT pg_catalog.setval('public.extras_exporttemplate_id_seq', 1, false);


--
-- Name: extras_imageattachment_id_seq; Type: SEQUENCE SET; Schema: public; Owner: netbox
--

SELECT pg_catalog.setval('public.extras_imageattachment_id_seq', 1, false);


--
-- Name: extras_journalentry_id_seq; Type: SEQUENCE SET; Schema: public; Owner: netbox
--

SELECT pg_catalog.setval('public.extras_journalentry_id_seq', 1, false);


--
-- Name: extras_objectchange_id_seq; Type: SEQUENCE SET; Schema: public; Owner: netbox
--

SELECT pg_catalog.setval('public.extras_objectchange_id_seq', 1, false);


--
-- Name: extras_savedfilter_content_types_id_seq; Type: SEQUENCE SET; Schema: public; Owner: netbox
--

SELECT pg_catalog.setval('public.extras_savedfilter_content_types_id_seq', 1, false);


--
-- Name: extras_savedfilter_id_seq; Type: SEQUENCE SET; Schema: public; Owner: netbox
--

SELECT pg_catalog.setval('public.extras_savedfilter_id_seq', 1, false);


--
-- Name: extras_stagedchange_id_seq; Type: SEQUENCE SET; Schema: public; Owner: netbox
--

SELECT pg_catalog.setval('public.extras_stagedchange_id_seq', 1, false);


--
-- Name: extras_tag_id_seq; Type: SEQUENCE SET; Schema: public; Owner: netbox
--

SELECT pg_catalog.setval('public.extras_tag_id_seq', 1, false);


--
-- Name: extras_tag_object_types_id_seq; Type: SEQUENCE SET; Schema: public; Owner: netbox
--

SELECT pg_catalog.setval('public.extras_tag_object_types_id_seq', 1, false);


--
-- Name: extras_taggeditem_id_seq; Type: SEQUENCE SET; Schema: public; Owner: netbox
--

SELECT pg_catalog.setval('public.extras_taggeditem_id_seq', 1, false);


--
-- Name: extras_webhook_content_types_id_seq; Type: SEQUENCE SET; Schema: public; Owner: netbox
--

SELECT pg_catalog.setval('public.extras_webhook_content_types_id_seq', 12, true);


--
-- Name: extras_webhook_id_seq; Type: SEQUENCE SET; Schema: public; Owner: netbox
--

SELECT pg_catalog.setval('public.extras_webhook_id_seq', 12, true);


--
-- Name: ipam_aggregate_id_seq; Type: SEQUENCE SET; Schema: public; Owner: netbox
--

SELECT pg_catalog.setval('public.ipam_aggregate_id_seq', 1, false);


--
-- Name: ipam_asn_id_seq; Type: SEQUENCE SET; Schema: public; Owner: netbox
--

SELECT pg_catalog.setval('public.ipam_asn_id_seq', 1, false);


--
-- Name: ipam_asnrange_id_seq; Type: SEQUENCE SET; Schema: public; Owner: netbox
--

SELECT pg_catalog.setval('public.ipam_asnrange_id_seq', 1, false);


--
-- Name: ipam_fhrpgroup_id_seq; Type: SEQUENCE SET; Schema: public; Owner: netbox
--

SELECT pg_catalog.setval('public.ipam_fhrpgroup_id_seq', 1, false);


--
-- Name: ipam_fhrpgroupassignment_id_seq; Type: SEQUENCE SET; Schema: public; Owner: netbox
--

SELECT pg_catalog.setval('public.ipam_fhrpgroupassignment_id_seq', 1, false);


--
-- Name: ipam_ipaddress_id_seq; Type: SEQUENCE SET; Schema: public; Owner: netbox
--

SELECT pg_catalog.setval('public.ipam_ipaddress_id_seq', 1, false);


--
-- Name: ipam_iprange_id_seq; Type: SEQUENCE SET; Schema: public; Owner: netbox
--

SELECT pg_catalog.setval('public.ipam_iprange_id_seq', 1, false);


--
-- Name: ipam_l2vpn_export_targets_id_seq; Type: SEQUENCE SET; Schema: public; Owner: netbox
--

SELECT pg_catalog.setval('public.ipam_l2vpn_export_targets_id_seq', 1, false);


--
-- Name: ipam_l2vpn_id_seq; Type: SEQUENCE SET; Schema: public; Owner: netbox
--

SELECT pg_catalog.setval('public.ipam_l2vpn_id_seq', 1, false);


--
-- Name: ipam_l2vpn_import_targets_id_seq; Type: SEQUENCE SET; Schema: public; Owner: netbox
--

SELECT pg_catalog.setval('public.ipam_l2vpn_import_targets_id_seq', 1, false);


--
-- Name: ipam_l2vpntermination_id_seq; Type: SEQUENCE SET; Schema: public; Owner: netbox
--

SELECT pg_catalog.setval('public.ipam_l2vpntermination_id_seq', 1, false);


--
-- Name: ipam_prefix_id_seq; Type: SEQUENCE SET; Schema: public; Owner: netbox
--

SELECT pg_catalog.setval('public.ipam_prefix_id_seq', 1, false);


--
-- Name: ipam_rir_id_seq; Type: SEQUENCE SET; Schema: public; Owner: netbox
--

SELECT pg_catalog.setval('public.ipam_rir_id_seq', 1, false);


--
-- Name: ipam_role_id_seq; Type: SEQUENCE SET; Schema: public; Owner: netbox
--

SELECT pg_catalog.setval('public.ipam_role_id_seq', 1, false);


--
-- Name: ipam_routetarget_id_seq; Type: SEQUENCE SET; Schema: public; Owner: netbox
--

SELECT pg_catalog.setval('public.ipam_routetarget_id_seq', 1, false);


--
-- Name: ipam_service_id_seq; Type: SEQUENCE SET; Schema: public; Owner: netbox
--

SELECT pg_catalog.setval('public.ipam_service_id_seq', 1, false);


--
-- Name: ipam_service_ipaddresses_id_seq; Type: SEQUENCE SET; Schema: public; Owner: netbox
--

SELECT pg_catalog.setval('public.ipam_service_ipaddresses_id_seq', 1, false);


--
-- Name: ipam_servicetemplate_id_seq; Type: SEQUENCE SET; Schema: public; Owner: netbox
--

SELECT pg_catalog.setval('public.ipam_servicetemplate_id_seq', 1, false);


--
-- Name: ipam_vlan_id_seq; Type: SEQUENCE SET; Schema: public; Owner: netbox
--

SELECT pg_catalog.setval('public.ipam_vlan_id_seq', 1, false);


--
-- Name: ipam_vlangroup_id_seq; Type: SEQUENCE SET; Schema: public; Owner: netbox
--

SELECT pg_catalog.setval('public.ipam_vlangroup_id_seq', 1, false);


--
-- Name: ipam_vrf_export_targets_id_seq; Type: SEQUENCE SET; Schema: public; Owner: netbox
--

SELECT pg_catalog.setval('public.ipam_vrf_export_targets_id_seq', 1, false);


--
-- Name: ipam_vrf_id_seq; Type: SEQUENCE SET; Schema: public; Owner: netbox
--

SELECT pg_catalog.setval('public.ipam_vrf_id_seq', 1, false);


--
-- Name: ipam_vrf_import_targets_id_seq; Type: SEQUENCE SET; Schema: public; Owner: netbox
--

SELECT pg_catalog.setval('public.ipam_vrf_import_targets_id_seq', 1, false);


--
-- Name: netbox_cert_plugin_certificate_id_seq; Type: SEQUENCE SET; Schema: public; Owner: netbox
--

SELECT pg_catalog.setval('public.netbox_cert_plugin_certificate_id_seq', 1, false);


--
-- Name: netbox_dns_nameserver_id_seq; Type: SEQUENCE SET; Schema: public; Owner: netbox
--

SELECT pg_catalog.setval('public.netbox_dns_nameserver_id_seq', 1, false);


--
-- Name: netbox_dns_record_id_seq; Type: SEQUENCE SET; Schema: public; Owner: netbox
--

SELECT pg_catalog.setval('public.netbox_dns_record_id_seq', 1, false);


--
-- Name: netbox_dns_view_id_seq; Type: SEQUENCE SET; Schema: public; Owner: netbox
--

SELECT pg_catalog.setval('public.netbox_dns_view_id_seq', 1, false);


--
-- Name: netbox_dns_zone_id_seq; Type: SEQUENCE SET; Schema: public; Owner: netbox
--

SELECT pg_catalog.setval('public.netbox_dns_zone_id_seq', 1, false);


--
-- Name: netbox_dns_zone_nameservers_id_seq; Type: SEQUENCE SET; Schema: public; Owner: netbox
--

SELECT pg_catalog.setval('public.netbox_dns_zone_nameservers_id_seq', 1, false);


--
-- Name: netbox_docker_plugin_bind_id_seq; Type: SEQUENCE SET; Schema: public; Owner: netbox
--

SELECT pg_catalog.setval('public.netbox_docker_plugin_bind_id_seq', 1, false);


--
-- Name: netbox_docker_plugin_container_id_seq; Type: SEQUENCE SET; Schema: public; Owner: netbox
--

SELECT pg_catalog.setval('public.netbox_docker_plugin_container_id_seq', 1, false);


--
-- Name: netbox_docker_plugin_device_id_seq; Type: SEQUENCE SET; Schema: public; Owner: netbox
--

SELECT pg_catalog.setval('public.netbox_docker_plugin_device_id_seq', 1, false);


--
-- Name: netbox_docker_plugin_env_id_seq; Type: SEQUENCE SET; Schema: public; Owner: netbox
--

SELECT pg_catalog.setval('public.netbox_docker_plugin_env_id_seq', 1, false);


--
-- Name: netbox_docker_plugin_host_id_seq; Type: SEQUENCE SET; Schema: public; Owner: netbox
--

SELECT pg_catalog.setval('public.netbox_docker_plugin_host_id_seq', 1, false);


--
-- Name: netbox_docker_plugin_image_id_seq; Type: SEQUENCE SET; Schema: public; Owner: netbox
--

SELECT pg_catalog.setval('public.netbox_docker_plugin_image_id_seq', 1, false);


--
-- Name: netbox_docker_plugin_label_id_seq; Type: SEQUENCE SET; Schema: public; Owner: netbox
--

SELECT pg_catalog.setval('public.netbox_docker_plugin_label_id_seq', 1, false);


--
-- Name: netbox_docker_plugin_mount_id_seq; Type: SEQUENCE SET; Schema: public; Owner: netbox
--

SELECT pg_catalog.setval('public.netbox_docker_plugin_mount_id_seq', 1, false);


--
-- Name: netbox_docker_plugin_network_id_seq; Type: SEQUENCE SET; Schema: public; Owner: netbox
--

SELECT pg_catalog.setval('public.netbox_docker_plugin_network_id_seq', 1, false);


--
-- Name: netbox_docker_plugin_networksetting_id_seq; Type: SEQUENCE SET; Schema: public; Owner: netbox
--

SELECT pg_catalog.setval('public.netbox_docker_plugin_networksetting_id_seq', 1, false);


--
-- Name: netbox_docker_plugin_port_id_seq; Type: SEQUENCE SET; Schema: public; Owner: netbox
--

SELECT pg_catalog.setval('public.netbox_docker_plugin_port_id_seq', 1, false);


--
-- Name: netbox_docker_plugin_registry_id_seq; Type: SEQUENCE SET; Schema: public; Owner: netbox
--

SELECT pg_catalog.setval('public.netbox_docker_plugin_registry_id_seq', 1, false);


--
-- Name: netbox_docker_plugin_volume_id_seq; Type: SEQUENCE SET; Schema: public; Owner: netbox
--

SELECT pg_catalog.setval('public.netbox_docker_plugin_volume_id_seq', 1, false);


--
-- Name: netbox_rps_plugin_acldeniedsource_id_seq; Type: SEQUENCE SET; Schema: public; Owner: netbox
--

SELECT pg_catalog.setval('public.netbox_rps_plugin_acldeniedsource_id_seq', 1, false);


--
-- Name: netbox_rps_plugin_cacheconfig_id_seq; Type: SEQUENCE SET; Schema: public; Owner: netbox
--

SELECT pg_catalog.setval('public.netbox_rps_plugin_cacheconfig_id_seq', 1, false);


--
-- Name: netbox_rps_plugin_hstsprotocol_id_seq; Type: SEQUENCE SET; Schema: public; Owner: netbox
--

SELECT pg_catalog.setval('public.netbox_rps_plugin_hstsprotocol_id_seq', 1, false);


--
-- Name: netbox_rps_plugin_httpheader_id_seq; Type: SEQUENCE SET; Schema: public; Owner: netbox
--

SELECT pg_catalog.setval('public.netbox_rps_plugin_httpheader_id_seq', 1, false);


--
-- Name: netbox_rps_plugin_mapping_id_seq; Type: SEQUENCE SET; Schema: public; Owner: netbox
--

SELECT pg_catalog.setval('public.netbox_rps_plugin_mapping_id_seq', 1, false);


--
-- Name: netbox_rps_plugin_samlconfig_id_seq; Type: SEQUENCE SET; Schema: public; Owner: netbox
--

SELECT pg_catalog.setval('public.netbox_rps_plugin_samlconfig_id_seq', 1, false);


--
-- Name: social_auth_association_id_seq; Type: SEQUENCE SET; Schema: public; Owner: netbox
--

SELECT pg_catalog.setval('public.social_auth_association_id_seq', 1, false);


--
-- Name: social_auth_code_id_seq; Type: SEQUENCE SET; Schema: public; Owner: netbox
--

SELECT pg_catalog.setval('public.social_auth_code_id_seq', 1, false);


--
-- Name: social_auth_nonce_id_seq; Type: SEQUENCE SET; Schema: public; Owner: netbox
--

SELECT pg_catalog.setval('public.social_auth_nonce_id_seq', 1, false);


--
-- Name: social_auth_partial_id_seq; Type: SEQUENCE SET; Schema: public; Owner: netbox
--

SELECT pg_catalog.setval('public.social_auth_partial_id_seq', 1, false);


--
-- Name: social_auth_usersocialauth_id_seq; Type: SEQUENCE SET; Schema: public; Owner: netbox
--

SELECT pg_catalog.setval('public.social_auth_usersocialauth_id_seq', 1, false);


--
-- Name: taggit_tag_id_seq; Type: SEQUENCE SET; Schema: public; Owner: netbox
--

SELECT pg_catalog.setval('public.taggit_tag_id_seq', 1, false);


--
-- Name: taggit_taggeditem_id_seq; Type: SEQUENCE SET; Schema: public; Owner: netbox
--

SELECT pg_catalog.setval('public.taggit_taggeditem_id_seq', 1, false);


--
-- Name: tenancy_contact_id_seq; Type: SEQUENCE SET; Schema: public; Owner: netbox
--

SELECT pg_catalog.setval('public.tenancy_contact_id_seq', 1, false);


--
-- Name: tenancy_contactassignment_id_seq; Type: SEQUENCE SET; Schema: public; Owner: netbox
--

SELECT pg_catalog.setval('public.tenancy_contactassignment_id_seq', 1, false);


--
-- Name: tenancy_contactgroup_id_seq; Type: SEQUENCE SET; Schema: public; Owner: netbox
--

SELECT pg_catalog.setval('public.tenancy_contactgroup_id_seq', 1, false);


--
-- Name: tenancy_contactrole_id_seq; Type: SEQUENCE SET; Schema: public; Owner: netbox
--

SELECT pg_catalog.setval('public.tenancy_contactrole_id_seq', 1, false);


--
-- Name: tenancy_tenant_id_seq; Type: SEQUENCE SET; Schema: public; Owner: netbox
--

SELECT pg_catalog.setval('public.tenancy_tenant_id_seq', 1, false);


--
-- Name: tenancy_tenantgroup_id_seq; Type: SEQUENCE SET; Schema: public; Owner: netbox
--

SELECT pg_catalog.setval('public.tenancy_tenantgroup_id_seq', 1, false);


--
-- Name: users_objectpermission_groups_id_seq; Type: SEQUENCE SET; Schema: public; Owner: netbox
--

SELECT pg_catalog.setval('public.users_objectpermission_groups_id_seq', 1, false);


--
-- Name: users_objectpermission_id_seq; Type: SEQUENCE SET; Schema: public; Owner: netbox
--

SELECT pg_catalog.setval('public.users_objectpermission_id_seq', 1, false);


--
-- Name: users_objectpermission_object_types_id_seq; Type: SEQUENCE SET; Schema: public; Owner: netbox
--

SELECT pg_catalog.setval('public.users_objectpermission_object_types_id_seq', 1, false);


--
-- Name: users_objectpermission_users_id_seq; Type: SEQUENCE SET; Schema: public; Owner: netbox
--

SELECT pg_catalog.setval('public.users_objectpermission_users_id_seq', 1, false);


--
-- Name: users_token_id_seq; Type: SEQUENCE SET; Schema: public; Owner: netbox
--

SELECT pg_catalog.setval('public.users_token_id_seq', 1, true);


--
-- Name: users_userconfig_id_seq; Type: SEQUENCE SET; Schema: public; Owner: netbox
--

SELECT pg_catalog.setval('public.users_userconfig_id_seq', 1, true);


--
-- Name: virtualization_cluster_id_seq; Type: SEQUENCE SET; Schema: public; Owner: netbox
--

SELECT pg_catalog.setval('public.virtualization_cluster_id_seq', 1, false);


--
-- Name: virtualization_clustergroup_id_seq; Type: SEQUENCE SET; Schema: public; Owner: netbox
--

SELECT pg_catalog.setval('public.virtualization_clustergroup_id_seq', 1, false);


--
-- Name: virtualization_clustertype_id_seq; Type: SEQUENCE SET; Schema: public; Owner: netbox
--

SELECT pg_catalog.setval('public.virtualization_clustertype_id_seq', 1, false);


--
-- Name: virtualization_virtualmachine_id_seq; Type: SEQUENCE SET; Schema: public; Owner: netbox
--

SELECT pg_catalog.setval('public.virtualization_virtualmachine_id_seq', 1, false);


--
-- Name: virtualization_vminterface_id_seq; Type: SEQUENCE SET; Schema: public; Owner: netbox
--

SELECT pg_catalog.setval('public.virtualization_vminterface_id_seq', 1, false);


--
-- Name: virtualization_vminterface_tagged_vlans_id_seq; Type: SEQUENCE SET; Schema: public; Owner: netbox
--

SELECT pg_catalog.setval('public.virtualization_vminterface_tagged_vlans_id_seq', 1, false);


--
-- Name: wireless_wirelesslan_id_seq; Type: SEQUENCE SET; Schema: public; Owner: netbox
--

SELECT pg_catalog.setval('public.wireless_wirelesslan_id_seq', 1, false);


--
-- Name: wireless_wirelesslangroup_id_seq; Type: SEQUENCE SET; Schema: public; Owner: netbox
--

SELECT pg_catalog.setval('public.wireless_wirelesslangroup_id_seq', 1, false);


--
-- Name: wireless_wirelesslink_id_seq; Type: SEQUENCE SET; Schema: public; Owner: netbox
--

SELECT pg_catalog.setval('public.wireless_wirelesslink_id_seq', 1, false);


--
-- Name: auth_group auth_group_name_key; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.auth_group
    ADD CONSTRAINT auth_group_name_key UNIQUE (name);


--
-- Name: auth_group_permissions auth_group_permissions_group_id_permission_id_0cd325b0_uniq; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.auth_group_permissions
    ADD CONSTRAINT auth_group_permissions_group_id_permission_id_0cd325b0_uniq UNIQUE (group_id, permission_id);


--
-- Name: auth_group_permissions auth_group_permissions_pkey; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.auth_group_permissions
    ADD CONSTRAINT auth_group_permissions_pkey PRIMARY KEY (id);


--
-- Name: auth_group auth_group_pkey; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.auth_group
    ADD CONSTRAINT auth_group_pkey PRIMARY KEY (id);


--
-- Name: auth_permission auth_permission_content_type_id_codename_01ab375a_uniq; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.auth_permission
    ADD CONSTRAINT auth_permission_content_type_id_codename_01ab375a_uniq UNIQUE (content_type_id, codename);


--
-- Name: auth_permission auth_permission_pkey; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.auth_permission
    ADD CONSTRAINT auth_permission_pkey PRIMARY KEY (id);


--
-- Name: auth_user_groups auth_user_groups_pkey; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.auth_user_groups
    ADD CONSTRAINT auth_user_groups_pkey PRIMARY KEY (id);


--
-- Name: auth_user_groups auth_user_groups_user_id_group_id_94350c0c_uniq; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.auth_user_groups
    ADD CONSTRAINT auth_user_groups_user_id_group_id_94350c0c_uniq UNIQUE (user_id, group_id);


--
-- Name: auth_user auth_user_pkey; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.auth_user
    ADD CONSTRAINT auth_user_pkey PRIMARY KEY (id);


--
-- Name: auth_user_user_permissions auth_user_user_permissions_pkey; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.auth_user_user_permissions
    ADD CONSTRAINT auth_user_user_permissions_pkey PRIMARY KEY (id);


--
-- Name: auth_user_user_permissions auth_user_user_permissions_user_id_permission_id_14a6b632_uniq; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.auth_user_user_permissions
    ADD CONSTRAINT auth_user_user_permissions_user_id_permission_id_14a6b632_uniq UNIQUE (user_id, permission_id);


--
-- Name: auth_user auth_user_username_key; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.auth_user
    ADD CONSTRAINT auth_user_username_key UNIQUE (username);


--
-- Name: circuits_circuit circuits_circuit_pkey; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.circuits_circuit
    ADD CONSTRAINT circuits_circuit_pkey PRIMARY KEY (id);


--
-- Name: circuits_circuit circuits_circuit_unique_provider_cid; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.circuits_circuit
    ADD CONSTRAINT circuits_circuit_unique_provider_cid UNIQUE (provider_id, cid);


--
-- Name: circuits_circuit circuits_circuit_unique_provideraccount_cid; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.circuits_circuit
    ADD CONSTRAINT circuits_circuit_unique_provideraccount_cid UNIQUE (provider_account_id, cid);


--
-- Name: circuits_circuittermination circuits_circuittermination_pkey; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.circuits_circuittermination
    ADD CONSTRAINT circuits_circuittermination_pkey PRIMARY KEY (id);


--
-- Name: circuits_circuittermination circuits_circuittermination_unique_circuit_term_side; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.circuits_circuittermination
    ADD CONSTRAINT circuits_circuittermination_unique_circuit_term_side UNIQUE (circuit_id, term_side);


--
-- Name: circuits_circuittype circuits_circuittype_name_key; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.circuits_circuittype
    ADD CONSTRAINT circuits_circuittype_name_key UNIQUE (name);


--
-- Name: circuits_circuittype circuits_circuittype_pkey; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.circuits_circuittype
    ADD CONSTRAINT circuits_circuittype_pkey PRIMARY KEY (id);


--
-- Name: circuits_circuittype circuits_circuittype_slug_key; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.circuits_circuittype
    ADD CONSTRAINT circuits_circuittype_slug_key UNIQUE (slug);


--
-- Name: circuits_provider_asns circuits_provider_asns_pkey; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.circuits_provider_asns
    ADD CONSTRAINT circuits_provider_asns_pkey PRIMARY KEY (id);


--
-- Name: circuits_provider_asns circuits_provider_asns_provider_id_asn_id_6e573798_uniq; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.circuits_provider_asns
    ADD CONSTRAINT circuits_provider_asns_provider_id_asn_id_6e573798_uniq UNIQUE (provider_id, asn_id);


--
-- Name: circuits_provider circuits_provider_name_key; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.circuits_provider
    ADD CONSTRAINT circuits_provider_name_key UNIQUE (name);


--
-- Name: circuits_provider circuits_provider_pkey; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.circuits_provider
    ADD CONSTRAINT circuits_provider_pkey PRIMARY KEY (id);


--
-- Name: circuits_provider circuits_provider_slug_key; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.circuits_provider
    ADD CONSTRAINT circuits_provider_slug_key UNIQUE (slug);


--
-- Name: circuits_provideraccount circuits_provideraccount_pkey; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.circuits_provideraccount
    ADD CONSTRAINT circuits_provideraccount_pkey PRIMARY KEY (id);


--
-- Name: circuits_provideraccount circuits_provideraccount_unique_provider_account; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.circuits_provideraccount
    ADD CONSTRAINT circuits_provideraccount_unique_provider_account UNIQUE (provider_id, account);


--
-- Name: circuits_providernetwork circuits_providernetwork_pkey; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.circuits_providernetwork
    ADD CONSTRAINT circuits_providernetwork_pkey PRIMARY KEY (id);


--
-- Name: circuits_providernetwork circuits_providernetwork_unique_provider_name; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.circuits_providernetwork
    ADD CONSTRAINT circuits_providernetwork_unique_provider_name UNIQUE (provider_id, name);


--
-- Name: core_autosyncrecord core_autosyncrecord_object; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.core_autosyncrecord
    ADD CONSTRAINT core_autosyncrecord_object UNIQUE (object_type_id, object_id);


--
-- Name: core_autosyncrecord core_autosyncrecord_pkey; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.core_autosyncrecord
    ADD CONSTRAINT core_autosyncrecord_pkey PRIMARY KEY (id);


--
-- Name: core_datafile core_datafile_pkey; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.core_datafile
    ADD CONSTRAINT core_datafile_pkey PRIMARY KEY (id);


--
-- Name: core_datafile core_datafile_unique_source_path; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.core_datafile
    ADD CONSTRAINT core_datafile_unique_source_path UNIQUE (source_id, path);


--
-- Name: core_datasource core_datasource_name_key; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.core_datasource
    ADD CONSTRAINT core_datasource_name_key UNIQUE (name);


--
-- Name: core_datasource core_datasource_pkey; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.core_datasource
    ADD CONSTRAINT core_datasource_pkey PRIMARY KEY (id);


--
-- Name: core_job core_job_job_id_key; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.core_job
    ADD CONSTRAINT core_job_job_id_key UNIQUE (job_id);


--
-- Name: core_job core_job_pkey; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.core_job
    ADD CONSTRAINT core_job_pkey PRIMARY KEY (id);


--
-- Name: core_managedfile core_managedfile_pkey; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.core_managedfile
    ADD CONSTRAINT core_managedfile_pkey PRIMARY KEY (id);


--
-- Name: core_managedfile core_managedfile_unique_root_path; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.core_managedfile
    ADD CONSTRAINT core_managedfile_unique_root_path UNIQUE (file_root, file_path);


--
-- Name: dcim_cable dcim_cable_pkey; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.dcim_cable
    ADD CONSTRAINT dcim_cable_pkey PRIMARY KEY (id);


--
-- Name: dcim_cablepath dcim_cablepath_pkey; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.dcim_cablepath
    ADD CONSTRAINT dcim_cablepath_pkey PRIMARY KEY (id);


--
-- Name: dcim_cabletermination dcim_cabletermination_pkey; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.dcim_cabletermination
    ADD CONSTRAINT dcim_cabletermination_pkey PRIMARY KEY (id);


--
-- Name: dcim_cabletermination dcim_cabletermination_unique_termination; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.dcim_cabletermination
    ADD CONSTRAINT dcim_cabletermination_unique_termination UNIQUE (termination_type_id, termination_id);


--
-- Name: dcim_consoleport dcim_consoleport_pkey; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.dcim_consoleport
    ADD CONSTRAINT dcim_consoleport_pkey PRIMARY KEY (id);


--
-- Name: dcim_consoleport dcim_consoleport_unique_device_name; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.dcim_consoleport
    ADD CONSTRAINT dcim_consoleport_unique_device_name UNIQUE (device_id, name);


--
-- Name: dcim_consoleporttemplate dcim_consoleporttemplate_pkey; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.dcim_consoleporttemplate
    ADD CONSTRAINT dcim_consoleporttemplate_pkey PRIMARY KEY (id);


--
-- Name: dcim_consoleporttemplate dcim_consoleporttemplate_unique_device_type_name; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.dcim_consoleporttemplate
    ADD CONSTRAINT dcim_consoleporttemplate_unique_device_type_name UNIQUE (device_type_id, name);


--
-- Name: dcim_consoleporttemplate dcim_consoleporttemplate_unique_module_type_name; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.dcim_consoleporttemplate
    ADD CONSTRAINT dcim_consoleporttemplate_unique_module_type_name UNIQUE (module_type_id, name);


--
-- Name: dcim_consoleserverport dcim_consoleserverport_pkey; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.dcim_consoleserverport
    ADD CONSTRAINT dcim_consoleserverport_pkey PRIMARY KEY (id);


--
-- Name: dcim_consoleserverport dcim_consoleserverport_unique_device_name; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.dcim_consoleserverport
    ADD CONSTRAINT dcim_consoleserverport_unique_device_name UNIQUE (device_id, name);


--
-- Name: dcim_consoleserverporttemplate dcim_consoleserverporttemplate_pkey; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.dcim_consoleserverporttemplate
    ADD CONSTRAINT dcim_consoleserverporttemplate_pkey PRIMARY KEY (id);


--
-- Name: dcim_consoleserverporttemplate dcim_consoleserverporttemplate_unique_device_type_name; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.dcim_consoleserverporttemplate
    ADD CONSTRAINT dcim_consoleserverporttemplate_unique_device_type_name UNIQUE (device_type_id, name);


--
-- Name: dcim_consoleserverporttemplate dcim_consoleserverporttemplate_unique_module_type_name; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.dcim_consoleserverporttemplate
    ADD CONSTRAINT dcim_consoleserverporttemplate_unique_module_type_name UNIQUE (module_type_id, name);


--
-- Name: dcim_device dcim_device_asset_tag_key; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.dcim_device
    ADD CONSTRAINT dcim_device_asset_tag_key UNIQUE (asset_tag);


--
-- Name: dcim_device dcim_device_oob_ip_id_key; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.dcim_device
    ADD CONSTRAINT dcim_device_oob_ip_id_key UNIQUE (oob_ip_id);


--
-- Name: dcim_device dcim_device_pkey; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.dcim_device
    ADD CONSTRAINT dcim_device_pkey PRIMARY KEY (id);


--
-- Name: dcim_device dcim_device_primary_ip4_id_key; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.dcim_device
    ADD CONSTRAINT dcim_device_primary_ip4_id_key UNIQUE (primary_ip4_id);


--
-- Name: dcim_device dcim_device_primary_ip6_id_key; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.dcim_device
    ADD CONSTRAINT dcim_device_primary_ip6_id_key UNIQUE (primary_ip6_id);


--
-- Name: dcim_device dcim_device_unique_rack_position_face; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.dcim_device
    ADD CONSTRAINT dcim_device_unique_rack_position_face UNIQUE (rack_id, "position", face);


--
-- Name: dcim_device dcim_device_unique_virtual_chassis_vc_position; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.dcim_device
    ADD CONSTRAINT dcim_device_unique_virtual_chassis_vc_position UNIQUE (virtual_chassis_id, vc_position);


--
-- Name: dcim_devicebay dcim_devicebay_installed_device_id_key; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.dcim_devicebay
    ADD CONSTRAINT dcim_devicebay_installed_device_id_key UNIQUE (installed_device_id);


--
-- Name: dcim_devicebay dcim_devicebay_pkey; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.dcim_devicebay
    ADD CONSTRAINT dcim_devicebay_pkey PRIMARY KEY (id);


--
-- Name: dcim_devicebay dcim_devicebay_unique_device_name; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.dcim_devicebay
    ADD CONSTRAINT dcim_devicebay_unique_device_name UNIQUE (device_id, name);


--
-- Name: dcim_devicebaytemplate dcim_devicebaytemplate_pkey; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.dcim_devicebaytemplate
    ADD CONSTRAINT dcim_devicebaytemplate_pkey PRIMARY KEY (id);


--
-- Name: dcim_devicebaytemplate dcim_devicebaytemplate_unique_device_type_name; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.dcim_devicebaytemplate
    ADD CONSTRAINT dcim_devicebaytemplate_unique_device_type_name UNIQUE (device_type_id, name);


--
-- Name: dcim_devicerole dcim_devicerole_name_key; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.dcim_devicerole
    ADD CONSTRAINT dcim_devicerole_name_key UNIQUE (name);


--
-- Name: dcim_devicerole dcim_devicerole_pkey; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.dcim_devicerole
    ADD CONSTRAINT dcim_devicerole_pkey PRIMARY KEY (id);


--
-- Name: dcim_devicerole dcim_devicerole_slug_key; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.dcim_devicerole
    ADD CONSTRAINT dcim_devicerole_slug_key UNIQUE (slug);


--
-- Name: dcim_devicetype dcim_devicetype_pkey; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.dcim_devicetype
    ADD CONSTRAINT dcim_devicetype_pkey PRIMARY KEY (id);


--
-- Name: dcim_devicetype dcim_devicetype_unique_manufacturer_model; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.dcim_devicetype
    ADD CONSTRAINT dcim_devicetype_unique_manufacturer_model UNIQUE (manufacturer_id, model);


--
-- Name: dcim_devicetype dcim_devicetype_unique_manufacturer_slug; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.dcim_devicetype
    ADD CONSTRAINT dcim_devicetype_unique_manufacturer_slug UNIQUE (manufacturer_id, slug);


--
-- Name: dcim_frontport dcim_frontport_pkey; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.dcim_frontport
    ADD CONSTRAINT dcim_frontport_pkey PRIMARY KEY (id);


--
-- Name: dcim_frontport dcim_frontport_unique_device_name; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.dcim_frontport
    ADD CONSTRAINT dcim_frontport_unique_device_name UNIQUE (device_id, name);


--
-- Name: dcim_frontport dcim_frontport_unique_rear_port_position; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.dcim_frontport
    ADD CONSTRAINT dcim_frontport_unique_rear_port_position UNIQUE (rear_port_id, rear_port_position);


--
-- Name: dcim_frontporttemplate dcim_frontporttemplate_pkey; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.dcim_frontporttemplate
    ADD CONSTRAINT dcim_frontporttemplate_pkey PRIMARY KEY (id);


--
-- Name: dcim_frontporttemplate dcim_frontporttemplate_unique_device_type_name; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.dcim_frontporttemplate
    ADD CONSTRAINT dcim_frontporttemplate_unique_device_type_name UNIQUE (device_type_id, name);


--
-- Name: dcim_frontporttemplate dcim_frontporttemplate_unique_module_type_name; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.dcim_frontporttemplate
    ADD CONSTRAINT dcim_frontporttemplate_unique_module_type_name UNIQUE (module_type_id, name);


--
-- Name: dcim_frontporttemplate dcim_frontporttemplate_unique_rear_port_position; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.dcim_frontporttemplate
    ADD CONSTRAINT dcim_frontporttemplate_unique_rear_port_position UNIQUE (rear_port_id, rear_port_position);


--
-- Name: dcim_interface dcim_interface_pkey; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.dcim_interface
    ADD CONSTRAINT dcim_interface_pkey PRIMARY KEY (id);


--
-- Name: dcim_interface_tagged_vlans dcim_interface_tagged_vlans_interface_id_vlan_id_0d55c576_uniq; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.dcim_interface_tagged_vlans
    ADD CONSTRAINT dcim_interface_tagged_vlans_interface_id_vlan_id_0d55c576_uniq UNIQUE (interface_id, vlan_id);


--
-- Name: dcim_interface_tagged_vlans dcim_interface_tagged_vlans_pkey; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.dcim_interface_tagged_vlans
    ADD CONSTRAINT dcim_interface_tagged_vlans_pkey PRIMARY KEY (id);


--
-- Name: dcim_interface dcim_interface_unique_device_name; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.dcim_interface
    ADD CONSTRAINT dcim_interface_unique_device_name UNIQUE (device_id, name);


--
-- Name: dcim_interface_vdcs dcim_interface_vdcs_interface_id_virtualdevi_cca9c2a6_uniq; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.dcim_interface_vdcs
    ADD CONSTRAINT dcim_interface_vdcs_interface_id_virtualdevi_cca9c2a6_uniq UNIQUE (interface_id, virtualdevicecontext_id);


--
-- Name: dcim_interface_vdcs dcim_interface_vdcs_pkey; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.dcim_interface_vdcs
    ADD CONSTRAINT dcim_interface_vdcs_pkey PRIMARY KEY (id);


--
-- Name: dcim_interface_wireless_lans dcim_interface_wireless__interface_id_wirelesslan_b52fb3d8_uniq; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.dcim_interface_wireless_lans
    ADD CONSTRAINT dcim_interface_wireless__interface_id_wirelesslan_b52fb3d8_uniq UNIQUE (interface_id, wirelesslan_id);


--
-- Name: dcim_interface_wireless_lans dcim_interface_wireless_lans_pkey; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.dcim_interface_wireless_lans
    ADD CONSTRAINT dcim_interface_wireless_lans_pkey PRIMARY KEY (id);


--
-- Name: dcim_interfacetemplate dcim_interfacetemplate_pkey; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.dcim_interfacetemplate
    ADD CONSTRAINT dcim_interfacetemplate_pkey PRIMARY KEY (id);


--
-- Name: dcim_interfacetemplate dcim_interfacetemplate_unique_device_type_name; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.dcim_interfacetemplate
    ADD CONSTRAINT dcim_interfacetemplate_unique_device_type_name UNIQUE (device_type_id, name);


--
-- Name: dcim_interfacetemplate dcim_interfacetemplate_unique_module_type_name; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.dcim_interfacetemplate
    ADD CONSTRAINT dcim_interfacetemplate_unique_module_type_name UNIQUE (module_type_id, name);


--
-- Name: dcim_inventoryitem dcim_inventoryitem_asset_tag_key; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.dcim_inventoryitem
    ADD CONSTRAINT dcim_inventoryitem_asset_tag_key UNIQUE (asset_tag);


--
-- Name: dcim_inventoryitem dcim_inventoryitem_pkey; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.dcim_inventoryitem
    ADD CONSTRAINT dcim_inventoryitem_pkey PRIMARY KEY (id);


--
-- Name: dcim_inventoryitem dcim_inventoryitem_unique_device_parent_name; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.dcim_inventoryitem
    ADD CONSTRAINT dcim_inventoryitem_unique_device_parent_name UNIQUE (device_id, parent_id, name);


--
-- Name: dcim_inventoryitemrole dcim_inventoryitemrole_name_key; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.dcim_inventoryitemrole
    ADD CONSTRAINT dcim_inventoryitemrole_name_key UNIQUE (name);


--
-- Name: dcim_inventoryitemrole dcim_inventoryitemrole_pkey; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.dcim_inventoryitemrole
    ADD CONSTRAINT dcim_inventoryitemrole_pkey PRIMARY KEY (id);


--
-- Name: dcim_inventoryitemrole dcim_inventoryitemrole_slug_key; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.dcim_inventoryitemrole
    ADD CONSTRAINT dcim_inventoryitemrole_slug_key UNIQUE (slug);


--
-- Name: dcim_inventoryitemtemplate dcim_inventoryitemtemplate_pkey; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.dcim_inventoryitemtemplate
    ADD CONSTRAINT dcim_inventoryitemtemplate_pkey PRIMARY KEY (id);


--
-- Name: dcim_inventoryitemtemplate dcim_inventoryitemtemplate_unique_device_type_parent_name; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.dcim_inventoryitemtemplate
    ADD CONSTRAINT dcim_inventoryitemtemplate_unique_device_type_parent_name UNIQUE (device_type_id, parent_id, name);


--
-- Name: dcim_location dcim_location_parent_name; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.dcim_location
    ADD CONSTRAINT dcim_location_parent_name UNIQUE (site_id, parent_id, name);


--
-- Name: dcim_location dcim_location_parent_slug; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.dcim_location
    ADD CONSTRAINT dcim_location_parent_slug UNIQUE (site_id, parent_id, slug);


--
-- Name: dcim_location dcim_location_pkey; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.dcim_location
    ADD CONSTRAINT dcim_location_pkey PRIMARY KEY (id);


--
-- Name: dcim_manufacturer dcim_manufacturer_name_key; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.dcim_manufacturer
    ADD CONSTRAINT dcim_manufacturer_name_key UNIQUE (name);


--
-- Name: dcim_manufacturer dcim_manufacturer_pkey; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.dcim_manufacturer
    ADD CONSTRAINT dcim_manufacturer_pkey PRIMARY KEY (id);


--
-- Name: dcim_manufacturer dcim_manufacturer_slug_key; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.dcim_manufacturer
    ADD CONSTRAINT dcim_manufacturer_slug_key UNIQUE (slug);


--
-- Name: dcim_module dcim_module_asset_tag_key; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.dcim_module
    ADD CONSTRAINT dcim_module_asset_tag_key UNIQUE (asset_tag);


--
-- Name: dcim_module dcim_module_module_bay_id_key; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.dcim_module
    ADD CONSTRAINT dcim_module_module_bay_id_key UNIQUE (module_bay_id);


--
-- Name: dcim_module dcim_module_pkey; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.dcim_module
    ADD CONSTRAINT dcim_module_pkey PRIMARY KEY (id);


--
-- Name: dcim_modulebay dcim_modulebay_pkey; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.dcim_modulebay
    ADD CONSTRAINT dcim_modulebay_pkey PRIMARY KEY (id);


--
-- Name: dcim_modulebay dcim_modulebay_unique_device_name; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.dcim_modulebay
    ADD CONSTRAINT dcim_modulebay_unique_device_name UNIQUE (device_id, name);


--
-- Name: dcim_modulebaytemplate dcim_modulebaytemplate_pkey; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.dcim_modulebaytemplate
    ADD CONSTRAINT dcim_modulebaytemplate_pkey PRIMARY KEY (id);


--
-- Name: dcim_modulebaytemplate dcim_modulebaytemplate_unique_device_type_name; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.dcim_modulebaytemplate
    ADD CONSTRAINT dcim_modulebaytemplate_unique_device_type_name UNIQUE (device_type_id, name);


--
-- Name: dcim_moduletype dcim_moduletype_pkey; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.dcim_moduletype
    ADD CONSTRAINT dcim_moduletype_pkey PRIMARY KEY (id);


--
-- Name: dcim_moduletype dcim_moduletype_unique_manufacturer_model; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.dcim_moduletype
    ADD CONSTRAINT dcim_moduletype_unique_manufacturer_model UNIQUE (manufacturer_id, model);


--
-- Name: dcim_platform dcim_platform_name_key; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.dcim_platform
    ADD CONSTRAINT dcim_platform_name_key UNIQUE (name);


--
-- Name: dcim_platform dcim_platform_pkey; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.dcim_platform
    ADD CONSTRAINT dcim_platform_pkey PRIMARY KEY (id);


--
-- Name: dcim_platform dcim_platform_slug_key; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.dcim_platform
    ADD CONSTRAINT dcim_platform_slug_key UNIQUE (slug);


--
-- Name: dcim_powerfeed dcim_powerfeed_pkey; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.dcim_powerfeed
    ADD CONSTRAINT dcim_powerfeed_pkey PRIMARY KEY (id);


--
-- Name: dcim_powerfeed dcim_powerfeed_unique_power_panel_name; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.dcim_powerfeed
    ADD CONSTRAINT dcim_powerfeed_unique_power_panel_name UNIQUE (power_panel_id, name);


--
-- Name: dcim_poweroutlet dcim_poweroutlet_pkey; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.dcim_poweroutlet
    ADD CONSTRAINT dcim_poweroutlet_pkey PRIMARY KEY (id);


--
-- Name: dcim_poweroutlet dcim_poweroutlet_unique_device_name; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.dcim_poweroutlet
    ADD CONSTRAINT dcim_poweroutlet_unique_device_name UNIQUE (device_id, name);


--
-- Name: dcim_poweroutlettemplate dcim_poweroutlettemplate_pkey; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.dcim_poweroutlettemplate
    ADD CONSTRAINT dcim_poweroutlettemplate_pkey PRIMARY KEY (id);


--
-- Name: dcim_poweroutlettemplate dcim_poweroutlettemplate_unique_device_type_name; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.dcim_poweroutlettemplate
    ADD CONSTRAINT dcim_poweroutlettemplate_unique_device_type_name UNIQUE (device_type_id, name);


--
-- Name: dcim_poweroutlettemplate dcim_poweroutlettemplate_unique_module_type_name; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.dcim_poweroutlettemplate
    ADD CONSTRAINT dcim_poweroutlettemplate_unique_module_type_name UNIQUE (module_type_id, name);


--
-- Name: dcim_powerpanel dcim_powerpanel_pkey; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.dcim_powerpanel
    ADD CONSTRAINT dcim_powerpanel_pkey PRIMARY KEY (id);


--
-- Name: dcim_powerpanel dcim_powerpanel_unique_site_name; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.dcim_powerpanel
    ADD CONSTRAINT dcim_powerpanel_unique_site_name UNIQUE (site_id, name);


--
-- Name: dcim_powerport dcim_powerport_pkey; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.dcim_powerport
    ADD CONSTRAINT dcim_powerport_pkey PRIMARY KEY (id);


--
-- Name: dcim_powerport dcim_powerport_unique_device_name; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.dcim_powerport
    ADD CONSTRAINT dcim_powerport_unique_device_name UNIQUE (device_id, name);


--
-- Name: dcim_powerporttemplate dcim_powerporttemplate_pkey; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.dcim_powerporttemplate
    ADD CONSTRAINT dcim_powerporttemplate_pkey PRIMARY KEY (id);


--
-- Name: dcim_powerporttemplate dcim_powerporttemplate_unique_device_type_name; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.dcim_powerporttemplate
    ADD CONSTRAINT dcim_powerporttemplate_unique_device_type_name UNIQUE (device_type_id, name);


--
-- Name: dcim_powerporttemplate dcim_powerporttemplate_unique_module_type_name; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.dcim_powerporttemplate
    ADD CONSTRAINT dcim_powerporttemplate_unique_module_type_name UNIQUE (module_type_id, name);


--
-- Name: dcim_rack dcim_rack_asset_tag_key; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.dcim_rack
    ADD CONSTRAINT dcim_rack_asset_tag_key UNIQUE (asset_tag);


--
-- Name: dcim_rack dcim_rack_pkey; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.dcim_rack
    ADD CONSTRAINT dcim_rack_pkey PRIMARY KEY (id);


--
-- Name: dcim_rack dcim_rack_unique_location_facility_id; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.dcim_rack
    ADD CONSTRAINT dcim_rack_unique_location_facility_id UNIQUE (location_id, facility_id);


--
-- Name: dcim_rack dcim_rack_unique_location_name; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.dcim_rack
    ADD CONSTRAINT dcim_rack_unique_location_name UNIQUE (location_id, name);


--
-- Name: dcim_rackreservation dcim_rackreservation_pkey; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.dcim_rackreservation
    ADD CONSTRAINT dcim_rackreservation_pkey PRIMARY KEY (id);


--
-- Name: dcim_rackrole dcim_rackrole_name_key; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.dcim_rackrole
    ADD CONSTRAINT dcim_rackrole_name_key UNIQUE (name);


--
-- Name: dcim_rackrole dcim_rackrole_pkey; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.dcim_rackrole
    ADD CONSTRAINT dcim_rackrole_pkey PRIMARY KEY (id);


--
-- Name: dcim_rackrole dcim_rackrole_slug_key; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.dcim_rackrole
    ADD CONSTRAINT dcim_rackrole_slug_key UNIQUE (slug);


--
-- Name: dcim_rearport dcim_rearport_pkey; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.dcim_rearport
    ADD CONSTRAINT dcim_rearport_pkey PRIMARY KEY (id);


--
-- Name: dcim_rearport dcim_rearport_unique_device_name; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.dcim_rearport
    ADD CONSTRAINT dcim_rearport_unique_device_name UNIQUE (device_id, name);


--
-- Name: dcim_rearporttemplate dcim_rearporttemplate_pkey; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.dcim_rearporttemplate
    ADD CONSTRAINT dcim_rearporttemplate_pkey PRIMARY KEY (id);


--
-- Name: dcim_rearporttemplate dcim_rearporttemplate_unique_device_type_name; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.dcim_rearporttemplate
    ADD CONSTRAINT dcim_rearporttemplate_unique_device_type_name UNIQUE (device_type_id, name);


--
-- Name: dcim_rearporttemplate dcim_rearporttemplate_unique_module_type_name; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.dcim_rearporttemplate
    ADD CONSTRAINT dcim_rearporttemplate_unique_module_type_name UNIQUE (module_type_id, name);


--
-- Name: dcim_region dcim_region_parent_name; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.dcim_region
    ADD CONSTRAINT dcim_region_parent_name UNIQUE (parent_id, name);


--
-- Name: dcim_region dcim_region_parent_slug; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.dcim_region
    ADD CONSTRAINT dcim_region_parent_slug UNIQUE (parent_id, slug);


--
-- Name: dcim_region dcim_region_pkey; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.dcim_region
    ADD CONSTRAINT dcim_region_pkey PRIMARY KEY (id);


--
-- Name: dcim_site_asns dcim_site_asns_pkey; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.dcim_site_asns
    ADD CONSTRAINT dcim_site_asns_pkey PRIMARY KEY (id);


--
-- Name: dcim_site_asns dcim_site_asns_site_id_asn_id_1a5a6f23_uniq; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.dcim_site_asns
    ADD CONSTRAINT dcim_site_asns_site_id_asn_id_1a5a6f23_uniq UNIQUE (site_id, asn_id);


--
-- Name: dcim_site dcim_site_name_key; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.dcim_site
    ADD CONSTRAINT dcim_site_name_key UNIQUE (name);


--
-- Name: dcim_site dcim_site_pkey; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.dcim_site
    ADD CONSTRAINT dcim_site_pkey PRIMARY KEY (id);


--
-- Name: dcim_site dcim_site_slug_key; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.dcim_site
    ADD CONSTRAINT dcim_site_slug_key UNIQUE (slug);


--
-- Name: dcim_sitegroup dcim_sitegroup_parent_name; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.dcim_sitegroup
    ADD CONSTRAINT dcim_sitegroup_parent_name UNIQUE (parent_id, name);


--
-- Name: dcim_sitegroup dcim_sitegroup_parent_slug; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.dcim_sitegroup
    ADD CONSTRAINT dcim_sitegroup_parent_slug UNIQUE (parent_id, slug);


--
-- Name: dcim_sitegroup dcim_sitegroup_pkey; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.dcim_sitegroup
    ADD CONSTRAINT dcim_sitegroup_pkey PRIMARY KEY (id);


--
-- Name: dcim_virtualchassis dcim_virtualchassis_master_id_key; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.dcim_virtualchassis
    ADD CONSTRAINT dcim_virtualchassis_master_id_key UNIQUE (master_id);


--
-- Name: dcim_virtualchassis dcim_virtualchassis_pkey; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.dcim_virtualchassis
    ADD CONSTRAINT dcim_virtualchassis_pkey PRIMARY KEY (id);


--
-- Name: dcim_virtualdevicecontext dcim_virtualdevicecontext_device_identifier; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.dcim_virtualdevicecontext
    ADD CONSTRAINT dcim_virtualdevicecontext_device_identifier UNIQUE (device_id, identifier);


--
-- Name: dcim_virtualdevicecontext dcim_virtualdevicecontext_device_name; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.dcim_virtualdevicecontext
    ADD CONSTRAINT dcim_virtualdevicecontext_device_name UNIQUE (device_id, name);


--
-- Name: dcim_virtualdevicecontext dcim_virtualdevicecontext_pkey; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.dcim_virtualdevicecontext
    ADD CONSTRAINT dcim_virtualdevicecontext_pkey PRIMARY KEY (id);


--
-- Name: dcim_virtualdevicecontext dcim_virtualdevicecontext_primary_ip4_id_key; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.dcim_virtualdevicecontext
    ADD CONSTRAINT dcim_virtualdevicecontext_primary_ip4_id_key UNIQUE (primary_ip4_id);


--
-- Name: dcim_virtualdevicecontext dcim_virtualdevicecontext_primary_ip6_id_key; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.dcim_virtualdevicecontext
    ADD CONSTRAINT dcim_virtualdevicecontext_primary_ip6_id_key UNIQUE (primary_ip6_id);


--
-- Name: django_admin_log django_admin_log_pkey; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.django_admin_log
    ADD CONSTRAINT django_admin_log_pkey PRIMARY KEY (id);


--
-- Name: django_content_type django_content_type_app_label_model_76bd3d3b_uniq; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.django_content_type
    ADD CONSTRAINT django_content_type_app_label_model_76bd3d3b_uniq UNIQUE (app_label, model);


--
-- Name: django_content_type django_content_type_pkey; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.django_content_type
    ADD CONSTRAINT django_content_type_pkey PRIMARY KEY (id);


--
-- Name: django_migrations django_migrations_pkey; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.django_migrations
    ADD CONSTRAINT django_migrations_pkey PRIMARY KEY (id);


--
-- Name: django_session django_session_pkey; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.django_session
    ADD CONSTRAINT django_session_pkey PRIMARY KEY (session_key);


--
-- Name: extras_bookmark extras_bookmark_pkey; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.extras_bookmark
    ADD CONSTRAINT extras_bookmark_pkey PRIMARY KEY (id);


--
-- Name: extras_bookmark extras_bookmark_unique_per_object_and_user; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.extras_bookmark
    ADD CONSTRAINT extras_bookmark_unique_per_object_and_user UNIQUE (object_type_id, object_id, user_id);


--
-- Name: extras_branch extras_branch_name_key; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.extras_branch
    ADD CONSTRAINT extras_branch_name_key UNIQUE (name);


--
-- Name: extras_branch extras_branch_pkey; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.extras_branch
    ADD CONSTRAINT extras_branch_pkey PRIMARY KEY (id);


--
-- Name: extras_cachedvalue extras_cachedvalue_pkey; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.extras_cachedvalue
    ADD CONSTRAINT extras_cachedvalue_pkey PRIMARY KEY (id);


--
-- Name: extras_configcontext_clusters extras_configcontext_clu_configcontext_id_cluster_0c7e5d20_uniq; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.extras_configcontext_clusters
    ADD CONSTRAINT extras_configcontext_clu_configcontext_id_cluster_0c7e5d20_uniq UNIQUE (configcontext_id, cluster_id);


--
-- Name: extras_configcontext_cluster_types extras_configcontext_clu_configcontext_id_cluster_4a2d5e56_uniq; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.extras_configcontext_cluster_types
    ADD CONSTRAINT extras_configcontext_clu_configcontext_id_cluster_4a2d5e56_uniq UNIQUE (configcontext_id, clustertype_id);


--
-- Name: extras_configcontext_cluster_groups extras_configcontext_clu_configcontext_id_cluster_bc530192_uniq; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.extras_configcontext_cluster_groups
    ADD CONSTRAINT extras_configcontext_clu_configcontext_id_cluster_bc530192_uniq UNIQUE (configcontext_id, clustergroup_id);


--
-- Name: extras_configcontext_cluster_groups extras_configcontext_cluster_groups_pkey; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.extras_configcontext_cluster_groups
    ADD CONSTRAINT extras_configcontext_cluster_groups_pkey PRIMARY KEY (id);


--
-- Name: extras_configcontext_cluster_types extras_configcontext_cluster_types_pkey; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.extras_configcontext_cluster_types
    ADD CONSTRAINT extras_configcontext_cluster_types_pkey PRIMARY KEY (id);


--
-- Name: extras_configcontext_clusters extras_configcontext_clusters_pkey; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.extras_configcontext_clusters
    ADD CONSTRAINT extras_configcontext_clusters_pkey PRIMARY KEY (id);


--
-- Name: extras_configcontext_device_types extras_configcontext_dev_configcontext_id_devicet_a0aaba6f_uniq; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.extras_configcontext_device_types
    ADD CONSTRAINT extras_configcontext_dev_configcontext_id_devicet_a0aaba6f_uniq UNIQUE (configcontext_id, devicetype_id);


--
-- Name: extras_configcontext_device_types extras_configcontext_device_types_pkey; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.extras_configcontext_device_types
    ADD CONSTRAINT extras_configcontext_device_types_pkey PRIMARY KEY (id);


--
-- Name: extras_configcontext_locations extras_configcontext_loc_configcontext_id_locatio_15d9b342_uniq; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.extras_configcontext_locations
    ADD CONSTRAINT extras_configcontext_loc_configcontext_id_locatio_15d9b342_uniq UNIQUE (configcontext_id, location_id);


--
-- Name: extras_configcontext_locations extras_configcontext_locations_pkey; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.extras_configcontext_locations
    ADD CONSTRAINT extras_configcontext_locations_pkey PRIMARY KEY (id);


--
-- Name: extras_configcontext extras_configcontext_name_key; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.extras_configcontext
    ADD CONSTRAINT extras_configcontext_name_key UNIQUE (name);


--
-- Name: extras_configcontext extras_configcontext_pkey; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.extras_configcontext
    ADD CONSTRAINT extras_configcontext_pkey PRIMARY KEY (id);


--
-- Name: extras_configcontext_platforms extras_configcontext_pla_configcontext_id_platfor_3c67c104_uniq; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.extras_configcontext_platforms
    ADD CONSTRAINT extras_configcontext_pla_configcontext_id_platfor_3c67c104_uniq UNIQUE (configcontext_id, platform_id);


--
-- Name: extras_configcontext_platforms extras_configcontext_platforms_pkey; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.extras_configcontext_platforms
    ADD CONSTRAINT extras_configcontext_platforms_pkey PRIMARY KEY (id);


--
-- Name: extras_configcontext_regions extras_configcontext_reg_configcontext_id_region__d4a1d77f_uniq; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.extras_configcontext_regions
    ADD CONSTRAINT extras_configcontext_reg_configcontext_id_region__d4a1d77f_uniq UNIQUE (configcontext_id, region_id);


--
-- Name: extras_configcontext_regions extras_configcontext_regions_pkey; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.extras_configcontext_regions
    ADD CONSTRAINT extras_configcontext_regions_pkey PRIMARY KEY (id);


--
-- Name: extras_configcontext_roles extras_configcontext_rol_configcontext_id_devicer_4d8dbb50_uniq; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.extras_configcontext_roles
    ADD CONSTRAINT extras_configcontext_rol_configcontext_id_devicer_4d8dbb50_uniq UNIQUE (configcontext_id, devicerole_id);


--
-- Name: extras_configcontext_roles extras_configcontext_roles_pkey; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.extras_configcontext_roles
    ADD CONSTRAINT extras_configcontext_roles_pkey PRIMARY KEY (id);


--
-- Name: extras_configcontext_sites extras_configcontext_sit_configcontext_id_site_id_a4fe5f4f_uniq; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.extras_configcontext_sites
    ADD CONSTRAINT extras_configcontext_sit_configcontext_id_site_id_a4fe5f4f_uniq UNIQUE (configcontext_id, site_id);


--
-- Name: extras_configcontext_site_groups extras_configcontext_sit_configcontext_id_sitegro_4caa52ec_uniq; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.extras_configcontext_site_groups
    ADD CONSTRAINT extras_configcontext_sit_configcontext_id_sitegro_4caa52ec_uniq UNIQUE (configcontext_id, sitegroup_id);


--
-- Name: extras_configcontext_site_groups extras_configcontext_site_groups_pkey; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.extras_configcontext_site_groups
    ADD CONSTRAINT extras_configcontext_site_groups_pkey PRIMARY KEY (id);


--
-- Name: extras_configcontext_sites extras_configcontext_sites_pkey; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.extras_configcontext_sites
    ADD CONSTRAINT extras_configcontext_sites_pkey PRIMARY KEY (id);


--
-- Name: extras_configcontext_tags extras_configcontext_tags_configcontext_id_tag_id_f6c53016_uniq; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.extras_configcontext_tags
    ADD CONSTRAINT extras_configcontext_tags_configcontext_id_tag_id_f6c53016_uniq UNIQUE (configcontext_id, tag_id);


--
-- Name: extras_configcontext_tags extras_configcontext_tags_pkey; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.extras_configcontext_tags
    ADD CONSTRAINT extras_configcontext_tags_pkey PRIMARY KEY (id);


--
-- Name: extras_configcontext_tenants extras_configcontext_ten_configcontext_id_tenant__aefb257d_uniq; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.extras_configcontext_tenants
    ADD CONSTRAINT extras_configcontext_ten_configcontext_id_tenant__aefb257d_uniq UNIQUE (configcontext_id, tenant_id);


--
-- Name: extras_configcontext_tenant_groups extras_configcontext_ten_configcontext_id_tenantg_d6afc6f5_uniq; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.extras_configcontext_tenant_groups
    ADD CONSTRAINT extras_configcontext_ten_configcontext_id_tenantg_d6afc6f5_uniq UNIQUE (configcontext_id, tenantgroup_id);


--
-- Name: extras_configcontext_tenant_groups extras_configcontext_tenant_groups_pkey; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.extras_configcontext_tenant_groups
    ADD CONSTRAINT extras_configcontext_tenant_groups_pkey PRIMARY KEY (id);


--
-- Name: extras_configcontext_tenants extras_configcontext_tenants_pkey; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.extras_configcontext_tenants
    ADD CONSTRAINT extras_configcontext_tenants_pkey PRIMARY KEY (id);


--
-- Name: extras_configrevision extras_configrevision_pkey; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.extras_configrevision
    ADD CONSTRAINT extras_configrevision_pkey PRIMARY KEY (id);


--
-- Name: extras_configtemplate extras_configtemplate_pkey; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.extras_configtemplate
    ADD CONSTRAINT extras_configtemplate_pkey PRIMARY KEY (id);


--
-- Name: extras_customfield_content_types extras_customfield_conte_customfield_id_contentty_51136c2b_uniq; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.extras_customfield_content_types
    ADD CONSTRAINT extras_customfield_conte_customfield_id_contentty_51136c2b_uniq UNIQUE (customfield_id, contenttype_id);


--
-- Name: extras_customfield_content_types extras_customfield_content_types_pkey; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.extras_customfield_content_types
    ADD CONSTRAINT extras_customfield_content_types_pkey PRIMARY KEY (id);


--
-- Name: extras_customfield extras_customfield_name_key; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.extras_customfield
    ADD CONSTRAINT extras_customfield_name_key UNIQUE (name);


--
-- Name: extras_customfield extras_customfield_pkey; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.extras_customfield
    ADD CONSTRAINT extras_customfield_pkey PRIMARY KEY (id);


--
-- Name: extras_customfieldchoiceset extras_customfieldchoiceset_name_key; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.extras_customfieldchoiceset
    ADD CONSTRAINT extras_customfieldchoiceset_name_key UNIQUE (name);


--
-- Name: extras_customfieldchoiceset extras_customfieldchoiceset_pkey; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.extras_customfieldchoiceset
    ADD CONSTRAINT extras_customfieldchoiceset_pkey PRIMARY KEY (id);


--
-- Name: extras_customlink_content_types extras_customlink_conten_customlink_id_contenttyp_518ef1b8_uniq; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.extras_customlink_content_types
    ADD CONSTRAINT extras_customlink_conten_customlink_id_contenttyp_518ef1b8_uniq UNIQUE (customlink_id, contenttype_id);


--
-- Name: extras_customlink_content_types extras_customlink_content_types_pkey; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.extras_customlink_content_types
    ADD CONSTRAINT extras_customlink_content_types_pkey PRIMARY KEY (id);


--
-- Name: extras_customlink extras_customlink_name_key; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.extras_customlink
    ADD CONSTRAINT extras_customlink_name_key UNIQUE (name);


--
-- Name: extras_customlink extras_customlink_pkey; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.extras_customlink
    ADD CONSTRAINT extras_customlink_pkey PRIMARY KEY (id);


--
-- Name: extras_dashboard extras_dashboard_pkey; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.extras_dashboard
    ADD CONSTRAINT extras_dashboard_pkey PRIMARY KEY (id);


--
-- Name: extras_dashboard extras_dashboard_user_id_key; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.extras_dashboard
    ADD CONSTRAINT extras_dashboard_user_id_key UNIQUE (user_id);


--
-- Name: extras_exporttemplate_content_types extras_exporttemplate_co_exporttemplate_id_conten_b4645653_uniq; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.extras_exporttemplate_content_types
    ADD CONSTRAINT extras_exporttemplate_co_exporttemplate_id_conten_b4645653_uniq UNIQUE (exporttemplate_id, contenttype_id);


--
-- Name: extras_exporttemplate_content_types extras_exporttemplate_content_types_pkey; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.extras_exporttemplate_content_types
    ADD CONSTRAINT extras_exporttemplate_content_types_pkey PRIMARY KEY (id);


--
-- Name: extras_exporttemplate extras_exporttemplate_pkey; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.extras_exporttemplate
    ADD CONSTRAINT extras_exporttemplate_pkey PRIMARY KEY (id);


--
-- Name: extras_imageattachment extras_imageattachment_pkey; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.extras_imageattachment
    ADD CONSTRAINT extras_imageattachment_pkey PRIMARY KEY (id);


--
-- Name: extras_journalentry extras_journalentry_pkey; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.extras_journalentry
    ADD CONSTRAINT extras_journalentry_pkey PRIMARY KEY (id);


--
-- Name: extras_objectchange extras_objectchange_pkey; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.extras_objectchange
    ADD CONSTRAINT extras_objectchange_pkey PRIMARY KEY (id);


--
-- Name: extras_savedfilter_content_types extras_savedfilter_conte_savedfilter_id_contentty_133ba781_uniq; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.extras_savedfilter_content_types
    ADD CONSTRAINT extras_savedfilter_conte_savedfilter_id_contentty_133ba781_uniq UNIQUE (savedfilter_id, contenttype_id);


--
-- Name: extras_savedfilter_content_types extras_savedfilter_content_types_pkey; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.extras_savedfilter_content_types
    ADD CONSTRAINT extras_savedfilter_content_types_pkey PRIMARY KEY (id);


--
-- Name: extras_savedfilter extras_savedfilter_name_key; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.extras_savedfilter
    ADD CONSTRAINT extras_savedfilter_name_key UNIQUE (name);


--
-- Name: extras_savedfilter extras_savedfilter_pkey; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.extras_savedfilter
    ADD CONSTRAINT extras_savedfilter_pkey PRIMARY KEY (id);


--
-- Name: extras_savedfilter extras_savedfilter_slug_key; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.extras_savedfilter
    ADD CONSTRAINT extras_savedfilter_slug_key UNIQUE (slug);


--
-- Name: extras_stagedchange extras_stagedchange_pkey; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.extras_stagedchange
    ADD CONSTRAINT extras_stagedchange_pkey PRIMARY KEY (id);


--
-- Name: extras_tag extras_tag_name_key; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.extras_tag
    ADD CONSTRAINT extras_tag_name_key UNIQUE (name);


--
-- Name: extras_tag_object_types extras_tag_object_types_pkey; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.extras_tag_object_types
    ADD CONSTRAINT extras_tag_object_types_pkey PRIMARY KEY (id);


--
-- Name: extras_tag_object_types extras_tag_object_types_tag_id_contenttype_id_2ff9910c_uniq; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.extras_tag_object_types
    ADD CONSTRAINT extras_tag_object_types_tag_id_contenttype_id_2ff9910c_uniq UNIQUE (tag_id, contenttype_id);


--
-- Name: extras_tag extras_tag_pkey; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.extras_tag
    ADD CONSTRAINT extras_tag_pkey PRIMARY KEY (id);


--
-- Name: extras_tag extras_tag_slug_key; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.extras_tag
    ADD CONSTRAINT extras_tag_slug_key UNIQUE (slug);


--
-- Name: extras_taggeditem extras_taggeditem_pkey; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.extras_taggeditem
    ADD CONSTRAINT extras_taggeditem_pkey PRIMARY KEY (id);


--
-- Name: extras_webhook_content_types extras_webhook_content_t_webhook_id_contenttype_i_485b9e93_uniq; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.extras_webhook_content_types
    ADD CONSTRAINT extras_webhook_content_t_webhook_id_contenttype_i_485b9e93_uniq UNIQUE (webhook_id, contenttype_id);


--
-- Name: extras_webhook_content_types extras_webhook_content_types_pkey; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.extras_webhook_content_types
    ADD CONSTRAINT extras_webhook_content_types_pkey PRIMARY KEY (id);


--
-- Name: extras_webhook extras_webhook_name_key; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.extras_webhook
    ADD CONSTRAINT extras_webhook_name_key UNIQUE (name);


--
-- Name: extras_webhook extras_webhook_pkey; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.extras_webhook
    ADD CONSTRAINT extras_webhook_pkey PRIMARY KEY (id);


--
-- Name: extras_webhook extras_webhook_unique_payload_url_types; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.extras_webhook
    ADD CONSTRAINT extras_webhook_unique_payload_url_types UNIQUE (payload_url, type_create, type_update, type_delete);


--
-- Name: ipam_aggregate ipam_aggregate_pkey; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.ipam_aggregate
    ADD CONSTRAINT ipam_aggregate_pkey PRIMARY KEY (id);


--
-- Name: ipam_asn ipam_asn_asn_key; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.ipam_asn
    ADD CONSTRAINT ipam_asn_asn_key UNIQUE (asn);


--
-- Name: ipam_asn ipam_asn_pkey; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.ipam_asn
    ADD CONSTRAINT ipam_asn_pkey PRIMARY KEY (id);


--
-- Name: ipam_asnrange ipam_asnrange_name_key; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.ipam_asnrange
    ADD CONSTRAINT ipam_asnrange_name_key UNIQUE (name);


--
-- Name: ipam_asnrange ipam_asnrange_pkey; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.ipam_asnrange
    ADD CONSTRAINT ipam_asnrange_pkey PRIMARY KEY (id);


--
-- Name: ipam_asnrange ipam_asnrange_slug_key; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.ipam_asnrange
    ADD CONSTRAINT ipam_asnrange_slug_key UNIQUE (slug);


--
-- Name: ipam_fhrpgroup ipam_fhrpgroup_pkey; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.ipam_fhrpgroup
    ADD CONSTRAINT ipam_fhrpgroup_pkey PRIMARY KEY (id);


--
-- Name: ipam_fhrpgroupassignment ipam_fhrpgroupassignment_pkey; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.ipam_fhrpgroupassignment
    ADD CONSTRAINT ipam_fhrpgroupassignment_pkey PRIMARY KEY (id);


--
-- Name: ipam_fhrpgroupassignment ipam_fhrpgroupassignment_unique_interface_group; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.ipam_fhrpgroupassignment
    ADD CONSTRAINT ipam_fhrpgroupassignment_unique_interface_group UNIQUE (interface_type_id, interface_id, group_id);


--
-- Name: ipam_ipaddress ipam_ipaddress_pkey; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.ipam_ipaddress
    ADD CONSTRAINT ipam_ipaddress_pkey PRIMARY KEY (id);


--
-- Name: ipam_iprange ipam_iprange_pkey; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.ipam_iprange
    ADD CONSTRAINT ipam_iprange_pkey PRIMARY KEY (id);


--
-- Name: ipam_l2vpn_export_targets ipam_l2vpn_export_targets_l2vpn_id_routetarget_id_eea90661_uniq; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.ipam_l2vpn_export_targets
    ADD CONSTRAINT ipam_l2vpn_export_targets_l2vpn_id_routetarget_id_eea90661_uniq UNIQUE (l2vpn_id, routetarget_id);


--
-- Name: ipam_l2vpn_export_targets ipam_l2vpn_export_targets_pkey; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.ipam_l2vpn_export_targets
    ADD CONSTRAINT ipam_l2vpn_export_targets_pkey PRIMARY KEY (id);


--
-- Name: ipam_l2vpn_import_targets ipam_l2vpn_import_targets_l2vpn_id_routetarget_id_96af344c_uniq; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.ipam_l2vpn_import_targets
    ADD CONSTRAINT ipam_l2vpn_import_targets_l2vpn_id_routetarget_id_96af344c_uniq UNIQUE (l2vpn_id, routetarget_id);


--
-- Name: ipam_l2vpn_import_targets ipam_l2vpn_import_targets_pkey; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.ipam_l2vpn_import_targets
    ADD CONSTRAINT ipam_l2vpn_import_targets_pkey PRIMARY KEY (id);


--
-- Name: ipam_l2vpn ipam_l2vpn_name_key; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.ipam_l2vpn
    ADD CONSTRAINT ipam_l2vpn_name_key UNIQUE (name);


--
-- Name: ipam_l2vpn ipam_l2vpn_pkey; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.ipam_l2vpn
    ADD CONSTRAINT ipam_l2vpn_pkey PRIMARY KEY (id);


--
-- Name: ipam_l2vpn ipam_l2vpn_slug_24008406_uniq; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.ipam_l2vpn
    ADD CONSTRAINT ipam_l2vpn_slug_24008406_uniq UNIQUE (slug);


--
-- Name: ipam_l2vpntermination ipam_l2vpntermination_assigned_object; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.ipam_l2vpntermination
    ADD CONSTRAINT ipam_l2vpntermination_assigned_object UNIQUE (assigned_object_type_id, assigned_object_id);


--
-- Name: ipam_l2vpntermination ipam_l2vpntermination_pkey; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.ipam_l2vpntermination
    ADD CONSTRAINT ipam_l2vpntermination_pkey PRIMARY KEY (id);


--
-- Name: ipam_prefix ipam_prefix_pkey; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.ipam_prefix
    ADD CONSTRAINT ipam_prefix_pkey PRIMARY KEY (id);


--
-- Name: ipam_rir ipam_rir_name_key; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.ipam_rir
    ADD CONSTRAINT ipam_rir_name_key UNIQUE (name);


--
-- Name: ipam_rir ipam_rir_pkey; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.ipam_rir
    ADD CONSTRAINT ipam_rir_pkey PRIMARY KEY (id);


--
-- Name: ipam_rir ipam_rir_slug_key; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.ipam_rir
    ADD CONSTRAINT ipam_rir_slug_key UNIQUE (slug);


--
-- Name: ipam_role ipam_role_name_key; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.ipam_role
    ADD CONSTRAINT ipam_role_name_key UNIQUE (name);


--
-- Name: ipam_role ipam_role_pkey; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.ipam_role
    ADD CONSTRAINT ipam_role_pkey PRIMARY KEY (id);


--
-- Name: ipam_role ipam_role_slug_key; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.ipam_role
    ADD CONSTRAINT ipam_role_slug_key UNIQUE (slug);


--
-- Name: ipam_routetarget ipam_routetarget_name_key; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.ipam_routetarget
    ADD CONSTRAINT ipam_routetarget_name_key UNIQUE (name);


--
-- Name: ipam_routetarget ipam_routetarget_pkey; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.ipam_routetarget
    ADD CONSTRAINT ipam_routetarget_pkey PRIMARY KEY (id);


--
-- Name: ipam_service_ipaddresses ipam_service_ipaddresses_pkey; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.ipam_service_ipaddresses
    ADD CONSTRAINT ipam_service_ipaddresses_pkey PRIMARY KEY (id);


--
-- Name: ipam_service_ipaddresses ipam_service_ipaddresses_service_id_ipaddress_id_d019a805_uniq; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.ipam_service_ipaddresses
    ADD CONSTRAINT ipam_service_ipaddresses_service_id_ipaddress_id_d019a805_uniq UNIQUE (service_id, ipaddress_id);


--
-- Name: ipam_service ipam_service_pkey; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.ipam_service
    ADD CONSTRAINT ipam_service_pkey PRIMARY KEY (id);


--
-- Name: ipam_servicetemplate ipam_servicetemplate_name_key; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.ipam_servicetemplate
    ADD CONSTRAINT ipam_servicetemplate_name_key UNIQUE (name);


--
-- Name: ipam_servicetemplate ipam_servicetemplate_pkey; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.ipam_servicetemplate
    ADD CONSTRAINT ipam_servicetemplate_pkey PRIMARY KEY (id);


--
-- Name: ipam_vlan ipam_vlan_pkey; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.ipam_vlan
    ADD CONSTRAINT ipam_vlan_pkey PRIMARY KEY (id);


--
-- Name: ipam_vlan ipam_vlan_unique_group_name; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.ipam_vlan
    ADD CONSTRAINT ipam_vlan_unique_group_name UNIQUE (group_id, name);


--
-- Name: ipam_vlan ipam_vlan_unique_group_vid; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.ipam_vlan
    ADD CONSTRAINT ipam_vlan_unique_group_vid UNIQUE (group_id, vid);


--
-- Name: ipam_vlangroup ipam_vlangroup_pkey; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.ipam_vlangroup
    ADD CONSTRAINT ipam_vlangroup_pkey PRIMARY KEY (id);


--
-- Name: ipam_vlangroup ipam_vlangroup_unique_scope_name; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.ipam_vlangroup
    ADD CONSTRAINT ipam_vlangroup_unique_scope_name UNIQUE (scope_type_id, scope_id, name);


--
-- Name: ipam_vlangroup ipam_vlangroup_unique_scope_slug; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.ipam_vlangroup
    ADD CONSTRAINT ipam_vlangroup_unique_scope_slug UNIQUE (scope_type_id, scope_id, slug);


--
-- Name: ipam_vrf_export_targets ipam_vrf_export_targets_pkey; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.ipam_vrf_export_targets
    ADD CONSTRAINT ipam_vrf_export_targets_pkey PRIMARY KEY (id);


--
-- Name: ipam_vrf_export_targets ipam_vrf_export_targets_vrf_id_routetarget_id_63ba8c62_uniq; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.ipam_vrf_export_targets
    ADD CONSTRAINT ipam_vrf_export_targets_vrf_id_routetarget_id_63ba8c62_uniq UNIQUE (vrf_id, routetarget_id);


--
-- Name: ipam_vrf_import_targets ipam_vrf_import_targets_pkey; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.ipam_vrf_import_targets
    ADD CONSTRAINT ipam_vrf_import_targets_pkey PRIMARY KEY (id);


--
-- Name: ipam_vrf_import_targets ipam_vrf_import_targets_vrf_id_routetarget_id_399b155f_uniq; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.ipam_vrf_import_targets
    ADD CONSTRAINT ipam_vrf_import_targets_vrf_id_routetarget_id_399b155f_uniq UNIQUE (vrf_id, routetarget_id);


--
-- Name: ipam_vrf ipam_vrf_pkey; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.ipam_vrf
    ADD CONSTRAINT ipam_vrf_pkey PRIMARY KEY (id);


--
-- Name: ipam_vrf ipam_vrf_rd_key; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.ipam_vrf
    ADD CONSTRAINT ipam_vrf_rd_key UNIQUE (rd);


--
-- Name: netbox_cert_plugin_certificate netbox_cert_plugin_certificate_cn_key; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.netbox_cert_plugin_certificate
    ADD CONSTRAINT netbox_cert_plugin_certificate_cn_key UNIQUE (cn);


--
-- Name: netbox_cert_plugin_certificate netbox_cert_plugin_certificate_pkey; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.netbox_cert_plugin_certificate
    ADD CONSTRAINT netbox_cert_plugin_certificate_pkey PRIMARY KEY (id);


--
-- Name: netbox_dns_nameserver netbox_dns_nameserver_name_key; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.netbox_dns_nameserver
    ADD CONSTRAINT netbox_dns_nameserver_name_key UNIQUE (name);


--
-- Name: netbox_dns_nameserver netbox_dns_nameserver_pkey; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.netbox_dns_nameserver
    ADD CONSTRAINT netbox_dns_nameserver_pkey PRIMARY KEY (id);


--
-- Name: netbox_dns_record netbox_dns_record_pkey; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.netbox_dns_record
    ADD CONSTRAINT netbox_dns_record_pkey PRIMARY KEY (id);


--
-- Name: netbox_dns_record netbox_dns_record_ptr_record_id_key; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.netbox_dns_record
    ADD CONSTRAINT netbox_dns_record_ptr_record_id_key UNIQUE (ptr_record_id);


--
-- Name: netbox_dns_view netbox_dns_view_name_key; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.netbox_dns_view
    ADD CONSTRAINT netbox_dns_view_name_key UNIQUE (name);


--
-- Name: netbox_dns_view netbox_dns_view_pkey; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.netbox_dns_view
    ADD CONSTRAINT netbox_dns_view_pkey PRIMARY KEY (id);


--
-- Name: netbox_dns_zone_nameservers netbox_dns_zone_nameservers_pkey; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.netbox_dns_zone_nameservers
    ADD CONSTRAINT netbox_dns_zone_nameservers_pkey PRIMARY KEY (id);


--
-- Name: netbox_dns_zone_nameservers netbox_dns_zone_nameservers_zone_id_nameserver_id_5d8b461f_uniq; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.netbox_dns_zone_nameservers
    ADD CONSTRAINT netbox_dns_zone_nameservers_zone_id_nameserver_id_5d8b461f_uniq UNIQUE (zone_id, nameserver_id);


--
-- Name: netbox_dns_zone netbox_dns_zone_pkey; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.netbox_dns_zone
    ADD CONSTRAINT netbox_dns_zone_pkey PRIMARY KEY (id);


--
-- Name: netbox_dns_zone netbox_dns_zone_view_id_name_82fd3eb0_uniq; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.netbox_dns_zone
    ADD CONSTRAINT netbox_dns_zone_view_id_name_82fd3eb0_uniq UNIQUE (view_id, name);


--
-- Name: netbox_docker_plugin_bind netbox_docker_plugin_bind_pkey; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.netbox_docker_plugin_bind
    ADD CONSTRAINT netbox_docker_plugin_bind_pkey PRIMARY KEY (id);


--
-- Name: netbox_docker_plugin_bind netbox_docker_plugin_bind_unique_bind; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.netbox_docker_plugin_bind
    ADD CONSTRAINT netbox_docker_plugin_bind_unique_bind UNIQUE (container_id, container_path, host_path);


--
-- Name: netbox_docker_plugin_container netbox_docker_plugin_container_pkey; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.netbox_docker_plugin_container
    ADD CONSTRAINT netbox_docker_plugin_container_pkey PRIMARY KEY (id);


--
-- Name: netbox_docker_plugin_container netbox_docker_plugin_container_unique_ContainerID_host; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.netbox_docker_plugin_container
    ADD CONSTRAINT "netbox_docker_plugin_container_unique_ContainerID_host" UNIQUE (host_id, "ContainerID");


--
-- Name: netbox_docker_plugin_device netbox_docker_plugin_device_pkey; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.netbox_docker_plugin_device
    ADD CONSTRAINT netbox_docker_plugin_device_pkey PRIMARY KEY (id);


--
-- Name: netbox_docker_plugin_device netbox_docker_plugin_device_unique_device; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.netbox_docker_plugin_device
    ADD CONSTRAINT netbox_docker_plugin_device_unique_device UNIQUE (container_id, container_path, host_path);


--
-- Name: netbox_docker_plugin_env netbox_docker_plugin_env_pkey; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.netbox_docker_plugin_env
    ADD CONSTRAINT netbox_docker_plugin_env_pkey PRIMARY KEY (id);


--
-- Name: netbox_docker_plugin_host netbox_docker_plugin_host_name_key; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.netbox_docker_plugin_host
    ADD CONSTRAINT netbox_docker_plugin_host_name_key UNIQUE (name);


--
-- Name: netbox_docker_plugin_host netbox_docker_plugin_host_pkey; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.netbox_docker_plugin_host
    ADD CONSTRAINT netbox_docker_plugin_host_pkey PRIMARY KEY (id);


--
-- Name: netbox_docker_plugin_image netbox_docker_plugin_image_pkey; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.netbox_docker_plugin_image
    ADD CONSTRAINT netbox_docker_plugin_image_pkey PRIMARY KEY (id);


--
-- Name: netbox_docker_plugin_image netbox_docker_plugin_image_unique_ImageID_host; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.netbox_docker_plugin_image
    ADD CONSTRAINT "netbox_docker_plugin_image_unique_ImageID_host" UNIQUE (host_id, "ImageID");


--
-- Name: netbox_docker_plugin_image netbox_docker_plugin_image_unique_version_name_registry_host; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.netbox_docker_plugin_image
    ADD CONSTRAINT netbox_docker_plugin_image_unique_version_name_registry_host UNIQUE (host_id, registry_id, name, version);


--
-- Name: netbox_docker_plugin_label netbox_docker_plugin_label_pkey; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.netbox_docker_plugin_label
    ADD CONSTRAINT netbox_docker_plugin_label_pkey PRIMARY KEY (id);


--
-- Name: netbox_docker_plugin_mount netbox_docker_plugin_mount_pkey; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.netbox_docker_plugin_mount
    ADD CONSTRAINT netbox_docker_plugin_mount_pkey PRIMARY KEY (id);


--
-- Name: netbox_docker_plugin_mount netbox_docker_plugin_mount_unique_volume; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.netbox_docker_plugin_mount
    ADD CONSTRAINT netbox_docker_plugin_mount_unique_volume UNIQUE (container_id, source, volume_id);


--
-- Name: netbox_docker_plugin_network netbox_docker_plugin_network_pkey; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.netbox_docker_plugin_network
    ADD CONSTRAINT netbox_docker_plugin_network_pkey PRIMARY KEY (id);


--
-- Name: netbox_docker_plugin_network netbox_docker_plugin_network_unique_NetworkID_host; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.netbox_docker_plugin_network
    ADD CONSTRAINT "netbox_docker_plugin_network_unique_NetworkID_host" UNIQUE (host_id, "NetworkID");


--
-- Name: netbox_docker_plugin_network netbox_docker_plugin_network_unique_name_host; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.netbox_docker_plugin_network
    ADD CONSTRAINT netbox_docker_plugin_network_unique_name_host UNIQUE (host_id, name);


--
-- Name: netbox_docker_plugin_networksetting netbox_docker_plugin_networksetting_pkey; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.netbox_docker_plugin_networksetting
    ADD CONSTRAINT netbox_docker_plugin_networksetting_pkey PRIMARY KEY (id);


--
-- Name: netbox_docker_plugin_networksetting netbox_docker_plugin_networksetting_unique_container_network; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.netbox_docker_plugin_networksetting
    ADD CONSTRAINT netbox_docker_plugin_networksetting_unique_container_network UNIQUE (container_id, network_id);


--
-- Name: netbox_docker_plugin_port netbox_docker_plugin_port_pkey; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.netbox_docker_plugin_port
    ADD CONSTRAINT netbox_docker_plugin_port_pkey PRIMARY KEY (id);


--
-- Name: netbox_docker_plugin_registry netbox_docker_plugin_registry_name_host; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.netbox_docker_plugin_registry
    ADD CONSTRAINT netbox_docker_plugin_registry_name_host UNIQUE (host_id, name);


--
-- Name: netbox_docker_plugin_registry netbox_docker_plugin_registry_pkey; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.netbox_docker_plugin_registry
    ADD CONSTRAINT netbox_docker_plugin_registry_pkey PRIMARY KEY (id);


--
-- Name: netbox_docker_plugin_volume netbox_docker_plugin_volume_host_id_name_abafaad8_uniq; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.netbox_docker_plugin_volume
    ADD CONSTRAINT netbox_docker_plugin_volume_host_id_name_abafaad8_uniq UNIQUE (host_id, name);


--
-- Name: netbox_docker_plugin_volume netbox_docker_plugin_volume_pkey; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.netbox_docker_plugin_volume
    ADD CONSTRAINT netbox_docker_plugin_volume_pkey PRIMARY KEY (id);


--
-- Name: netbox_rps_plugin_acldeniedsource netbox_rps_plugin_acldeniedsource_pkey; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.netbox_rps_plugin_acldeniedsource
    ADD CONSTRAINT netbox_rps_plugin_acldeniedsource_pkey PRIMARY KEY (id);


--
-- Name: netbox_rps_plugin_cacheconfig netbox_rps_plugin_cacheconfig_pkey; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.netbox_rps_plugin_cacheconfig
    ADD CONSTRAINT netbox_rps_plugin_cacheconfig_pkey PRIMARY KEY (id);


--
-- Name: netbox_rps_plugin_hstsprotocol netbox_rps_plugin_hstsprotocol_mapping_id_key; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.netbox_rps_plugin_hstsprotocol
    ADD CONSTRAINT netbox_rps_plugin_hstsprotocol_mapping_id_key UNIQUE (mapping_id);


--
-- Name: netbox_rps_plugin_hstsprotocol netbox_rps_plugin_hstsprotocol_pkey; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.netbox_rps_plugin_hstsprotocol
    ADD CONSTRAINT netbox_rps_plugin_hstsprotocol_pkey PRIMARY KEY (id);


--
-- Name: netbox_rps_plugin_httpheader netbox_rps_plugin_httphe_mapping_id_name_apply_to_c1362b5f_uniq; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.netbox_rps_plugin_httpheader
    ADD CONSTRAINT netbox_rps_plugin_httphe_mapping_id_name_apply_to_c1362b5f_uniq UNIQUE (mapping_id, name, apply_to);


--
-- Name: netbox_rps_plugin_httpheader netbox_rps_plugin_httpheader_pkey; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.netbox_rps_plugin_httpheader
    ADD CONSTRAINT netbox_rps_plugin_httpheader_pkey PRIMARY KEY (id);


--
-- Name: netbox_rps_plugin_mapping netbox_rps_plugin_mapping_pkey; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.netbox_rps_plugin_mapping
    ADD CONSTRAINT netbox_rps_plugin_mapping_pkey PRIMARY KEY (id);


--
-- Name: netbox_rps_plugin_mapping netbox_rps_plugin_mapping_source_73ded75a_uniq; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.netbox_rps_plugin_mapping
    ADD CONSTRAINT netbox_rps_plugin_mapping_source_73ded75a_uniq UNIQUE (source);


--
-- Name: netbox_rps_plugin_samlconfig netbox_rps_plugin_samlconfig_mapping_id_key; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.netbox_rps_plugin_samlconfig
    ADD CONSTRAINT netbox_rps_plugin_samlconfig_mapping_id_key UNIQUE (mapping_id);


--
-- Name: netbox_rps_plugin_samlconfig netbox_rps_plugin_samlconfig_pkey; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.netbox_rps_plugin_samlconfig
    ADD CONSTRAINT netbox_rps_plugin_samlconfig_pkey PRIMARY KEY (id);


--
-- Name: social_auth_association social_auth_association_pkey; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.social_auth_association
    ADD CONSTRAINT social_auth_association_pkey PRIMARY KEY (id);


--
-- Name: social_auth_association social_auth_association_server_url_handle_078befa2_uniq; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.social_auth_association
    ADD CONSTRAINT social_auth_association_server_url_handle_078befa2_uniq UNIQUE (server_url, handle);


--
-- Name: social_auth_code social_auth_code_email_code_801b2d02_uniq; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.social_auth_code
    ADD CONSTRAINT social_auth_code_email_code_801b2d02_uniq UNIQUE (email, code);


--
-- Name: social_auth_code social_auth_code_pkey; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.social_auth_code
    ADD CONSTRAINT social_auth_code_pkey PRIMARY KEY (id);


--
-- Name: social_auth_nonce social_auth_nonce_pkey; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.social_auth_nonce
    ADD CONSTRAINT social_auth_nonce_pkey PRIMARY KEY (id);


--
-- Name: social_auth_nonce social_auth_nonce_server_url_timestamp_salt_f6284463_uniq; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.social_auth_nonce
    ADD CONSTRAINT social_auth_nonce_server_url_timestamp_salt_f6284463_uniq UNIQUE (server_url, "timestamp", salt);


--
-- Name: social_auth_partial social_auth_partial_pkey; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.social_auth_partial
    ADD CONSTRAINT social_auth_partial_pkey PRIMARY KEY (id);


--
-- Name: social_auth_usersocialauth social_auth_usersocialauth_pkey; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.social_auth_usersocialauth
    ADD CONSTRAINT social_auth_usersocialauth_pkey PRIMARY KEY (id);


--
-- Name: social_auth_usersocialauth social_auth_usersocialauth_provider_uid_e6b5e668_uniq; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.social_auth_usersocialauth
    ADD CONSTRAINT social_auth_usersocialauth_provider_uid_e6b5e668_uniq UNIQUE (provider, uid);


--
-- Name: taggit_tag taggit_tag_name_key; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.taggit_tag
    ADD CONSTRAINT taggit_tag_name_key UNIQUE (name);


--
-- Name: taggit_tag taggit_tag_pkey; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.taggit_tag
    ADD CONSTRAINT taggit_tag_pkey PRIMARY KEY (id);


--
-- Name: taggit_tag taggit_tag_slug_key; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.taggit_tag
    ADD CONSTRAINT taggit_tag_slug_key UNIQUE (slug);


--
-- Name: taggit_taggeditem taggit_taggeditem_content_type_id_object_i_4bb97a8e_uniq; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.taggit_taggeditem
    ADD CONSTRAINT taggit_taggeditem_content_type_id_object_i_4bb97a8e_uniq UNIQUE (content_type_id, object_id, tag_id);


--
-- Name: taggit_taggeditem taggit_taggeditem_pkey; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.taggit_taggeditem
    ADD CONSTRAINT taggit_taggeditem_pkey PRIMARY KEY (id);


--
-- Name: tenancy_contact tenancy_contact_pkey; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.tenancy_contact
    ADD CONSTRAINT tenancy_contact_pkey PRIMARY KEY (id);


--
-- Name: tenancy_contact tenancy_contact_unique_group_name; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.tenancy_contact
    ADD CONSTRAINT tenancy_contact_unique_group_name UNIQUE (group_id, name);


--
-- Name: tenancy_contactassignment tenancy_contactassignment_pkey; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.tenancy_contactassignment
    ADD CONSTRAINT tenancy_contactassignment_pkey PRIMARY KEY (id);


--
-- Name: tenancy_contactassignment tenancy_contactassignment_unique_object_contact_role; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.tenancy_contactassignment
    ADD CONSTRAINT tenancy_contactassignment_unique_object_contact_role UNIQUE (content_type_id, object_id, contact_id, role_id);


--
-- Name: tenancy_contactgroup tenancy_contactgroup_pkey; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.tenancy_contactgroup
    ADD CONSTRAINT tenancy_contactgroup_pkey PRIMARY KEY (id);


--
-- Name: tenancy_contactgroup tenancy_contactgroup_unique_parent_name; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.tenancy_contactgroup
    ADD CONSTRAINT tenancy_contactgroup_unique_parent_name UNIQUE (parent_id, name);


--
-- Name: tenancy_contactrole tenancy_contactrole_name_key; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.tenancy_contactrole
    ADD CONSTRAINT tenancy_contactrole_name_key UNIQUE (name);


--
-- Name: tenancy_contactrole tenancy_contactrole_pkey; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.tenancy_contactrole
    ADD CONSTRAINT tenancy_contactrole_pkey PRIMARY KEY (id);


--
-- Name: tenancy_contactrole tenancy_contactrole_slug_key; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.tenancy_contactrole
    ADD CONSTRAINT tenancy_contactrole_slug_key UNIQUE (slug);


--
-- Name: tenancy_tenant tenancy_tenant_pkey; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.tenancy_tenant
    ADD CONSTRAINT tenancy_tenant_pkey PRIMARY KEY (id);


--
-- Name: tenancy_tenant tenancy_tenant_unique_group_name; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.tenancy_tenant
    ADD CONSTRAINT tenancy_tenant_unique_group_name UNIQUE (group_id, name);


--
-- Name: tenancy_tenant tenancy_tenant_unique_group_slug; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.tenancy_tenant
    ADD CONSTRAINT tenancy_tenant_unique_group_slug UNIQUE (group_id, slug);


--
-- Name: tenancy_tenantgroup tenancy_tenantgroup_name_key; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.tenancy_tenantgroup
    ADD CONSTRAINT tenancy_tenantgroup_name_key UNIQUE (name);


--
-- Name: tenancy_tenantgroup tenancy_tenantgroup_pkey; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.tenancy_tenantgroup
    ADD CONSTRAINT tenancy_tenantgroup_pkey PRIMARY KEY (id);


--
-- Name: tenancy_tenantgroup tenancy_tenantgroup_slug_key; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.tenancy_tenantgroup
    ADD CONSTRAINT tenancy_tenantgroup_slug_key UNIQUE (slug);


--
-- Name: users_objectpermission_groups users_objectpermission_g_objectpermission_id_grou_3b62a39c_uniq; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.users_objectpermission_groups
    ADD CONSTRAINT users_objectpermission_g_objectpermission_id_grou_3b62a39c_uniq UNIQUE (objectpermission_id, group_id);


--
-- Name: users_objectpermission_groups users_objectpermission_groups_pkey; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.users_objectpermission_groups
    ADD CONSTRAINT users_objectpermission_groups_pkey PRIMARY KEY (id);


--
-- Name: users_objectpermission_object_types users_objectpermission_o_objectpermission_id_cont_7c40d31a_uniq; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.users_objectpermission_object_types
    ADD CONSTRAINT users_objectpermission_o_objectpermission_id_cont_7c40d31a_uniq UNIQUE (objectpermission_id, contenttype_id);


--
-- Name: users_objectpermission_object_types users_objectpermission_object_types_pkey; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.users_objectpermission_object_types
    ADD CONSTRAINT users_objectpermission_object_types_pkey PRIMARY KEY (id);


--
-- Name: users_objectpermission users_objectpermission_pkey; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.users_objectpermission
    ADD CONSTRAINT users_objectpermission_pkey PRIMARY KEY (id);


--
-- Name: users_objectpermission_users users_objectpermission_u_objectpermission_id_user_3a7db108_uniq; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.users_objectpermission_users
    ADD CONSTRAINT users_objectpermission_u_objectpermission_id_user_3a7db108_uniq UNIQUE (objectpermission_id, user_id);


--
-- Name: users_objectpermission_users users_objectpermission_users_pkey; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.users_objectpermission_users
    ADD CONSTRAINT users_objectpermission_users_pkey PRIMARY KEY (id);


--
-- Name: users_token users_token_key_key; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.users_token
    ADD CONSTRAINT users_token_key_key UNIQUE (key);


--
-- Name: users_token users_token_pkey; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.users_token
    ADD CONSTRAINT users_token_pkey PRIMARY KEY (id);


--
-- Name: users_userconfig users_userconfig_pkey; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.users_userconfig
    ADD CONSTRAINT users_userconfig_pkey PRIMARY KEY (id);


--
-- Name: users_userconfig users_userconfig_user_id_key; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.users_userconfig
    ADD CONSTRAINT users_userconfig_user_id_key UNIQUE (user_id);


--
-- Name: virtualization_cluster virtualization_cluster_pkey; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.virtualization_cluster
    ADD CONSTRAINT virtualization_cluster_pkey PRIMARY KEY (id);


--
-- Name: virtualization_cluster virtualization_cluster_unique_group_name; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.virtualization_cluster
    ADD CONSTRAINT virtualization_cluster_unique_group_name UNIQUE (group_id, name);


--
-- Name: virtualization_cluster virtualization_cluster_unique_site_name; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.virtualization_cluster
    ADD CONSTRAINT virtualization_cluster_unique_site_name UNIQUE (site_id, name);


--
-- Name: virtualization_clustergroup virtualization_clustergroup_name_key; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.virtualization_clustergroup
    ADD CONSTRAINT virtualization_clustergroup_name_key UNIQUE (name);


--
-- Name: virtualization_clustergroup virtualization_clustergroup_pkey; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.virtualization_clustergroup
    ADD CONSTRAINT virtualization_clustergroup_pkey PRIMARY KEY (id);


--
-- Name: virtualization_clustergroup virtualization_clustergroup_slug_key; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.virtualization_clustergroup
    ADD CONSTRAINT virtualization_clustergroup_slug_key UNIQUE (slug);


--
-- Name: virtualization_clustertype virtualization_clustertype_name_key; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.virtualization_clustertype
    ADD CONSTRAINT virtualization_clustertype_name_key UNIQUE (name);


--
-- Name: virtualization_clustertype virtualization_clustertype_pkey; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.virtualization_clustertype
    ADD CONSTRAINT virtualization_clustertype_pkey PRIMARY KEY (id);


--
-- Name: virtualization_clustertype virtualization_clustertype_slug_key; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.virtualization_clustertype
    ADD CONSTRAINT virtualization_clustertype_slug_key UNIQUE (slug);


--
-- Name: virtualization_virtualmachine virtualization_virtualmachine_pkey; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.virtualization_virtualmachine
    ADD CONSTRAINT virtualization_virtualmachine_pkey PRIMARY KEY (id);


--
-- Name: virtualization_virtualmachine virtualization_virtualmachine_primary_ip4_id_key; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.virtualization_virtualmachine
    ADD CONSTRAINT virtualization_virtualmachine_primary_ip4_id_key UNIQUE (primary_ip4_id);


--
-- Name: virtualization_virtualmachine virtualization_virtualmachine_primary_ip6_id_key; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.virtualization_virtualmachine
    ADD CONSTRAINT virtualization_virtualmachine_primary_ip6_id_key UNIQUE (primary_ip6_id);


--
-- Name: virtualization_vminterface_tagged_vlans virtualization_vminterfa_vminterface_id_vlan_id_27e907db_uniq; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.virtualization_vminterface_tagged_vlans
    ADD CONSTRAINT virtualization_vminterfa_vminterface_id_vlan_id_27e907db_uniq UNIQUE (vminterface_id, vlan_id);


--
-- Name: virtualization_vminterface virtualization_vminterface_pkey; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.virtualization_vminterface
    ADD CONSTRAINT virtualization_vminterface_pkey PRIMARY KEY (id);


--
-- Name: virtualization_vminterface_tagged_vlans virtualization_vminterface_tagged_vlans_pkey; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.virtualization_vminterface_tagged_vlans
    ADD CONSTRAINT virtualization_vminterface_tagged_vlans_pkey PRIMARY KEY (id);


--
-- Name: virtualization_vminterface virtualization_vminterface_unique_virtual_machine_name; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.virtualization_vminterface
    ADD CONSTRAINT virtualization_vminterface_unique_virtual_machine_name UNIQUE (virtual_machine_id, name);


--
-- Name: wireless_wirelesslan wireless_wirelesslan_pkey; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.wireless_wirelesslan
    ADD CONSTRAINT wireless_wirelesslan_pkey PRIMARY KEY (id);


--
-- Name: wireless_wirelesslangroup wireless_wirelesslangroup_name_key; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.wireless_wirelesslangroup
    ADD CONSTRAINT wireless_wirelesslangroup_name_key UNIQUE (name);


--
-- Name: wireless_wirelesslangroup wireless_wirelesslangroup_pkey; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.wireless_wirelesslangroup
    ADD CONSTRAINT wireless_wirelesslangroup_pkey PRIMARY KEY (id);


--
-- Name: wireless_wirelesslangroup wireless_wirelesslangroup_slug_key; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.wireless_wirelesslangroup
    ADD CONSTRAINT wireless_wirelesslangroup_slug_key UNIQUE (slug);


--
-- Name: wireless_wirelesslangroup wireless_wirelesslangroup_unique_parent_name; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.wireless_wirelesslangroup
    ADD CONSTRAINT wireless_wirelesslangroup_unique_parent_name UNIQUE (parent_id, name);


--
-- Name: wireless_wirelesslink wireless_wirelesslink_pkey; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.wireless_wirelesslink
    ADD CONSTRAINT wireless_wirelesslink_pkey PRIMARY KEY (id);


--
-- Name: wireless_wirelesslink wireless_wirelesslink_unique_interfaces; Type: CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.wireless_wirelesslink
    ADD CONSTRAINT wireless_wirelesslink_unique_interfaces UNIQUE (interface_a_id, interface_b_id);


--
-- Name: auth_group_name_a6ea08ec_like; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX auth_group_name_a6ea08ec_like ON public.auth_group USING btree (name varchar_pattern_ops);


--
-- Name: auth_group_permissions_group_id_b120cbf9; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX auth_group_permissions_group_id_b120cbf9 ON public.auth_group_permissions USING btree (group_id);


--
-- Name: auth_group_permissions_permission_id_84c5c92e; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX auth_group_permissions_permission_id_84c5c92e ON public.auth_group_permissions USING btree (permission_id);


--
-- Name: auth_permission_content_type_id_2f476e4b; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX auth_permission_content_type_id_2f476e4b ON public.auth_permission USING btree (content_type_id);


--
-- Name: auth_user_groups_group_id_97559544; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX auth_user_groups_group_id_97559544 ON public.auth_user_groups USING btree (group_id);


--
-- Name: auth_user_groups_user_id_6a12ed8b; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX auth_user_groups_user_id_6a12ed8b ON public.auth_user_groups USING btree (user_id);


--
-- Name: auth_user_user_permissions_permission_id_1fbb5f2c; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX auth_user_user_permissions_permission_id_1fbb5f2c ON public.auth_user_user_permissions USING btree (permission_id);


--
-- Name: auth_user_user_permissions_user_id_a95ead1b; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX auth_user_user_permissions_user_id_a95ead1b ON public.auth_user_user_permissions USING btree (user_id);


--
-- Name: auth_user_username_6821ab7c_like; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX auth_user_username_6821ab7c_like ON public.auth_user USING btree (username varchar_pattern_ops);


--
-- Name: circuits_circuit_provider_account_id_a7c8f61b; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX circuits_circuit_provider_account_id_a7c8f61b ON public.circuits_circuit USING btree (provider_account_id);


--
-- Name: circuits_circuit_provider_id_d9195418; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX circuits_circuit_provider_id_d9195418 ON public.circuits_circuit USING btree (provider_id);


--
-- Name: circuits_circuit_tenant_id_812508a5; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX circuits_circuit_tenant_id_812508a5 ON public.circuits_circuit USING btree (tenant_id);


--
-- Name: circuits_circuit_termination_a_id_f891adac; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX circuits_circuit_termination_a_id_f891adac ON public.circuits_circuit USING btree (termination_a_id);


--
-- Name: circuits_circuit_termination_z_id_377b8551; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX circuits_circuit_termination_z_id_377b8551 ON public.circuits_circuit USING btree (termination_z_id);


--
-- Name: circuits_circuit_type_id_1b9f485a; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX circuits_circuit_type_id_1b9f485a ON public.circuits_circuit USING btree (type_id);


--
-- Name: circuits_circuittermination_cable_id_35e9f703; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX circuits_circuittermination_cable_id_35e9f703 ON public.circuits_circuittermination USING btree (cable_id);


--
-- Name: circuits_circuittermination_circuit_id_257e87e7; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX circuits_circuittermination_circuit_id_257e87e7 ON public.circuits_circuittermination USING btree (circuit_id);


--
-- Name: circuits_circuittermination_provider_network_id_b0c660f1; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX circuits_circuittermination_provider_network_id_b0c660f1 ON public.circuits_circuittermination USING btree (provider_network_id);


--
-- Name: circuits_circuittermination_site_id_e6fe5652; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX circuits_circuittermination_site_id_e6fe5652 ON public.circuits_circuittermination USING btree (site_id);


--
-- Name: circuits_circuittype_name_8256ea9a_like; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX circuits_circuittype_name_8256ea9a_like ON public.circuits_circuittype USING btree (name varchar_pattern_ops);


--
-- Name: circuits_circuittype_slug_9b4b3cf9_like; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX circuits_circuittype_slug_9b4b3cf9_like ON public.circuits_circuittype USING btree (slug varchar_pattern_ops);


--
-- Name: circuits_provider_asns_asn_id_0a6c53b3; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX circuits_provider_asns_asn_id_0a6c53b3 ON public.circuits_provider_asns USING btree (asn_id);


--
-- Name: circuits_provider_asns_provider_id_becc3f7e; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX circuits_provider_asns_provider_id_becc3f7e ON public.circuits_provider_asns USING btree (provider_id);


--
-- Name: circuits_provider_name_8f2514f5_like; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX circuits_provider_name_8f2514f5_like ON public.circuits_provider USING btree (name varchar_pattern_ops);


--
-- Name: circuits_provider_slug_c3c0aa10_like; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX circuits_provider_slug_c3c0aa10_like ON public.circuits_provider USING btree (slug varchar_pattern_ops);


--
-- Name: circuits_provideraccount_provider_id_4bcd7e50; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX circuits_provideraccount_provider_id_4bcd7e50 ON public.circuits_provideraccount USING btree (provider_id);


--
-- Name: circuits_provideraccount_unique_provider_name; Type: INDEX; Schema: public; Owner: netbox
--

CREATE UNIQUE INDEX circuits_provideraccount_unique_provider_name ON public.circuits_provideraccount USING btree (provider_id, name) WHERE (NOT ((name)::text = ''::text));


--
-- Name: circuits_providernetwork_provider_id_7992236c; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX circuits_providernetwork_provider_id_7992236c ON public.circuits_providernetwork USING btree (provider_id);


--
-- Name: core_autosy_object__c17bac_idx; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX core_autosy_object__c17bac_idx ON public.core_autosyncrecord USING btree (object_type_id, object_id);


--
-- Name: core_autosyncrecord_datafile_id_f2aad29e; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX core_autosyncrecord_datafile_id_f2aad29e ON public.core_autosyncrecord USING btree (datafile_id);


--
-- Name: core_autosyncrecord_object_type_id_62506cf6; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX core_autosyncrecord_object_type_id_62506cf6 ON public.core_autosyncrecord USING btree (object_type_id);


--
-- Name: core_datafile_source_id_8d675be2; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX core_datafile_source_id_8d675be2 ON public.core_datafile USING btree (source_id);


--
-- Name: core_datafile_source_path; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX core_datafile_source_path ON public.core_datafile USING btree (source_id, path);


--
-- Name: core_datasource_name_17788499_like; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX core_datasource_name_17788499_like ON public.core_datasource USING btree (name varchar_pattern_ops);


--
-- Name: core_job_object_type_id_ea17469a; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX core_job_object_type_id_ea17469a ON public.core_job USING btree (object_type_id);


--
-- Name: core_job_user_id_b69eefda; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX core_job_user_id_b69eefda ON public.core_job USING btree (user_id);


--
-- Name: core_managedfile_data_file_id_2b6fc95e; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX core_managedfile_data_file_id_2b6fc95e ON public.core_managedfile USING btree (data_file_id);


--
-- Name: core_managedfile_data_source_id_647d5dbe; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX core_managedfile_data_source_id_647d5dbe ON public.core_managedfile USING btree (data_source_id);


--
-- Name: core_managedfile_root_path; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX core_managedfile_root_path ON public.core_managedfile USING btree (file_root, file_path);


--
-- Name: dcim_cable_tenant_id_3a7fdbb8; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX dcim_cable_tenant_id_3a7fdbb8 ON public.dcim_cable USING btree (tenant_id);


--
-- Name: dcim_cabletermination__device_id_f5884934; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX dcim_cabletermination__device_id_f5884934 ON public.dcim_cabletermination USING btree (_device_id);


--
-- Name: dcim_cabletermination__location_id_ff4be503; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX dcim_cabletermination__location_id_ff4be503 ON public.dcim_cabletermination USING btree (_location_id);


--
-- Name: dcim_cabletermination__rack_id_83a548e1; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX dcim_cabletermination__rack_id_83a548e1 ON public.dcim_cabletermination USING btree (_rack_id);


--
-- Name: dcim_cabletermination__site_id_616962fa; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX dcim_cabletermination__site_id_616962fa ON public.dcim_cabletermination USING btree (_site_id);


--
-- Name: dcim_cabletermination_cable_id_b50010d1; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX dcim_cabletermination_cable_id_b50010d1 ON public.dcim_cabletermination USING btree (cable_id);


--
-- Name: dcim_cabletermination_termination_type_id_20da439e; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX dcim_cabletermination_termination_type_id_20da439e ON public.dcim_cabletermination USING btree (termination_type_id);


--
-- Name: dcim_consoleport__path_id_e40a4436; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX dcim_consoleport__path_id_e40a4436 ON public.dcim_consoleport USING btree (_path_id);


--
-- Name: dcim_consoleport_cable_id_a9ae5465; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX dcim_consoleport_cable_id_a9ae5465 ON public.dcim_consoleport USING btree (cable_id);


--
-- Name: dcim_consoleport_device_id_f2d90d3c; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX dcim_consoleport_device_id_f2d90d3c ON public.dcim_consoleport USING btree (device_id);


--
-- Name: dcim_consoleport_module_id_d17b2519; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX dcim_consoleport_module_id_d17b2519 ON public.dcim_consoleport USING btree (module_id);


--
-- Name: dcim_consoleporttemplate_device_type_id_075d4015; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX dcim_consoleporttemplate_device_type_id_075d4015 ON public.dcim_consoleporttemplate USING btree (device_type_id);


--
-- Name: dcim_consoleporttemplate_module_type_id_c0f35d97; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX dcim_consoleporttemplate_module_type_id_c0f35d97 ON public.dcim_consoleporttemplate USING btree (module_type_id);


--
-- Name: dcim_consoleserverport__path_id_dc5abe09; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX dcim_consoleserverport__path_id_dc5abe09 ON public.dcim_consoleserverport USING btree (_path_id);


--
-- Name: dcim_consoleserverport_cable_id_f2940dfd; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX dcim_consoleserverport_cable_id_f2940dfd ON public.dcim_consoleserverport USING btree (cable_id);


--
-- Name: dcim_consoleserverport_device_id_d9866581; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX dcim_consoleserverport_device_id_d9866581 ON public.dcim_consoleserverport USING btree (device_id);


--
-- Name: dcim_consoleserverport_module_id_d060cfc8; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX dcim_consoleserverport_module_id_d060cfc8 ON public.dcim_consoleserverport USING btree (module_id);


--
-- Name: dcim_consoleserverporttemplate_device_type_id_579bdc86; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX dcim_consoleserverporttemplate_device_type_id_579bdc86 ON public.dcim_consoleserverporttemplate USING btree (device_type_id);


--
-- Name: dcim_consoleserverporttemplate_module_type_id_4abf751a; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX dcim_consoleserverporttemplate_module_type_id_4abf751a ON public.dcim_consoleserverporttemplate USING btree (module_type_id);


--
-- Name: dcim_device_asset_tag_8dac1079_like; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX dcim_device_asset_tag_8dac1079_like ON public.dcim_device USING btree (asset_tag varchar_pattern_ops);


--
-- Name: dcim_device_cluster_id_cf852f78; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX dcim_device_cluster_id_cf852f78 ON public.dcim_device USING btree (cluster_id);


--
-- Name: dcim_device_config_template_id_316328c4; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX dcim_device_config_template_id_316328c4 ON public.dcim_device USING btree (config_template_id);


--
-- Name: dcim_device_device_role_id_682e8188; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX dcim_device_device_role_id_682e8188 ON public.dcim_device USING btree (role_id);


--
-- Name: dcim_device_device_type_id_d61b4086; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX dcim_device_device_type_id_d61b4086 ON public.dcim_device USING btree (device_type_id);


--
-- Name: dcim_device_location_id_11a7bedb; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX dcim_device_location_id_11a7bedb ON public.dcim_device USING btree (location_id);


--
-- Name: dcim_device_platform_id_468138f1; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX dcim_device_platform_id_468138f1 ON public.dcim_device USING btree (platform_id);


--
-- Name: dcim_device_rack_id_23bde71f; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX dcim_device_rack_id_23bde71f ON public.dcim_device USING btree (rack_id);


--
-- Name: dcim_device_site_id_ff897cf6; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX dcim_device_site_id_ff897cf6 ON public.dcim_device USING btree (site_id);


--
-- Name: dcim_device_tenant_id_dcea7969; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX dcim_device_tenant_id_dcea7969 ON public.dcim_device USING btree (tenant_id);


--
-- Name: dcim_device_unique_name_site; Type: INDEX; Schema: public; Owner: netbox
--

CREATE UNIQUE INDEX dcim_device_unique_name_site ON public.dcim_device USING btree (lower((name)::text), site_id) WHERE (tenant_id IS NULL);


--
-- Name: dcim_device_unique_name_site_tenant; Type: INDEX; Schema: public; Owner: netbox
--

CREATE UNIQUE INDEX dcim_device_unique_name_site_tenant ON public.dcim_device USING btree (lower((name)::text), site_id, tenant_id);


--
-- Name: dcim_device_virtual_chassis_id_aed51693; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX dcim_device_virtual_chassis_id_aed51693 ON public.dcim_device USING btree (virtual_chassis_id);


--
-- Name: dcim_devicebay_device_id_0c8a1218; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX dcim_devicebay_device_id_0c8a1218 ON public.dcim_devicebay USING btree (device_id);


--
-- Name: dcim_devicebaytemplate_device_type_id_f4b24a29; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX dcim_devicebaytemplate_device_type_id_f4b24a29 ON public.dcim_devicebaytemplate USING btree (device_type_id);


--
-- Name: dcim_devicerole_config_template_id_5874002c; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX dcim_devicerole_config_template_id_5874002c ON public.dcim_devicerole USING btree (config_template_id);


--
-- Name: dcim_devicerole_name_1c813306_like; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX dcim_devicerole_name_1c813306_like ON public.dcim_devicerole USING btree (name varchar_pattern_ops);


--
-- Name: dcim_devicerole_slug_7952643b_like; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX dcim_devicerole_slug_7952643b_like ON public.dcim_devicerole USING btree (slug varchar_pattern_ops);


--
-- Name: dcim_devicetype_default_platform_id_1f6ff6ac; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX dcim_devicetype_default_platform_id_1f6ff6ac ON public.dcim_devicetype USING btree (default_platform_id);


--
-- Name: dcim_devicetype_manufacturer_id_a3e8029e; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX dcim_devicetype_manufacturer_id_a3e8029e ON public.dcim_devicetype USING btree (manufacturer_id);


--
-- Name: dcim_devicetype_slug_448745bd; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX dcim_devicetype_slug_448745bd ON public.dcim_devicetype USING btree (slug);


--
-- Name: dcim_devicetype_slug_448745bd_like; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX dcim_devicetype_slug_448745bd_like ON public.dcim_devicetype USING btree (slug varchar_pattern_ops);


--
-- Name: dcim_frontport_cable_id_04ff8aab; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX dcim_frontport_cable_id_04ff8aab ON public.dcim_frontport USING btree (cable_id);


--
-- Name: dcim_frontport_device_id_950557b5; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX dcim_frontport_device_id_950557b5 ON public.dcim_frontport USING btree (device_id);


--
-- Name: dcim_frontport_module_id_952c3f9a; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX dcim_frontport_module_id_952c3f9a ON public.dcim_frontport USING btree (module_id);


--
-- Name: dcim_frontport_rear_port_id_78df2532; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX dcim_frontport_rear_port_id_78df2532 ON public.dcim_frontport USING btree (rear_port_id);


--
-- Name: dcim_frontporttemplate_device_type_id_f088b952; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX dcim_frontporttemplate_device_type_id_f088b952 ON public.dcim_frontporttemplate USING btree (device_type_id);


--
-- Name: dcim_frontporttemplate_module_type_id_66851ff9; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX dcim_frontporttemplate_module_type_id_66851ff9 ON public.dcim_frontporttemplate USING btree (module_type_id);


--
-- Name: dcim_frontporttemplate_rear_port_id_9775411b; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX dcim_frontporttemplate_rear_port_id_9775411b ON public.dcim_frontporttemplate USING btree (rear_port_id);


--
-- Name: dcim_interface__path_id_f8f4f7f0; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX dcim_interface__path_id_f8f4f7f0 ON public.dcim_interface USING btree (_path_id);


--
-- Name: dcim_interface_bridge_id_f2a8df85; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX dcim_interface_bridge_id_f2a8df85 ON public.dcim_interface USING btree (bridge_id);


--
-- Name: dcim_interface_cable_id_1b264edb; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX dcim_interface_cable_id_1b264edb ON public.dcim_interface USING btree (cable_id);


--
-- Name: dcim_interface_device_id_359c6115; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX dcim_interface_device_id_359c6115 ON public.dcim_interface USING btree (device_id);


--
-- Name: dcim_interface_lag_id_ea1a1d12; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX dcim_interface_lag_id_ea1a1d12 ON public.dcim_interface USING btree (lag_id);


--
-- Name: dcim_interface_module_id_05ca2da5; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX dcim_interface_module_id_05ca2da5 ON public.dcim_interface USING btree (module_id);


--
-- Name: dcim_interface_parent_id_3e2b159b; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX dcim_interface_parent_id_3e2b159b ON public.dcim_interface USING btree (parent_id);


--
-- Name: dcim_interface_tagged_vlans_interface_id_5870c9e9; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX dcim_interface_tagged_vlans_interface_id_5870c9e9 ON public.dcim_interface_tagged_vlans USING btree (interface_id);


--
-- Name: dcim_interface_tagged_vlans_vlan_id_e027005c; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX dcim_interface_tagged_vlans_vlan_id_e027005c ON public.dcim_interface_tagged_vlans USING btree (vlan_id);


--
-- Name: dcim_interface_untagged_vlan_id_838dc7be; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX dcim_interface_untagged_vlan_id_838dc7be ON public.dcim_interface USING btree (untagged_vlan_id);


--
-- Name: dcim_interface_vdcs_interface_id_6d58dbaf; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX dcim_interface_vdcs_interface_id_6d58dbaf ON public.dcim_interface_vdcs USING btree (interface_id);


--
-- Name: dcim_interface_vdcs_virtualdevicecontext_id_af0bfd4b; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX dcim_interface_vdcs_virtualdevicecontext_id_af0bfd4b ON public.dcim_interface_vdcs USING btree (virtualdevicecontext_id);


--
-- Name: dcim_interface_vrf_id_a92e59b2; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX dcim_interface_vrf_id_a92e59b2 ON public.dcim_interface USING btree (vrf_id);


--
-- Name: dcim_interface_wireless_lans_interface_id_80df3785; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX dcim_interface_wireless_lans_interface_id_80df3785 ON public.dcim_interface_wireless_lans USING btree (interface_id);


--
-- Name: dcim_interface_wireless_lans_wirelesslan_id_f081e278; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX dcim_interface_wireless_lans_wirelesslan_id_f081e278 ON public.dcim_interface_wireless_lans USING btree (wirelesslan_id);


--
-- Name: dcim_interface_wireless_link_id_bc91108f; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX dcim_interface_wireless_link_id_bc91108f ON public.dcim_interface USING btree (wireless_link_id);


--
-- Name: dcim_interfacetemplate_bridge_id_4e44355b; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX dcim_interfacetemplate_bridge_id_4e44355b ON public.dcim_interfacetemplate USING btree (bridge_id);


--
-- Name: dcim_interfacetemplate_device_type_id_4bfcbfab; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX dcim_interfacetemplate_device_type_id_4bfcbfab ON public.dcim_interfacetemplate USING btree (device_type_id);


--
-- Name: dcim_interfacetemplate_module_type_id_f941f180; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX dcim_interfacetemplate_module_type_id_f941f180 ON public.dcim_interfacetemplate USING btree (module_type_id);


--
-- Name: dcim_inventoryitem_asset_tag_d3289273_like; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX dcim_inventoryitem_asset_tag_d3289273_like ON public.dcim_inventoryitem USING btree (asset_tag varchar_pattern_ops);


--
-- Name: dcim_inventoryitem_component_type_id_f0e4d83a; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX dcim_inventoryitem_component_type_id_f0e4d83a ON public.dcim_inventoryitem USING btree (component_type_id);


--
-- Name: dcim_inventoryitem_device_id_033d83f8; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX dcim_inventoryitem_device_id_033d83f8 ON public.dcim_inventoryitem USING btree (device_id);


--
-- Name: dcim_inventoryitem_manufacturer_id_dcd1b78a; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX dcim_inventoryitem_manufacturer_id_dcd1b78a ON public.dcim_inventoryitem USING btree (manufacturer_id);


--
-- Name: dcim_inventoryitem_parent_id_7ebcd457; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX dcim_inventoryitem_parent_id_7ebcd457 ON public.dcim_inventoryitem USING btree (parent_id);


--
-- Name: dcim_inventoryitem_role_id_2bcfcb04; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX dcim_inventoryitem_role_id_2bcfcb04 ON public.dcim_inventoryitem USING btree (role_id);


--
-- Name: dcim_inventoryitem_tree_id_4676ade2; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX dcim_inventoryitem_tree_id_4676ade2 ON public.dcim_inventoryitem USING btree (tree_id);


--
-- Name: dcim_inventoryitemrole_name_4c8cfe6d_like; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX dcim_inventoryitemrole_name_4c8cfe6d_like ON public.dcim_inventoryitemrole USING btree (name varchar_pattern_ops);


--
-- Name: dcim_inventoryitemrole_slug_3556c227_like; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX dcim_inventoryitemrole_slug_3556c227_like ON public.dcim_inventoryitemrole USING btree (slug varchar_pattern_ops);


--
-- Name: dcim_inventoryitemtemplate_component_type_id_161623a2; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX dcim_inventoryitemtemplate_component_type_id_161623a2 ON public.dcim_inventoryitemtemplate USING btree (component_type_id);


--
-- Name: dcim_inventoryitemtemplate_device_type_id_6a1be904; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX dcim_inventoryitemtemplate_device_type_id_6a1be904 ON public.dcim_inventoryitemtemplate USING btree (device_type_id);


--
-- Name: dcim_inventoryitemtemplate_manufacturer_id_b388c5d9; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX dcim_inventoryitemtemplate_manufacturer_id_b388c5d9 ON public.dcim_inventoryitemtemplate USING btree (manufacturer_id);


--
-- Name: dcim_inventoryitemtemplate_parent_id_0dac73bb; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX dcim_inventoryitemtemplate_parent_id_0dac73bb ON public.dcim_inventoryitemtemplate USING btree (parent_id);


--
-- Name: dcim_inventoryitemtemplate_role_id_292676e6; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX dcim_inventoryitemtemplate_role_id_292676e6 ON public.dcim_inventoryitemtemplate USING btree (role_id);


--
-- Name: dcim_inventoryitemtemplate_tree_id_75ebcb8e; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX dcim_inventoryitemtemplate_tree_id_75ebcb8e ON public.dcim_inventoryitemtemplate USING btree (tree_id);


--
-- Name: dcim_location_name; Type: INDEX; Schema: public; Owner: netbox
--

CREATE UNIQUE INDEX dcim_location_name ON public.dcim_location USING btree (site_id, name) WHERE (parent_id IS NULL);


--
-- Name: dcim_location_parent_id_d77f3318; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX dcim_location_parent_id_d77f3318 ON public.dcim_location USING btree (parent_id);


--
-- Name: dcim_location_site_id_b55e975f; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX dcim_location_site_id_b55e975f ON public.dcim_location USING btree (site_id);


--
-- Name: dcim_location_slug; Type: INDEX; Schema: public; Owner: netbox
--

CREATE UNIQUE INDEX dcim_location_slug ON public.dcim_location USING btree (site_id, slug) WHERE (parent_id IS NULL);


--
-- Name: dcim_location_slug_352c5472; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX dcim_location_slug_352c5472 ON public.dcim_location USING btree (slug);


--
-- Name: dcim_location_slug_352c5472_like; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX dcim_location_slug_352c5472_like ON public.dcim_location USING btree (slug varchar_pattern_ops);


--
-- Name: dcim_location_tenant_id_2c4df974; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX dcim_location_tenant_id_2c4df974 ON public.dcim_location USING btree (tenant_id);


--
-- Name: dcim_location_tree_id_5089ef14; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX dcim_location_tree_id_5089ef14 ON public.dcim_location USING btree (tree_id);


--
-- Name: dcim_manufacturer_name_841fcd92_like; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX dcim_manufacturer_name_841fcd92_like ON public.dcim_manufacturer USING btree (name varchar_pattern_ops);


--
-- Name: dcim_manufacturer_slug_00430749_like; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX dcim_manufacturer_slug_00430749_like ON public.dcim_manufacturer USING btree (slug varchar_pattern_ops);


--
-- Name: dcim_module_asset_tag_2fd91eed_like; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX dcim_module_asset_tag_2fd91eed_like ON public.dcim_module USING btree (asset_tag varchar_pattern_ops);


--
-- Name: dcim_module_device_id_53cfd5be; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX dcim_module_device_id_53cfd5be ON public.dcim_module USING btree (device_id);


--
-- Name: dcim_module_module_type_id_a50b39fc; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX dcim_module_module_type_id_a50b39fc ON public.dcim_module USING btree (module_type_id);


--
-- Name: dcim_modulebay_device_id_3526abc2; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX dcim_modulebay_device_id_3526abc2 ON public.dcim_modulebay USING btree (device_id);


--
-- Name: dcim_modulebaytemplate_device_type_id_9eaf9bd3; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX dcim_modulebaytemplate_device_type_id_9eaf9bd3 ON public.dcim_modulebaytemplate USING btree (device_type_id);


--
-- Name: dcim_moduletype_manufacturer_id_7347392e; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX dcim_moduletype_manufacturer_id_7347392e ON public.dcim_moduletype USING btree (manufacturer_id);


--
-- Name: dcim_platform_config_template_id_013a4d3c; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX dcim_platform_config_template_id_013a4d3c ON public.dcim_platform USING btree (config_template_id);


--
-- Name: dcim_platform_manufacturer_id_83f72d3d; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX dcim_platform_manufacturer_id_83f72d3d ON public.dcim_platform USING btree (manufacturer_id);


--
-- Name: dcim_platform_name_c2f04255_like; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX dcim_platform_name_c2f04255_like ON public.dcim_platform USING btree (name varchar_pattern_ops);


--
-- Name: dcim_platform_slug_b0908ae4_like; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX dcim_platform_slug_b0908ae4_like ON public.dcim_platform USING btree (slug varchar_pattern_ops);


--
-- Name: dcim_powerfeed__path_id_a1ea1f28; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX dcim_powerfeed__path_id_a1ea1f28 ON public.dcim_powerfeed USING btree (_path_id);


--
-- Name: dcim_powerfeed_cable_id_ec44c4f8; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX dcim_powerfeed_cable_id_ec44c4f8 ON public.dcim_powerfeed USING btree (cable_id);


--
-- Name: dcim_powerfeed_power_panel_id_32bde3be; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX dcim_powerfeed_power_panel_id_32bde3be ON public.dcim_powerfeed USING btree (power_panel_id);


--
-- Name: dcim_powerfeed_rack_id_7abba090; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX dcim_powerfeed_rack_id_7abba090 ON public.dcim_powerfeed USING btree (rack_id);


--
-- Name: dcim_powerfeed_tenant_id_947bee85; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX dcim_powerfeed_tenant_id_947bee85 ON public.dcim_powerfeed USING btree (tenant_id);


--
-- Name: dcim_poweroutlet__path_id_cbb47bb9; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX dcim_poweroutlet__path_id_cbb47bb9 ON public.dcim_poweroutlet USING btree (_path_id);


--
-- Name: dcim_poweroutlet_cable_id_8dbea1ec; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX dcim_poweroutlet_cable_id_8dbea1ec ON public.dcim_poweroutlet USING btree (cable_id);


--
-- Name: dcim_poweroutlet_device_id_286351d7; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX dcim_poweroutlet_device_id_286351d7 ON public.dcim_poweroutlet USING btree (device_id);


--
-- Name: dcim_poweroutlet_module_id_032f5af2; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX dcim_poweroutlet_module_id_032f5af2 ON public.dcim_poweroutlet USING btree (module_id);


--
-- Name: dcim_poweroutlet_power_port_id_9bdf4163; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX dcim_poweroutlet_power_port_id_9bdf4163 ON public.dcim_poweroutlet USING btree (power_port_id);


--
-- Name: dcim_poweroutlettemplate_device_type_id_26b2316c; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX dcim_poweroutlettemplate_device_type_id_26b2316c ON public.dcim_poweroutlettemplate USING btree (device_type_id);


--
-- Name: dcim_poweroutlettemplate_module_type_id_6142b416; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX dcim_poweroutlettemplate_module_type_id_6142b416 ON public.dcim_poweroutlettemplate USING btree (module_type_id);


--
-- Name: dcim_poweroutlettemplate_power_port_id_c0fb0c42; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX dcim_poweroutlettemplate_power_port_id_c0fb0c42 ON public.dcim_poweroutlettemplate USING btree (power_port_id);


--
-- Name: dcim_powerpanel_location_id_474b60f8; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX dcim_powerpanel_location_id_474b60f8 ON public.dcim_powerpanel USING btree (location_id);


--
-- Name: dcim_powerpanel_site_id_c430bc89; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX dcim_powerpanel_site_id_c430bc89 ON public.dcim_powerpanel USING btree (site_id);


--
-- Name: dcim_powerport__path_id_9fe4af8f; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX dcim_powerport__path_id_9fe4af8f ON public.dcim_powerport USING btree (_path_id);


--
-- Name: dcim_powerport_cable_id_c9682ba2; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX dcim_powerport_cable_id_c9682ba2 ON public.dcim_powerport USING btree (cable_id);


--
-- Name: dcim_powerport_device_id_ef7185ae; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX dcim_powerport_device_id_ef7185ae ON public.dcim_powerport USING btree (device_id);


--
-- Name: dcim_powerport_module_id_d0c27534; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX dcim_powerport_module_id_d0c27534 ON public.dcim_powerport USING btree (module_id);


--
-- Name: dcim_powerporttemplate_device_type_id_1ddfbfcc; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX dcim_powerporttemplate_device_type_id_1ddfbfcc ON public.dcim_powerporttemplate USING btree (device_type_id);


--
-- Name: dcim_powerporttemplate_module_type_id_93e26849; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX dcim_powerporttemplate_module_type_id_93e26849 ON public.dcim_powerporttemplate USING btree (module_type_id);


--
-- Name: dcim_rack_asset_tag_f88408e5_like; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX dcim_rack_asset_tag_f88408e5_like ON public.dcim_rack USING btree (asset_tag varchar_pattern_ops);


--
-- Name: dcim_rack_location_id_5f63ec31; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX dcim_rack_location_id_5f63ec31 ON public.dcim_rack USING btree (location_id);


--
-- Name: dcim_rack_role_id_62d6919e; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX dcim_rack_role_id_62d6919e ON public.dcim_rack USING btree (role_id);


--
-- Name: dcim_rack_site_id_403c7b3a; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX dcim_rack_site_id_403c7b3a ON public.dcim_rack USING btree (site_id);


--
-- Name: dcim_rack_tenant_id_7cdf3725; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX dcim_rack_tenant_id_7cdf3725 ON public.dcim_rack USING btree (tenant_id);


--
-- Name: dcim_rackreservation_rack_id_1ebbaa9b; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX dcim_rackreservation_rack_id_1ebbaa9b ON public.dcim_rackreservation USING btree (rack_id);


--
-- Name: dcim_rackreservation_tenant_id_eb5e045f; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX dcim_rackreservation_tenant_id_eb5e045f ON public.dcim_rackreservation USING btree (tenant_id);


--
-- Name: dcim_rackreservation_user_id_0785a527; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX dcim_rackreservation_user_id_0785a527 ON public.dcim_rackreservation USING btree (user_id);


--
-- Name: dcim_rackrole_name_9077cfcc_like; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX dcim_rackrole_name_9077cfcc_like ON public.dcim_rackrole USING btree (name varchar_pattern_ops);


--
-- Name: dcim_rackrole_slug_40bbcd3a_like; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX dcim_rackrole_slug_40bbcd3a_like ON public.dcim_rackrole USING btree (slug varchar_pattern_ops);


--
-- Name: dcim_rearport_cable_id_42c0e4e7; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX dcim_rearport_cable_id_42c0e4e7 ON public.dcim_rearport USING btree (cable_id);


--
-- Name: dcim_rearport_device_id_0bdfe9c0; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX dcim_rearport_device_id_0bdfe9c0 ON public.dcim_rearport USING btree (device_id);


--
-- Name: dcim_rearport_module_id_9a7b7e91; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX dcim_rearport_module_id_9a7b7e91 ON public.dcim_rearport USING btree (module_id);


--
-- Name: dcim_rearporttemplate_device_type_id_6a02fd01; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX dcim_rearporttemplate_device_type_id_6a02fd01 ON public.dcim_rearporttemplate USING btree (device_type_id);


--
-- Name: dcim_rearporttemplate_module_type_id_4d970e5b; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX dcim_rearporttemplate_module_type_id_4d970e5b ON public.dcim_rearporttemplate USING btree (module_type_id);


--
-- Name: dcim_region_name; Type: INDEX; Schema: public; Owner: netbox
--

CREATE UNIQUE INDEX dcim_region_name ON public.dcim_region USING btree (name) WHERE (parent_id IS NULL);


--
-- Name: dcim_region_parent_id_2486f5d4; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX dcim_region_parent_id_2486f5d4 ON public.dcim_region USING btree (parent_id);


--
-- Name: dcim_region_slug; Type: INDEX; Schema: public; Owner: netbox
--

CREATE UNIQUE INDEX dcim_region_slug ON public.dcim_region USING btree (slug) WHERE (parent_id IS NULL);


--
-- Name: dcim_region_slug_ff078a66; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX dcim_region_slug_ff078a66 ON public.dcim_region USING btree (slug);


--
-- Name: dcim_region_slug_ff078a66_like; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX dcim_region_slug_ff078a66_like ON public.dcim_region USING btree (slug varchar_pattern_ops);


--
-- Name: dcim_region_tree_id_a09ea9a7; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX dcim_region_tree_id_a09ea9a7 ON public.dcim_region USING btree (tree_id);


--
-- Name: dcim_site_asns_asn_id_3cfd0f00; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX dcim_site_asns_asn_id_3cfd0f00 ON public.dcim_site_asns USING btree (asn_id);


--
-- Name: dcim_site_asns_site_id_112ccacf; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX dcim_site_asns_site_id_112ccacf ON public.dcim_site_asns USING btree (site_id);


--
-- Name: dcim_site_group_id_3910c975; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX dcim_site_group_id_3910c975 ON public.dcim_site USING btree (group_id);


--
-- Name: dcim_site_name_8fe66c76_like; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX dcim_site_name_8fe66c76_like ON public.dcim_site USING btree (name varchar_pattern_ops);


--
-- Name: dcim_site_region_id_45210932; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX dcim_site_region_id_45210932 ON public.dcim_site USING btree (region_id);


--
-- Name: dcim_site_slug_4412c762_like; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX dcim_site_slug_4412c762_like ON public.dcim_site USING btree (slug varchar_pattern_ops);


--
-- Name: dcim_site_tenant_id_15e7df63; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX dcim_site_tenant_id_15e7df63 ON public.dcim_site USING btree (tenant_id);


--
-- Name: dcim_sitegroup_name; Type: INDEX; Schema: public; Owner: netbox
--

CREATE UNIQUE INDEX dcim_sitegroup_name ON public.dcim_sitegroup USING btree (name) WHERE (parent_id IS NULL);


--
-- Name: dcim_sitegroup_parent_id_533a5e44; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX dcim_sitegroup_parent_id_533a5e44 ON public.dcim_sitegroup USING btree (parent_id);


--
-- Name: dcim_sitegroup_slug; Type: INDEX; Schema: public; Owner: netbox
--

CREATE UNIQUE INDEX dcim_sitegroup_slug ON public.dcim_sitegroup USING btree (slug) WHERE (parent_id IS NULL);


--
-- Name: dcim_sitegroup_slug_a11d2b04; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX dcim_sitegroup_slug_a11d2b04 ON public.dcim_sitegroup USING btree (slug);


--
-- Name: dcim_sitegroup_slug_a11d2b04_like; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX dcim_sitegroup_slug_a11d2b04_like ON public.dcim_sitegroup USING btree (slug varchar_pattern_ops);


--
-- Name: dcim_sitegroup_tree_id_e76dc999; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX dcim_sitegroup_tree_id_e76dc999 ON public.dcim_sitegroup USING btree (tree_id);


--
-- Name: dcim_virtualdevicecontext_device_id_4f39274b; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX dcim_virtualdevicecontext_device_id_4f39274b ON public.dcim_virtualdevicecontext USING btree (device_id);


--
-- Name: dcim_virtualdevicecontext_tenant_id_b6a21753; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX dcim_virtualdevicecontext_tenant_id_b6a21753 ON public.dcim_virtualdevicecontext USING btree (tenant_id);


--
-- Name: django_admin_log_content_type_id_c4bce8eb; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX django_admin_log_content_type_id_c4bce8eb ON public.django_admin_log USING btree (content_type_id);


--
-- Name: django_admin_log_user_id_c564eba6; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX django_admin_log_user_id_c564eba6 ON public.django_admin_log USING btree (user_id);


--
-- Name: django_session_expire_date_a5c62663; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX django_session_expire_date_a5c62663 ON public.django_session USING btree (expire_date);


--
-- Name: django_session_session_key_c0390e0f_like; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX django_session_session_key_c0390e0f_like ON public.django_session USING btree (session_key varchar_pattern_ops);


--
-- Name: extras_bookmark_object_type_id_18c4bb44; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX extras_bookmark_object_type_id_18c4bb44 ON public.extras_bookmark USING btree (object_type_id);


--
-- Name: extras_bookmark_user_id_cb6c6677; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX extras_bookmark_user_id_cb6c6677 ON public.extras_bookmark USING btree (user_id);


--
-- Name: extras_branch_name_1d13739f_like; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX extras_branch_name_1d13739f_like ON public.extras_branch USING btree (name varchar_pattern_ops);


--
-- Name: extras_branch_user_id_a6cfd338; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX extras_branch_user_id_a6cfd338 ON public.extras_branch USING btree (user_id);


--
-- Name: extras_cachedvalue_object_type_id_6f47d444; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX extras_cachedvalue_object_type_id_6f47d444 ON public.extras_cachedvalue USING btree (object_type_id);


--
-- Name: extras_configcontext_cluster_groups_clustergroup_id_f4322ce8; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX extras_configcontext_cluster_groups_clustergroup_id_f4322ce8 ON public.extras_configcontext_cluster_groups USING btree (clustergroup_id);


--
-- Name: extras_configcontext_cluster_groups_configcontext_id_8f50b794; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX extras_configcontext_cluster_groups_configcontext_id_8f50b794 ON public.extras_configcontext_cluster_groups USING btree (configcontext_id);


--
-- Name: extras_configcontext_cluster_types_clustertype_id_fa493b64; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX extras_configcontext_cluster_types_clustertype_id_fa493b64 ON public.extras_configcontext_cluster_types USING btree (clustertype_id);


--
-- Name: extras_configcontext_cluster_types_configcontext_id_d549b6f2; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX extras_configcontext_cluster_types_configcontext_id_d549b6f2 ON public.extras_configcontext_cluster_types USING btree (configcontext_id);


--
-- Name: extras_configcontext_clusters_cluster_id_6abd47a1; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX extras_configcontext_clusters_cluster_id_6abd47a1 ON public.extras_configcontext_clusters USING btree (cluster_id);


--
-- Name: extras_configcontext_clusters_configcontext_id_ed579a40; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX extras_configcontext_clusters_configcontext_id_ed579a40 ON public.extras_configcontext_clusters USING btree (configcontext_id);


--
-- Name: extras_configcontext_data_file_id_8fdd620b; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX extras_configcontext_data_file_id_8fdd620b ON public.extras_configcontext USING btree (data_file_id);


--
-- Name: extras_configcontext_data_source_id_1b2eb8af; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX extras_configcontext_data_source_id_1b2eb8af ON public.extras_configcontext USING btree (data_source_id);


--
-- Name: extras_configcontext_device_types_configcontext_id_55632923; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX extras_configcontext_device_types_configcontext_id_55632923 ON public.extras_configcontext_device_types USING btree (configcontext_id);


--
-- Name: extras_configcontext_device_types_devicetype_id_b8788c2d; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX extras_configcontext_device_types_devicetype_id_b8788c2d ON public.extras_configcontext_device_types USING btree (devicetype_id);


--
-- Name: extras_configcontext_locations_configcontext_id_cc629ec1; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX extras_configcontext_locations_configcontext_id_cc629ec1 ON public.extras_configcontext_locations USING btree (configcontext_id);


--
-- Name: extras_configcontext_locations_location_id_9e19eac9; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX extras_configcontext_locations_location_id_9e19eac9 ON public.extras_configcontext_locations USING btree (location_id);


--
-- Name: extras_configcontext_name_4bbfe25d_like; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX extras_configcontext_name_4bbfe25d_like ON public.extras_configcontext USING btree (name varchar_pattern_ops);


--
-- Name: extras_configcontext_platforms_configcontext_id_2a516699; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX extras_configcontext_platforms_configcontext_id_2a516699 ON public.extras_configcontext_platforms USING btree (configcontext_id);


--
-- Name: extras_configcontext_platforms_platform_id_3fdfedc0; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX extras_configcontext_platforms_platform_id_3fdfedc0 ON public.extras_configcontext_platforms USING btree (platform_id);


--
-- Name: extras_configcontext_regions_configcontext_id_73003dbc; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX extras_configcontext_regions_configcontext_id_73003dbc ON public.extras_configcontext_regions USING btree (configcontext_id);


--
-- Name: extras_configcontext_regions_region_id_35c6ba9d; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX extras_configcontext_regions_region_id_35c6ba9d ON public.extras_configcontext_regions USING btree (region_id);


--
-- Name: extras_configcontext_roles_configcontext_id_59b67386; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX extras_configcontext_roles_configcontext_id_59b67386 ON public.extras_configcontext_roles USING btree (configcontext_id);


--
-- Name: extras_configcontext_roles_devicerole_id_d3a84813; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX extras_configcontext_roles_devicerole_id_d3a84813 ON public.extras_configcontext_roles USING btree (devicerole_id);


--
-- Name: extras_configcontext_site_groups_configcontext_id_2e0f43cb; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX extras_configcontext_site_groups_configcontext_id_2e0f43cb ON public.extras_configcontext_site_groups USING btree (configcontext_id);


--
-- Name: extras_configcontext_site_groups_sitegroup_id_3287c9e7; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX extras_configcontext_site_groups_sitegroup_id_3287c9e7 ON public.extras_configcontext_site_groups USING btree (sitegroup_id);


--
-- Name: extras_configcontext_sites_configcontext_id_8c54feb9; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX extras_configcontext_sites_configcontext_id_8c54feb9 ON public.extras_configcontext_sites USING btree (configcontext_id);


--
-- Name: extras_configcontext_sites_site_id_cbb76c96; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX extras_configcontext_sites_site_id_cbb76c96 ON public.extras_configcontext_sites USING btree (site_id);


--
-- Name: extras_configcontext_tags_configcontext_id_64a392b1; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX extras_configcontext_tags_configcontext_id_64a392b1 ON public.extras_configcontext_tags USING btree (configcontext_id);


--
-- Name: extras_configcontext_tags_tag_id_129a5d87; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX extras_configcontext_tags_tag_id_129a5d87 ON public.extras_configcontext_tags USING btree (tag_id);


--
-- Name: extras_configcontext_tenant_groups_configcontext_id_92f68345; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX extras_configcontext_tenant_groups_configcontext_id_92f68345 ON public.extras_configcontext_tenant_groups USING btree (configcontext_id);


--
-- Name: extras_configcontext_tenant_groups_tenantgroup_id_0909688d; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX extras_configcontext_tenant_groups_tenantgroup_id_0909688d ON public.extras_configcontext_tenant_groups USING btree (tenantgroup_id);


--
-- Name: extras_configcontext_tenants_configcontext_id_b53552a6; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX extras_configcontext_tenants_configcontext_id_b53552a6 ON public.extras_configcontext_tenants USING btree (configcontext_id);


--
-- Name: extras_configcontext_tenants_tenant_id_8d0aa28e; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX extras_configcontext_tenants_tenant_id_8d0aa28e ON public.extras_configcontext_tenants USING btree (tenant_id);


--
-- Name: extras_configtemplate_data_file_id_20c7cff4; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX extras_configtemplate_data_file_id_20c7cff4 ON public.extras_configtemplate USING btree (data_file_id);


--
-- Name: extras_configtemplate_data_source_id_f9d26d5d; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX extras_configtemplate_data_source_id_f9d26d5d ON public.extras_configtemplate USING btree (data_source_id);


--
-- Name: extras_customfield_choice_set_id_5590efc2; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX extras_customfield_choice_set_id_5590efc2 ON public.extras_customfield USING btree (choice_set_id);


--
-- Name: extras_customfield_content_types_contenttype_id_2997ba90; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX extras_customfield_content_types_contenttype_id_2997ba90 ON public.extras_customfield_content_types USING btree (contenttype_id);


--
-- Name: extras_customfield_content_types_customfield_id_3842aaf3; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX extras_customfield_content_types_customfield_id_3842aaf3 ON public.extras_customfield_content_types USING btree (customfield_id);


--
-- Name: extras_customfield_name_2fe72707_like; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX extras_customfield_name_2fe72707_like ON public.extras_customfield USING btree (name varchar_pattern_ops);


--
-- Name: extras_customfield_object_type_id_489f2239; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX extras_customfield_object_type_id_489f2239 ON public.extras_customfield USING btree (object_type_id);


--
-- Name: extras_customfieldchoiceset_name_963e63ea_like; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX extras_customfieldchoiceset_name_963e63ea_like ON public.extras_customfieldchoiceset USING btree (name varchar_pattern_ops);


--
-- Name: extras_customlink_content_types_contenttype_id_df5f34c2; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX extras_customlink_content_types_contenttype_id_df5f34c2 ON public.extras_customlink_content_types USING btree (contenttype_id);


--
-- Name: extras_customlink_content_types_customlink_id_229ba2bc; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX extras_customlink_content_types_customlink_id_229ba2bc ON public.extras_customlink_content_types USING btree (customlink_id);


--
-- Name: extras_customlink_name_daed2d18_like; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX extras_customlink_name_daed2d18_like ON public.extras_customlink USING btree (name varchar_pattern_ops);


--
-- Name: extras_exporttemplate_content_types_contenttype_id_d80a5164; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX extras_exporttemplate_content_types_contenttype_id_d80a5164 ON public.extras_exporttemplate_content_types USING btree (contenttype_id);


--
-- Name: extras_exporttemplate_content_types_exporttemplate_id_7645f081; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX extras_exporttemplate_content_types_exporttemplate_id_7645f081 ON public.extras_exporttemplate_content_types USING btree (exporttemplate_id);


--
-- Name: extras_exporttemplate_data_file_id_40a91ef8; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX extras_exporttemplate_data_file_id_40a91ef8 ON public.extras_exporttemplate USING btree (data_file_id);


--
-- Name: extras_exporttemplate_data_source_id_d61d0feb; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX extras_exporttemplate_data_source_id_d61d0feb ON public.extras_exporttemplate USING btree (data_source_id);


--
-- Name: extras_imageattachment_content_type_id_90e0643d; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX extras_imageattachment_content_type_id_90e0643d ON public.extras_imageattachment USING btree (content_type_id);


--
-- Name: extras_journalentry_assigned_object_type_id_1bba9f68; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX extras_journalentry_assigned_object_type_id_1bba9f68 ON public.extras_journalentry USING btree (assigned_object_type_id);


--
-- Name: extras_journalentry_created_by_id_8d4e4329; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX extras_journalentry_created_by_id_8d4e4329 ON public.extras_journalentry USING btree (created_by_id);


--
-- Name: extras_objectchange_changed_object_type_id_b755bb60; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX extras_objectchange_changed_object_type_id_b755bb60 ON public.extras_objectchange USING btree (changed_object_type_id);


--
-- Name: extras_objectchange_related_object_type_id_fe6e521f; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX extras_objectchange_related_object_type_id_fe6e521f ON public.extras_objectchange USING btree (related_object_type_id);


--
-- Name: extras_objectchange_request_id_4ae21e90; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX extras_objectchange_request_id_4ae21e90 ON public.extras_objectchange USING btree (request_id);


--
-- Name: extras_objectchange_time_224380ea; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX extras_objectchange_time_224380ea ON public.extras_objectchange USING btree ("time");


--
-- Name: extras_objectchange_user_id_7fdf8186; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX extras_objectchange_user_id_7fdf8186 ON public.extras_objectchange USING btree (user_id);


--
-- Name: extras_savedfilter_content_types_contenttype_id_929cea22; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX extras_savedfilter_content_types_contenttype_id_929cea22 ON public.extras_savedfilter_content_types USING btree (contenttype_id);


--
-- Name: extras_savedfilter_content_types_savedfilter_id_1631b88b; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX extras_savedfilter_content_types_savedfilter_id_1631b88b ON public.extras_savedfilter_content_types USING btree (savedfilter_id);


--
-- Name: extras_savedfilter_name_8a4bbd09_like; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX extras_savedfilter_name_8a4bbd09_like ON public.extras_savedfilter USING btree (name varchar_pattern_ops);


--
-- Name: extras_savedfilter_slug_4f93a959_like; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX extras_savedfilter_slug_4f93a959_like ON public.extras_savedfilter USING btree (slug varchar_pattern_ops);


--
-- Name: extras_savedfilter_user_id_10502e81; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX extras_savedfilter_user_id_10502e81 ON public.extras_savedfilter USING btree (user_id);


--
-- Name: extras_stagedchange_branch_id_44893052; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX extras_stagedchange_branch_id_44893052 ON public.extras_stagedchange USING btree (branch_id);


--
-- Name: extras_stagedchange_object_type_id_de76b05b; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX extras_stagedchange_object_type_id_de76b05b ON public.extras_stagedchange USING btree (object_type_id);


--
-- Name: extras_tag_name_9550b3d9_like; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX extras_tag_name_9550b3d9_like ON public.extras_tag USING btree (name varchar_pattern_ops);


--
-- Name: extras_tag_object_types_contenttype_id_c1b220c3; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX extras_tag_object_types_contenttype_id_c1b220c3 ON public.extras_tag_object_types USING btree (contenttype_id);


--
-- Name: extras_tag_object_types_tag_id_2e1aab29; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX extras_tag_object_types_tag_id_2e1aab29 ON public.extras_tag_object_types USING btree (tag_id);


--
-- Name: extras_tag_slug_aaa5b7e9_like; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX extras_tag_slug_aaa5b7e9_like ON public.extras_tag USING btree (slug varchar_pattern_ops);


--
-- Name: extras_tagg_content_717743_idx; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX extras_tagg_content_717743_idx ON public.extras_taggeditem USING btree (content_type_id, object_id);


--
-- Name: extras_taggeditem_content_type_id_ba5562ed; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX extras_taggeditem_content_type_id_ba5562ed ON public.extras_taggeditem USING btree (content_type_id);


--
-- Name: extras_taggeditem_object_id_31b2aa77; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX extras_taggeditem_object_id_31b2aa77 ON public.extras_taggeditem USING btree (object_id);


--
-- Name: extras_taggeditem_tag_id_d48af7c7; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX extras_taggeditem_tag_id_d48af7c7 ON public.extras_taggeditem USING btree (tag_id);


--
-- Name: extras_webhook_content_types_contenttype_id_3fc2c4d3; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX extras_webhook_content_types_contenttype_id_3fc2c4d3 ON public.extras_webhook_content_types USING btree (contenttype_id);


--
-- Name: extras_webhook_content_types_webhook_id_0c169800; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX extras_webhook_content_types_webhook_id_0c169800 ON public.extras_webhook_content_types USING btree (webhook_id);


--
-- Name: extras_webhook_name_82cf60b5_like; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX extras_webhook_name_82cf60b5_like ON public.extras_webhook USING btree (name varchar_pattern_ops);


--
-- Name: ipam_aggregate_rir_id_ef7a27bd; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX ipam_aggregate_rir_id_ef7a27bd ON public.ipam_aggregate USING btree (rir_id);


--
-- Name: ipam_aggregate_tenant_id_637dd1a1; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX ipam_aggregate_tenant_id_637dd1a1 ON public.ipam_aggregate USING btree (tenant_id);


--
-- Name: ipam_asn_rir_id_f5ad3cff; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX ipam_asn_rir_id_f5ad3cff ON public.ipam_asn USING btree (rir_id);


--
-- Name: ipam_asn_tenant_id_07e8188e; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX ipam_asn_tenant_id_07e8188e ON public.ipam_asn USING btree (tenant_id);


--
-- Name: ipam_asnrange_name_c7585e73_like; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX ipam_asnrange_name_c7585e73_like ON public.ipam_asnrange USING btree (name varchar_pattern_ops);


--
-- Name: ipam_asnrange_rir_id_c9c31183; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX ipam_asnrange_rir_id_c9c31183 ON public.ipam_asnrange USING btree (rir_id);


--
-- Name: ipam_asnrange_slug_c8a7d8a1_like; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX ipam_asnrange_slug_c8a7d8a1_like ON public.ipam_asnrange USING btree (slug varchar_pattern_ops);


--
-- Name: ipam_asnrange_tenant_id_ed8f80b7; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX ipam_asnrange_tenant_id_ed8f80b7 ON public.ipam_asnrange USING btree (tenant_id);


--
-- Name: ipam_fhrpgroupassignment_group_id_19f15ca4; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX ipam_fhrpgroupassignment_group_id_19f15ca4 ON public.ipam_fhrpgroupassignment USING btree (group_id);


--
-- Name: ipam_fhrpgroupassignment_interface_type_id_f3bcb487; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX ipam_fhrpgroupassignment_interface_type_id_f3bcb487 ON public.ipam_fhrpgroupassignment USING btree (interface_type_id);


--
-- Name: ipam_ipaddress_assigned_object_type_id_02354370; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX ipam_ipaddress_assigned_object_type_id_02354370 ON public.ipam_ipaddress USING btree (assigned_object_type_id);


--
-- Name: ipam_ipaddress_host; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX ipam_ipaddress_host ON public.ipam_ipaddress USING btree (((host(address))::inet));


--
-- Name: ipam_ipaddress_nat_inside_id_a45fb7c5; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX ipam_ipaddress_nat_inside_id_a45fb7c5 ON public.ipam_ipaddress USING btree (nat_inside_id);


--
-- Name: ipam_ipaddress_tenant_id_ac55acfd; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX ipam_ipaddress_tenant_id_ac55acfd ON public.ipam_ipaddress USING btree (tenant_id);


--
-- Name: ipam_ipaddress_vrf_id_51fcc59b; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX ipam_ipaddress_vrf_id_51fcc59b ON public.ipam_ipaddress USING btree (vrf_id);


--
-- Name: ipam_iprange_role_id_2782e864; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX ipam_iprange_role_id_2782e864 ON public.ipam_iprange USING btree (role_id);


--
-- Name: ipam_iprange_tenant_id_856027ea; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX ipam_iprange_tenant_id_856027ea ON public.ipam_iprange USING btree (tenant_id);


--
-- Name: ipam_iprange_vrf_id_613e9dd2; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX ipam_iprange_vrf_id_613e9dd2 ON public.ipam_iprange USING btree (vrf_id);


--
-- Name: ipam_l2vpn_export_targets_l2vpn_id_8749bbe8; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX ipam_l2vpn_export_targets_l2vpn_id_8749bbe8 ON public.ipam_l2vpn_export_targets USING btree (l2vpn_id);


--
-- Name: ipam_l2vpn_export_targets_routetarget_id_5ccb758b; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX ipam_l2vpn_export_targets_routetarget_id_5ccb758b ON public.ipam_l2vpn_export_targets USING btree (routetarget_id);


--
-- Name: ipam_l2vpn_import_targets_l2vpn_id_731f5bb4; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX ipam_l2vpn_import_targets_l2vpn_id_731f5bb4 ON public.ipam_l2vpn_import_targets USING btree (l2vpn_id);


--
-- Name: ipam_l2vpn_import_targets_routetarget_id_58a188b2; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX ipam_l2vpn_import_targets_routetarget_id_58a188b2 ON public.ipam_l2vpn_import_targets USING btree (routetarget_id);


--
-- Name: ipam_l2vpn_name_5e1c080f_like; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX ipam_l2vpn_name_5e1c080f_like ON public.ipam_l2vpn USING btree (name varchar_pattern_ops);


--
-- Name: ipam_l2vpn_slug_24008406_like; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX ipam_l2vpn_slug_24008406_like ON public.ipam_l2vpn USING btree (slug varchar_pattern_ops);


--
-- Name: ipam_l2vpn_tenant_id_bb2564a6; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX ipam_l2vpn_tenant_id_bb2564a6 ON public.ipam_l2vpn USING btree (tenant_id);


--
-- Name: ipam_l2vpntermination_assigned_object_type_id_3923c124; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX ipam_l2vpntermination_assigned_object_type_id_3923c124 ON public.ipam_l2vpntermination USING btree (assigned_object_type_id);


--
-- Name: ipam_l2vpntermination_l2vpn_id_9e570aa1; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX ipam_l2vpntermination_l2vpn_id_9e570aa1 ON public.ipam_l2vpntermination USING btree (l2vpn_id);


--
-- Name: ipam_prefix_role_id_0a98d415; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX ipam_prefix_role_id_0a98d415 ON public.ipam_prefix USING btree (role_id);


--
-- Name: ipam_prefix_site_id_0b20df05; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX ipam_prefix_site_id_0b20df05 ON public.ipam_prefix USING btree (site_id);


--
-- Name: ipam_prefix_tenant_id_7ba1fcc4; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX ipam_prefix_tenant_id_7ba1fcc4 ON public.ipam_prefix USING btree (tenant_id);


--
-- Name: ipam_prefix_vlan_id_1db91bff; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX ipam_prefix_vlan_id_1db91bff ON public.ipam_prefix USING btree (vlan_id);


--
-- Name: ipam_prefix_vrf_id_34f78ed0; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX ipam_prefix_vrf_id_34f78ed0 ON public.ipam_prefix USING btree (vrf_id);


--
-- Name: ipam_rir_name_64a71982_like; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX ipam_rir_name_64a71982_like ON public.ipam_rir USING btree (name varchar_pattern_ops);


--
-- Name: ipam_rir_slug_ff1a369a_like; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX ipam_rir_slug_ff1a369a_like ON public.ipam_rir USING btree (slug varchar_pattern_ops);


--
-- Name: ipam_role_name_13784849_like; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX ipam_role_name_13784849_like ON public.ipam_role USING btree (name varchar_pattern_ops);


--
-- Name: ipam_role_slug_309ca14c_like; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX ipam_role_slug_309ca14c_like ON public.ipam_role USING btree (slug varchar_pattern_ops);


--
-- Name: ipam_routetarget_name_212be79f_like; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX ipam_routetarget_name_212be79f_like ON public.ipam_routetarget USING btree (name varchar_pattern_ops);


--
-- Name: ipam_routetarget_tenant_id_5a0b35e8; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX ipam_routetarget_tenant_id_5a0b35e8 ON public.ipam_routetarget USING btree (tenant_id);


--
-- Name: ipam_service_device_id_b4d2bb9c; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX ipam_service_device_id_b4d2bb9c ON public.ipam_service USING btree (device_id);


--
-- Name: ipam_service_ipaddresses_ipaddress_id_b4138c6d; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX ipam_service_ipaddresses_ipaddress_id_b4138c6d ON public.ipam_service_ipaddresses USING btree (ipaddress_id);


--
-- Name: ipam_service_ipaddresses_service_id_ae26b9ab; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX ipam_service_ipaddresses_service_id_ae26b9ab ON public.ipam_service_ipaddresses USING btree (service_id);


--
-- Name: ipam_service_virtual_machine_id_e8b53562; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX ipam_service_virtual_machine_id_e8b53562 ON public.ipam_service USING btree (virtual_machine_id);


--
-- Name: ipam_servicetemplate_name_1a2f3410_like; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX ipam_servicetemplate_name_1a2f3410_like ON public.ipam_servicetemplate USING btree (name varchar_pattern_ops);


--
-- Name: ipam_vlan_group_id_88cbfa62; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX ipam_vlan_group_id_88cbfa62 ON public.ipam_vlan USING btree (group_id);


--
-- Name: ipam_vlan_role_id_f5015962; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX ipam_vlan_role_id_f5015962 ON public.ipam_vlan USING btree (role_id);


--
-- Name: ipam_vlan_site_id_a59334e3; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX ipam_vlan_site_id_a59334e3 ON public.ipam_vlan USING btree (site_id);


--
-- Name: ipam_vlan_tenant_id_71a8290d; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX ipam_vlan_tenant_id_71a8290d ON public.ipam_vlan USING btree (tenant_id);


--
-- Name: ipam_vlangroup_scope_type_id_6606a755; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX ipam_vlangroup_scope_type_id_6606a755 ON public.ipam_vlangroup USING btree (scope_type_id);


--
-- Name: ipam_vlangroup_slug_40abcf6b; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX ipam_vlangroup_slug_40abcf6b ON public.ipam_vlangroup USING btree (slug);


--
-- Name: ipam_vlangroup_slug_40abcf6b_like; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX ipam_vlangroup_slug_40abcf6b_like ON public.ipam_vlangroup USING btree (slug varchar_pattern_ops);


--
-- Name: ipam_vrf_export_targets_routetarget_id_8d9319f7; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX ipam_vrf_export_targets_routetarget_id_8d9319f7 ON public.ipam_vrf_export_targets USING btree (routetarget_id);


--
-- Name: ipam_vrf_export_targets_vrf_id_6f4875c4; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX ipam_vrf_export_targets_vrf_id_6f4875c4 ON public.ipam_vrf_export_targets USING btree (vrf_id);


--
-- Name: ipam_vrf_import_targets_routetarget_id_0e05b144; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX ipam_vrf_import_targets_routetarget_id_0e05b144 ON public.ipam_vrf_import_targets USING btree (routetarget_id);


--
-- Name: ipam_vrf_import_targets_vrf_id_ed491b19; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX ipam_vrf_import_targets_vrf_id_ed491b19 ON public.ipam_vrf_import_targets USING btree (vrf_id);


--
-- Name: ipam_vrf_rd_0ac1bde1_like; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX ipam_vrf_rd_0ac1bde1_like ON public.ipam_vrf USING btree (rd varchar_pattern_ops);


--
-- Name: ipam_vrf_tenant_id_498b0051; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX ipam_vrf_tenant_id_498b0051 ON public.ipam_vrf USING btree (tenant_id);


--
-- Name: netbox_cert_plugin_certificate_cn_f2241703_like; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX netbox_cert_plugin_certificate_cn_f2241703_like ON public.netbox_cert_plugin_certificate USING btree (cn varchar_pattern_ops);


--
-- Name: netbox_dns_nameserver_name_ebfbb47a_like; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX netbox_dns_nameserver_name_ebfbb47a_like ON public.netbox_dns_nameserver USING btree (name varchar_pattern_ops);


--
-- Name: netbox_dns_nameserver_tenant_id_3f2c11e4; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX netbox_dns_nameserver_tenant_id_3f2c11e4 ON public.netbox_dns_nameserver USING btree (tenant_id);


--
-- Name: netbox_dns_record_tenant_id_661a29ae; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX netbox_dns_record_tenant_id_661a29ae ON public.netbox_dns_record USING btree (tenant_id);


--
-- Name: netbox_dns_record_zone_id_38d2d717; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX netbox_dns_record_zone_id_38d2d717 ON public.netbox_dns_record USING btree (zone_id);


--
-- Name: netbox_dns_view_name_897a4598_like; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX netbox_dns_view_name_897a4598_like ON public.netbox_dns_view USING btree (name varchar_pattern_ops);


--
-- Name: netbox_dns_view_tenant_id_4dfd8294; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX netbox_dns_view_tenant_id_4dfd8294 ON public.netbox_dns_view USING btree (tenant_id);


--
-- Name: netbox_dns_zone_nameservers_nameserver_id_43dd6dbd; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX netbox_dns_zone_nameservers_nameserver_id_43dd6dbd ON public.netbox_dns_zone_nameservers USING btree (nameserver_id);


--
-- Name: netbox_dns_zone_nameservers_zone_id_1354eacc; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX netbox_dns_zone_nameservers_zone_id_1354eacc ON public.netbox_dns_zone_nameservers USING btree (zone_id);


--
-- Name: netbox_dns_zone_soa_mname_id_c1ebe8d6; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX netbox_dns_zone_soa_mname_id_c1ebe8d6 ON public.netbox_dns_zone USING btree (soa_mname_id);


--
-- Name: netbox_dns_zone_tenant_id_61870e09; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX netbox_dns_zone_tenant_id_61870e09 ON public.netbox_dns_zone USING btree (tenant_id);


--
-- Name: netbox_dns_zone_view_id_91fb86ff; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX netbox_dns_zone_view_id_91fb86ff ON public.netbox_dns_zone USING btree (view_id);


--
-- Name: netbox_docker_plugin_bind_container_id_75405827; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX netbox_docker_plugin_bind_container_id_75405827 ON public.netbox_docker_plugin_bind USING btree (container_id);


--
-- Name: netbox_docker_plugin_container_host_id_500b1fa0; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX netbox_docker_plugin_container_host_id_500b1fa0 ON public.netbox_docker_plugin_container USING btree (host_id);


--
-- Name: netbox_docker_plugin_container_image_id_15a6db33; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX netbox_docker_plugin_container_image_id_15a6db33 ON public.netbox_docker_plugin_container USING btree (image_id);


--
-- Name: netbox_docker_plugin_container_unique_name_host; Type: INDEX; Schema: public; Owner: netbox
--

CREATE UNIQUE INDEX netbox_docker_plugin_container_unique_name_host ON public.netbox_docker_plugin_container USING btree (lower((name)::text), host_id);


--
-- Name: netbox_docker_plugin_device_container_id_a53ca874; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX netbox_docker_plugin_device_container_id_a53ca874 ON public.netbox_docker_plugin_device USING btree (container_id);


--
-- Name: netbox_docker_plugin_env_container_id_67f761dc; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX netbox_docker_plugin_env_container_id_67f761dc ON public.netbox_docker_plugin_env USING btree (container_id);


--
-- Name: netbox_docker_plugin_env_unique_var_name_container'; Type: INDEX; Schema: public; Owner: netbox
--

CREATE UNIQUE INDEX "netbox_docker_plugin_env_unique_var_name_container'" ON public.netbox_docker_plugin_env USING btree (var_name, container_id);


--
-- Name: netbox_docker_plugin_host_name_de5c7705_like; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX netbox_docker_plugin_host_name_de5c7705_like ON public.netbox_docker_plugin_host USING btree (name varchar_pattern_ops);


--
-- Name: netbox_docker_plugin_host_token_id_88278350; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX netbox_docker_plugin_host_token_id_88278350 ON public.netbox_docker_plugin_host USING btree (token_id);


--
-- Name: netbox_docker_plugin_image_host_id_81b4605f; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX netbox_docker_plugin_image_host_id_81b4605f ON public.netbox_docker_plugin_image USING btree (host_id);


--
-- Name: netbox_docker_plugin_image_registry_id_4684197e; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX netbox_docker_plugin_image_registry_id_4684197e ON public.netbox_docker_plugin_image USING btree (registry_id);


--
-- Name: netbox_docker_plugin_label_container_id_28c72dbb; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX netbox_docker_plugin_label_container_id_28c72dbb ON public.netbox_docker_plugin_label USING btree (container_id);


--
-- Name: netbox_docker_plugin_label_unique_key_container'; Type: INDEX; Schema: public; Owner: netbox
--

CREATE UNIQUE INDEX "netbox_docker_plugin_label_unique_key_container'" ON public.netbox_docker_plugin_label USING btree (key, container_id);


--
-- Name: netbox_docker_plugin_mount_container_id_128b557e; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX netbox_docker_plugin_mount_container_id_128b557e ON public.netbox_docker_plugin_mount USING btree (container_id);


--
-- Name: netbox_docker_plugin_mount_volume_id_8d6fe380; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX netbox_docker_plugin_mount_volume_id_8d6fe380 ON public.netbox_docker_plugin_mount USING btree (volume_id);


--
-- Name: netbox_docker_plugin_network_host_id_a3afdacd; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX netbox_docker_plugin_network_host_id_a3afdacd ON public.netbox_docker_plugin_network USING btree (host_id);


--
-- Name: netbox_docker_plugin_networksetting_container_id_dda447b6; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX netbox_docker_plugin_networksetting_container_id_dda447b6 ON public.netbox_docker_plugin_networksetting USING btree (container_id);


--
-- Name: netbox_docker_plugin_networksetting_network_id_cc177cf2; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX netbox_docker_plugin_networksetting_network_id_cc177cf2 ON public.netbox_docker_plugin_networksetting USING btree (network_id);


--
-- Name: netbox_docker_plugin_port_container_id_4eef7da5; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX netbox_docker_plugin_port_container_id_4eef7da5 ON public.netbox_docker_plugin_port USING btree (container_id);


--
-- Name: netbox_docker_plugin_port_unique_private_port_public_port_type_; Type: INDEX; Schema: public; Owner: netbox
--

CREATE UNIQUE INDEX netbox_docker_plugin_port_unique_private_port_public_port_type_ ON public.netbox_docker_plugin_port USING btree (private_port, public_port, type, container_id);


--
-- Name: netbox_docker_plugin_registry_host_id_7931ef64; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX netbox_docker_plugin_registry_host_id_7931ef64 ON public.netbox_docker_plugin_registry USING btree (host_id);


--
-- Name: netbox_docker_plugin_volume_host_id_d3e04621; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX netbox_docker_plugin_volume_host_id_d3e04621 ON public.netbox_docker_plugin_volume USING btree (host_id);


--
-- Name: netbox_rps_plugin_acldeniedsource_mapping_id_857e2e6b; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX netbox_rps_plugin_acldeniedsource_mapping_id_857e2e6b ON public.netbox_rps_plugin_acldeniedsource USING btree (mapping_id);


--
-- Name: netbox_rps_plugin_cacheconfig_mapping_id_32fce175; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX netbox_rps_plugin_cacheconfig_mapping_id_32fce175 ON public.netbox_rps_plugin_cacheconfig USING btree (mapping_id);


--
-- Name: netbox_rps_plugin_httpheader_mapping_id_6b7cd541; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX netbox_rps_plugin_httpheader_mapping_id_6b7cd541 ON public.netbox_rps_plugin_httpheader USING btree (mapping_id);


--
-- Name: netbox_rps_plugin_mapping_source_73ded75a_like; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX netbox_rps_plugin_mapping_source_73ded75a_like ON public.netbox_rps_plugin_mapping USING btree (source varchar_pattern_ops);


--
-- Name: social_auth_code_code_a2393167; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX social_auth_code_code_a2393167 ON public.social_auth_code USING btree (code);


--
-- Name: social_auth_code_code_a2393167_like; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX social_auth_code_code_a2393167_like ON public.social_auth_code USING btree (code varchar_pattern_ops);


--
-- Name: social_auth_code_timestamp_176b341f; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX social_auth_code_timestamp_176b341f ON public.social_auth_code USING btree ("timestamp");


--
-- Name: social_auth_partial_timestamp_50f2119f; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX social_auth_partial_timestamp_50f2119f ON public.social_auth_partial USING btree ("timestamp");


--
-- Name: social_auth_partial_token_3017fea3; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX social_auth_partial_token_3017fea3 ON public.social_auth_partial USING btree (token);


--
-- Name: social_auth_partial_token_3017fea3_like; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX social_auth_partial_token_3017fea3_like ON public.social_auth_partial USING btree (token varchar_pattern_ops);


--
-- Name: social_auth_usersocialauth_uid_796e51dc; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX social_auth_usersocialauth_uid_796e51dc ON public.social_auth_usersocialauth USING btree (uid);


--
-- Name: social_auth_usersocialauth_uid_796e51dc_like; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX social_auth_usersocialauth_uid_796e51dc_like ON public.social_auth_usersocialauth USING btree (uid varchar_pattern_ops);


--
-- Name: social_auth_usersocialauth_user_id_17d28448; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX social_auth_usersocialauth_user_id_17d28448 ON public.social_auth_usersocialauth USING btree (user_id);


--
-- Name: taggit_tag_name_58eb2ed9_like; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX taggit_tag_name_58eb2ed9_like ON public.taggit_tag USING btree (name varchar_pattern_ops);


--
-- Name: taggit_tag_slug_6be58b2c_like; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX taggit_tag_slug_6be58b2c_like ON public.taggit_tag USING btree (slug varchar_pattern_ops);


--
-- Name: taggit_taggeditem_content_type_id_9957a03c; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX taggit_taggeditem_content_type_id_9957a03c ON public.taggit_taggeditem USING btree (content_type_id);


--
-- Name: taggit_taggeditem_content_type_id_object_id_196cc965_idx; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX taggit_taggeditem_content_type_id_object_id_196cc965_idx ON public.taggit_taggeditem USING btree (content_type_id, object_id);


--
-- Name: taggit_taggeditem_object_id_e2d7d1df; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX taggit_taggeditem_object_id_e2d7d1df ON public.taggit_taggeditem USING btree (object_id);


--
-- Name: taggit_taggeditem_tag_id_f4f5b767; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX taggit_taggeditem_tag_id_f4f5b767 ON public.taggit_taggeditem USING btree (tag_id);


--
-- Name: tenancy_contact_group_id_76e0267c; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX tenancy_contact_group_id_76e0267c ON public.tenancy_contact USING btree (group_id);


--
-- Name: tenancy_contactassignment_contact_id_5302baf0; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX tenancy_contactassignment_contact_id_5302baf0 ON public.tenancy_contactassignment USING btree (contact_id);


--
-- Name: tenancy_contactassignment_content_type_id_0c3f0c67; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX tenancy_contactassignment_content_type_id_0c3f0c67 ON public.tenancy_contactassignment USING btree (content_type_id);


--
-- Name: tenancy_contactassignment_role_id_fc08bfb5; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX tenancy_contactassignment_role_id_fc08bfb5 ON public.tenancy_contactassignment USING btree (role_id);


--
-- Name: tenancy_contactgroup_parent_id_c087d69f; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX tenancy_contactgroup_parent_id_c087d69f ON public.tenancy_contactgroup USING btree (parent_id);


--
-- Name: tenancy_contactgroup_slug_5b0f3e75; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX tenancy_contactgroup_slug_5b0f3e75 ON public.tenancy_contactgroup USING btree (slug);


--
-- Name: tenancy_contactgroup_slug_5b0f3e75_like; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX tenancy_contactgroup_slug_5b0f3e75_like ON public.tenancy_contactgroup USING btree (slug varchar_pattern_ops);


--
-- Name: tenancy_contactgroup_tree_id_57456c98; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX tenancy_contactgroup_tree_id_57456c98 ON public.tenancy_contactgroup USING btree (tree_id);


--
-- Name: tenancy_contactrole_name_44b01a1f_like; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX tenancy_contactrole_name_44b01a1f_like ON public.tenancy_contactrole USING btree (name varchar_pattern_ops);


--
-- Name: tenancy_contactrole_slug_c5837d7d_like; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX tenancy_contactrole_slug_c5837d7d_like ON public.tenancy_contactrole USING btree (slug varchar_pattern_ops);


--
-- Name: tenancy_tenant_group_id_7daef6f4; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX tenancy_tenant_group_id_7daef6f4 ON public.tenancy_tenant USING btree (group_id);


--
-- Name: tenancy_tenant_slug_0716575e; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX tenancy_tenant_slug_0716575e ON public.tenancy_tenant USING btree (slug);


--
-- Name: tenancy_tenant_slug_0716575e_like; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX tenancy_tenant_slug_0716575e_like ON public.tenancy_tenant USING btree (slug varchar_pattern_ops);


--
-- Name: tenancy_tenant_unique_name; Type: INDEX; Schema: public; Owner: netbox
--

CREATE UNIQUE INDEX tenancy_tenant_unique_name ON public.tenancy_tenant USING btree (name) WHERE (group_id IS NULL);


--
-- Name: tenancy_tenant_unique_slug; Type: INDEX; Schema: public; Owner: netbox
--

CREATE UNIQUE INDEX tenancy_tenant_unique_slug ON public.tenancy_tenant USING btree (slug) WHERE (group_id IS NULL);


--
-- Name: tenancy_tenantgroup_name_53363199_like; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX tenancy_tenantgroup_name_53363199_like ON public.tenancy_tenantgroup USING btree (name varchar_pattern_ops);


--
-- Name: tenancy_tenantgroup_parent_id_2542fc18; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX tenancy_tenantgroup_parent_id_2542fc18 ON public.tenancy_tenantgroup USING btree (parent_id);


--
-- Name: tenancy_tenantgroup_slug_e2af1cb6_like; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX tenancy_tenantgroup_slug_e2af1cb6_like ON public.tenancy_tenantgroup USING btree (slug varchar_pattern_ops);


--
-- Name: tenancy_tenantgroup_tree_id_769a98bf; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX tenancy_tenantgroup_tree_id_769a98bf ON public.tenancy_tenantgroup USING btree (tree_id);


--
-- Name: users_objectpermission_groups_group_id_fb7ba6e0; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX users_objectpermission_groups_group_id_fb7ba6e0 ON public.users_objectpermission_groups USING btree (group_id);


--
-- Name: users_objectpermission_groups_objectpermission_id_2f7cc117; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX users_objectpermission_groups_objectpermission_id_2f7cc117 ON public.users_objectpermission_groups USING btree (objectpermission_id);


--
-- Name: users_objectpermission_obj_objectpermission_id_38c7d8f5; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX users_objectpermission_obj_objectpermission_id_38c7d8f5 ON public.users_objectpermission_object_types USING btree (objectpermission_id);


--
-- Name: users_objectpermission_object_types_contenttype_id_594b1cc7; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX users_objectpermission_object_types_contenttype_id_594b1cc7 ON public.users_objectpermission_object_types USING btree (contenttype_id);


--
-- Name: users_objectpermission_users_objectpermission_id_78a9c2e6; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX users_objectpermission_users_objectpermission_id_78a9c2e6 ON public.users_objectpermission_users USING btree (objectpermission_id);


--
-- Name: users_objectpermission_users_user_id_16c0905d; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX users_objectpermission_users_user_id_16c0905d ON public.users_objectpermission_users USING btree (user_id);


--
-- Name: users_token_key_820deccd_like; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX users_token_key_820deccd_like ON public.users_token USING btree (key varchar_pattern_ops);


--
-- Name: users_token_user_id_af964690; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX users_token_user_id_af964690 ON public.users_token USING btree (user_id);


--
-- Name: virtualization_cluster_group_id_de379828; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX virtualization_cluster_group_id_de379828 ON public.virtualization_cluster USING btree (group_id);


--
-- Name: virtualization_cluster_site_id_4d5af282; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX virtualization_cluster_site_id_4d5af282 ON public.virtualization_cluster USING btree (site_id);


--
-- Name: virtualization_cluster_tenant_id_bc2868d0; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX virtualization_cluster_tenant_id_bc2868d0 ON public.virtualization_cluster USING btree (tenant_id);


--
-- Name: virtualization_cluster_type_id_4efafb0a; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX virtualization_cluster_type_id_4efafb0a ON public.virtualization_cluster USING btree (type_id);


--
-- Name: virtualization_clustergroup_name_4fcd26b4_like; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX virtualization_clustergroup_name_4fcd26b4_like ON public.virtualization_clustergroup USING btree (name varchar_pattern_ops);


--
-- Name: virtualization_clustergroup_slug_57ca1d23_like; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX virtualization_clustergroup_slug_57ca1d23_like ON public.virtualization_clustergroup USING btree (slug varchar_pattern_ops);


--
-- Name: virtualization_clustertype_name_ea854d3d_like; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX virtualization_clustertype_name_ea854d3d_like ON public.virtualization_clustertype USING btree (name varchar_pattern_ops);


--
-- Name: virtualization_clustertype_slug_8ee4d0e0_like; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX virtualization_clustertype_slug_8ee4d0e0_like ON public.virtualization_clustertype USING btree (slug varchar_pattern_ops);


--
-- Name: virtualization_virtualmachine_cluster_id_6c9f9047; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX virtualization_virtualmachine_cluster_id_6c9f9047 ON public.virtualization_virtualmachine USING btree (cluster_id);


--
-- Name: virtualization_virtualmachine_config_template_id_d7fc7874; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX virtualization_virtualmachine_config_template_id_d7fc7874 ON public.virtualization_virtualmachine USING btree (config_template_id);


--
-- Name: virtualization_virtualmachine_device_id_5a49ed18; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX virtualization_virtualmachine_device_id_5a49ed18 ON public.virtualization_virtualmachine USING btree (device_id);


--
-- Name: virtualization_virtualmachine_platform_id_a6c5ccb2; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX virtualization_virtualmachine_platform_id_a6c5ccb2 ON public.virtualization_virtualmachine USING btree (platform_id);


--
-- Name: virtualization_virtualmachine_role_id_0cc898f9; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX virtualization_virtualmachine_role_id_0cc898f9 ON public.virtualization_virtualmachine USING btree (role_id);


--
-- Name: virtualization_virtualmachine_site_id_54475a27; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX virtualization_virtualmachine_site_id_54475a27 ON public.virtualization_virtualmachine USING btree (site_id);


--
-- Name: virtualization_virtualmachine_tenant_id_d00d1d77; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX virtualization_virtualmachine_tenant_id_d00d1d77 ON public.virtualization_virtualmachine USING btree (tenant_id);


--
-- Name: virtualization_virtualmachine_unique_name_cluster; Type: INDEX; Schema: public; Owner: netbox
--

CREATE UNIQUE INDEX virtualization_virtualmachine_unique_name_cluster ON public.virtualization_virtualmachine USING btree (lower((name)::text), cluster_id) WHERE (tenant_id IS NULL);


--
-- Name: virtualization_virtualmachine_unique_name_cluster_tenant; Type: INDEX; Schema: public; Owner: netbox
--

CREATE UNIQUE INDEX virtualization_virtualmachine_unique_name_cluster_tenant ON public.virtualization_virtualmachine USING btree (lower((name)::text), cluster_id, tenant_id);


--
-- Name: virtualization_vminterface_bridge_id_7462b91e; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX virtualization_vminterface_bridge_id_7462b91e ON public.virtualization_vminterface USING btree (bridge_id);


--
-- Name: virtualization_vminterface_parent_id_f86958e1; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX virtualization_vminterface_parent_id_f86958e1 ON public.virtualization_vminterface USING btree (parent_id);


--
-- Name: virtualization_vminterface_tagged_vlans_vlan_id_4e77411e; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX virtualization_vminterface_tagged_vlans_vlan_id_4e77411e ON public.virtualization_vminterface_tagged_vlans USING btree (vlan_id);


--
-- Name: virtualization_vminterface_tagged_vlans_vminterface_id_904b12de; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX virtualization_vminterface_tagged_vlans_vminterface_id_904b12de ON public.virtualization_vminterface_tagged_vlans USING btree (vminterface_id);


--
-- Name: virtualization_vminterface_untagged_vlan_id_aea4fc69; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX virtualization_vminterface_untagged_vlan_id_aea4fc69 ON public.virtualization_vminterface USING btree (untagged_vlan_id);


--
-- Name: virtualization_vminterface_virtual_machine_id_e9f89829; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX virtualization_vminterface_virtual_machine_id_e9f89829 ON public.virtualization_vminterface USING btree (virtual_machine_id);


--
-- Name: virtualization_vminterface_vrf_id_4b570a8c; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX virtualization_vminterface_vrf_id_4b570a8c ON public.virtualization_vminterface USING btree (vrf_id);


--
-- Name: wireless_wirelesslan_group_id_d9e3d67f; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX wireless_wirelesslan_group_id_d9e3d67f ON public.wireless_wirelesslan USING btree (group_id);


--
-- Name: wireless_wirelesslan_tenant_id_5dfee941; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX wireless_wirelesslan_tenant_id_5dfee941 ON public.wireless_wirelesslan USING btree (tenant_id);


--
-- Name: wireless_wirelesslan_vlan_id_d7fa6ccc; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX wireless_wirelesslan_vlan_id_d7fa6ccc ON public.wireless_wirelesslan USING btree (vlan_id);


--
-- Name: wireless_wirelesslangroup_name_2ffd60c8_like; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX wireless_wirelesslangroup_name_2ffd60c8_like ON public.wireless_wirelesslangroup USING btree (name varchar_pattern_ops);


--
-- Name: wireless_wirelesslangroup_parent_id_37ca8b87; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX wireless_wirelesslangroup_parent_id_37ca8b87 ON public.wireless_wirelesslangroup USING btree (parent_id);


--
-- Name: wireless_wirelesslangroup_slug_f5d59831_like; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX wireless_wirelesslangroup_slug_f5d59831_like ON public.wireless_wirelesslangroup USING btree (slug varchar_pattern_ops);


--
-- Name: wireless_wirelesslangroup_tree_id_eb99115d; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX wireless_wirelesslangroup_tree_id_eb99115d ON public.wireless_wirelesslangroup USING btree (tree_id);


--
-- Name: wireless_wirelesslink__interface_a_device_id_6c8e042e; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX wireless_wirelesslink__interface_a_device_id_6c8e042e ON public.wireless_wirelesslink USING btree (_interface_a_device_id);


--
-- Name: wireless_wirelesslink__interface_b_device_id_43d5101a; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX wireless_wirelesslink__interface_b_device_id_43d5101a ON public.wireless_wirelesslink USING btree (_interface_b_device_id);


--
-- Name: wireless_wirelesslink_interface_a_id_bc9e37fd; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX wireless_wirelesslink_interface_a_id_bc9e37fd ON public.wireless_wirelesslink USING btree (interface_a_id);


--
-- Name: wireless_wirelesslink_interface_b_id_a82fb2ee; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX wireless_wirelesslink_interface_b_id_a82fb2ee ON public.wireless_wirelesslink USING btree (interface_b_id);


--
-- Name: wireless_wirelesslink_tenant_id_4c0638ee; Type: INDEX; Schema: public; Owner: netbox
--

CREATE INDEX wireless_wirelesslink_tenant_id_4c0638ee ON public.wireless_wirelesslink USING btree (tenant_id);


--
-- Name: auth_group_permissions auth_group_permissio_permission_id_84c5c92e_fk_auth_perm; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.auth_group_permissions
    ADD CONSTRAINT auth_group_permissio_permission_id_84c5c92e_fk_auth_perm FOREIGN KEY (permission_id) REFERENCES public.auth_permission(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: auth_group_permissions auth_group_permissions_group_id_b120cbf9_fk_auth_group_id; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.auth_group_permissions
    ADD CONSTRAINT auth_group_permissions_group_id_b120cbf9_fk_auth_group_id FOREIGN KEY (group_id) REFERENCES public.auth_group(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: auth_permission auth_permission_content_type_id_2f476e4b_fk_django_co; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.auth_permission
    ADD CONSTRAINT auth_permission_content_type_id_2f476e4b_fk_django_co FOREIGN KEY (content_type_id) REFERENCES public.django_content_type(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: auth_user_groups auth_user_groups_group_id_97559544_fk_auth_group_id; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.auth_user_groups
    ADD CONSTRAINT auth_user_groups_group_id_97559544_fk_auth_group_id FOREIGN KEY (group_id) REFERENCES public.auth_group(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: auth_user_groups auth_user_groups_user_id_6a12ed8b_fk_auth_user_id; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.auth_user_groups
    ADD CONSTRAINT auth_user_groups_user_id_6a12ed8b_fk_auth_user_id FOREIGN KEY (user_id) REFERENCES public.auth_user(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: auth_user_user_permissions auth_user_user_permi_permission_id_1fbb5f2c_fk_auth_perm; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.auth_user_user_permissions
    ADD CONSTRAINT auth_user_user_permi_permission_id_1fbb5f2c_fk_auth_perm FOREIGN KEY (permission_id) REFERENCES public.auth_permission(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: auth_user_user_permissions auth_user_user_permissions_user_id_a95ead1b_fk_auth_user_id; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.auth_user_user_permissions
    ADD CONSTRAINT auth_user_user_permissions_user_id_a95ead1b_fk_auth_user_id FOREIGN KEY (user_id) REFERENCES public.auth_user(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: circuits_circuit circuits_circuit_provider_account_id_a7c8f61b_fk_circuits_; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.circuits_circuit
    ADD CONSTRAINT circuits_circuit_provider_account_id_a7c8f61b_fk_circuits_ FOREIGN KEY (provider_account_id) REFERENCES public.circuits_provideraccount(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: circuits_circuit circuits_circuit_provider_id_d9195418_fk_circuits_provider_id; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.circuits_circuit
    ADD CONSTRAINT circuits_circuit_provider_id_d9195418_fk_circuits_provider_id FOREIGN KEY (provider_id) REFERENCES public.circuits_provider(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: circuits_circuit circuits_circuit_tenant_id_812508a5_fk_tenancy_tenant_id; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.circuits_circuit
    ADD CONSTRAINT circuits_circuit_tenant_id_812508a5_fk_tenancy_tenant_id FOREIGN KEY (tenant_id) REFERENCES public.tenancy_tenant(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: circuits_circuit circuits_circuit_termination_a_id_f891adac_fk_circuits_; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.circuits_circuit
    ADD CONSTRAINT circuits_circuit_termination_a_id_f891adac_fk_circuits_ FOREIGN KEY (termination_a_id) REFERENCES public.circuits_circuittermination(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: circuits_circuit circuits_circuit_termination_z_id_377b8551_fk_circuits_; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.circuits_circuit
    ADD CONSTRAINT circuits_circuit_termination_z_id_377b8551_fk_circuits_ FOREIGN KEY (termination_z_id) REFERENCES public.circuits_circuittermination(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: circuits_circuit circuits_circuit_type_id_1b9f485a_fk_circuits_circuittype_id; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.circuits_circuit
    ADD CONSTRAINT circuits_circuit_type_id_1b9f485a_fk_circuits_circuittype_id FOREIGN KEY (type_id) REFERENCES public.circuits_circuittype(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: circuits_circuittermination circuits_circuitterm_circuit_id_257e87e7_fk_circuits_; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.circuits_circuittermination
    ADD CONSTRAINT circuits_circuitterm_circuit_id_257e87e7_fk_circuits_ FOREIGN KEY (circuit_id) REFERENCES public.circuits_circuit(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: circuits_circuittermination circuits_circuitterm_provider_network_id_b0c660f1_fk_circuits_; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.circuits_circuittermination
    ADD CONSTRAINT circuits_circuitterm_provider_network_id_b0c660f1_fk_circuits_ FOREIGN KEY (provider_network_id) REFERENCES public.circuits_providernetwork(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: circuits_circuittermination circuits_circuittermination_cable_id_35e9f703_fk_dcim_cable_id; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.circuits_circuittermination
    ADD CONSTRAINT circuits_circuittermination_cable_id_35e9f703_fk_dcim_cable_id FOREIGN KEY (cable_id) REFERENCES public.dcim_cable(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: circuits_circuittermination circuits_circuittermination_site_id_e6fe5652_fk_dcim_site_id; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.circuits_circuittermination
    ADD CONSTRAINT circuits_circuittermination_site_id_e6fe5652_fk_dcim_site_id FOREIGN KEY (site_id) REFERENCES public.dcim_site(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: circuits_provider_asns circuits_provider_as_provider_id_becc3f7e_fk_circuits_; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.circuits_provider_asns
    ADD CONSTRAINT circuits_provider_as_provider_id_becc3f7e_fk_circuits_ FOREIGN KEY (provider_id) REFERENCES public.circuits_provider(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: circuits_provider_asns circuits_provider_asns_asn_id_0a6c53b3_fk_ipam_asn_id; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.circuits_provider_asns
    ADD CONSTRAINT circuits_provider_asns_asn_id_0a6c53b3_fk_ipam_asn_id FOREIGN KEY (asn_id) REFERENCES public.ipam_asn(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: circuits_provideraccount circuits_provideracc_provider_id_4bcd7e50_fk_circuits_; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.circuits_provideraccount
    ADD CONSTRAINT circuits_provideracc_provider_id_4bcd7e50_fk_circuits_ FOREIGN KEY (provider_id) REFERENCES public.circuits_provider(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: circuits_providernetwork circuits_providernet_provider_id_7992236c_fk_circuits_; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.circuits_providernetwork
    ADD CONSTRAINT circuits_providernet_provider_id_7992236c_fk_circuits_ FOREIGN KEY (provider_id) REFERENCES public.circuits_provider(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: core_autosyncrecord core_autosyncrecord_datafile_id_f2aad29e_fk_core_datafile_id; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.core_autosyncrecord
    ADD CONSTRAINT core_autosyncrecord_datafile_id_f2aad29e_fk_core_datafile_id FOREIGN KEY (datafile_id) REFERENCES public.core_datafile(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: core_autosyncrecord core_autosyncrecord_object_type_id_62506cf6_fk_django_co; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.core_autosyncrecord
    ADD CONSTRAINT core_autosyncrecord_object_type_id_62506cf6_fk_django_co FOREIGN KEY (object_type_id) REFERENCES public.django_content_type(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: core_datafile core_datafile_source_id_8d675be2_fk_core_datasource_id; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.core_datafile
    ADD CONSTRAINT core_datafile_source_id_8d675be2_fk_core_datasource_id FOREIGN KEY (source_id) REFERENCES public.core_datasource(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: core_job core_job_object_type_id_ea17469a_fk_django_content_type_id; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.core_job
    ADD CONSTRAINT core_job_object_type_id_ea17469a_fk_django_content_type_id FOREIGN KEY (object_type_id) REFERENCES public.django_content_type(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: core_job core_job_user_id_b69eefda_fk_auth_user_id; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.core_job
    ADD CONSTRAINT core_job_user_id_b69eefda_fk_auth_user_id FOREIGN KEY (user_id) REFERENCES public.auth_user(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: core_managedfile core_managedfile_data_file_id_2b6fc95e_fk_core_datafile_id; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.core_managedfile
    ADD CONSTRAINT core_managedfile_data_file_id_2b6fc95e_fk_core_datafile_id FOREIGN KEY (data_file_id) REFERENCES public.core_datafile(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: core_managedfile core_managedfile_data_source_id_647d5dbe_fk_core_datasource_id; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.core_managedfile
    ADD CONSTRAINT core_managedfile_data_source_id_647d5dbe_fk_core_datasource_id FOREIGN KEY (data_source_id) REFERENCES public.core_datasource(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: dcim_cable dcim_cable_tenant_id_3a7fdbb8_fk_tenancy_tenant_id; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.dcim_cable
    ADD CONSTRAINT dcim_cable_tenant_id_3a7fdbb8_fk_tenancy_tenant_id FOREIGN KEY (tenant_id) REFERENCES public.tenancy_tenant(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: dcim_cabletermination dcim_cableterminatio_termination_type_id_20da439e_fk_django_co; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.dcim_cabletermination
    ADD CONSTRAINT dcim_cableterminatio_termination_type_id_20da439e_fk_django_co FOREIGN KEY (termination_type_id) REFERENCES public.django_content_type(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: dcim_cabletermination dcim_cabletermination__device_id_f5884934_fk_dcim_device_id; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.dcim_cabletermination
    ADD CONSTRAINT dcim_cabletermination__device_id_f5884934_fk_dcim_device_id FOREIGN KEY (_device_id) REFERENCES public.dcim_device(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: dcim_cabletermination dcim_cabletermination__location_id_ff4be503_fk_dcim_location_id; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.dcim_cabletermination
    ADD CONSTRAINT dcim_cabletermination__location_id_ff4be503_fk_dcim_location_id FOREIGN KEY (_location_id) REFERENCES public.dcim_location(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: dcim_cabletermination dcim_cabletermination__rack_id_83a548e1_fk_dcim_rack_id; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.dcim_cabletermination
    ADD CONSTRAINT dcim_cabletermination__rack_id_83a548e1_fk_dcim_rack_id FOREIGN KEY (_rack_id) REFERENCES public.dcim_rack(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: dcim_cabletermination dcim_cabletermination__site_id_616962fa_fk_dcim_site_id; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.dcim_cabletermination
    ADD CONSTRAINT dcim_cabletermination__site_id_616962fa_fk_dcim_site_id FOREIGN KEY (_site_id) REFERENCES public.dcim_site(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: dcim_cabletermination dcim_cabletermination_cable_id_b50010d1_fk_dcim_cable_id; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.dcim_cabletermination
    ADD CONSTRAINT dcim_cabletermination_cable_id_b50010d1_fk_dcim_cable_id FOREIGN KEY (cable_id) REFERENCES public.dcim_cable(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: dcim_consoleport dcim_consoleport__path_id_e40a4436_fk_dcim_cablepath_id; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.dcim_consoleport
    ADD CONSTRAINT dcim_consoleport__path_id_e40a4436_fk_dcim_cablepath_id FOREIGN KEY (_path_id) REFERENCES public.dcim_cablepath(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: dcim_consoleport dcim_consoleport_cable_id_a9ae5465_fk_dcim_cable_id; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.dcim_consoleport
    ADD CONSTRAINT dcim_consoleport_cable_id_a9ae5465_fk_dcim_cable_id FOREIGN KEY (cable_id) REFERENCES public.dcim_cable(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: dcim_consoleport dcim_consoleport_device_id_f2d90d3c_fk_dcim_device_id; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.dcim_consoleport
    ADD CONSTRAINT dcim_consoleport_device_id_f2d90d3c_fk_dcim_device_id FOREIGN KEY (device_id) REFERENCES public.dcim_device(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: dcim_consoleport dcim_consoleport_module_id_d17b2519_fk_dcim_module_id; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.dcim_consoleport
    ADD CONSTRAINT dcim_consoleport_module_id_d17b2519_fk_dcim_module_id FOREIGN KEY (module_id) REFERENCES public.dcim_module(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: dcim_consoleporttemplate dcim_consoleporttemp_device_type_id_075d4015_fk_dcim_devi; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.dcim_consoleporttemplate
    ADD CONSTRAINT dcim_consoleporttemp_device_type_id_075d4015_fk_dcim_devi FOREIGN KEY (device_type_id) REFERENCES public.dcim_devicetype(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: dcim_consoleporttemplate dcim_consoleporttemp_module_type_id_c0f35d97_fk_dcim_modu; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.dcim_consoleporttemplate
    ADD CONSTRAINT dcim_consoleporttemp_module_type_id_c0f35d97_fk_dcim_modu FOREIGN KEY (module_type_id) REFERENCES public.dcim_moduletype(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: dcim_consoleserverporttemplate dcim_consoleserverpo_device_type_id_579bdc86_fk_dcim_devi; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.dcim_consoleserverporttemplate
    ADD CONSTRAINT dcim_consoleserverpo_device_type_id_579bdc86_fk_dcim_devi FOREIGN KEY (device_type_id) REFERENCES public.dcim_devicetype(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: dcim_consoleserverporttemplate dcim_consoleserverpo_module_type_id_4abf751a_fk_dcim_modu; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.dcim_consoleserverporttemplate
    ADD CONSTRAINT dcim_consoleserverpo_module_type_id_4abf751a_fk_dcim_modu FOREIGN KEY (module_type_id) REFERENCES public.dcim_moduletype(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: dcim_consoleserverport dcim_consoleserverport__path_id_dc5abe09_fk_dcim_cablepath_id; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.dcim_consoleserverport
    ADD CONSTRAINT dcim_consoleserverport__path_id_dc5abe09_fk_dcim_cablepath_id FOREIGN KEY (_path_id) REFERENCES public.dcim_cablepath(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: dcim_consoleserverport dcim_consoleserverport_cable_id_f2940dfd_fk_dcim_cable_id; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.dcim_consoleserverport
    ADD CONSTRAINT dcim_consoleserverport_cable_id_f2940dfd_fk_dcim_cable_id FOREIGN KEY (cable_id) REFERENCES public.dcim_cable(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: dcim_consoleserverport dcim_consoleserverport_device_id_d9866581_fk_dcim_device_id; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.dcim_consoleserverport
    ADD CONSTRAINT dcim_consoleserverport_device_id_d9866581_fk_dcim_device_id FOREIGN KEY (device_id) REFERENCES public.dcim_device(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: dcim_consoleserverport dcim_consoleserverport_module_id_d060cfc8_fk_dcim_module_id; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.dcim_consoleserverport
    ADD CONSTRAINT dcim_consoleserverport_module_id_d060cfc8_fk_dcim_module_id FOREIGN KEY (module_id) REFERENCES public.dcim_module(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: dcim_device dcim_device_cluster_id_cf852f78_fk_virtualization_cluster_id; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.dcim_device
    ADD CONSTRAINT dcim_device_cluster_id_cf852f78_fk_virtualization_cluster_id FOREIGN KEY (cluster_id) REFERENCES public.virtualization_cluster(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: dcim_device dcim_device_config_template_id_316328c4_fk_extras_co; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.dcim_device
    ADD CONSTRAINT dcim_device_config_template_id_316328c4_fk_extras_co FOREIGN KEY (config_template_id) REFERENCES public.extras_configtemplate(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: dcim_device dcim_device_device_type_id_d61b4086_fk_dcim_devicetype_id; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.dcim_device
    ADD CONSTRAINT dcim_device_device_type_id_d61b4086_fk_dcim_devicetype_id FOREIGN KEY (device_type_id) REFERENCES public.dcim_devicetype(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: dcim_device dcim_device_location_id_11a7bedb_fk_dcim_location_id; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.dcim_device
    ADD CONSTRAINT dcim_device_location_id_11a7bedb_fk_dcim_location_id FOREIGN KEY (location_id) REFERENCES public.dcim_location(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: dcim_device dcim_device_oob_ip_id_5e7219c1_fk_ipam_ipaddress_id; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.dcim_device
    ADD CONSTRAINT dcim_device_oob_ip_id_5e7219c1_fk_ipam_ipaddress_id FOREIGN KEY (oob_ip_id) REFERENCES public.ipam_ipaddress(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: dcim_device dcim_device_platform_id_468138f1_fk_dcim_platform_id; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.dcim_device
    ADD CONSTRAINT dcim_device_platform_id_468138f1_fk_dcim_platform_id FOREIGN KEY (platform_id) REFERENCES public.dcim_platform(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: dcim_device dcim_device_primary_ip4_id_2ccd943a_fk_ipam_ipaddress_id; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.dcim_device
    ADD CONSTRAINT dcim_device_primary_ip4_id_2ccd943a_fk_ipam_ipaddress_id FOREIGN KEY (primary_ip4_id) REFERENCES public.ipam_ipaddress(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: dcim_device dcim_device_primary_ip6_id_d180fe91_fk_ipam_ipaddress_id; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.dcim_device
    ADD CONSTRAINT dcim_device_primary_ip6_id_d180fe91_fk_ipam_ipaddress_id FOREIGN KEY (primary_ip6_id) REFERENCES public.ipam_ipaddress(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: dcim_device dcim_device_rack_id_23bde71f_fk_dcim_rack_id; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.dcim_device
    ADD CONSTRAINT dcim_device_rack_id_23bde71f_fk_dcim_rack_id FOREIGN KEY (rack_id) REFERENCES public.dcim_rack(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: dcim_device dcim_device_role_id_61edcc33_fk_dcim_devicerole_id; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.dcim_device
    ADD CONSTRAINT dcim_device_role_id_61edcc33_fk_dcim_devicerole_id FOREIGN KEY (role_id) REFERENCES public.dcim_devicerole(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: dcim_device dcim_device_site_id_ff897cf6_fk_dcim_site_id; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.dcim_device
    ADD CONSTRAINT dcim_device_site_id_ff897cf6_fk_dcim_site_id FOREIGN KEY (site_id) REFERENCES public.dcim_site(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: dcim_device dcim_device_tenant_id_dcea7969_fk_tenancy_tenant_id; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.dcim_device
    ADD CONSTRAINT dcim_device_tenant_id_dcea7969_fk_tenancy_tenant_id FOREIGN KEY (tenant_id) REFERENCES public.tenancy_tenant(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: dcim_device dcim_device_virtual_chassis_id_aed51693_fk_dcim_virt; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.dcim_device
    ADD CONSTRAINT dcim_device_virtual_chassis_id_aed51693_fk_dcim_virt FOREIGN KEY (virtual_chassis_id) REFERENCES public.dcim_virtualchassis(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: dcim_devicebay dcim_devicebay_device_id_0c8a1218_fk_dcim_device_id; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.dcim_devicebay
    ADD CONSTRAINT dcim_devicebay_device_id_0c8a1218_fk_dcim_device_id FOREIGN KEY (device_id) REFERENCES public.dcim_device(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: dcim_devicebay dcim_devicebay_installed_device_id_04618112_fk_dcim_device_id; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.dcim_devicebay
    ADD CONSTRAINT dcim_devicebay_installed_device_id_04618112_fk_dcim_device_id FOREIGN KEY (installed_device_id) REFERENCES public.dcim_device(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: dcim_devicebaytemplate dcim_devicebaytempla_device_type_id_f4b24a29_fk_dcim_devi; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.dcim_devicebaytemplate
    ADD CONSTRAINT dcim_devicebaytempla_device_type_id_f4b24a29_fk_dcim_devi FOREIGN KEY (device_type_id) REFERENCES public.dcim_devicetype(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: dcim_devicerole dcim_devicerole_config_template_id_5874002c_fk_extras_co; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.dcim_devicerole
    ADD CONSTRAINT dcim_devicerole_config_template_id_5874002c_fk_extras_co FOREIGN KEY (config_template_id) REFERENCES public.extras_configtemplate(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: dcim_devicetype dcim_devicetype_default_platform_id_1f6ff6ac_fk_dcim_plat; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.dcim_devicetype
    ADD CONSTRAINT dcim_devicetype_default_platform_id_1f6ff6ac_fk_dcim_plat FOREIGN KEY (default_platform_id) REFERENCES public.dcim_platform(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: dcim_devicetype dcim_devicetype_manufacturer_id_a3e8029e_fk_dcim_manu; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.dcim_devicetype
    ADD CONSTRAINT dcim_devicetype_manufacturer_id_a3e8029e_fk_dcim_manu FOREIGN KEY (manufacturer_id) REFERENCES public.dcim_manufacturer(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: dcim_frontport dcim_frontport_cable_id_04ff8aab_fk_dcim_cable_id; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.dcim_frontport
    ADD CONSTRAINT dcim_frontport_cable_id_04ff8aab_fk_dcim_cable_id FOREIGN KEY (cable_id) REFERENCES public.dcim_cable(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: dcim_frontport dcim_frontport_device_id_950557b5_fk_dcim_device_id; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.dcim_frontport
    ADD CONSTRAINT dcim_frontport_device_id_950557b5_fk_dcim_device_id FOREIGN KEY (device_id) REFERENCES public.dcim_device(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: dcim_frontport dcim_frontport_module_id_952c3f9a_fk_dcim_module_id; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.dcim_frontport
    ADD CONSTRAINT dcim_frontport_module_id_952c3f9a_fk_dcim_module_id FOREIGN KEY (module_id) REFERENCES public.dcim_module(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: dcim_frontport dcim_frontport_rear_port_id_78df2532_fk_dcim_rearport_id; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.dcim_frontport
    ADD CONSTRAINT dcim_frontport_rear_port_id_78df2532_fk_dcim_rearport_id FOREIGN KEY (rear_port_id) REFERENCES public.dcim_rearport(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: dcim_frontporttemplate dcim_frontporttempla_device_type_id_f088b952_fk_dcim_devi; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.dcim_frontporttemplate
    ADD CONSTRAINT dcim_frontporttempla_device_type_id_f088b952_fk_dcim_devi FOREIGN KEY (device_type_id) REFERENCES public.dcim_devicetype(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: dcim_frontporttemplate dcim_frontporttempla_module_type_id_66851ff9_fk_dcim_modu; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.dcim_frontporttemplate
    ADD CONSTRAINT dcim_frontporttempla_module_type_id_66851ff9_fk_dcim_modu FOREIGN KEY (module_type_id) REFERENCES public.dcim_moduletype(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: dcim_frontporttemplate dcim_frontporttempla_rear_port_id_9775411b_fk_dcim_rear; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.dcim_frontporttemplate
    ADD CONSTRAINT dcim_frontporttempla_rear_port_id_9775411b_fk_dcim_rear FOREIGN KEY (rear_port_id) REFERENCES public.dcim_rearporttemplate(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: dcim_interface dcim_interface__path_id_f8f4f7f0_fk_dcim_cablepath_id; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.dcim_interface
    ADD CONSTRAINT dcim_interface__path_id_f8f4f7f0_fk_dcim_cablepath_id FOREIGN KEY (_path_id) REFERENCES public.dcim_cablepath(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: dcim_interface dcim_interface_bridge_id_f2a8df85_fk_dcim_interface_id; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.dcim_interface
    ADD CONSTRAINT dcim_interface_bridge_id_f2a8df85_fk_dcim_interface_id FOREIGN KEY (bridge_id) REFERENCES public.dcim_interface(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: dcim_interface dcim_interface_cable_id_1b264edb_fk_dcim_cable_id; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.dcim_interface
    ADD CONSTRAINT dcim_interface_cable_id_1b264edb_fk_dcim_cable_id FOREIGN KEY (cable_id) REFERENCES public.dcim_cable(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: dcim_interface dcim_interface_device_id_359c6115_fk_dcim_device_id; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.dcim_interface
    ADD CONSTRAINT dcim_interface_device_id_359c6115_fk_dcim_device_id FOREIGN KEY (device_id) REFERENCES public.dcim_device(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: dcim_interface dcim_interface_lag_id_ea1a1d12_fk_dcim_interface_id; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.dcim_interface
    ADD CONSTRAINT dcim_interface_lag_id_ea1a1d12_fk_dcim_interface_id FOREIGN KEY (lag_id) REFERENCES public.dcim_interface(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: dcim_interface dcim_interface_module_id_05ca2da5_fk_dcim_module_id; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.dcim_interface
    ADD CONSTRAINT dcim_interface_module_id_05ca2da5_fk_dcim_module_id FOREIGN KEY (module_id) REFERENCES public.dcim_module(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: dcim_interface dcim_interface_parent_id_3e2b159b_fk_dcim_interface_id; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.dcim_interface
    ADD CONSTRAINT dcim_interface_parent_id_3e2b159b_fk_dcim_interface_id FOREIGN KEY (parent_id) REFERENCES public.dcim_interface(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: dcim_interface_tagged_vlans dcim_interface_tagge_interface_id_5870c9e9_fk_dcim_inte; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.dcim_interface_tagged_vlans
    ADD CONSTRAINT dcim_interface_tagge_interface_id_5870c9e9_fk_dcim_inte FOREIGN KEY (interface_id) REFERENCES public.dcim_interface(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: dcim_interface_tagged_vlans dcim_interface_tagged_vlans_vlan_id_e027005c_fk_ipam_vlan_id; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.dcim_interface_tagged_vlans
    ADD CONSTRAINT dcim_interface_tagged_vlans_vlan_id_e027005c_fk_ipam_vlan_id FOREIGN KEY (vlan_id) REFERENCES public.ipam_vlan(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: dcim_interface dcim_interface_untagged_vlan_id_838dc7be_fk_ipam_vlan_id; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.dcim_interface
    ADD CONSTRAINT dcim_interface_untagged_vlan_id_838dc7be_fk_ipam_vlan_id FOREIGN KEY (untagged_vlan_id) REFERENCES public.ipam_vlan(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: dcim_interface_vdcs dcim_interface_vdcs_interface_id_6d58dbaf_fk_dcim_interface_id; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.dcim_interface_vdcs
    ADD CONSTRAINT dcim_interface_vdcs_interface_id_6d58dbaf_fk_dcim_interface_id FOREIGN KEY (interface_id) REFERENCES public.dcim_interface(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: dcim_interface_vdcs dcim_interface_vdcs_virtualdevicecontext_af0bfd4b_fk_dcim_virt; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.dcim_interface_vdcs
    ADD CONSTRAINT dcim_interface_vdcs_virtualdevicecontext_af0bfd4b_fk_dcim_virt FOREIGN KEY (virtualdevicecontext_id) REFERENCES public.dcim_virtualdevicecontext(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: dcim_interface dcim_interface_vrf_id_a92e59b2_fk_ipam_vrf_id; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.dcim_interface
    ADD CONSTRAINT dcim_interface_vrf_id_a92e59b2_fk_ipam_vrf_id FOREIGN KEY (vrf_id) REFERENCES public.ipam_vrf(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: dcim_interface_wireless_lans dcim_interface_wirel_interface_id_80df3785_fk_dcim_inte; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.dcim_interface_wireless_lans
    ADD CONSTRAINT dcim_interface_wirel_interface_id_80df3785_fk_dcim_inte FOREIGN KEY (interface_id) REFERENCES public.dcim_interface(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: dcim_interface_wireless_lans dcim_interface_wirel_wirelesslan_id_f081e278_fk_wireless_; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.dcim_interface_wireless_lans
    ADD CONSTRAINT dcim_interface_wirel_wirelesslan_id_f081e278_fk_wireless_ FOREIGN KEY (wirelesslan_id) REFERENCES public.wireless_wirelesslan(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: dcim_interface dcim_interface_wireless_link_id_bc91108f_fk_wireless_; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.dcim_interface
    ADD CONSTRAINT dcim_interface_wireless_link_id_bc91108f_fk_wireless_ FOREIGN KEY (wireless_link_id) REFERENCES public.wireless_wirelesslink(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: dcim_interfacetemplate dcim_interfacetempla_bridge_id_4e44355b_fk_dcim_inte; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.dcim_interfacetemplate
    ADD CONSTRAINT dcim_interfacetempla_bridge_id_4e44355b_fk_dcim_inte FOREIGN KEY (bridge_id) REFERENCES public.dcim_interfacetemplate(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: dcim_interfacetemplate dcim_interfacetempla_device_type_id_4bfcbfab_fk_dcim_devi; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.dcim_interfacetemplate
    ADD CONSTRAINT dcim_interfacetempla_device_type_id_4bfcbfab_fk_dcim_devi FOREIGN KEY (device_type_id) REFERENCES public.dcim_devicetype(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: dcim_interfacetemplate dcim_interfacetempla_module_type_id_f941f180_fk_dcim_modu; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.dcim_interfacetemplate
    ADD CONSTRAINT dcim_interfacetempla_module_type_id_f941f180_fk_dcim_modu FOREIGN KEY (module_type_id) REFERENCES public.dcim_moduletype(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: dcim_inventoryitem dcim_inventoryitem_component_type_id_f0e4d83a_fk_django_co; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.dcim_inventoryitem
    ADD CONSTRAINT dcim_inventoryitem_component_type_id_f0e4d83a_fk_django_co FOREIGN KEY (component_type_id) REFERENCES public.django_content_type(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: dcim_inventoryitem dcim_inventoryitem_device_id_033d83f8_fk_dcim_device_id; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.dcim_inventoryitem
    ADD CONSTRAINT dcim_inventoryitem_device_id_033d83f8_fk_dcim_device_id FOREIGN KEY (device_id) REFERENCES public.dcim_device(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: dcim_inventoryitem dcim_inventoryitem_manufacturer_id_dcd1b78a_fk_dcim_manu; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.dcim_inventoryitem
    ADD CONSTRAINT dcim_inventoryitem_manufacturer_id_dcd1b78a_fk_dcim_manu FOREIGN KEY (manufacturer_id) REFERENCES public.dcim_manufacturer(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: dcim_inventoryitem dcim_inventoryitem_parent_id_7ebcd457_fk_dcim_inventoryitem_id; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.dcim_inventoryitem
    ADD CONSTRAINT dcim_inventoryitem_parent_id_7ebcd457_fk_dcim_inventoryitem_id FOREIGN KEY (parent_id) REFERENCES public.dcim_inventoryitem(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: dcim_inventoryitem dcim_inventoryitem_role_id_2bcfcb04_fk_dcim_inve; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.dcim_inventoryitem
    ADD CONSTRAINT dcim_inventoryitem_role_id_2bcfcb04_fk_dcim_inve FOREIGN KEY (role_id) REFERENCES public.dcim_inventoryitemrole(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: dcim_inventoryitemtemplate dcim_inventoryitemte_component_type_id_161623a2_fk_django_co; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.dcim_inventoryitemtemplate
    ADD CONSTRAINT dcim_inventoryitemte_component_type_id_161623a2_fk_django_co FOREIGN KEY (component_type_id) REFERENCES public.django_content_type(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: dcim_inventoryitemtemplate dcim_inventoryitemte_device_type_id_6a1be904_fk_dcim_devi; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.dcim_inventoryitemtemplate
    ADD CONSTRAINT dcim_inventoryitemte_device_type_id_6a1be904_fk_dcim_devi FOREIGN KEY (device_type_id) REFERENCES public.dcim_devicetype(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: dcim_inventoryitemtemplate dcim_inventoryitemte_manufacturer_id_b388c5d9_fk_dcim_manu; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.dcim_inventoryitemtemplate
    ADD CONSTRAINT dcim_inventoryitemte_manufacturer_id_b388c5d9_fk_dcim_manu FOREIGN KEY (manufacturer_id) REFERENCES public.dcim_manufacturer(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: dcim_inventoryitemtemplate dcim_inventoryitemte_parent_id_0dac73bb_fk_dcim_inve; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.dcim_inventoryitemtemplate
    ADD CONSTRAINT dcim_inventoryitemte_parent_id_0dac73bb_fk_dcim_inve FOREIGN KEY (parent_id) REFERENCES public.dcim_inventoryitemtemplate(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: dcim_inventoryitemtemplate dcim_inventoryitemte_role_id_292676e6_fk_dcim_inve; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.dcim_inventoryitemtemplate
    ADD CONSTRAINT dcim_inventoryitemte_role_id_292676e6_fk_dcim_inve FOREIGN KEY (role_id) REFERENCES public.dcim_inventoryitemrole(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: dcim_location dcim_location_parent_id_d77f3318_fk_dcim_location_id; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.dcim_location
    ADD CONSTRAINT dcim_location_parent_id_d77f3318_fk_dcim_location_id FOREIGN KEY (parent_id) REFERENCES public.dcim_location(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: dcim_location dcim_location_site_id_b55e975f_fk_dcim_site_id; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.dcim_location
    ADD CONSTRAINT dcim_location_site_id_b55e975f_fk_dcim_site_id FOREIGN KEY (site_id) REFERENCES public.dcim_site(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: dcim_location dcim_location_tenant_id_2c4df974_fk_tenancy_tenant_id; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.dcim_location
    ADD CONSTRAINT dcim_location_tenant_id_2c4df974_fk_tenancy_tenant_id FOREIGN KEY (tenant_id) REFERENCES public.tenancy_tenant(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: dcim_module dcim_module_device_id_53cfd5be_fk_dcim_device_id; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.dcim_module
    ADD CONSTRAINT dcim_module_device_id_53cfd5be_fk_dcim_device_id FOREIGN KEY (device_id) REFERENCES public.dcim_device(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: dcim_module dcim_module_module_bay_id_8a1bf3e2_fk_dcim_modulebay_id; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.dcim_module
    ADD CONSTRAINT dcim_module_module_bay_id_8a1bf3e2_fk_dcim_modulebay_id FOREIGN KEY (module_bay_id) REFERENCES public.dcim_modulebay(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: dcim_module dcim_module_module_type_id_a50b39fc_fk_dcim_moduletype_id; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.dcim_module
    ADD CONSTRAINT dcim_module_module_type_id_a50b39fc_fk_dcim_moduletype_id FOREIGN KEY (module_type_id) REFERENCES public.dcim_moduletype(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: dcim_modulebay dcim_modulebay_device_id_3526abc2_fk_dcim_device_id; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.dcim_modulebay
    ADD CONSTRAINT dcim_modulebay_device_id_3526abc2_fk_dcim_device_id FOREIGN KEY (device_id) REFERENCES public.dcim_device(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: dcim_modulebaytemplate dcim_modulebaytempla_device_type_id_9eaf9bd3_fk_dcim_devi; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.dcim_modulebaytemplate
    ADD CONSTRAINT dcim_modulebaytempla_device_type_id_9eaf9bd3_fk_dcim_devi FOREIGN KEY (device_type_id) REFERENCES public.dcim_devicetype(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: dcim_moduletype dcim_moduletype_manufacturer_id_7347392e_fk_dcim_manu; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.dcim_moduletype
    ADD CONSTRAINT dcim_moduletype_manufacturer_id_7347392e_fk_dcim_manu FOREIGN KEY (manufacturer_id) REFERENCES public.dcim_manufacturer(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: dcim_platform dcim_platform_config_template_id_013a4d3c_fk_extras_co; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.dcim_platform
    ADD CONSTRAINT dcim_platform_config_template_id_013a4d3c_fk_extras_co FOREIGN KEY (config_template_id) REFERENCES public.extras_configtemplate(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: dcim_platform dcim_platform_manufacturer_id_83f72d3d_fk_dcim_manufacturer_id; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.dcim_platform
    ADD CONSTRAINT dcim_platform_manufacturer_id_83f72d3d_fk_dcim_manufacturer_id FOREIGN KEY (manufacturer_id) REFERENCES public.dcim_manufacturer(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: dcim_powerfeed dcim_powerfeed__path_id_a1ea1f28_fk_dcim_cablepath_id; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.dcim_powerfeed
    ADD CONSTRAINT dcim_powerfeed__path_id_a1ea1f28_fk_dcim_cablepath_id FOREIGN KEY (_path_id) REFERENCES public.dcim_cablepath(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: dcim_powerfeed dcim_powerfeed_cable_id_ec44c4f8_fk_dcim_cable_id; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.dcim_powerfeed
    ADD CONSTRAINT dcim_powerfeed_cable_id_ec44c4f8_fk_dcim_cable_id FOREIGN KEY (cable_id) REFERENCES public.dcim_cable(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: dcim_powerfeed dcim_powerfeed_power_panel_id_32bde3be_fk_dcim_powerpanel_id; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.dcim_powerfeed
    ADD CONSTRAINT dcim_powerfeed_power_panel_id_32bde3be_fk_dcim_powerpanel_id FOREIGN KEY (power_panel_id) REFERENCES public.dcim_powerpanel(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: dcim_powerfeed dcim_powerfeed_rack_id_7abba090_fk_dcim_rack_id; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.dcim_powerfeed
    ADD CONSTRAINT dcim_powerfeed_rack_id_7abba090_fk_dcim_rack_id FOREIGN KEY (rack_id) REFERENCES public.dcim_rack(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: dcim_powerfeed dcim_powerfeed_tenant_id_947bee85_fk_tenancy_tenant_id; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.dcim_powerfeed
    ADD CONSTRAINT dcim_powerfeed_tenant_id_947bee85_fk_tenancy_tenant_id FOREIGN KEY (tenant_id) REFERENCES public.tenancy_tenant(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: dcim_poweroutlet dcim_poweroutlet__path_id_cbb47bb9_fk_dcim_cablepath_id; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.dcim_poweroutlet
    ADD CONSTRAINT dcim_poweroutlet__path_id_cbb47bb9_fk_dcim_cablepath_id FOREIGN KEY (_path_id) REFERENCES public.dcim_cablepath(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: dcim_poweroutlet dcim_poweroutlet_cable_id_8dbea1ec_fk_dcim_cable_id; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.dcim_poweroutlet
    ADD CONSTRAINT dcim_poweroutlet_cable_id_8dbea1ec_fk_dcim_cable_id FOREIGN KEY (cable_id) REFERENCES public.dcim_cable(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: dcim_poweroutlet dcim_poweroutlet_device_id_286351d7_fk_dcim_device_id; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.dcim_poweroutlet
    ADD CONSTRAINT dcim_poweroutlet_device_id_286351d7_fk_dcim_device_id FOREIGN KEY (device_id) REFERENCES public.dcim_device(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: dcim_poweroutlet dcim_poweroutlet_module_id_032f5af2_fk_dcim_module_id; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.dcim_poweroutlet
    ADD CONSTRAINT dcim_poweroutlet_module_id_032f5af2_fk_dcim_module_id FOREIGN KEY (module_id) REFERENCES public.dcim_module(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: dcim_poweroutlet dcim_poweroutlet_power_port_id_9bdf4163_fk_dcim_powerport_id; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.dcim_poweroutlet
    ADD CONSTRAINT dcim_poweroutlet_power_port_id_9bdf4163_fk_dcim_powerport_id FOREIGN KEY (power_port_id) REFERENCES public.dcim_powerport(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: dcim_poweroutlettemplate dcim_poweroutlettemp_device_type_id_26b2316c_fk_dcim_devi; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.dcim_poweroutlettemplate
    ADD CONSTRAINT dcim_poweroutlettemp_device_type_id_26b2316c_fk_dcim_devi FOREIGN KEY (device_type_id) REFERENCES public.dcim_devicetype(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: dcim_poweroutlettemplate dcim_poweroutlettemp_module_type_id_6142b416_fk_dcim_modu; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.dcim_poweroutlettemplate
    ADD CONSTRAINT dcim_poweroutlettemp_module_type_id_6142b416_fk_dcim_modu FOREIGN KEY (module_type_id) REFERENCES public.dcim_moduletype(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: dcim_poweroutlettemplate dcim_poweroutlettemp_power_port_id_c0fb0c42_fk_dcim_powe; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.dcim_poweroutlettemplate
    ADD CONSTRAINT dcim_poweroutlettemp_power_port_id_c0fb0c42_fk_dcim_powe FOREIGN KEY (power_port_id) REFERENCES public.dcim_powerporttemplate(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: dcim_powerpanel dcim_powerpanel_location_id_474b60f8_fk_dcim_location_id; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.dcim_powerpanel
    ADD CONSTRAINT dcim_powerpanel_location_id_474b60f8_fk_dcim_location_id FOREIGN KEY (location_id) REFERENCES public.dcim_location(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: dcim_powerpanel dcim_powerpanel_site_id_c430bc89_fk_dcim_site_id; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.dcim_powerpanel
    ADD CONSTRAINT dcim_powerpanel_site_id_c430bc89_fk_dcim_site_id FOREIGN KEY (site_id) REFERENCES public.dcim_site(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: dcim_powerport dcim_powerport__path_id_9fe4af8f_fk_dcim_cablepath_id; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.dcim_powerport
    ADD CONSTRAINT dcim_powerport__path_id_9fe4af8f_fk_dcim_cablepath_id FOREIGN KEY (_path_id) REFERENCES public.dcim_cablepath(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: dcim_powerport dcim_powerport_cable_id_c9682ba2_fk_dcim_cable_id; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.dcim_powerport
    ADD CONSTRAINT dcim_powerport_cable_id_c9682ba2_fk_dcim_cable_id FOREIGN KEY (cable_id) REFERENCES public.dcim_cable(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: dcim_powerport dcim_powerport_device_id_ef7185ae_fk_dcim_device_id; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.dcim_powerport
    ADD CONSTRAINT dcim_powerport_device_id_ef7185ae_fk_dcim_device_id FOREIGN KEY (device_id) REFERENCES public.dcim_device(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: dcim_powerport dcim_powerport_module_id_d0c27534_fk_dcim_module_id; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.dcim_powerport
    ADD CONSTRAINT dcim_powerport_module_id_d0c27534_fk_dcim_module_id FOREIGN KEY (module_id) REFERENCES public.dcim_module(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: dcim_powerporttemplate dcim_powerporttempla_device_type_id_1ddfbfcc_fk_dcim_devi; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.dcim_powerporttemplate
    ADD CONSTRAINT dcim_powerporttempla_device_type_id_1ddfbfcc_fk_dcim_devi FOREIGN KEY (device_type_id) REFERENCES public.dcim_devicetype(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: dcim_powerporttemplate dcim_powerporttempla_module_type_id_93e26849_fk_dcim_modu; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.dcim_powerporttemplate
    ADD CONSTRAINT dcim_powerporttempla_module_type_id_93e26849_fk_dcim_modu FOREIGN KEY (module_type_id) REFERENCES public.dcim_moduletype(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: dcim_rack dcim_rack_location_id_5f63ec31_fk_dcim_location_id; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.dcim_rack
    ADD CONSTRAINT dcim_rack_location_id_5f63ec31_fk_dcim_location_id FOREIGN KEY (location_id) REFERENCES public.dcim_location(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: dcim_rack dcim_rack_role_id_62d6919e_fk_dcim_rackrole_id; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.dcim_rack
    ADD CONSTRAINT dcim_rack_role_id_62d6919e_fk_dcim_rackrole_id FOREIGN KEY (role_id) REFERENCES public.dcim_rackrole(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: dcim_rack dcim_rack_site_id_403c7b3a_fk_dcim_site_id; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.dcim_rack
    ADD CONSTRAINT dcim_rack_site_id_403c7b3a_fk_dcim_site_id FOREIGN KEY (site_id) REFERENCES public.dcim_site(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: dcim_rack dcim_rack_tenant_id_7cdf3725_fk_tenancy_tenant_id; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.dcim_rack
    ADD CONSTRAINT dcim_rack_tenant_id_7cdf3725_fk_tenancy_tenant_id FOREIGN KEY (tenant_id) REFERENCES public.tenancy_tenant(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: dcim_rackreservation dcim_rackreservation_rack_id_1ebbaa9b_fk_dcim_rack_id; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.dcim_rackreservation
    ADD CONSTRAINT dcim_rackreservation_rack_id_1ebbaa9b_fk_dcim_rack_id FOREIGN KEY (rack_id) REFERENCES public.dcim_rack(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: dcim_rackreservation dcim_rackreservation_tenant_id_eb5e045f_fk_tenancy_tenant_id; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.dcim_rackreservation
    ADD CONSTRAINT dcim_rackreservation_tenant_id_eb5e045f_fk_tenancy_tenant_id FOREIGN KEY (tenant_id) REFERENCES public.tenancy_tenant(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: dcim_rackreservation dcim_rackreservation_user_id_0785a527_fk_auth_user_id; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.dcim_rackreservation
    ADD CONSTRAINT dcim_rackreservation_user_id_0785a527_fk_auth_user_id FOREIGN KEY (user_id) REFERENCES public.auth_user(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: dcim_rearport dcim_rearport_cable_id_42c0e4e7_fk_dcim_cable_id; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.dcim_rearport
    ADD CONSTRAINT dcim_rearport_cable_id_42c0e4e7_fk_dcim_cable_id FOREIGN KEY (cable_id) REFERENCES public.dcim_cable(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: dcim_rearport dcim_rearport_device_id_0bdfe9c0_fk_dcim_device_id; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.dcim_rearport
    ADD CONSTRAINT dcim_rearport_device_id_0bdfe9c0_fk_dcim_device_id FOREIGN KEY (device_id) REFERENCES public.dcim_device(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: dcim_rearport dcim_rearport_module_id_9a7b7e91_fk_dcim_module_id; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.dcim_rearport
    ADD CONSTRAINT dcim_rearport_module_id_9a7b7e91_fk_dcim_module_id FOREIGN KEY (module_id) REFERENCES public.dcim_module(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: dcim_rearporttemplate dcim_rearporttemplat_device_type_id_6a02fd01_fk_dcim_devi; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.dcim_rearporttemplate
    ADD CONSTRAINT dcim_rearporttemplat_device_type_id_6a02fd01_fk_dcim_devi FOREIGN KEY (device_type_id) REFERENCES public.dcim_devicetype(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: dcim_rearporttemplate dcim_rearporttemplat_module_type_id_4d970e5b_fk_dcim_modu; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.dcim_rearporttemplate
    ADD CONSTRAINT dcim_rearporttemplat_module_type_id_4d970e5b_fk_dcim_modu FOREIGN KEY (module_type_id) REFERENCES public.dcim_moduletype(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: dcim_region dcim_region_parent_id_2486f5d4_fk_dcim_region_id; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.dcim_region
    ADD CONSTRAINT dcim_region_parent_id_2486f5d4_fk_dcim_region_id FOREIGN KEY (parent_id) REFERENCES public.dcim_region(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: dcim_site_asns dcim_site_asns_asn_id_3cfd0f00_fk_ipam_asn_id; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.dcim_site_asns
    ADD CONSTRAINT dcim_site_asns_asn_id_3cfd0f00_fk_ipam_asn_id FOREIGN KEY (asn_id) REFERENCES public.ipam_asn(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: dcim_site_asns dcim_site_asns_site_id_112ccacf_fk_dcim_site_id; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.dcim_site_asns
    ADD CONSTRAINT dcim_site_asns_site_id_112ccacf_fk_dcim_site_id FOREIGN KEY (site_id) REFERENCES public.dcim_site(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: dcim_site dcim_site_group_id_3910c975_fk_dcim_sitegroup_id; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.dcim_site
    ADD CONSTRAINT dcim_site_group_id_3910c975_fk_dcim_sitegroup_id FOREIGN KEY (group_id) REFERENCES public.dcim_sitegroup(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: dcim_site dcim_site_region_id_45210932_fk_dcim_region_id; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.dcim_site
    ADD CONSTRAINT dcim_site_region_id_45210932_fk_dcim_region_id FOREIGN KEY (region_id) REFERENCES public.dcim_region(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: dcim_site dcim_site_tenant_id_15e7df63_fk_tenancy_tenant_id; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.dcim_site
    ADD CONSTRAINT dcim_site_tenant_id_15e7df63_fk_tenancy_tenant_id FOREIGN KEY (tenant_id) REFERENCES public.tenancy_tenant(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: dcim_sitegroup dcim_sitegroup_parent_id_533a5e44_fk_dcim_sitegroup_id; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.dcim_sitegroup
    ADD CONSTRAINT dcim_sitegroup_parent_id_533a5e44_fk_dcim_sitegroup_id FOREIGN KEY (parent_id) REFERENCES public.dcim_sitegroup(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: dcim_virtualchassis dcim_virtualchassis_master_id_ab54cfc6_fk_dcim_device_id; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.dcim_virtualchassis
    ADD CONSTRAINT dcim_virtualchassis_master_id_ab54cfc6_fk_dcim_device_id FOREIGN KEY (master_id) REFERENCES public.dcim_device(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: dcim_virtualdevicecontext dcim_virtualdeviceco_primary_ip4_id_6bd0605b_fk_ipam_ipad; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.dcim_virtualdevicecontext
    ADD CONSTRAINT dcim_virtualdeviceco_primary_ip4_id_6bd0605b_fk_ipam_ipad FOREIGN KEY (primary_ip4_id) REFERENCES public.ipam_ipaddress(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: dcim_virtualdevicecontext dcim_virtualdeviceco_primary_ip6_id_ed3b81bd_fk_ipam_ipad; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.dcim_virtualdevicecontext
    ADD CONSTRAINT dcim_virtualdeviceco_primary_ip6_id_ed3b81bd_fk_ipam_ipad FOREIGN KEY (primary_ip6_id) REFERENCES public.ipam_ipaddress(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: dcim_virtualdevicecontext dcim_virtualdeviceco_tenant_id_b6a21753_fk_tenancy_t; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.dcim_virtualdevicecontext
    ADD CONSTRAINT dcim_virtualdeviceco_tenant_id_b6a21753_fk_tenancy_t FOREIGN KEY (tenant_id) REFERENCES public.tenancy_tenant(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: dcim_virtualdevicecontext dcim_virtualdevicecontext_device_id_4f39274b_fk_dcim_device_id; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.dcim_virtualdevicecontext
    ADD CONSTRAINT dcim_virtualdevicecontext_device_id_4f39274b_fk_dcim_device_id FOREIGN KEY (device_id) REFERENCES public.dcim_device(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: django_admin_log django_admin_log_content_type_id_c4bce8eb_fk_django_co; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.django_admin_log
    ADD CONSTRAINT django_admin_log_content_type_id_c4bce8eb_fk_django_co FOREIGN KEY (content_type_id) REFERENCES public.django_content_type(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: django_admin_log django_admin_log_user_id_c564eba6_fk_auth_user_id; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.django_admin_log
    ADD CONSTRAINT django_admin_log_user_id_c564eba6_fk_auth_user_id FOREIGN KEY (user_id) REFERENCES public.auth_user(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: extras_bookmark extras_bookmark_object_type_id_18c4bb44_fk_django_co; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.extras_bookmark
    ADD CONSTRAINT extras_bookmark_object_type_id_18c4bb44_fk_django_co FOREIGN KEY (object_type_id) REFERENCES public.django_content_type(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: extras_bookmark extras_bookmark_user_id_cb6c6677_fk_auth_user_id; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.extras_bookmark
    ADD CONSTRAINT extras_bookmark_user_id_cb6c6677_fk_auth_user_id FOREIGN KEY (user_id) REFERENCES public.auth_user(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: extras_branch extras_branch_user_id_a6cfd338_fk_auth_user_id; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.extras_branch
    ADD CONSTRAINT extras_branch_user_id_a6cfd338_fk_auth_user_id FOREIGN KEY (user_id) REFERENCES public.auth_user(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: extras_cachedvalue extras_cachedvalue_object_type_id_6f47d444_fk_django_co; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.extras_cachedvalue
    ADD CONSTRAINT extras_cachedvalue_object_type_id_6f47d444_fk_django_co FOREIGN KEY (object_type_id) REFERENCES public.django_content_type(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: extras_configcontext_clusters extras_configcontext_cluster_id_6abd47a1_fk_virtualiz; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.extras_configcontext_clusters
    ADD CONSTRAINT extras_configcontext_cluster_id_6abd47a1_fk_virtualiz FOREIGN KEY (cluster_id) REFERENCES public.virtualization_cluster(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: extras_configcontext_cluster_groups extras_configcontext_clustergroup_id_f4322ce8_fk_virtualiz; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.extras_configcontext_cluster_groups
    ADD CONSTRAINT extras_configcontext_clustergroup_id_f4322ce8_fk_virtualiz FOREIGN KEY (clustergroup_id) REFERENCES public.virtualization_clustergroup(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: extras_configcontext_cluster_types extras_configcontext_clustertype_id_fa493b64_fk_virtualiz; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.extras_configcontext_cluster_types
    ADD CONSTRAINT extras_configcontext_clustertype_id_fa493b64_fk_virtualiz FOREIGN KEY (clustertype_id) REFERENCES public.virtualization_clustertype(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: extras_configcontext_platforms extras_configcontext_configcontext_id_2a516699_fk_extras_co; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.extras_configcontext_platforms
    ADD CONSTRAINT extras_configcontext_configcontext_id_2a516699_fk_extras_co FOREIGN KEY (configcontext_id) REFERENCES public.extras_configcontext(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: extras_configcontext_site_groups extras_configcontext_configcontext_id_2e0f43cb_fk_extras_co; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.extras_configcontext_site_groups
    ADD CONSTRAINT extras_configcontext_configcontext_id_2e0f43cb_fk_extras_co FOREIGN KEY (configcontext_id) REFERENCES public.extras_configcontext(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: extras_configcontext_device_types extras_configcontext_configcontext_id_55632923_fk_extras_co; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.extras_configcontext_device_types
    ADD CONSTRAINT extras_configcontext_configcontext_id_55632923_fk_extras_co FOREIGN KEY (configcontext_id) REFERENCES public.extras_configcontext(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: extras_configcontext_roles extras_configcontext_configcontext_id_59b67386_fk_extras_co; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.extras_configcontext_roles
    ADD CONSTRAINT extras_configcontext_configcontext_id_59b67386_fk_extras_co FOREIGN KEY (configcontext_id) REFERENCES public.extras_configcontext(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: extras_configcontext_tags extras_configcontext_configcontext_id_64a392b1_fk_extras_co; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.extras_configcontext_tags
    ADD CONSTRAINT extras_configcontext_configcontext_id_64a392b1_fk_extras_co FOREIGN KEY (configcontext_id) REFERENCES public.extras_configcontext(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: extras_configcontext_regions extras_configcontext_configcontext_id_73003dbc_fk_extras_co; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.extras_configcontext_regions
    ADD CONSTRAINT extras_configcontext_configcontext_id_73003dbc_fk_extras_co FOREIGN KEY (configcontext_id) REFERENCES public.extras_configcontext(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: extras_configcontext_sites extras_configcontext_configcontext_id_8c54feb9_fk_extras_co; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.extras_configcontext_sites
    ADD CONSTRAINT extras_configcontext_configcontext_id_8c54feb9_fk_extras_co FOREIGN KEY (configcontext_id) REFERENCES public.extras_configcontext(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: extras_configcontext_cluster_groups extras_configcontext_configcontext_id_8f50b794_fk_extras_co; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.extras_configcontext_cluster_groups
    ADD CONSTRAINT extras_configcontext_configcontext_id_8f50b794_fk_extras_co FOREIGN KEY (configcontext_id) REFERENCES public.extras_configcontext(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: extras_configcontext_tenant_groups extras_configcontext_configcontext_id_92f68345_fk_extras_co; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.extras_configcontext_tenant_groups
    ADD CONSTRAINT extras_configcontext_configcontext_id_92f68345_fk_extras_co FOREIGN KEY (configcontext_id) REFERENCES public.extras_configcontext(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: extras_configcontext_tenants extras_configcontext_configcontext_id_b53552a6_fk_extras_co; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.extras_configcontext_tenants
    ADD CONSTRAINT extras_configcontext_configcontext_id_b53552a6_fk_extras_co FOREIGN KEY (configcontext_id) REFERENCES public.extras_configcontext(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: extras_configcontext_locations extras_configcontext_configcontext_id_cc629ec1_fk_extras_co; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.extras_configcontext_locations
    ADD CONSTRAINT extras_configcontext_configcontext_id_cc629ec1_fk_extras_co FOREIGN KEY (configcontext_id) REFERENCES public.extras_configcontext(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: extras_configcontext_cluster_types extras_configcontext_configcontext_id_d549b6f2_fk_extras_co; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.extras_configcontext_cluster_types
    ADD CONSTRAINT extras_configcontext_configcontext_id_d549b6f2_fk_extras_co FOREIGN KEY (configcontext_id) REFERENCES public.extras_configcontext(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: extras_configcontext_clusters extras_configcontext_configcontext_id_ed579a40_fk_extras_co; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.extras_configcontext_clusters
    ADD CONSTRAINT extras_configcontext_configcontext_id_ed579a40_fk_extras_co FOREIGN KEY (configcontext_id) REFERENCES public.extras_configcontext(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: extras_configcontext extras_configcontext_data_file_id_8fdd620b_fk_core_datafile_id; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.extras_configcontext
    ADD CONSTRAINT extras_configcontext_data_file_id_8fdd620b_fk_core_datafile_id FOREIGN KEY (data_file_id) REFERENCES public.core_datafile(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: extras_configcontext extras_configcontext_data_source_id_1b2eb8af_fk_core_data; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.extras_configcontext
    ADD CONSTRAINT extras_configcontext_data_source_id_1b2eb8af_fk_core_data FOREIGN KEY (data_source_id) REFERENCES public.core_datasource(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: extras_configcontext_roles extras_configcontext_devicerole_id_d3a84813_fk_dcim_devi; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.extras_configcontext_roles
    ADD CONSTRAINT extras_configcontext_devicerole_id_d3a84813_fk_dcim_devi FOREIGN KEY (devicerole_id) REFERENCES public.dcim_devicerole(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: extras_configcontext_device_types extras_configcontext_devicetype_id_b8788c2d_fk_dcim_devi; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.extras_configcontext_device_types
    ADD CONSTRAINT extras_configcontext_devicetype_id_b8788c2d_fk_dcim_devi FOREIGN KEY (devicetype_id) REFERENCES public.dcim_devicetype(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: extras_configcontext_locations extras_configcontext_location_id_9e19eac9_fk_dcim_loca; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.extras_configcontext_locations
    ADD CONSTRAINT extras_configcontext_location_id_9e19eac9_fk_dcim_loca FOREIGN KEY (location_id) REFERENCES public.dcim_location(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: extras_configcontext_platforms extras_configcontext_platform_id_3fdfedc0_fk_dcim_plat; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.extras_configcontext_platforms
    ADD CONSTRAINT extras_configcontext_platform_id_3fdfedc0_fk_dcim_plat FOREIGN KEY (platform_id) REFERENCES public.dcim_platform(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: extras_configcontext_regions extras_configcontext_region_id_35c6ba9d_fk_dcim_regi; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.extras_configcontext_regions
    ADD CONSTRAINT extras_configcontext_region_id_35c6ba9d_fk_dcim_regi FOREIGN KEY (region_id) REFERENCES public.dcim_region(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: extras_configcontext_site_groups extras_configcontext_sitegroup_id_3287c9e7_fk_dcim_site; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.extras_configcontext_site_groups
    ADD CONSTRAINT extras_configcontext_sitegroup_id_3287c9e7_fk_dcim_site FOREIGN KEY (sitegroup_id) REFERENCES public.dcim_sitegroup(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: extras_configcontext_sites extras_configcontext_sites_site_id_cbb76c96_fk_dcim_site_id; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.extras_configcontext_sites
    ADD CONSTRAINT extras_configcontext_sites_site_id_cbb76c96_fk_dcim_site_id FOREIGN KEY (site_id) REFERENCES public.dcim_site(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: extras_configcontext_tags extras_configcontext_tags_tag_id_129a5d87_fk_extras_tag_id; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.extras_configcontext_tags
    ADD CONSTRAINT extras_configcontext_tags_tag_id_129a5d87_fk_extras_tag_id FOREIGN KEY (tag_id) REFERENCES public.extras_tag(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: extras_configcontext_tenants extras_configcontext_tenant_id_8d0aa28e_fk_tenancy_t; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.extras_configcontext_tenants
    ADD CONSTRAINT extras_configcontext_tenant_id_8d0aa28e_fk_tenancy_t FOREIGN KEY (tenant_id) REFERENCES public.tenancy_tenant(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: extras_configcontext_tenant_groups extras_configcontext_tenantgroup_id_0909688d_fk_tenancy_t; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.extras_configcontext_tenant_groups
    ADD CONSTRAINT extras_configcontext_tenantgroup_id_0909688d_fk_tenancy_t FOREIGN KEY (tenantgroup_id) REFERENCES public.tenancy_tenantgroup(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: extras_configtemplate extras_configtemplat_data_source_id_f9d26d5d_fk_core_data; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.extras_configtemplate
    ADD CONSTRAINT extras_configtemplat_data_source_id_f9d26d5d_fk_core_data FOREIGN KEY (data_source_id) REFERENCES public.core_datasource(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: extras_configtemplate extras_configtemplate_data_file_id_20c7cff4_fk_core_datafile_id; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.extras_configtemplate
    ADD CONSTRAINT extras_configtemplate_data_file_id_20c7cff4_fk_core_datafile_id FOREIGN KEY (data_file_id) REFERENCES public.core_datafile(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: extras_customfield_content_types extras_customfield_c_contenttype_id_2997ba90_fk_django_co; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.extras_customfield_content_types
    ADD CONSTRAINT extras_customfield_c_contenttype_id_2997ba90_fk_django_co FOREIGN KEY (contenttype_id) REFERENCES public.django_content_type(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: extras_customfield_content_types extras_customfield_c_customfield_id_3842aaf3_fk_extras_cu; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.extras_customfield_content_types
    ADD CONSTRAINT extras_customfield_c_customfield_id_3842aaf3_fk_extras_cu FOREIGN KEY (customfield_id) REFERENCES public.extras_customfield(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: extras_customfield extras_customfield_choice_set_id_5590efc2_fk_extras_cu; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.extras_customfield
    ADD CONSTRAINT extras_customfield_choice_set_id_5590efc2_fk_extras_cu FOREIGN KEY (choice_set_id) REFERENCES public.extras_customfieldchoiceset(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: extras_customfield extras_customfield_object_type_id_489f2239_fk_django_co; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.extras_customfield
    ADD CONSTRAINT extras_customfield_object_type_id_489f2239_fk_django_co FOREIGN KEY (object_type_id) REFERENCES public.django_content_type(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: extras_customlink_content_types extras_customlink_co_contenttype_id_df5f34c2_fk_django_co; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.extras_customlink_content_types
    ADD CONSTRAINT extras_customlink_co_contenttype_id_df5f34c2_fk_django_co FOREIGN KEY (contenttype_id) REFERENCES public.django_content_type(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: extras_customlink_content_types extras_customlink_co_customlink_id_229ba2bc_fk_extras_cu; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.extras_customlink_content_types
    ADD CONSTRAINT extras_customlink_co_customlink_id_229ba2bc_fk_extras_cu FOREIGN KEY (customlink_id) REFERENCES public.extras_customlink(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: extras_dashboard extras_dashboard_user_id_f1e1278b_fk_auth_user_id; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.extras_dashboard
    ADD CONSTRAINT extras_dashboard_user_id_f1e1278b_fk_auth_user_id FOREIGN KEY (user_id) REFERENCES public.auth_user(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: extras_exporttemplate_content_types extras_exporttemplat_contenttype_id_d80a5164_fk_django_co; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.extras_exporttemplate_content_types
    ADD CONSTRAINT extras_exporttemplat_contenttype_id_d80a5164_fk_django_co FOREIGN KEY (contenttype_id) REFERENCES public.django_content_type(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: extras_exporttemplate extras_exporttemplat_data_source_id_d61d0feb_fk_core_data; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.extras_exporttemplate
    ADD CONSTRAINT extras_exporttemplat_data_source_id_d61d0feb_fk_core_data FOREIGN KEY (data_source_id) REFERENCES public.core_datasource(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: extras_exporttemplate_content_types extras_exporttemplat_exporttemplate_id_7645f081_fk_extras_ex; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.extras_exporttemplate_content_types
    ADD CONSTRAINT extras_exporttemplat_exporttemplate_id_7645f081_fk_extras_ex FOREIGN KEY (exporttemplate_id) REFERENCES public.extras_exporttemplate(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: extras_exporttemplate extras_exporttemplate_data_file_id_40a91ef8_fk_core_datafile_id; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.extras_exporttemplate
    ADD CONSTRAINT extras_exporttemplate_data_file_id_40a91ef8_fk_core_datafile_id FOREIGN KEY (data_file_id) REFERENCES public.core_datafile(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: extras_imageattachment extras_imageattachme_content_type_id_90e0643d_fk_django_co; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.extras_imageattachment
    ADD CONSTRAINT extras_imageattachme_content_type_id_90e0643d_fk_django_co FOREIGN KEY (content_type_id) REFERENCES public.django_content_type(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: extras_journalentry extras_journalentry_assigned_object_type_1bba9f68_fk_django_co; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.extras_journalentry
    ADD CONSTRAINT extras_journalentry_assigned_object_type_1bba9f68_fk_django_co FOREIGN KEY (assigned_object_type_id) REFERENCES public.django_content_type(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: extras_journalentry extras_journalentry_created_by_id_8d4e4329_fk_auth_user_id; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.extras_journalentry
    ADD CONSTRAINT extras_journalentry_created_by_id_8d4e4329_fk_auth_user_id FOREIGN KEY (created_by_id) REFERENCES public.auth_user(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: extras_objectchange extras_objectchange_changed_object_type__b755bb60_fk_django_co; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.extras_objectchange
    ADD CONSTRAINT extras_objectchange_changed_object_type__b755bb60_fk_django_co FOREIGN KEY (changed_object_type_id) REFERENCES public.django_content_type(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: extras_objectchange extras_objectchange_related_object_type__fe6e521f_fk_django_co; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.extras_objectchange
    ADD CONSTRAINT extras_objectchange_related_object_type__fe6e521f_fk_django_co FOREIGN KEY (related_object_type_id) REFERENCES public.django_content_type(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: extras_objectchange extras_objectchange_user_id_7fdf8186_fk_auth_user_id; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.extras_objectchange
    ADD CONSTRAINT extras_objectchange_user_id_7fdf8186_fk_auth_user_id FOREIGN KEY (user_id) REFERENCES public.auth_user(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: extras_savedfilter_content_types extras_savedfilter_c_contenttype_id_929cea22_fk_django_co; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.extras_savedfilter_content_types
    ADD CONSTRAINT extras_savedfilter_c_contenttype_id_929cea22_fk_django_co FOREIGN KEY (contenttype_id) REFERENCES public.django_content_type(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: extras_savedfilter_content_types extras_savedfilter_c_savedfilter_id_1631b88b_fk_extras_sa; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.extras_savedfilter_content_types
    ADD CONSTRAINT extras_savedfilter_c_savedfilter_id_1631b88b_fk_extras_sa FOREIGN KEY (savedfilter_id) REFERENCES public.extras_savedfilter(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: extras_savedfilter extras_savedfilter_user_id_10502e81_fk_auth_user_id; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.extras_savedfilter
    ADD CONSTRAINT extras_savedfilter_user_id_10502e81_fk_auth_user_id FOREIGN KEY (user_id) REFERENCES public.auth_user(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: extras_stagedchange extras_stagedchange_branch_id_44893052_fk_extras_branch_id; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.extras_stagedchange
    ADD CONSTRAINT extras_stagedchange_branch_id_44893052_fk_extras_branch_id FOREIGN KEY (branch_id) REFERENCES public.extras_branch(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: extras_stagedchange extras_stagedchange_object_type_id_de76b05b_fk_django_co; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.extras_stagedchange
    ADD CONSTRAINT extras_stagedchange_object_type_id_de76b05b_fk_django_co FOREIGN KEY (object_type_id) REFERENCES public.django_content_type(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: extras_tag_object_types extras_tag_object_ty_contenttype_id_c1b220c3_fk_django_co; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.extras_tag_object_types
    ADD CONSTRAINT extras_tag_object_ty_contenttype_id_c1b220c3_fk_django_co FOREIGN KEY (contenttype_id) REFERENCES public.django_content_type(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: extras_tag_object_types extras_tag_object_types_tag_id_2e1aab29_fk_extras_tag_id; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.extras_tag_object_types
    ADD CONSTRAINT extras_tag_object_types_tag_id_2e1aab29_fk_extras_tag_id FOREIGN KEY (tag_id) REFERENCES public.extras_tag(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: extras_taggeditem extras_taggeditem_content_type_id_ba5562ed_fk_django_co; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.extras_taggeditem
    ADD CONSTRAINT extras_taggeditem_content_type_id_ba5562ed_fk_django_co FOREIGN KEY (content_type_id) REFERENCES public.django_content_type(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: extras_taggeditem extras_taggeditem_tag_id_d48af7c7_fk_extras_tag_id; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.extras_taggeditem
    ADD CONSTRAINT extras_taggeditem_tag_id_d48af7c7_fk_extras_tag_id FOREIGN KEY (tag_id) REFERENCES public.extras_tag(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: extras_webhook_content_types extras_webhook_conte_contenttype_id_3fc2c4d3_fk_django_co; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.extras_webhook_content_types
    ADD CONSTRAINT extras_webhook_conte_contenttype_id_3fc2c4d3_fk_django_co FOREIGN KEY (contenttype_id) REFERENCES public.django_content_type(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: extras_webhook_content_types extras_webhook_conte_webhook_id_0c169800_fk_extras_we; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.extras_webhook_content_types
    ADD CONSTRAINT extras_webhook_conte_webhook_id_0c169800_fk_extras_we FOREIGN KEY (webhook_id) REFERENCES public.extras_webhook(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: ipam_aggregate ipam_aggregate_rir_id_ef7a27bd_fk_ipam_rir_id; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.ipam_aggregate
    ADD CONSTRAINT ipam_aggregate_rir_id_ef7a27bd_fk_ipam_rir_id FOREIGN KEY (rir_id) REFERENCES public.ipam_rir(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: ipam_aggregate ipam_aggregate_tenant_id_637dd1a1_fk_tenancy_tenant_id; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.ipam_aggregate
    ADD CONSTRAINT ipam_aggregate_tenant_id_637dd1a1_fk_tenancy_tenant_id FOREIGN KEY (tenant_id) REFERENCES public.tenancy_tenant(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: ipam_asn ipam_asn_rir_id_f5ad3cff_fk_ipam_rir_id; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.ipam_asn
    ADD CONSTRAINT ipam_asn_rir_id_f5ad3cff_fk_ipam_rir_id FOREIGN KEY (rir_id) REFERENCES public.ipam_rir(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: ipam_asn ipam_asn_tenant_id_07e8188e_fk_tenancy_tenant_id; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.ipam_asn
    ADD CONSTRAINT ipam_asn_tenant_id_07e8188e_fk_tenancy_tenant_id FOREIGN KEY (tenant_id) REFERENCES public.tenancy_tenant(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: ipam_asnrange ipam_asnrange_rir_id_c9c31183_fk_ipam_rir_id; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.ipam_asnrange
    ADD CONSTRAINT ipam_asnrange_rir_id_c9c31183_fk_ipam_rir_id FOREIGN KEY (rir_id) REFERENCES public.ipam_rir(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: ipam_asnrange ipam_asnrange_tenant_id_ed8f80b7_fk_tenancy_tenant_id; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.ipam_asnrange
    ADD CONSTRAINT ipam_asnrange_tenant_id_ed8f80b7_fk_tenancy_tenant_id FOREIGN KEY (tenant_id) REFERENCES public.tenancy_tenant(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: ipam_fhrpgroupassignment ipam_fhrpgroupassign_interface_type_id_f3bcb487_fk_django_co; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.ipam_fhrpgroupassignment
    ADD CONSTRAINT ipam_fhrpgroupassign_interface_type_id_f3bcb487_fk_django_co FOREIGN KEY (interface_type_id) REFERENCES public.django_content_type(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: ipam_fhrpgroupassignment ipam_fhrpgroupassignment_group_id_19f15ca4_fk_ipam_fhrpgroup_id; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.ipam_fhrpgroupassignment
    ADD CONSTRAINT ipam_fhrpgroupassignment_group_id_19f15ca4_fk_ipam_fhrpgroup_id FOREIGN KEY (group_id) REFERENCES public.ipam_fhrpgroup(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: ipam_ipaddress ipam_ipaddress_assigned_object_type_02354370_fk_django_co; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.ipam_ipaddress
    ADD CONSTRAINT ipam_ipaddress_assigned_object_type_02354370_fk_django_co FOREIGN KEY (assigned_object_type_id) REFERENCES public.django_content_type(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: ipam_ipaddress ipam_ipaddress_nat_inside_id_a45fb7c5_fk_ipam_ipaddress_id; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.ipam_ipaddress
    ADD CONSTRAINT ipam_ipaddress_nat_inside_id_a45fb7c5_fk_ipam_ipaddress_id FOREIGN KEY (nat_inside_id) REFERENCES public.ipam_ipaddress(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: ipam_ipaddress ipam_ipaddress_tenant_id_ac55acfd_fk_tenancy_tenant_id; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.ipam_ipaddress
    ADD CONSTRAINT ipam_ipaddress_tenant_id_ac55acfd_fk_tenancy_tenant_id FOREIGN KEY (tenant_id) REFERENCES public.tenancy_tenant(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: ipam_ipaddress ipam_ipaddress_vrf_id_51fcc59b_fk_ipam_vrf_id; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.ipam_ipaddress
    ADD CONSTRAINT ipam_ipaddress_vrf_id_51fcc59b_fk_ipam_vrf_id FOREIGN KEY (vrf_id) REFERENCES public.ipam_vrf(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: ipam_iprange ipam_iprange_role_id_2782e864_fk_ipam_role_id; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.ipam_iprange
    ADD CONSTRAINT ipam_iprange_role_id_2782e864_fk_ipam_role_id FOREIGN KEY (role_id) REFERENCES public.ipam_role(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: ipam_iprange ipam_iprange_tenant_id_856027ea_fk_tenancy_tenant_id; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.ipam_iprange
    ADD CONSTRAINT ipam_iprange_tenant_id_856027ea_fk_tenancy_tenant_id FOREIGN KEY (tenant_id) REFERENCES public.tenancy_tenant(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: ipam_iprange ipam_iprange_vrf_id_613e9dd2_fk_ipam_vrf_id; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.ipam_iprange
    ADD CONSTRAINT ipam_iprange_vrf_id_613e9dd2_fk_ipam_vrf_id FOREIGN KEY (vrf_id) REFERENCES public.ipam_vrf(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: ipam_l2vpn_export_targets ipam_l2vpn_export_ta_routetarget_id_5ccb758b_fk_ipam_rout; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.ipam_l2vpn_export_targets
    ADD CONSTRAINT ipam_l2vpn_export_ta_routetarget_id_5ccb758b_fk_ipam_rout FOREIGN KEY (routetarget_id) REFERENCES public.ipam_routetarget(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: ipam_l2vpn_export_targets ipam_l2vpn_export_targets_l2vpn_id_8749bbe8_fk_ipam_l2vpn_id; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.ipam_l2vpn_export_targets
    ADD CONSTRAINT ipam_l2vpn_export_targets_l2vpn_id_8749bbe8_fk_ipam_l2vpn_id FOREIGN KEY (l2vpn_id) REFERENCES public.ipam_l2vpn(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: ipam_l2vpn_import_targets ipam_l2vpn_import_ta_routetarget_id_58a188b2_fk_ipam_rout; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.ipam_l2vpn_import_targets
    ADD CONSTRAINT ipam_l2vpn_import_ta_routetarget_id_58a188b2_fk_ipam_rout FOREIGN KEY (routetarget_id) REFERENCES public.ipam_routetarget(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: ipam_l2vpn_import_targets ipam_l2vpn_import_targets_l2vpn_id_731f5bb4_fk_ipam_l2vpn_id; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.ipam_l2vpn_import_targets
    ADD CONSTRAINT ipam_l2vpn_import_targets_l2vpn_id_731f5bb4_fk_ipam_l2vpn_id FOREIGN KEY (l2vpn_id) REFERENCES public.ipam_l2vpn(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: ipam_l2vpn ipam_l2vpn_tenant_id_bb2564a6_fk_tenancy_tenant_id; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.ipam_l2vpn
    ADD CONSTRAINT ipam_l2vpn_tenant_id_bb2564a6_fk_tenancy_tenant_id FOREIGN KEY (tenant_id) REFERENCES public.tenancy_tenant(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: ipam_l2vpntermination ipam_l2vpnterminatio_assigned_object_type_3923c124_fk_django_co; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.ipam_l2vpntermination
    ADD CONSTRAINT ipam_l2vpnterminatio_assigned_object_type_3923c124_fk_django_co FOREIGN KEY (assigned_object_type_id) REFERENCES public.django_content_type(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: ipam_l2vpntermination ipam_l2vpntermination_l2vpn_id_9e570aa1_fk_ipam_l2vpn_id; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.ipam_l2vpntermination
    ADD CONSTRAINT ipam_l2vpntermination_l2vpn_id_9e570aa1_fk_ipam_l2vpn_id FOREIGN KEY (l2vpn_id) REFERENCES public.ipam_l2vpn(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: ipam_prefix ipam_prefix_role_id_0a98d415_fk_ipam_role_id; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.ipam_prefix
    ADD CONSTRAINT ipam_prefix_role_id_0a98d415_fk_ipam_role_id FOREIGN KEY (role_id) REFERENCES public.ipam_role(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: ipam_prefix ipam_prefix_site_id_0b20df05_fk_dcim_site_id; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.ipam_prefix
    ADD CONSTRAINT ipam_prefix_site_id_0b20df05_fk_dcim_site_id FOREIGN KEY (site_id) REFERENCES public.dcim_site(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: ipam_prefix ipam_prefix_tenant_id_7ba1fcc4_fk_tenancy_tenant_id; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.ipam_prefix
    ADD CONSTRAINT ipam_prefix_tenant_id_7ba1fcc4_fk_tenancy_tenant_id FOREIGN KEY (tenant_id) REFERENCES public.tenancy_tenant(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: ipam_prefix ipam_prefix_vlan_id_1db91bff_fk_ipam_vlan_id; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.ipam_prefix
    ADD CONSTRAINT ipam_prefix_vlan_id_1db91bff_fk_ipam_vlan_id FOREIGN KEY (vlan_id) REFERENCES public.ipam_vlan(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: ipam_prefix ipam_prefix_vrf_id_34f78ed0_fk_ipam_vrf_id; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.ipam_prefix
    ADD CONSTRAINT ipam_prefix_vrf_id_34f78ed0_fk_ipam_vrf_id FOREIGN KEY (vrf_id) REFERENCES public.ipam_vrf(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: ipam_routetarget ipam_routetarget_tenant_id_5a0b35e8_fk_tenancy_tenant_id; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.ipam_routetarget
    ADD CONSTRAINT ipam_routetarget_tenant_id_5a0b35e8_fk_tenancy_tenant_id FOREIGN KEY (tenant_id) REFERENCES public.tenancy_tenant(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: ipam_service ipam_service_device_id_b4d2bb9c_fk_dcim_device_id; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.ipam_service
    ADD CONSTRAINT ipam_service_device_id_b4d2bb9c_fk_dcim_device_id FOREIGN KEY (device_id) REFERENCES public.dcim_device(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: ipam_service_ipaddresses ipam_service_ipaddre_ipaddress_id_b4138c6d_fk_ipam_ipad; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.ipam_service_ipaddresses
    ADD CONSTRAINT ipam_service_ipaddre_ipaddress_id_b4138c6d_fk_ipam_ipad FOREIGN KEY (ipaddress_id) REFERENCES public.ipam_ipaddress(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: ipam_service_ipaddresses ipam_service_ipaddresses_service_id_ae26b9ab_fk_ipam_service_id; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.ipam_service_ipaddresses
    ADD CONSTRAINT ipam_service_ipaddresses_service_id_ae26b9ab_fk_ipam_service_id FOREIGN KEY (service_id) REFERENCES public.ipam_service(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: ipam_service ipam_service_virtual_machine_id_e8b53562_fk_virtualiz; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.ipam_service
    ADD CONSTRAINT ipam_service_virtual_machine_id_e8b53562_fk_virtualiz FOREIGN KEY (virtual_machine_id) REFERENCES public.virtualization_virtualmachine(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: ipam_vlan ipam_vlan_group_id_88cbfa62_fk_ipam_vlangroup_id; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.ipam_vlan
    ADD CONSTRAINT ipam_vlan_group_id_88cbfa62_fk_ipam_vlangroup_id FOREIGN KEY (group_id) REFERENCES public.ipam_vlangroup(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: ipam_vlan ipam_vlan_role_id_f5015962_fk_ipam_role_id; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.ipam_vlan
    ADD CONSTRAINT ipam_vlan_role_id_f5015962_fk_ipam_role_id FOREIGN KEY (role_id) REFERENCES public.ipam_role(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: ipam_vlan ipam_vlan_site_id_a59334e3_fk_dcim_site_id; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.ipam_vlan
    ADD CONSTRAINT ipam_vlan_site_id_a59334e3_fk_dcim_site_id FOREIGN KEY (site_id) REFERENCES public.dcim_site(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: ipam_vlan ipam_vlan_tenant_id_71a8290d_fk_tenancy_tenant_id; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.ipam_vlan
    ADD CONSTRAINT ipam_vlan_tenant_id_71a8290d_fk_tenancy_tenant_id FOREIGN KEY (tenant_id) REFERENCES public.tenancy_tenant(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: ipam_vlangroup ipam_vlangroup_scope_type_id_6606a755_fk_django_content_type_id; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.ipam_vlangroup
    ADD CONSTRAINT ipam_vlangroup_scope_type_id_6606a755_fk_django_content_type_id FOREIGN KEY (scope_type_id) REFERENCES public.django_content_type(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: ipam_vrf_export_targets ipam_vrf_export_targ_routetarget_id_8d9319f7_fk_ipam_rout; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.ipam_vrf_export_targets
    ADD CONSTRAINT ipam_vrf_export_targ_routetarget_id_8d9319f7_fk_ipam_rout FOREIGN KEY (routetarget_id) REFERENCES public.ipam_routetarget(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: ipam_vrf_export_targets ipam_vrf_export_targets_vrf_id_6f4875c4_fk_ipam_vrf_id; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.ipam_vrf_export_targets
    ADD CONSTRAINT ipam_vrf_export_targets_vrf_id_6f4875c4_fk_ipam_vrf_id FOREIGN KEY (vrf_id) REFERENCES public.ipam_vrf(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: ipam_vrf_import_targets ipam_vrf_import_targ_routetarget_id_0e05b144_fk_ipam_rout; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.ipam_vrf_import_targets
    ADD CONSTRAINT ipam_vrf_import_targ_routetarget_id_0e05b144_fk_ipam_rout FOREIGN KEY (routetarget_id) REFERENCES public.ipam_routetarget(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: ipam_vrf_import_targets ipam_vrf_import_targets_vrf_id_ed491b19_fk_ipam_vrf_id; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.ipam_vrf_import_targets
    ADD CONSTRAINT ipam_vrf_import_targets_vrf_id_ed491b19_fk_ipam_vrf_id FOREIGN KEY (vrf_id) REFERENCES public.ipam_vrf(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: ipam_vrf ipam_vrf_tenant_id_498b0051_fk_tenancy_tenant_id; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.ipam_vrf
    ADD CONSTRAINT ipam_vrf_tenant_id_498b0051_fk_tenancy_tenant_id FOREIGN KEY (tenant_id) REFERENCES public.tenancy_tenant(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: netbox_dns_nameserver netbox_dns_nameserver_tenant_id_3f2c11e4_fk_tenancy_tenant_id; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.netbox_dns_nameserver
    ADD CONSTRAINT netbox_dns_nameserver_tenant_id_3f2c11e4_fk_tenancy_tenant_id FOREIGN KEY (tenant_id) REFERENCES public.tenancy_tenant(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: netbox_dns_record netbox_dns_record_ptr_record_id_c9434897_fk_netbox_dn; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.netbox_dns_record
    ADD CONSTRAINT netbox_dns_record_ptr_record_id_c9434897_fk_netbox_dn FOREIGN KEY (ptr_record_id) REFERENCES public.netbox_dns_record(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: netbox_dns_record netbox_dns_record_tenant_id_661a29ae_fk_tenancy_tenant_id; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.netbox_dns_record
    ADD CONSTRAINT netbox_dns_record_tenant_id_661a29ae_fk_tenancy_tenant_id FOREIGN KEY (tenant_id) REFERENCES public.tenancy_tenant(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: netbox_dns_record netbox_dns_record_zone_id_38d2d717_fk_netbox_dns_zone_id; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.netbox_dns_record
    ADD CONSTRAINT netbox_dns_record_zone_id_38d2d717_fk_netbox_dns_zone_id FOREIGN KEY (zone_id) REFERENCES public.netbox_dns_zone(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: netbox_dns_view netbox_dns_view_tenant_id_4dfd8294_fk_tenancy_tenant_id; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.netbox_dns_view
    ADD CONSTRAINT netbox_dns_view_tenant_id_4dfd8294_fk_tenancy_tenant_id FOREIGN KEY (tenant_id) REFERENCES public.tenancy_tenant(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: netbox_dns_zone_nameservers netbox_dns_zone_name_nameserver_id_43dd6dbd_fk_netbox_dn; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.netbox_dns_zone_nameservers
    ADD CONSTRAINT netbox_dns_zone_name_nameserver_id_43dd6dbd_fk_netbox_dn FOREIGN KEY (nameserver_id) REFERENCES public.netbox_dns_nameserver(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: netbox_dns_zone_nameservers netbox_dns_zone_name_zone_id_1354eacc_fk_netbox_dn; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.netbox_dns_zone_nameservers
    ADD CONSTRAINT netbox_dns_zone_name_zone_id_1354eacc_fk_netbox_dn FOREIGN KEY (zone_id) REFERENCES public.netbox_dns_zone(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: netbox_dns_zone netbox_dns_zone_soa_mname_id_c1ebe8d6_fk_netbox_dn; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.netbox_dns_zone
    ADD CONSTRAINT netbox_dns_zone_soa_mname_id_c1ebe8d6_fk_netbox_dn FOREIGN KEY (soa_mname_id) REFERENCES public.netbox_dns_nameserver(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: netbox_dns_zone netbox_dns_zone_tenant_id_61870e09_fk_tenancy_tenant_id; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.netbox_dns_zone
    ADD CONSTRAINT netbox_dns_zone_tenant_id_61870e09_fk_tenancy_tenant_id FOREIGN KEY (tenant_id) REFERENCES public.tenancy_tenant(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: netbox_dns_zone netbox_dns_zone_view_id_91fb86ff_fk_netbox_dns_view_id; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.netbox_dns_zone
    ADD CONSTRAINT netbox_dns_zone_view_id_91fb86ff_fk_netbox_dns_view_id FOREIGN KEY (view_id) REFERENCES public.netbox_dns_view(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: netbox_docker_plugin_mount netbox_docker_plugin_container_id_128b557e_fk_netbox_do; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.netbox_docker_plugin_mount
    ADD CONSTRAINT netbox_docker_plugin_container_id_128b557e_fk_netbox_do FOREIGN KEY (container_id) REFERENCES public.netbox_docker_plugin_container(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: netbox_docker_plugin_label netbox_docker_plugin_container_id_28c72dbb_fk_netbox_do; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.netbox_docker_plugin_label
    ADD CONSTRAINT netbox_docker_plugin_container_id_28c72dbb_fk_netbox_do FOREIGN KEY (container_id) REFERENCES public.netbox_docker_plugin_container(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: netbox_docker_plugin_port netbox_docker_plugin_container_id_4eef7da5_fk_netbox_do; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.netbox_docker_plugin_port
    ADD CONSTRAINT netbox_docker_plugin_container_id_4eef7da5_fk_netbox_do FOREIGN KEY (container_id) REFERENCES public.netbox_docker_plugin_container(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: netbox_docker_plugin_env netbox_docker_plugin_container_id_67f761dc_fk_netbox_do; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.netbox_docker_plugin_env
    ADD CONSTRAINT netbox_docker_plugin_container_id_67f761dc_fk_netbox_do FOREIGN KEY (container_id) REFERENCES public.netbox_docker_plugin_container(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: netbox_docker_plugin_bind netbox_docker_plugin_container_id_75405827_fk_netbox_do; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.netbox_docker_plugin_bind
    ADD CONSTRAINT netbox_docker_plugin_container_id_75405827_fk_netbox_do FOREIGN KEY (container_id) REFERENCES public.netbox_docker_plugin_container(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: netbox_docker_plugin_device netbox_docker_plugin_container_id_a53ca874_fk_netbox_do; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.netbox_docker_plugin_device
    ADD CONSTRAINT netbox_docker_plugin_container_id_a53ca874_fk_netbox_do FOREIGN KEY (container_id) REFERENCES public.netbox_docker_plugin_container(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: netbox_docker_plugin_networksetting netbox_docker_plugin_container_id_dda447b6_fk_netbox_do; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.netbox_docker_plugin_networksetting
    ADD CONSTRAINT netbox_docker_plugin_container_id_dda447b6_fk_netbox_do FOREIGN KEY (container_id) REFERENCES public.netbox_docker_plugin_container(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: netbox_docker_plugin_container netbox_docker_plugin_host_id_500b1fa0_fk_netbox_do; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.netbox_docker_plugin_container
    ADD CONSTRAINT netbox_docker_plugin_host_id_500b1fa0_fk_netbox_do FOREIGN KEY (host_id) REFERENCES public.netbox_docker_plugin_host(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: netbox_docker_plugin_registry netbox_docker_plugin_host_id_7931ef64_fk_netbox_do; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.netbox_docker_plugin_registry
    ADD CONSTRAINT netbox_docker_plugin_host_id_7931ef64_fk_netbox_do FOREIGN KEY (host_id) REFERENCES public.netbox_docker_plugin_host(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: netbox_docker_plugin_image netbox_docker_plugin_host_id_81b4605f_fk_netbox_do; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.netbox_docker_plugin_image
    ADD CONSTRAINT netbox_docker_plugin_host_id_81b4605f_fk_netbox_do FOREIGN KEY (host_id) REFERENCES public.netbox_docker_plugin_host(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: netbox_docker_plugin_network netbox_docker_plugin_host_id_a3afdacd_fk_netbox_do; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.netbox_docker_plugin_network
    ADD CONSTRAINT netbox_docker_plugin_host_id_a3afdacd_fk_netbox_do FOREIGN KEY (host_id) REFERENCES public.netbox_docker_plugin_host(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: netbox_docker_plugin_volume netbox_docker_plugin_host_id_d3e04621_fk_netbox_do; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.netbox_docker_plugin_volume
    ADD CONSTRAINT netbox_docker_plugin_host_id_d3e04621_fk_netbox_do FOREIGN KEY (host_id) REFERENCES public.netbox_docker_plugin_host(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: netbox_docker_plugin_host netbox_docker_plugin_host_token_id_88278350_fk_users_token_id; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.netbox_docker_plugin_host
    ADD CONSTRAINT netbox_docker_plugin_host_token_id_88278350_fk_users_token_id FOREIGN KEY (token_id) REFERENCES public.users_token(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: netbox_docker_plugin_container netbox_docker_plugin_image_id_15a6db33_fk_netbox_do; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.netbox_docker_plugin_container
    ADD CONSTRAINT netbox_docker_plugin_image_id_15a6db33_fk_netbox_do FOREIGN KEY (image_id) REFERENCES public.netbox_docker_plugin_image(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: netbox_docker_plugin_networksetting netbox_docker_plugin_network_id_cc177cf2_fk_netbox_do; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.netbox_docker_plugin_networksetting
    ADD CONSTRAINT netbox_docker_plugin_network_id_cc177cf2_fk_netbox_do FOREIGN KEY (network_id) REFERENCES public.netbox_docker_plugin_network(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: netbox_docker_plugin_image netbox_docker_plugin_registry_id_4684197e_fk_netbox_do; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.netbox_docker_plugin_image
    ADD CONSTRAINT netbox_docker_plugin_registry_id_4684197e_fk_netbox_do FOREIGN KEY (registry_id) REFERENCES public.netbox_docker_plugin_registry(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: netbox_docker_plugin_mount netbox_docker_plugin_volume_id_8d6fe380_fk_netbox_do; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.netbox_docker_plugin_mount
    ADD CONSTRAINT netbox_docker_plugin_volume_id_8d6fe380_fk_netbox_do FOREIGN KEY (volume_id) REFERENCES public.netbox_docker_plugin_volume(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: netbox_rps_plugin_acldeniedsource netbox_rps_plugin_ac_mapping_id_857e2e6b_fk_netbox_rp; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.netbox_rps_plugin_acldeniedsource
    ADD CONSTRAINT netbox_rps_plugin_ac_mapping_id_857e2e6b_fk_netbox_rp FOREIGN KEY (mapping_id) REFERENCES public.netbox_rps_plugin_mapping(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: netbox_rps_plugin_cacheconfig netbox_rps_plugin_ca_mapping_id_32fce175_fk_netbox_rp; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.netbox_rps_plugin_cacheconfig
    ADD CONSTRAINT netbox_rps_plugin_ca_mapping_id_32fce175_fk_netbox_rp FOREIGN KEY (mapping_id) REFERENCES public.netbox_rps_plugin_mapping(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: netbox_rps_plugin_hstsprotocol netbox_rps_plugin_hs_mapping_id_e6ad422d_fk_netbox_rp; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.netbox_rps_plugin_hstsprotocol
    ADD CONSTRAINT netbox_rps_plugin_hs_mapping_id_e6ad422d_fk_netbox_rp FOREIGN KEY (mapping_id) REFERENCES public.netbox_rps_plugin_mapping(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: netbox_rps_plugin_httpheader netbox_rps_plugin_ht_mapping_id_6b7cd541_fk_netbox_rp; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.netbox_rps_plugin_httpheader
    ADD CONSTRAINT netbox_rps_plugin_ht_mapping_id_6b7cd541_fk_netbox_rp FOREIGN KEY (mapping_id) REFERENCES public.netbox_rps_plugin_mapping(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: netbox_rps_plugin_samlconfig netbox_rps_plugin_sa_mapping_id_80ef1c9e_fk_netbox_rp; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.netbox_rps_plugin_samlconfig
    ADD CONSTRAINT netbox_rps_plugin_sa_mapping_id_80ef1c9e_fk_netbox_rp FOREIGN KEY (mapping_id) REFERENCES public.netbox_rps_plugin_mapping(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: social_auth_usersocialauth social_auth_usersocialauth_user_id_17d28448_fk_auth_user_id; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.social_auth_usersocialauth
    ADD CONSTRAINT social_auth_usersocialauth_user_id_17d28448_fk_auth_user_id FOREIGN KEY (user_id) REFERENCES public.auth_user(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: taggit_taggeditem taggit_taggeditem_content_type_id_9957a03c_fk_django_co; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.taggit_taggeditem
    ADD CONSTRAINT taggit_taggeditem_content_type_id_9957a03c_fk_django_co FOREIGN KEY (content_type_id) REFERENCES public.django_content_type(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: taggit_taggeditem taggit_taggeditem_tag_id_f4f5b767_fk_taggit_tag_id; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.taggit_taggeditem
    ADD CONSTRAINT taggit_taggeditem_tag_id_f4f5b767_fk_taggit_tag_id FOREIGN KEY (tag_id) REFERENCES public.taggit_tag(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: tenancy_contact tenancy_contact_group_id_76e0267c_fk_tenancy_contactgroup_id; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.tenancy_contact
    ADD CONSTRAINT tenancy_contact_group_id_76e0267c_fk_tenancy_contactgroup_id FOREIGN KEY (group_id) REFERENCES public.tenancy_contactgroup(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: tenancy_contactassignment tenancy_contactassig_contact_id_5302baf0_fk_tenancy_c; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.tenancy_contactassignment
    ADD CONSTRAINT tenancy_contactassig_contact_id_5302baf0_fk_tenancy_c FOREIGN KEY (contact_id) REFERENCES public.tenancy_contact(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: tenancy_contactassignment tenancy_contactassig_content_type_id_0c3f0c67_fk_django_co; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.tenancy_contactassignment
    ADD CONSTRAINT tenancy_contactassig_content_type_id_0c3f0c67_fk_django_co FOREIGN KEY (content_type_id) REFERENCES public.django_content_type(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: tenancy_contactassignment tenancy_contactassig_role_id_fc08bfb5_fk_tenancy_c; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.tenancy_contactassignment
    ADD CONSTRAINT tenancy_contactassig_role_id_fc08bfb5_fk_tenancy_c FOREIGN KEY (role_id) REFERENCES public.tenancy_contactrole(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: tenancy_contactgroup tenancy_contactgroup_parent_id_c087d69f_fk_tenancy_c; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.tenancy_contactgroup
    ADD CONSTRAINT tenancy_contactgroup_parent_id_c087d69f_fk_tenancy_c FOREIGN KEY (parent_id) REFERENCES public.tenancy_contactgroup(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: tenancy_tenant tenancy_tenant_group_id_7daef6f4_fk_tenancy_tenantgroup_id; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.tenancy_tenant
    ADD CONSTRAINT tenancy_tenant_group_id_7daef6f4_fk_tenancy_tenantgroup_id FOREIGN KEY (group_id) REFERENCES public.tenancy_tenantgroup(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: tenancy_tenantgroup tenancy_tenantgroup_parent_id_2542fc18_fk_tenancy_t; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.tenancy_tenantgroup
    ADD CONSTRAINT tenancy_tenantgroup_parent_id_2542fc18_fk_tenancy_t FOREIGN KEY (parent_id) REFERENCES public.tenancy_tenantgroup(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: users_objectpermission_object_types users_objectpermissi_contenttype_id_594b1cc7_fk_django_co; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.users_objectpermission_object_types
    ADD CONSTRAINT users_objectpermissi_contenttype_id_594b1cc7_fk_django_co FOREIGN KEY (contenttype_id) REFERENCES public.django_content_type(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: users_objectpermission_groups users_objectpermissi_group_id_fb7ba6e0_fk_auth_grou; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.users_objectpermission_groups
    ADD CONSTRAINT users_objectpermissi_group_id_fb7ba6e0_fk_auth_grou FOREIGN KEY (group_id) REFERENCES public.auth_group(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: users_objectpermission_groups users_objectpermissi_objectpermission_id_2f7cc117_fk_users_obj; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.users_objectpermission_groups
    ADD CONSTRAINT users_objectpermissi_objectpermission_id_2f7cc117_fk_users_obj FOREIGN KEY (objectpermission_id) REFERENCES public.users_objectpermission(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: users_objectpermission_object_types users_objectpermissi_objectpermission_id_38c7d8f5_fk_users_obj; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.users_objectpermission_object_types
    ADD CONSTRAINT users_objectpermissi_objectpermission_id_38c7d8f5_fk_users_obj FOREIGN KEY (objectpermission_id) REFERENCES public.users_objectpermission(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: users_objectpermission_users users_objectpermissi_objectpermission_id_78a9c2e6_fk_users_obj; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.users_objectpermission_users
    ADD CONSTRAINT users_objectpermissi_objectpermission_id_78a9c2e6_fk_users_obj FOREIGN KEY (objectpermission_id) REFERENCES public.users_objectpermission(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: users_objectpermission_users users_objectpermission_users_user_id_16c0905d_fk_auth_user_id; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.users_objectpermission_users
    ADD CONSTRAINT users_objectpermission_users_user_id_16c0905d_fk_auth_user_id FOREIGN KEY (user_id) REFERENCES public.auth_user(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: users_token users_token_user_id_af964690_fk_auth_user_id; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.users_token
    ADD CONSTRAINT users_token_user_id_af964690_fk_auth_user_id FOREIGN KEY (user_id) REFERENCES public.auth_user(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: users_userconfig users_userconfig_user_id_afd44184_fk_auth_user_id; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.users_userconfig
    ADD CONSTRAINT users_userconfig_user_id_afd44184_fk_auth_user_id FOREIGN KEY (user_id) REFERENCES public.auth_user(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: virtualization_cluster virtualization_clust_group_id_de379828_fk_virtualiz; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.virtualization_cluster
    ADD CONSTRAINT virtualization_clust_group_id_de379828_fk_virtualiz FOREIGN KEY (group_id) REFERENCES public.virtualization_clustergroup(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: virtualization_cluster virtualization_clust_type_id_4efafb0a_fk_virtualiz; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.virtualization_cluster
    ADD CONSTRAINT virtualization_clust_type_id_4efafb0a_fk_virtualiz FOREIGN KEY (type_id) REFERENCES public.virtualization_clustertype(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: virtualization_cluster virtualization_cluster_site_id_4d5af282_fk_dcim_site_id; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.virtualization_cluster
    ADD CONSTRAINT virtualization_cluster_site_id_4d5af282_fk_dcim_site_id FOREIGN KEY (site_id) REFERENCES public.dcim_site(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: virtualization_cluster virtualization_cluster_tenant_id_bc2868d0_fk_tenancy_tenant_id; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.virtualization_cluster
    ADD CONSTRAINT virtualization_cluster_tenant_id_bc2868d0_fk_tenancy_tenant_id FOREIGN KEY (tenant_id) REFERENCES public.tenancy_tenant(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: virtualization_virtualmachine virtualization_virtu_cluster_id_6c9f9047_fk_virtualiz; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.virtualization_virtualmachine
    ADD CONSTRAINT virtualization_virtu_cluster_id_6c9f9047_fk_virtualiz FOREIGN KEY (cluster_id) REFERENCES public.virtualization_cluster(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: virtualization_virtualmachine virtualization_virtu_config_template_id_d7fc7874_fk_extras_co; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.virtualization_virtualmachine
    ADD CONSTRAINT virtualization_virtu_config_template_id_d7fc7874_fk_extras_co FOREIGN KEY (config_template_id) REFERENCES public.extras_configtemplate(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: virtualization_virtualmachine virtualization_virtu_device_id_5a49ed18_fk_dcim_devi; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.virtualization_virtualmachine
    ADD CONSTRAINT virtualization_virtu_device_id_5a49ed18_fk_dcim_devi FOREIGN KEY (device_id) REFERENCES public.dcim_device(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: virtualization_virtualmachine virtualization_virtu_platform_id_a6c5ccb2_fk_dcim_plat; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.virtualization_virtualmachine
    ADD CONSTRAINT virtualization_virtu_platform_id_a6c5ccb2_fk_dcim_plat FOREIGN KEY (platform_id) REFERENCES public.dcim_platform(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: virtualization_virtualmachine virtualization_virtu_primary_ip4_id_942e42ae_fk_ipam_ipad; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.virtualization_virtualmachine
    ADD CONSTRAINT virtualization_virtu_primary_ip4_id_942e42ae_fk_ipam_ipad FOREIGN KEY (primary_ip4_id) REFERENCES public.ipam_ipaddress(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: virtualization_virtualmachine virtualization_virtu_primary_ip6_id_b7904e73_fk_ipam_ipad; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.virtualization_virtualmachine
    ADD CONSTRAINT virtualization_virtu_primary_ip6_id_b7904e73_fk_ipam_ipad FOREIGN KEY (primary_ip6_id) REFERENCES public.ipam_ipaddress(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: virtualization_virtualmachine virtualization_virtu_role_id_0cc898f9_fk_dcim_devi; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.virtualization_virtualmachine
    ADD CONSTRAINT virtualization_virtu_role_id_0cc898f9_fk_dcim_devi FOREIGN KEY (role_id) REFERENCES public.dcim_devicerole(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: virtualization_virtualmachine virtualization_virtu_tenant_id_d00d1d77_fk_tenancy_t; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.virtualization_virtualmachine
    ADD CONSTRAINT virtualization_virtu_tenant_id_d00d1d77_fk_tenancy_t FOREIGN KEY (tenant_id) REFERENCES public.tenancy_tenant(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: virtualization_virtualmachine virtualization_virtualmachine_site_id_54475a27_fk_dcim_site_id; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.virtualization_virtualmachine
    ADD CONSTRAINT virtualization_virtualmachine_site_id_54475a27_fk_dcim_site_id FOREIGN KEY (site_id) REFERENCES public.dcim_site(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: virtualization_vminterface virtualization_vmint_bridge_id_7462b91e_fk_virtualiz; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.virtualization_vminterface
    ADD CONSTRAINT virtualization_vmint_bridge_id_7462b91e_fk_virtualiz FOREIGN KEY (bridge_id) REFERENCES public.virtualization_vminterface(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: virtualization_vminterface virtualization_vmint_parent_id_f86958e1_fk_virtualiz; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.virtualization_vminterface
    ADD CONSTRAINT virtualization_vmint_parent_id_f86958e1_fk_virtualiz FOREIGN KEY (parent_id) REFERENCES public.virtualization_vminterface(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: virtualization_vminterface virtualization_vmint_untagged_vlan_id_aea4fc69_fk_ipam_vlan; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.virtualization_vminterface
    ADD CONSTRAINT virtualization_vmint_untagged_vlan_id_aea4fc69_fk_ipam_vlan FOREIGN KEY (untagged_vlan_id) REFERENCES public.ipam_vlan(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: virtualization_vminterface virtualization_vmint_virtual_machine_id_e9f89829_fk_virtualiz; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.virtualization_vminterface
    ADD CONSTRAINT virtualization_vmint_virtual_machine_id_e9f89829_fk_virtualiz FOREIGN KEY (virtual_machine_id) REFERENCES public.virtualization_virtualmachine(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: virtualization_vminterface_tagged_vlans virtualization_vmint_vlan_id_4e77411e_fk_ipam_vlan; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.virtualization_vminterface_tagged_vlans
    ADD CONSTRAINT virtualization_vmint_vlan_id_4e77411e_fk_ipam_vlan FOREIGN KEY (vlan_id) REFERENCES public.ipam_vlan(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: virtualization_vminterface_tagged_vlans virtualization_vmint_vminterface_id_904b12de_fk_virtualiz; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.virtualization_vminterface_tagged_vlans
    ADD CONSTRAINT virtualization_vmint_vminterface_id_904b12de_fk_virtualiz FOREIGN KEY (vminterface_id) REFERENCES public.virtualization_vminterface(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: virtualization_vminterface virtualization_vminterface_vrf_id_4b570a8c_fk_ipam_vrf_id; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.virtualization_vminterface
    ADD CONSTRAINT virtualization_vminterface_vrf_id_4b570a8c_fk_ipam_vrf_id FOREIGN KEY (vrf_id) REFERENCES public.ipam_vrf(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: wireless_wirelesslan wireless_wirelesslan_group_id_d9e3d67f_fk_wireless_; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.wireless_wirelesslan
    ADD CONSTRAINT wireless_wirelesslan_group_id_d9e3d67f_fk_wireless_ FOREIGN KEY (group_id) REFERENCES public.wireless_wirelesslangroup(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: wireless_wirelesslangroup wireless_wirelesslan_parent_id_37ca8b87_fk_wireless_; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.wireless_wirelesslangroup
    ADD CONSTRAINT wireless_wirelesslan_parent_id_37ca8b87_fk_wireless_ FOREIGN KEY (parent_id) REFERENCES public.wireless_wirelesslangroup(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: wireless_wirelesslan wireless_wirelesslan_tenant_id_5dfee941_fk_tenancy_tenant_id; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.wireless_wirelesslan
    ADD CONSTRAINT wireless_wirelesslan_tenant_id_5dfee941_fk_tenancy_tenant_id FOREIGN KEY (tenant_id) REFERENCES public.tenancy_tenant(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: wireless_wirelesslan wireless_wirelesslan_vlan_id_d7fa6ccc_fk_ipam_vlan_id; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.wireless_wirelesslan
    ADD CONSTRAINT wireless_wirelesslan_vlan_id_d7fa6ccc_fk_ipam_vlan_id FOREIGN KEY (vlan_id) REFERENCES public.ipam_vlan(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: wireless_wirelesslink wireless_wirelesslin__interface_a_device__6c8e042e_fk_dcim_devi; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.wireless_wirelesslink
    ADD CONSTRAINT wireless_wirelesslin__interface_a_device__6c8e042e_fk_dcim_devi FOREIGN KEY (_interface_a_device_id) REFERENCES public.dcim_device(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: wireless_wirelesslink wireless_wirelesslin__interface_b_device__43d5101a_fk_dcim_devi; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.wireless_wirelesslink
    ADD CONSTRAINT wireless_wirelesslin__interface_b_device__43d5101a_fk_dcim_devi FOREIGN KEY (_interface_b_device_id) REFERENCES public.dcim_device(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: wireless_wirelesslink wireless_wirelesslin_interface_a_id_bc9e37fd_fk_dcim_inte; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.wireless_wirelesslink
    ADD CONSTRAINT wireless_wirelesslin_interface_a_id_bc9e37fd_fk_dcim_inte FOREIGN KEY (interface_a_id) REFERENCES public.dcim_interface(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: wireless_wirelesslink wireless_wirelesslin_interface_b_id_a82fb2ee_fk_dcim_inte; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.wireless_wirelesslink
    ADD CONSTRAINT wireless_wirelesslin_interface_b_id_a82fb2ee_fk_dcim_inte FOREIGN KEY (interface_b_id) REFERENCES public.dcim_interface(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: wireless_wirelesslink wireless_wirelesslink_tenant_id_4c0638ee_fk_tenancy_tenant_id; Type: FK CONSTRAINT; Schema: public; Owner: netbox
--

ALTER TABLE ONLY public.wireless_wirelesslink
    ADD CONSTRAINT wireless_wirelesslink_tenant_id_4c0638ee_fk_tenancy_tenant_id FOREIGN KEY (tenant_id) REFERENCES public.tenancy_tenant(id) DEFERRABLE INITIALLY DEFERRED;


--
-- PostgreSQL database dump complete
--

